<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./action/brokenlink.php                              */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 20, 2004                                         */
/*                                                                      */
/************************************************************************/


// --> BEGIN include config ---------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>info.inc.php</i> so I will die now!");
}
// <-- END include config -----------------------------------------------------------------------------------------------------------------


// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN creating AML_linkid ----------------------------------------------------------------------------------------------------------
if (isset($HTTP_GET_VARS['AML_linkid'])  && !empty($HTTP_GET_VARS['AML_linkid']))  $AML_linkid = $HTTP_GET_VARS['AML_linkid'];
if (isset($HTTP_POST_VARS['AML_linkid']) && !empty($HTTP_POST_VARS['AML_linkid'])) $AML_linkid = $HTTP_POST_VARS['AML_linkid'];
// <-- END creating AML_linkid ------------------------------------------------------------------------------------------------------------


// --> BEGIN check for correct $AML_linkid ------------------------------------------------------------------------------------------------
if (!isset($AML_linkid))
{
	$AML_error_error        = ""._error_brokenlink_nolinkid_."";
	$AML_error_description  = ""._error_brokenlink_nolinkiddesc_."";
	if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
	{	
		die("can not load <i>error.inc.php</i> so I will die now!");
	}
	die();
}
// <-- END check for correct $AML_linkid --------------------------------------------------------------------------------------------------


// --> BEGIN flood control ----------------------------------------------------------------------------------------------------------------
$AML_floodcontrol = "broken";
if(!$_AMLinclude['res_floodcontrol'] = include("".$_AMLconfig['cfg_serverpath']."/include/floodcontrol.inc.php"))
{
	die("can not load <i>floodcontrol.inc.php</i> so I will die now!");
}
if(isset($AML_errcode) && $AML_errcode == '1')
{
	$AML_error_error        = ""._error_brokenlink_alreadydone_."";
	$AML_error_description  = ""._error_brokenlink_alreadydonedesc_."";
	if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
	{	
		die("can not load <i>error.inc.php</i> so I will die now!");
	}
	die();
}
// <-- END flood control ------------------------------------------------------------------------------------------------------------------


// --> BEGIN sign broken ------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['brokenlink_sent']))
{
	$AML_badlycount = AMS_sql_fetch_array(AMS_sql_query("SELECT brokenvalue_badlycount AS value FROM ".$_AMLconfig['tbl_brokenvalues']." WHERE brokenvalue_id = '".$HTTP_POST_VARS['AML_brokenlink_badlycount']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
	
	$AML_update_broken = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_broken = link_broken+".$AML_badlycount['value']." WHERE link_id ='".$HTTP_POST_VARS['AML_linkid']."'", $_AMLconfig['sql_connect']);
	
	if($AML_update_broken)
	{
		// --> BEGIN insert user in blocked ---------------------------------------------------------------------------------------
		$AML_insert = AMS_sql_query("INSERT INTO ".$_AMLconfig['tbl_blocked']." VALUES('',
			                                                                       'broken',
			                                                                       '".$_AMLconfig['env_REMOTE_ADDR']."',
			                                                                       '".$AML_linkid."',
			                                                                       '".$_AMLconfig['date_countflag']."')", $_AMLconfig['sql_connect']);
		// <-- END insert user in blocked -----------------------------------------------------------------------------------------
		$AML_brokenvalue = AMS_sql_fetch_array(AMS_sql_query("SELECT link_broken, link_useremail FROM ".$_AMLconfig['tbl_links']." WHERE link_id = '".$HTTP_POST_VARS['AML_linkid']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']); 
		
		
		// --> BEGIN deactivating entry -------------------------------------------------------------------------------------------
		if($_AMLusrcfg['cfg_broken_deactivate'] == '1' && $AML_brokenvalue['link_broken'] >= $_AMLusrcfg['cfg_broken_deactivate_value'])
		{
			$AML_updateentry = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_active = '0', link_inactivereason = 'broken' WHERE link_id = '".$HTTP_POST_VARS['AML_linkid']."'", $_AMLconfig['sql_connect']);
			
			
			// --> BEGIN writing log ------------------------------------------------------------------------------------------
			if($_AMLusrcfg['cfg_notes_active'] == '1' && $_AMLusrcfg['cfg_broken_deactivate_notifylog'] == '1')
			{
				$AML_get_notesorder = AMS_sql_fetch_array(AMS_sql_query("SELECT notes_order FROM $_AMLconfig[tbl_notes] order by notes_order DESC LIMIT 1", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
				$AML_thisnoteorder = $AML_get_notesorder['notes_order']+1;
				$AML_notes_query = AMS_sql_query("INSERT INTO $_AMLconfig[tbl_notes] VALUES('',
		             		                                                                    '"._admin_notes_brokenlink_."',
		             		                                                                    './link_validate.php?AML_linkid=".$HTTP_POST_VARS['AML_linkid']."',
		             		                                                                    '$AML_thisnoteorder',
		             			                                                            '$_AMLconfig[cfg_validate_id]',
		                                                                                            '$_AMLconfig[date_countflag]')", $_AMLconfig['sql_connect']);
			}
			// <-- END writing log --------------------------------------------------------------------------------------------
			
			
			// --> BEGIN open mail handling -----------------------------------------------------------------------------------
			$_AMLmailaction = "entry_brokendeactivated";
			if(!$_AMLinclude['res_mail'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/mail.inc.php"))
			{	
				die("can not load <i>mail.inc.php</i> so I will die now!");
			}	
			// <-- END open mail handling -------------------------------------------------------------------------------------
			
			
		}
		// <-- END deactivating entry ---------------------------------------------------------------------------------------------
		
		
		// --> BEGIN deleting entry -----------------------------------------------------------------------------------------------
		if($_AMLusrcfg['cfg_broken_delete'] == '1' && $AML_brokenvalue['link_broken'] >= $_AMLusrcfg['cfg_broken_delete_value'])
		{
			$AML_deleteentry = AMS_sql_query("DELETE FROM ".$_AMLconfig['tbl_links']." WHERE link_id = '".$HTTP_POST_VARS['AML_linkid']."'", $_AMLconfig['sql_connect']);
			
			// --> BEGIN open mail handling -----------------------------------------------------------------------------------
			$_AMLmailaction = "entry_brokendeleted";
			if(!$_AMLinclude['res_mail'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/mail.inc.php"))
			{	
				die("can not load <i>mail.inc.php</i> so I will die now!");
			}	
			// <-- END open mail handling -------------------------------------------------------------------------------------
			
		}
		// <-- END deleting entry -------------------------------------------------------------------------------------------------
		
		
		$AML_info_info         = ""._info_brokenlink_added_."";
		$AML_info_description  = ""._info_brokenlink_addeddesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
		die();
	}
}
// <-- END sign broken --------------------------------------------------------------------------------------------------------------------

// get brokenlinkotions
settype($AML_brlinkarray,'string');
settype($AML_broptions,'string');
$AML_brokenlink_options_get = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_brokenvalues']." order by brokenvalue_code", $_AMLconfig['sql_connect']);
while($AML_brlinkarray = AMS_sql_fetch_array($AML_brokenlink_options_get, $_AMLconfig['sql_connect']))
{
	$AML_broptions .= "<option value=\"".$AML_brlinkarray['brokenvalue_id']."\">".$AML_brlinkarray['brokenvalue_code']." - ".$AML_brlinkarray['brokenvalue_string']."</option>\n";
}
//get link data
$AML_brokenlink = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_links']." WHERE link_id = '".$AML_linkid."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);

//template site
$AML_brokenlink_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_brokenlink_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/static/brokenlink.tpl.html", __FILE__, __LINE__);

	$AML_brokenlink_tpl -> AMT_assign('AML_brokenlink_urltotemplate',  "".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."/");
	$AML_brokenlink_tpl -> AMT_assign('AML_brokenlink_info',           ""._brokenlink_report_info_."");
	$AML_brokenlink_tpl -> AMT_assign('AML_brokenlink_title',          ""._brokenlink_report_info_."");	
	$AML_brokenlink_tpl -> AMT_assign('AML_brokenlink_description',    ""._brokenlink_report_description_."");
	$AML_brokenlink_tpl -> AMT_assign('AML_brokenlink_error',          ""._brokenlink_report_error_."");		
	$AML_brokenlink_tpl -> AMT_assign('AML_brokenlink_report',         ""._brokenlink_report_report_."");
	$AML_brokenlink_tpl -> AMT_assign('AML_brokenlink_link',           ""._brokenlink_report_resource_."");
	$AML_brokenlink_tpl -> AMT_assign('AML_brokenlink_linkV',          "".$AML_brokenlink['link_url']."");
	$AML_brokenlink_tpl -> AMT_assign('AML_brokenlink_brokenvalues',   "".$AML_broptions."");
	$AML_brokenlink_tpl -> AMT_assign('AML_brokenlink_linkVV',         "".$_AMLconfig['cfg_scriptpath']."/action/gotolink.php?AML_linkid=$AML_brokenlink[link_id]");
	$AML_brokenlink_tpl -> AMT_assign('AML_linkid',                    "".$AML_brokenlink['link_id']."");
	
$AML_brokenlink_tpl -> AMT_tpl_print();

?>	