<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./action/preferences.php                             */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 20, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN include config ---------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>info.inc.php</i> so I will die now!");
}
// <-- END include config -----------------------------------------------------------------------------------------------------------------


// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// debug
//print_r($HTTP_GET_VARS);
//error_reporting(E_ALL);
// --> BEGIN CHECKING GET VARS ------------------------------------------------------------------------------------------------------------
if( !isset($HTTP_GET_VARS['AML_preferences_entryspersite'])
  ||!isset($HTTP_GET_VARS['AML_preferences_sortentrysby'])
  ||!isset($HTTP_GET_VARS['AML_preferences_sortentrysbyO'])
  ||!isset($HTTP_GET_VARS['AML_preferences_searchresultspersite'])
  ||!isset($HTTP_GET_VARS['AML_preferences_searchshowform'])
  ||!isset($HTTP_GET_VARS['AML_preferences_searchhighlight'])
  ||!isset($HTTP_GET_VARS['AML_preferences_searchhighlightC'])
  )
{
	$AML_error_error        = $_AMLlanguage['error_preferneces_getvarmissing'];
	$AML_error_description  = $_AMLlanguage['error_preferneces_getvarmissingdesc'];
	if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
	{	
		die("can not load <i>error.inc.php</i> so I will die now!");
	}
	die();		
}
else
{
	$AML_preferences_entryspersite        = $HTTP_GET_VARS['AML_preferences_entryspersite'];
	$AML_preferences_sortentrysby         = $HTTP_GET_VARS['AML_preferences_sortentrysby'];
	$AML_preferences_sortentrysbyO        = $HTTP_GET_VARS['AML_preferences_sortentrysbyO'];
	$AML_preferences_searchresultspersite = $HTTP_GET_VARS['AML_preferences_searchresultspersite'];
	$AML_preferences_searchshowform       = $HTTP_GET_VARS['AML_preferences_searchshowform'];
	$AML_preferences_searchhighlight      = $HTTP_GET_VARS['AML_preferences_searchhighlight'];
	$AML_preferences_searchhighlightC     = "#".$HTTP_GET_VARS['AML_preferences_searchhighlightC'];
	
	unset($HTTP_GET_VARS);
}
// <-- END CHECKING GET VARS --------------------------------------------------------------------------------------------------------------


// --> BEGIN GETTING DEFAULT PREFERENCES --------------------------------------------------------------------------------------------------
$_AMLdefaultpreferences = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_preferences']." WHERE preferences_userid = '0'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
// <-- END GETTING DEFAULT PREFERENCES ----------------------------------------------------------------------------------------------------


// --> BEGIN CHECKING VALUES --------------------------------------------------------------------------------------------------------------
if(  $AML_preferences_entryspersite        > $_AMLdefaultpreferences['preferences_entryspersite'] 
  || $AML_preferences_searchresultspersite > $_AMLdefaultpreferences['preferences_searchresultpersite'])
{
	die("hacking attempt, session stopped<br> IP $_AMLconfig[env_REMOTE_ADDR] logged");  
}
// <-- END CHECKING VALUES ----------------------------------------------------------------------------------------------------------------



// --> BEGIN SET COOKIE -------------------------------------------------------------------------------------------------------------------
$AML_cookievalidity = $_AMLconfig['date_countflag'] + $_AMLconfig['cookie_expire'];
setcookie ("AML_preferences[cfg_catview_listlimit]",            "".$AML_preferences_entryspersite."",        "".$AML_cookievalidity."","".$_AMLconfig['cookie_path']."");
setcookie ("AML_preferences[cfg_catview_orderby]",              "".$AML_preferences_sortentrysby."",         "".$AML_cookievalidity."","".$_AMLconfig['cookie_path']."");
setcookie ("AML_preferences[cfg_catview_orderbyhow]",           "".$AML_preferences_sortentrysbyO."",        "".$AML_cookievalidity."","".$_AMLconfig['cookie_path']."");
setcookie ("AML_preferences[cfg_search_listlimit]",             "".$AML_preferences_searchresultspersite."", "".$AML_cookievalidity."","".$_AMLconfig['cookie_path']."");
setcookie ("AML_preferences[cfg_search_formbysubmit]",          "".$AML_preferences_searchshowform."",       "".$AML_cookievalidity."","".$_AMLconfig['cookie_path']."");
setcookie ("AML_preferences[cfg_search_highlightresult]",       "".$AML_preferences_searchhighlight."",      "".$AML_cookievalidity."","".$_AMLconfig['cookie_path']."");
setcookie ("AML_preferences[cfg_search_highlightresult_color]", "".$AML_preferences_searchhighlightC."",     "".$AML_cookievalidity."","".$_AMLconfig['cookie_path']."");


	$AML_info_info         = _info_preferences_cookieset_;
	$AML_info_description  = _info_preferences_cookiesetdesc_;
	if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
	{	
		die("can not load <i>info.inc.php</i> so I will die now!");
	}

//}
// <-- END SET COOKIE ---------------------------------------------------------------------------------------------------------------------