<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cat_add.php                                  */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Apr 29, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


if(isset($HTTP_POST_VARS['AML_cat_add_sent']))
{
	
	//check for emtpy fields
	if(empty($HTTP_POST_VARS['categorie_name']))
	{
		$AML_error_error        = ""._admin_addcat_error_emptyfields_."";
		$AML_error_description  = ""._admin_addcat_error_emptyfieldsdesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>error.inc.php</i> so I will die now!");
		}
		$AML_addcat_error = 1;
	}

	// categorie name exists?
	if(!isset($HTTP_POST_VARS['categorie_topcat']) || empty($HTTP_POST_VARS['categorie_topcat'])) $HTTP_POST_VARS['categorie_topcat'] = '';
	$AML_catexists = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_name = '".$HTTP_POST_VARS['categorie_name']."' AND categorie_topcat='".$HTTP_POST_VARS['categorie_topcat']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
	if(!empty($AML_catexists['total']))
	{
		$AML_error_error        = ""._admin_addcat_error_exists_."";
		$AML_error_description  = ""._admin_addcat_error_existsdesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>error.inc.php</i> so I will die now!");
		}	
		$AML_addcat_error = 1;	
	}
	
	//inset new categorie
	if(!isset($AML_addcat_error))
	{
		if(!empty($HTTP_POST_VARS['categorie_topcat']))
		{
			$AML_topcat   = AMS_sql_fetch_array(AMS_sql_query("SELECT categorie_viewitas FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_id = '".$HTTP_POST_VARS['categorie_topcat']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
			$AML_viewitas = "".$AML_topcat['categorie_viewitas']." "._gloabl_categoriesubtitle_splitter_." ".$HTTP_POST_VARS['categorie_name']."";
		}
		else
		{
			$AML_viewitas = $HTTP_POST_VARS['categorie_name'];
		}
		
		$AML_insert = AMS_sql_query("INSERT INTO ".$_AMLconfig['tbl_categories']." VALUES('',
		                                                                                  '',
		                                                                                  '',
		                                                                                  '".$HTTP_POST_VARS['categorie_topcat']."',
		                                                                                  '".$HTTP_POST_VARS['categorie_name']."',
		                                                                                  '".$HTTP_POST_VARS['categorie_headlinetext']."',
		                                                                                  '".$HTTP_POST_VARS['categorie_description']."',
		                                                                                  '".$AML_viewitas."',
		                                                                                  '0',
		                                                                                  '0',
		                                                                                  '0',
		                                                                                  '0',
		                                                                                  '".$HTTP_POST_VARS['categorie_subcats_show']."',
		                                                                                  '".$HTTP_POST_VARS['categorie_active']."',
		                                                                                  '".$HTTP_POST_VARS['categorie_list']."',
		                                                                                  '".$HTTP_POST_VARS['categorie_order']."',
		                                                                                  '".$HTTP_POST_VARS['categorie_order_type']."',
		                                                                                  '".$HTTP_POST_VARS['categorie_template1']."',
		                                                                                  '".$HTTP_POST_VARS['categorie_template2']."',
		                                                                                  '".$HTTP_POST_VARS['categorie_permission_r']."',
		                                                                                  '".$HTTP_POST_VARS['categorie_permission_w']."',
		                                                                                  '".$_AMLconfig['date_countflag']."',
		                                                                                  '".$_AMLconfig['date_countflag']."')", $_AMLconfig['sql_connect']);
		if(isset($AML_insert))
		{
		$AML_info_info         = ""._admin_addcat_info_created_."";
		$AML_info_description  = ""._admin_addcat_info_createddesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}	
	}
	}
}

if(isset($AML_addcat_error) || !isset($HTTP_POST_VARS['AML_cat_add_sent']))
{
	// --> BEGIN template 1 -----------------------------------------------------------------------------------------------------------
	$AML_chdir = chdir("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/dynamic/catcontainer/"); 
	if($AML_chdir)
	{
		$AML_templatepulldown1  = "\r\r\t\t<select name=\"categorie_template1\" class=\"AMTselectfield\">\n";
		$AML_opendir=opendir('.');
		while (false !== ($AML_templates = readdir ($AML_opendir))) 
		{
	
			if ($AML_templates != "." && $AML_templates != ".." && !ereg("catview_",  $AML_templates) && !ereg("_private",  $AML_templates) && !ereg("_vit_cnf",  $AML_templates) && !ereg("_vti_log",  $AML_templates) && !ereg("_vti_pvt",  $AML_templates) && !ereg("_vit_script",  $AML_templates) && !ereg("_vti_txt",  $AML_templates) && !ereg(".htaccess",  $AML_templates) && !ereg(".htpasswd",  $AML_templates))
			{ 
	       			$AML_templatepulldown1 .= "<option value=\"$AML_templates\"";
	      			if($AML_templates == @$HTTP_POST_VARS['categorie_template1'])
	       			{
	       				$AML_templatepulldown1 .= " selected ";
	       			}
	      			$AML_templatepulldown1 .= ">$AML_templates</option>"; 
	        	}
		}
		closedir($AML_opendir);
		@$AML_chdir = chdir("".$_AMLconfig['cfg_serverpath']."/admin/");
		$AML_templatepulldown1 .= "\r\r\t\t</select>";
	}
	// <-- END template 1 -------------------------------------------------------------------------------------------------------------


	// --> BEGIN template 2 -----------------------------------------------------------------------------------------------------------
	$AML_chdir = chdir("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/dynamic/catcontainer/"); 
	if($AML_chdir)
	{
		$AML_templatepulldown2  = "\r\r\t\t<select name=\"categorie_template2\" class=\"AMTselectfield\">\n";
		$AML_opendir=opendir('.');
		while (false !== ($AML_templates = readdir ($AML_opendir))) 
		{

			if (ereg("catview_",  $AML_templates))
			{ 
	       			$AML_templatepulldown2 .= "<option value=\"$AML_templates\"";
	       			if($AML_templates == @$HTTP_POST_VARS['categorie_template2'])
	       			{
	       				$AML_templatepulldown2 .= " selected ";
	       			}
	       			$AML_templatepulldown2 .= ">$AML_templates</option>"; 
	       		}
		}
		closedir($AML_opendir);
		@$AML_chdir = chdir("".$_AMLconfig['cfg_serverpath']."/admin/");
		$AML_templatepulldown2 .= "\r\r\t\t</select>";
	}
	// <-- END template 2 -------------------------------------------------------------------------------------------------------------
	
	
	// --> BEGIN subcats show ---------------------------------------------------------------------------------------------------------
	$AML_addcat_subcats_show= "<select name=\"categorie_subcats_show\" class=\"AMTselectfield\">";
        for($i=0;$i<11;$i++)
        {
        	if(@$HTTP_POST_VARS['categorie_subcats_show'] == $i){ $AML_selected = 'selected'; } else { $AML_selected = ''; }
        	$AML_addcat_subcats_show .= "<option value=\"".$i."\" ".$AML_selected .">".$i."</option>";
	}
        $AML_addcat_subcats_show .="</select>";
        // <-- END subcats show -----------------------------------------------------------------------------------------------------------
	
	// including cat object
	$AML_catpulldown_formname = "categorie_topcat";
	$AML_catpulldown['0']      = "0";
	$AML_catpulldown['1']      = "0";
	$AML_catpulldown['2']      = "0";
	if(!$_AMLinclude['obj_categorie'] = include("".$_AMLconfig['cfg_serverpath']."/objects/categories/catpulldown-form.obj.php"))
	{	
		die("can not load object<i>protocol form field</i> so I will die now!");
	}
	unset($AML_catpulldown_formname);
	
	if(!isset($HTTP_POST_VARS['submit']))
	{
			$AML_categorie_name          = '';
			$AML_categorie_description   = '';
			$AML_categorie_headlinetext  = '';
			$AML_cat_add_active1         = 'checked';
			$AML_cat_add_active2         = '';		
			$AML_cat_add_listed1         = 'checked';
			$AML_cat_add_listed2         = '';	
			$AML_cat_add_catorder1       = 'checked';
			$AML_cat_add_catorder2       = '';
			$AML_cat_add_permission_r0   = 'selected';
			$AML_cat_add_permission_r2   = '';
			$AML_cat_add_permission_r1   = '';
			$AML_cat_add_permission_w0   = 'selected';
			$AML_cat_add_permission_w2   = '';
			$AML_cat_add_permission_w1   = '';
			$AML_cat_add_dispsubV        = 'none';
			$AML_cat_add_dispsub1        = '';
			$AML_cat_add_dispsub2        = 'checked';
			$AML_cat_add_dispsub_limit   = '';
			$AML_cat_add_sort_topic      = '';
			$AML_cat_add_sort_lastchange = 'selected';
			$AML_cat_add_sort_url        = '';
			$AML_cat_add_sort_hits       = '';
			$AML_cat_add_sort_voteresult = '';
	}
	else
	{
		$AML_categorie_name          = $HTTP_POST_VARS['categorie_name'];
		$AML_categorie_description   = $HTTP_POST_VARS['categorie_description'];
		$AML_categorie_headlinetext  = $HTTP_POST_VARS['categorie_headlinetext'];
			
		if(isset($HTTP_POST_VARS['categorie_permission_r']) && $HTTP_POST_VARS['categorie_permission_r'] == '0')
		{
			$AML_cat_add_permission_r0 = 'selected';
			$AML_cat_add_permission_r2 = '';
			$AML_cat_add_permission_r1 = '';
		}
		elseif(isset($HTTP_POST_VARS['categorie_permission_r']) && $HTTP_POST_VARS['categorie_permission_r'] == '2')
		{
			$AML_cat_add_permission_r0 = '';
			$AML_cat_add_permission_r2 = 'selected';
			$AML_cat_add_permission_r1 = '';
		}
		else
		{
			$AML_cat_add_permission_r0 = '';
			$AML_cat_add_permission_r2 = '';
			$AML_cat_add_permission_r1 = 'selected';
		}
		if(isset($HTTP_POST_VARS['categorie_permission_w']) && $HTTP_POST_VARS['categorie_permission_w'] == '0')
		{
			$AML_cat_add_permission_w0 = 'selected';
			$AML_cat_add_permission_w2 = '';
			$AML_cat_add_permission_w1 = '';
		}
		elseif(isset($HTTP_POST_VARS['categorie_permission_w']) && $HTTP_POST_VARS['categorie_permission_w'] == '2')
		{
			$AML_cat_add_permission_w0 = '';
			$AML_cat_add_permission_w2 = 'selected';
			$AML_cat_add_permission_w1 = '';
		}
		else
		{
			$AML_cat_add_permission_w0 = '';
			$AML_cat_add_permission_w2 = '';
			$AML_cat_add_permission_w1 = 'selected';
		}
		if(isset($HTTP_POST_VARS['categorie_active']) && $HTTP_POST_VARS['categorie_active'] == '1')
		{
			$AML_cat_add_active1 = 'checked';
			$AML_cat_add_active2 = '';
		}
		else
		{
			$AML_cat_add_active1 = '';
			$AML_cat_add_active2 = 'checked';
		}
		if(isset($HTTP_POST_VARS['categorie_list']) && $HTTP_POST_VARS['categorie_list'] == '1')
		{
			$AML_cat_add_listed1 = 'checked';
			$AML_cat_add_listed2 = '';
		}
		else
		{
			$AML_cat_add_listed1 = '';
			$AML_cat_add_listed2 = 'checked';
		}
		if(isset($HTTP_POST_VARS['categorie_subcats_show']) && $HTTP_POST_VARS['categorie_subcats_show'] == '1')
		{
			$AML_cat_add_dispsubV      = 'inline';
			$AML_cat_add_dispsub1      = 'checked';
			$AML_cat_add_dispsub2      = '';
			$AML_cat_add_dispsub_limit = $HTTP_POST_VARS['categorie_subcats_show'];
		}
		else
		{
			$AML_cat_add_dispsub_limit = '3';
			$AML_cat_add_dispsubV      = 'none';
			$AML_cat_add_dispsub1      = '';
			$AML_cat_add_dispsub2      = 'checked';
		}
		if($HTTP_POST_VARS['categorie_order'] == 'link_topic')
		{
			$AML_cat_add_sort_topic      = 'selected';
			$AML_cat_add_sort_lastchange = '';
			$AML_cat_add_sort_url        = '';
			$AML_cat_add_sort_hits       = '';
			$AML_cat_add_sort_voteresult = '';
		}
		if($HTTP_POST_VARS['categorie_order'] == 'link_lastchange')
		{
			$AML_cat_add_sort_topic      = '';
			$AML_cat_add_sort_lastchange = 'selected';
			$AML_cat_add_sort_url        = '';
			$AML_cat_add_sort_hits       = '';
			$AML_cat_add_sort_voteresult = '';
		}
		if($HTTP_POST_VARS['categorie_order'] == 'link_url')
		{
			$AML_cat_add_sort_topic      = '';
			$AML_cat_add_sort_lastchange = '';
			$AML_cat_add_sort_url        = 'selected';
			$AML_cat_add_sort_hits       = '';
			$AML_cat_add_sort_voteresult = '';
		}
		if($HTTP_POST_VARS['categorie_order'] == 'link_hits')
		{
			$AML_cat_add_sort_topic      = '';
			$AML_cat_add_sort_lastchange = '';
			$AML_cat_add_sort_url        = '';
			$AML_cat_add_sort_hits       = 'selected';
			$AML_cat_add_sort_voteresult = '';
		}
		if($HTTP_POST_VARS['categorie_order'] == 'link_voteresult')
		{
			$AML_cat_add_sort_topic      = '';
			$AML_cat_add_sort_lastchange = '';
			$AML_cat_add_sort_url        = '';
			$AML_cat_add_sort_hits       = '';
			$AML_cat_add_sort_voteresult = 'selected';
		}
		if($HTTP_POST_VARS['categorie_order_type'] == 'DESC')
		{
			$AML_cat_add_catorder1 = 'selected';
			$AML_cat_add_catorder2 = '';
		}
		else
		{
			$AML_cat_add_catorder1 = '';
			$AML_cat_add_catorder2 = 'selected';
		}				
	}
	$AML_catadd_tpl = //require_once("../include/template.inc.php");
	$AML_catadd_tpl = new AMT_Template("../template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cat_add.tpl.html", __FILE__, __LINE__);
	
		// --> BEGIN templating globals -------------------------------------------------------------------------------------------
		$AML_catadd_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_catadd_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
		$AML_catadd_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_catadd_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
		$AML_catadd_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
		$AML_catadd_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
		$AML_catadd_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals ---------------------------------------------------------------------------------------------

		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_headline',       ""._admin_addcat_headline_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_name',           ""._admin_addcat_name_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_topcat',         ""._admin_addcat_topcat_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_headlinetext',   ""._admin_addcat_headlinetext_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_description',    ""._admin_addcat_description_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_active',         ""._admin_addcat_active_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_listed',         ""._admin_addcat_listed_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_permission',     ""._admin_addcat_permission_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_template1',      ""._admin_addcat_template1_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_template2',      ""._admin_addcat_template2_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_global_yes',            ""._admin_global_yes_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_global_no',             ""._admin_global_no_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_global_all',            ""._admin_global_all_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_global_user',           ""._admin_global_user_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_global_admin',          ""._admin_global_admin_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_cattype',        ""._admin_addcat_cattype_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_default',        ""._admin_addcat_defaultcat_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_ordercat',       ""._admin_addcat_ordercat_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_global_read',           ""._admin_global_read_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_global_write',          ""._admin_global_write_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_dispsub',        ""._admin_addcat_dispsub_.""); 
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_dispsub_value',  ""._admin_addcat_dispsub_value_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_sort',           ""._admin_addcat_sort_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_sort_order',     ""._admin_addcat_sort_order_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_linktopic',      ""._admin_addcat_linktopic_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_linklastchange', ""._admin_addcat_linklastchange_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_linkurl',        ""._admin_addcat_linkurl_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_linkhits',       ""._admin_addcat_linkhits_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_linkvoteresult', ""._admin_addcat_linktopic_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_global_DESC',           ""._admin_global_desc_."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_global_ASC',            ""._admin_global_asc_."");
 
		//formfields
		$AML_catadd_tpl -> AMT_assign('AML_categorie_nameV',            "".$AML_categorie_name."");
		$AML_catadd_tpl -> AMT_assign('AML_categorie_descriptionV',     "".$AML_categorie_description."");
		$AML_catadd_tpl -> AMT_assign('AML_categorie_headlinetextV',    "".$AML_categorie_headlinetext."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_active1',            "".$AML_cat_add_active1."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_active2',            "".$AML_cat_add_active2."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_listed1',            "".$AML_cat_add_listed1."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_listed2',            "".$AML_cat_add_listed2."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_catorder_DESC',      "".$AML_cat_add_catorder1."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_catorder_ASC',       "".$AML_cat_add_catorder2."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_form_catselect',       "".$_AML_obj_catpulldown."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_form_template1',       "".$AML_templatepulldown1."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_form_template2',       "".$AML_templatepulldown2."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_permission_r0',      "".$AML_cat_add_permission_r0."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_permission_r2',      "".$AML_cat_add_permission_r2."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_permission_r1',      "".$AML_cat_add_permission_r1."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_permission_w0',      "".$AML_cat_add_permission_w0."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_permission_w2',      "".$AML_cat_add_permission_w2."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_permission_w1',      "".$AML_cat_add_permission_w1."");
		$AML_catadd_tpl -> AMT_assign('AML_admin_addcat_subcats_show',  "".$AML_addcat_subcats_show."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_dispsub_limit',      "".$AML_cat_add_dispsub_limit."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_sort_topic',         "".$AML_cat_add_sort_topic."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_sort_lastchange',    "".$AML_cat_add_sort_lastchange."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_sort_url',           "".$AML_cat_add_sort_url."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_sort_hits',          "".$AML_cat_add_sort_hits."");
		$AML_catadd_tpl -> AMT_assign('AML_cat_add_sort_voteresult',    "".$AML_cat_add_sort_voteresult."");
	$AML_catadd_tpl -> AMT_tpl_print();

}
?>