<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cat_edit.php                                 */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : May 21, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


if(isset($HTTP_POST_VARS['AML_cat_edit_sent']))
{
	//check for emtpy fields
	if(empty($HTTP_POST_VARS['categorie_name']))
	{
		$AML_error_error        = ""._admin_editcat_error_emptyfields_."";
		$AML_error_description  = ""._admin_editcat_error_emptyfieldsdesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>error.inc.php</i> so I will die now!");
		}
		$AML_addcat_error = 1;
	}

	// categorie name exists?
	$AML_catexists = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_name = '".$HTTP_POST_VARS['categorie_name']."' AND categorie_topcat = '".$HTTP_POST_VARS['categorie_topcat']."' AND categorie_id != '".$HTTP_POST_VARS['categorie_id']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
	if(!empty($AML_catexists['total']))
	{
		$AML_error_error        = ""._admin_addcat_error_exists_."";
		$AML_error_description  = ""._admin_addcat_error_existsdesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>error.inc.php</i> so I will die now!");
		}	
		$AML_addcat_error = 1;	
	}

	if(!isset($AML_addcat_error))
	{
	
		$AML_originalcat = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_id = '".$HTTP_POST_VARS['categorie_id']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		$AML_getsubcats = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_viewitas LIKE '%".$AML_originalcat['categorie_name']."%'", $_AMLconfig['sql_connect']);
		while($AML_getsubcatdesc = AMS_sql_fetch_array($AML_getsubcats, $_AMLconfig['sql_connect']))
		{
			$AML_getsubcatviewitas = str_replace("".$AML_originalcat['categorie_name']."", "".$HTTP_POST_VARS['categorie_name']."", $AML_getsubcatdesc['categorie_viewitas']);
			$AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_viewitas = '".$AML_getsubcatviewitas."' WHERE categorie_id = '".$AML_getsubcatdesc['categorie_id']."'", $_AMLconfig['sql_connect']);
		}
		
		if(!empty($HTTP_POST_VARS['categorie_topcat']))
		{
			$AML_topcat = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_id = '".$HTTP_POST_VARS['categorie_topcat']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
			$HTTP_POST_VARS['categorie_viewitas'] = "".$AML_topcat['categorie_viewitas']." "._gloabl_categoriesubtitle_splitter_." ".$HTTP_POST_VARS['categorie_name']."";
		}
		else
		{
			$HTTP_POST_VARS['categorie_viewitas'] = $HTTP_POST_VARS['categorie_name'];
		}
		$AML_editcat_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_viewitas     = '".$HTTP_POST_VARS['categorie_viewitas']."',
                                                                                                  categorie_topcat       = '".$HTTP_POST_VARS['categorie_topcat']."',
		                                                                                  categorie_name         = '".$HTTP_POST_VARS['categorie_name']."',
		                                                                                  categorie_headlinetext = '".$HTTP_POST_VARS['categorie_headlinetext']."',
		                                                                                  categorie_description  = '".$HTTP_POST_VARS['categorie_description']."',
		                                                                                  categorie_active       = '".$HTTP_POST_VARS['categorie_active']."',
		                                                                                  categorie_list         = '".$HTTP_POST_VARS['categorie_list']."',
		                                                                                  categorie_subcats_show = '".$HTTP_POST_VARS['categorie_subcats_show']."',
		                                                                                  categorie_order        = '".$HTTP_POST_VARS['categorie_order']."',
		                                                                                  categorie_order_type   = '".$HTTP_POST_VARS['categorie_order_type']."',
		                                                                                  categorie_template1    = '".$HTTP_POST_VARS['categorie_template1']."',
		                                                                                  categorie_template2    = '".$HTTP_POST_VARS['categorie_template2']."',
		                                                                                  categorie_permission_r = '".$HTTP_POST_VARS['categorie_permission_r']."',
		                                                                                  categorie_permission_w = '".$HTTP_POST_VARS['categorie_permission_w']."'
		                                                                                  WHERE categorie_id     = '".$HTTP_POST_VARS['categorie_id']."'", $_AMLconfig['sql_connect']);	
		$AML_info_info         = ""._admin_editcat_info_changed_."";
		$AML_info_description  = ""._admin_editcat_info_changeddesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
		$AML_editcat_done = 1;
	}

}	
	
	
	
if(!isset($AML_editcat_done) || isset($AML_addcat_error))
{	
	// --> BEGIN crating Cat-select ---------------------------------------------------------------------------------------------------
	if(!isset($HTTP_GET_VARS['AML_edit_categorie_id']) && !isset($HTTP_POST_VARS['AML_edit_categorie_id']))
	{
	// including cat object
	$AML_catpulldown_formname  = "AML_changelinkcat";
	$AML_catpulldown_jump      = "cat_edit.php?AML_edit_categorie_id=";
	$AML_catpulldown['0']      = "0";
	$AML_catpulldown['1']      = "0";
	$AML_catpulldown['2']      = "0";
	if(!$_AMLinclude['obj_categorie'] = include("".$_AMLconfig['cfg_serverpath']."/objects/categories/catpulldown-form.obj.php"))
	{	
		die("can not load object<i>protocol form field</i> so I will die now!");
	}
	
		$AML_info_info         = ""._admin_editcat_info_selectcat_."";
		$AML_info_description  = ""._admin_editcat_info_selectcatdesc_."<br><br>".$_AML_obj_catpulldown."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}
	// <-- END crating Cat-select ---------------------------------------------------------------------------------------------------
	
	else

	// ---- >
	// ----- > BEGIN PARSING EDIT BODY ------------------------------------------------------------------------------------------------
	// ----	> 	
	{	
	
		// --> BEGIN create categorie id ------------------------------------------------------------------------------------------
		if(isset($HTTP_GET_VARS['AML_edit_categorie_id']))
		{
			$AML_edit_categorie_id = $HTTP_GET_VARS['AML_edit_categorie_id'];
		}
		elseif(isset($HTTP_POST_VARS['AML_edit_categorie_id']))
		{
			$AML_edit_categorie_id = $HTTP_POST_VARS['AML_edit_categorie_id'];
		}
		// <-- END create categorie id --------------------------------------------------------------------------------------------
		
			
		$AML_catedit_bodyget = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_id = '$AML_edit_categorie_id' order by categorie_name", $_AMLconfig['sql_connect']);
		while($AML_catedit_body = AMS_sql_fetch_array($AML_catedit_bodyget, $_AMLconfig['sql_connect']))
		{
			
			// --> BEGIN categorie menu ---------------------------------------------------------------------------------------
			$HTTP_POST_VARS['categorie_topcat'] = $AML_catedit_body['categorie_topcat'];
			$AML_catpulldown_formname = "categorie_topcat";
			$AML_catpulldown['0']      = "0";
			$AML_catpulldown['1']      = "0";
			$AML_catpulldown['2']      = "1";
			if(!$_AMLinclude['obj_categorie'] = include("".$_AMLconfig['cfg_serverpath']."/objects/categories/catpulldown-form.obj.php"))
			{	
				die("can not load object<i>protocol form field</i> so I will die now!");
			}
			unset ($HTTP_POST_VARS['AML_admin_editcat_topcat']);
			// <-- END categorie menu -----------------------------------------------------------------------------------------
				
			
			// --> BEGIN permission field -------------------------------------------------------------------------------------
			$AML_permission_r  ="\n<select name=\"AML_admin_editcat_permission_r\" class=\"AMTselectfield\" id=\"AML_cat_edit_permission_r\">\n";
			$AML_permission_r .="\t<option value=\"0\"";
			if($AML_catedit_body['categorie_permission_r'] == "0") $AML_permission_r .= "selected";
			$AML_permission_r .=">"._admin_global_all_."</option>";
			$AML_permission_r .="\t<option value=\"2\"";
			if($AML_catedit_body['categorie_permission_r'] == "2") $AML_permission_r .= "selected";
			$AML_permission_r .=">"._admin_global_user_."</option>";
			$AML_permission_r .="\t<option value=\"1\"";
			if($AML_catedit_body['categorie_permission_r'] == "1") $AML_permission_r .= "selected";
			$AML_permission_r .=">"._admin_global_admin_."</option>";
			$AML_permission_r .="</select>\n";

			$AML_permission_w  ="\n<select name=\"AML_admin_editcat_permission_w\" class=\"AMTselectfield\" id=\"AML_cat_edit_permission_r\">\n";
			$AML_permission_w .="\t<option value=\"0\"";
			if($AML_catedit_body['categorie_permission_w'] == "0") $AML_permission_w .= "selected";
			$AML_permission_w .=">"._admin_global_all_."</option>";
			$AML_permission_w .="\t<option value=\"2\"";
			if($AML_catedit_body['categorie_permission_w'] == "2") $AML_permission_w .= "selected";
			$AML_permission_w .=">"._admin_global_user_."</option>";
			$AML_permission_w .="\t<option value=\"1\"";
			if($AML_catedit_body['categorie_permission_w'] == "1") $AML_permission_w .= "selected";
			$AML_permission_w .=">"._admin_global_admin_."</option>";
			$AML_permission_w .="</select>\n";
			// <-- END permission field ---------------------------------------------------------------------------------------
			

			// --> BEGIN active values ----------------------------------------------------------------------------------------
			if($AML_catedit_body['categorie_active'] == "1")
			{
				$AML_admin_editcat_active1 = "checked";
				$AML_admin_editcat_active2 = "";
			}
			else
			{
				$AML_admin_editcat_active1 = "";
				$AML_admin_editcat_active2 = "checked";
			}			
			// <-- END active values ------------------------------------------------------------------------------------------
			
			
			// --> BEGIN listed values ----------------------------------------------------------------------------------------
			if($AML_catedit_body['categorie_list'] == "1")
			{
				$AML_admin_editcat_listed1 = "checked";
				$AML_admin_editcat_listed2 = "";
			}
			else
			{
				$AML_admin_editcat_listed1 = "";
				$AML_admin_editcat_listed2 = "checked";
			}
			// <-- END listed values ------------------------------------------------------------------------------------------
			
			
			// --> BEGIN template 1 -------------------------------------------------------------------------------------------
			$AML_chdir = chdir("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/dynamic/catcontainer/"); 
			if($AML_chdir)
			{
				$AML_templatepulldown1  = "\r\r\t\t<select name=\"categorie_template1\" class=\"AMTselectfield\">\n";
				$AML_opendir=opendir('.');
				while (false !== ($AML_templates = readdir ($AML_opendir))) 
				{
	
					if ($AML_templates != "." && $AML_templates != ".." && !ereg("catview_",  $AML_templates) && !ereg("_private",  $AML_templates) && !ereg("_vit_cnf",  $AML_templates) && !ereg("_vti_log",  $AML_templates) && !ereg("_vti_pvt",  $AML_templates) && !ereg("_vit_script",  $AML_templates) && !ereg("_vti_txt",  $AML_templates) && !ereg(".htaccess",  $AML_templates) && !ereg(".htpasswd",  $AML_templates))
					{ 
	        				$AML_templatepulldown1 .= "<option value=\"$AML_templates\"";
	        				if($AML_templates == $AML_catedit_body['categorie_template1'])
	        				{
	        					$AML_templatepulldown1 .= " selected ";
	        				}
	        				$AML_templatepulldown1 .= ">$AML_templates</option>"; 
	        			}
				}
				closedir($AML_opendir);
				@$AML_chdir = chdir("".$_AMLconfig['cfg_serverpath']."/admin/");
				$AML_templatepulldown1 .= "\r\r\t\t</select>";
			}
			// <-- END template 1 ---------------------------------------------------------------------------------------------


			// --> BEGIN template 2 -------------------------------------------------------------------------------------------
			$AML_chdir = chdir("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/dynamic/catcontainer/"); 
			if($AML_chdir)
			{
				$AML_templatepulldown2  = "\r\r\t\t<select name=\"categorie_template2\" class=\"AMTselectfield\">\n";
				$AML_opendir=opendir('.');
				while (false !== ($AML_templates = readdir ($AML_opendir))) 
				{
	
					if (ereg("catview_",  $AML_templates))
					{ 
	        				$AML_templatepulldown2 .= "<option value=\"$AML_templates\"";
	        				if($AML_templates == $AML_catedit_body['categorie_template2'])
	        				{
	        					$AML_templatepulldown2 .= " selected ";
	        				}
	        				$AML_templatepulldown2 .= ">$AML_templates</option>"; 
	        			}
				}
				closedir($AML_opendir);
				@$AML_chdir = chdir("".$_AMLconfig['cfg_serverpath']."/admin/");
				$AML_templatepulldown2 .= "\r\r\t\t</select>";
			}
			// <-- END template 2 ---------------------------------------------------------------------------------------------
			
			// --> BEGIN subcats show -----------------------------------------------------------------------------------------
			$HTTP_POST_VARS['categorie_subcats_show'] = $AML_catedit_body['categorie_subcats_show'];
			$AML_editcat_subcats_show= "<select name=\"categorie_subcats_show\" class=\"AMTselectfield\">";
			for($i=0;$i<11;$i++)
			{
				if(@$HTTP_POST_VARS['categorie_subcats_show'] == $i){ $AML_selected = 'selected'; } else { $AML_selected = ''; }
				$AML_editcat_subcats_show .= "<option value=\"".$i."\" ".$AML_selected .">".$i."</option>";
			}
			$AML_editcat_subcats_show .="</select>";
			// <-- END subcats show -------------------------------------------------------------------------------------------
		
		
			if($AML_catedit_body['categorie_order'] == 'link_topic')
			{
				$AML_cat_edit_sort_topic      = 'selected';
				$AML_cat_edit_sort_lastchange = '';
				$AML_cat_edit_sort_url        = '';
				$AML_cat_edit_sort_hits       = '';
				$AML_cat_edit_sort_voteresult = '';
			}
			if($AML_catedit_body['categorie_order'] == 'link_lastchange')
			{
				$AML_cat_edit_sort_topic      = '';
				$AML_cat_edit_sort_lastchange = 'selected';
				$AML_cat_edit_sort_url        = '';
				$AML_cat_edit_sort_hits       = '';
				$AML_cat_edit_sort_voteresult = '';
			}
			if($AML_catedit_body['categorie_order'] == 'link_url')
			{
				$AML_cat_edit_sort_topic      = '';
				$AML_cat_edit_sort_lastchange = '';
				$AML_cat_edit_sort_url        = 'selected';
				$AML_cat_edit_sort_hits       = '';
				$AML_cat_edit_sort_voteresult = '';
			}
			if($AML_catedit_body['categorie_order'] == 'link_hits')
			{
				$AML_cat_edit_sort_topic      = '';
				$AML_cat_edit_sort_lastchange = '';
				$AML_cat_edit_sort_url        = '';
				$AML_cat_edit_sort_hits       = 'selected';
				$AML_cat_edit_sort_voteresult = '';
			}
			if($AML_catedit_body['categorie_order'] == 'link_voteresult')
			{
				$AML_cat_edit_sort_topic      = '';
				$AML_cat_edit_sort_lastchange = '';
				$AML_cat_edit_sort_url        = '';
				$AML_cat_edit_sort_hits       = '';
				$AML_cat_edit_sort_voteresult = 'selected';
			}
			if($AML_catedit_body['categorie_order_type'] == 'DESC')
			{
				$AML_cat_edit_catorder1 = 'selected';
				$AML_cat_edit_catorder2 = '';
			}
			else
			{
				$AML_cat_edit_catorder1 = '';
				$AML_cat_edit_catorder2 = 'selected';
			}			
			if(isset($AML_catedit_body['categorie_permission_r']) && $AML_catedit_body['categorie_permission_r'] == '0')
			{
				$AML_cat_edit_permission_r0 = 'selected';
				$AML_cat_edit_permission_r2 = '';
				$AML_cat_edit_permission_r1 = '';
			}
			elseif(isset($AML_catedit_body['categorie_permission_r']) && $AML_catedit_body['categorie_permission_r'] == '2')
			{
				$AML_cat_edit_permission_r0 = '';
				$AML_cat_edit_permission_r2 = 'selected';
				$AML_cat_edit_permission_r1 = '';
			}
			else
			{
				$AML_cat_edit_permission_r0 = '';
				$AML_cat_edit_permission_r2 = '';
				$AML_cat_edit_permission_r1 = 'selected';
			}
			if(isset($AML_catedit_body['categorie_permission_w']) && $AML_catedit_body['categorie_permission_w'] == '0')
			{
				$AML_cat_edit_permission_w0 = 'selected';
				$AML_cat_edit_permission_w2 = '';
				$AML_cat_edit_permission_w1 = '';
			}
			elseif(isset($AML_catedit_body['categorie_permission_w']) && $AML_catedit_body['categorie_permission_w'] == '2')
			{
				$AML_cat_edit_permission_w0 = '';
				$AML_cat_edit_permission_w2 = 'selected';
				$AML_cat_edit_permission_w1 = '';
			}
			else
			{
				$AML_cat_edit_permission_w0 = '';
				$AML_cat_edit_permission_w2 = '';
				$AML_cat_edit_permission_w1 = 'selected';
			}
		
			$AML_cateditbody_tpl = //require_once("../include/template.inc.php");
			$AML_cateditbody_tpl = new AMT_Template("../template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cat_edit.tpl.html", __FILE__, __LINE__);
			
				// --> BEGIN templating globals ---------------------------------------------------------------------------
				$AML_cateditbody_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
				$AML_cateditbody_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
				$AML_cateditbody_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
				$AML_cateditbody_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
				$AML_cateditbody_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
				$AML_cateditbody_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
				$AML_cateditbody_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
				// <-- END templating globals -----------------------------------------------------------------------------

				$AML_cateditbody_tpl -> AMT_assign('AML_edit_categorie_id',               "".$AML_catedit_body['categorie_id']."");
				$AML_cateditbody_tpl -> AMT_assign('AML_urltotemplate',                   "".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."/");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_headline',          ""._admin_editcat_headline_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_name',              ""._admin_editcat_name_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_topcat',            ""._admin_editcat_topcat_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_description',       ""._admin_editcat_description_."");	
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_visible',           ""._admin_editcat_visible_."");	
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_permission',        ""._admin_editcat_permission_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_active',            ""._admin_editcat_active_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_listed',            ""._admin_editcat_listed_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_headlinetext',      ""._admin_editcat_headlinetext_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_template1',         ""._admin_editcat_template1_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_template2',         ""._admin_editcat_template2_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_global_yes',                ""._admin_global_yes_."");	
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_global_no',                 ""._admin_global_no_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_global_read',               ""._admin_global_read_.""); 
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_global_write',              ""._admin_global_write_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_global_yes',                ""._admin_global_yes_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_global_no',                 ""._admin_global_no_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_global_all',                ""._admin_global_all_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_global_user',               ""._admin_global_user_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_global_admin',              ""._admin_global_admin_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_dispsub',           ""._admin_editcat_dispsub_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_sort',              ""._admin_editcat_sort_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_sort_order',        ""._admin_editcat_sort_order_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_linktopic',         ""._admin_editcat_linktopic_."");
          			$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_linklastchange',    ""._admin_editcat_linklastchange_."");
          			$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_linkurl',           ""._admin_editcat_linkurl_."");
          			$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_linkhits',          ""._admin_editcat_linkhits_."");
          			$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_linktopic',         ""._admin_editcat_linktopic_."");
          			$AML_cateditbody_tpl -> AMT_assign('AML_admin_global_DESC',               ""._admin_global_desc_."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_global_ASC',                ""._admin_global_asc_."");
          			
				$AML_cateditbody_tpl -> AMT_assign('AML_categorie_nameV',                 "".$AML_catedit_body['categorie_name']."");
				$AML_cateditbody_tpl -> AMT_assign('AML_categorie_descriptionV',          "".$AML_catedit_body['categorie_description']."");
				$AML_cateditbody_tpl -> AMT_assign('AML_categorie_headlinetextV',         "".$AML_catedit_body['categorie_headlinetext']."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_categorieid',       "".$AML_catedit_body['categorie_id']."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_form_catselect',            "".$_AML_obj_catpulldown."");
				$AML_cateditbody_tpl -> AMT_assign('AML_cat_edit_permission_r0',          "".$AML_cat_edit_permission_r0."");
				$AML_cateditbody_tpl -> AMT_assign('AML_cat_edit_permission_r2',          "".$AML_cat_edit_permission_r2."");
				$AML_cateditbody_tpl -> AMT_assign('AML_cat_edit_permission_r1',          "".$AML_cat_edit_permission_r1."");
				$AML_cateditbody_tpl -> AMT_assign('AML_cat_edit_permission_w0',          "".$AML_cat_edit_permission_w0."");
				$AML_cateditbody_tpl -> AMT_assign('AML_cat_edit_permission_w2',          "".$AML_cat_edit_permission_w2."");
				$AML_cateditbody_tpl -> AMT_assign('AML_cat_edit_permission_w1',          "".$AML_cat_edit_permission_w1."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_active1',           "".$AML_admin_editcat_active1."");			
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_active2',           "".$AML_admin_editcat_active2."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_listed1',           "".$AML_admin_editcat_listed1."");			
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_listed2',           "".$AML_admin_editcat_listed2."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_editcat_subcats_show',      "".$AML_editcat_subcats_show."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_form_template1',            "".$AML_templatepulldown1."");
				$AML_cateditbody_tpl -> AMT_assign('AML_admin_form_template2',            "".$AML_templatepulldown2."");
				$AML_cateditbody_tpl -> AMT_assign('AML_cat_edit_sort_topic',             "".$AML_cat_edit_sort_topic."");
				$AML_cateditbody_tpl -> AMT_assign('AML_cat_edit_sort_lastchange',        "".$AML_cat_edit_sort_lastchange."");
				$AML_cateditbody_tpl -> AMT_assign('AML_cat_edit_sort_url',               "".$AML_cat_edit_sort_url."");
				$AML_cateditbody_tpl -> AMT_assign('AML_cat_edit_sort_hits',              "".$AML_cat_edit_sort_hits."");
				$AML_cateditbody_tpl -> AMT_assign('AML_cat_edit_sort_voteresult',        "".$AML_cat_edit_sort_voteresult."");
				$AML_cateditbody_tpl -> AMT_assign('AML_cat_edit_catorder_DESC',          "".$AML_cat_edit_catorder1."");
				$AML_cateditbody_tpl -> AMT_assign('AML_cat_edit_catorder_ASC',           "".$AML_cat_edit_catorder2."");
			$AML_cateditbody_tpl -> AMT_tpl_print();
		}
	}	
	// <  ---- 
	// < ----- END PARSING EDIT BODY --------------------------------------------------------------------------------------------------
	// <  ----
}
?>