<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_mail.php                                 */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


if(isset($HTTP_POST_VARS['AML_mail_sent']))
{
	if(!empty($HTTP_POST_VARS['AML_defaultname']) &&
	   !empty($HTTP_POST_VARS['AML_contenttype']) &&
	   AMP_check_email($HTTP_POST_VARS['AML_defaultaddress']))
	{
		$AML_update = @AMS_sql_query("UPDATE ".$_AMLconfig['tbl_config']." SET cfg_mail_comment_user            = '".$HTTP_POST_VARS['AML_comment_user']."',
		                                                                       cfg_mail_comment_admin           = '".$HTTP_POST_VARS['AML_comment_admin']."',
		                                                                       cfg_mail_entry_received_user     = '".$HTTP_POST_VARS['AML_newentry_user']."',
		                                                                       cfg_mail_entry_received_admin    = '".$HTTP_POST_VARS['AML_newentry_admin']."',
		                                                                       cfg_mail_entry_accepted_user     = '".$HTTP_POST_VARS['AML_acceptentry_user']."',
		                                                                       cfg_mail_entry_accepted_admin    = '".$HTTP_POST_VARS['AML_acceptentry_admin']."',
		                                                                       cfg_mail_entry_deactivated_user  = '".$HTTP_POST_VARS['AML_deactivateentry_user']."',
		                                                                       cfg_mail_entry_deactivated_admin = '".$HTTP_POST_VARS['AML_deactivateentry_admin']."',
		                                                                       cfg_mail_entry_denied_user       = '".$HTTP_POST_VARS['AML_deniedentry_user']."',
		                                                                       cfg_mail_entry_denied_admin      = '".$HTTP_POST_VARS['AML_deniedentry_admin']."',
		                                                                       cfg_mail_entry_deleted_user      = '".$HTTP_POST_VARS['AML_deleteentry_user']."',
		                                                                       cfg_mail_entry_deleted_admin     = '".$HTTP_POST_VARS['AML_deleteentry_admin']."',
		                                                                       cfg_mail_entry_broken_user       = '".$HTTP_POST_VARS['AML_brokenentry_user']."',
		                                                                       cfg_mail_entry_broken_admin      = '".$HTTP_POST_VARS['AML_brokenentry_admin']."',
		                                                                       cfg_mail_username                = '".$HTTP_POST_VARS['AML_defaultname']."',
		                                                                       cfg_mail_defaultaddress          = '".$HTTP_POST_VARS['AML_defaultaddress']."',
		                                                                       cfg_mail_contenttype             = '".$HTTP_POST_VARS['AML_contenttype']."'", $_AMLconfig['sql_connect']);
		                                                                      
		if(!$_AMLusrcfg = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_config']."", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']))
		{
			die("There is a problem occured.<br> Can not reload user configuration!<br>");
		}
		else
		{
			$AML_info_info         = ""._admin_info_mail_changed_."";
			$AML_info_description  = ""._admin_info_mail_changeddesc_."";
			if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}	
		}
	}
}		                                                                      
		
	   
if($_AMLusrcfg['cfg_mail_entry_received_user']     == '1') { $AML_mail_entry_received_user     ='checked'; } else { $AML_mail_entry_received_user     =''; }
if($_AMLusrcfg['cfg_mail_entry_received_admin']    == '1') { $AML_mail_entry_received_admin    ='checked'; } else { $AML_mail_entry_received_admin    =''; }
if($_AMLusrcfg['cfg_mail_entry_accepted_user']     == '1') { $AML_mail_entry_accepted_user     ='checked'; } else { $AML_mail_entry_accepted_user     =''; }
if($_AMLusrcfg['cfg_mail_entry_accepted_admin']    == '1') { $AML_mail_entry_accepted_admin    ='checked'; } else { $AML_mail_entry_accepted_admin    =''; }
if($_AMLusrcfg['cfg_mail_entry_deactivated_user']  == '1') { $AML_mail_entry_deactivated_user  ='checked'; } else { $AML_mail_entry_deactivated_user  =''; }
if($_AMLusrcfg['cfg_mail_entry_deactivated_admin'] == '1') { $AML_mail_entry_deactivated_admin ='checked'; } else { $AML_mail_entry_deactivated_admin =''; }
if($_AMLusrcfg['cfg_mail_entry_denied_user']       == '1') { $AML_mail_entry_denied_user       ='checked'; } else { $AML_mail_entry_denied_user       =''; }
if($_AMLusrcfg['cfg_mail_entry_denied_admin']      == '1') { $AML_mail_entry_denied_admin      ='checked'; } else { $AML_mail_entry_denied_admin      =''; }
if($_AMLusrcfg['cfg_mail_entry_deleted_user']      == '1') { $AML_mail_entry_deleted_user      ='checked'; } else { $AML_mail_entry_deleted_user      =''; }
if($_AMLusrcfg['cfg_mail_entry_deleted_admin']     == '1') { $AML_mail_entry_deleted_admin     ='checked'; } else { $AML_mail_entry_deleted_admin     =''; }
if($_AMLusrcfg['cfg_mail_entry_broken_user']       == '1') { $AML_mail_entry_broken_user       ='checked'; } else { $AML_mail_entry_broken_user       =''; }
if($_AMLusrcfg['cfg_mail_entry_broken_admin']      == '1') { $AML_mail_entry_broken_admin      ='checked'; } else { $AML_mail_entry_broken_admin      =''; }
if($_AMLusrcfg['cfg_mail_comment_user']            == '1') { $AML_mail_entry_comment_user      ='checked'; } else { $AML_mail_entry_comment_user      =''; }
if($_AMLusrcfg['cfg_mail_comment_admin']           == '1') { $AML_mail_entry_comment_admin     ='checked'; } else { $AML_mail_entry_comment_admin     =''; }

$AML_configmail_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_configmail_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_mail.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_configmail_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_configmail_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_configmail_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_configmail_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_configmail_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_configmail_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_configmail_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	// text
	$AML_configmail_tpl -> AMT_assign('AML_admin_mailsettings_user',                ""._admin_mailsettings_user_."");
	$AML_configmail_tpl -> AMT_assign('AML_admin_mailsettings_admin',               ""._admin_mailsettings_admin_."");
	$AML_configmail_tpl -> AMT_assign('AML_admin_mailsettings_headline',            ""._admin_mailsettings_headline_."");
	$AML_configmail_tpl -> AMT_assign('AML_admin_mailsettings_defaultname',         ""._admin_mailsettings_defaultname_."");
	$AML_configmail_tpl -> AMT_assign('AML_admin_mailsettings_defaultaddress',      ""._admin_mailsettings_defaultaddress_."");
	$AML_configmail_tpl -> AMT_assign('AML_admin_mailsettings_contenttype',         ""._admin_mailsettings_contenttype_."");
	$AML_configmail_tpl -> AMT_assign('AML_admin_mailsettings_infonewentry',        ""._admin_mailsettings_infonewentry_."");
	$AML_configmail_tpl -> AMT_assign('AML_admin_mailsettings_infoacceptentry',     ""._admin_mailsettings_infoacceptentry_."");
	$AML_configmail_tpl -> AMT_assign('AML_admin_mailsettings_infodeniedentry',     ""._admin_mailsettings_infodeniedentry_."");
	$AML_configmail_tpl -> AMT_assign('AML_admin_mailsettings_infodeletedentry',    ""._admin_mailsettings_infodeletedentry_."");
	$AML_configmail_tpl -> AMT_assign('AML_admin_mailsettings_infobrokenentry',     ""._admin_mailsettings_infobrokenentry_."");
	$AML_configmail_tpl -> AMT_assign('AML_admin_mailsettings_infocomment',         ""._admin_mailsettings_infocommententry_."");
	$AML_configmail_tpl -> AMT_assign('AML_admin_mailsettings_infodeactivateentry', ""._admin_mailsettings_infodeactivateentry_."");
	//values
	$AML_configmail_tpl -> AMT_assign('AML_defaultnameV',                           "".$_AMLusrcfg['cfg_mail_username']."");
	$AML_configmail_tpl -> AMT_assign('AML_defaultaddressV',                        "".$_AMLusrcfg['cfg_mail_defaultaddress']."");
	$AML_configmail_tpl -> AMT_assign('AML_contenttypeV',                           "".$_AMLusrcfg['cfg_mail_contenttype']."");
	$AML_configmail_tpl -> AMT_assign('AML_newentry_user_checked',                  "".$AML_mail_entry_received_user."");
	$AML_configmail_tpl -> AMT_assign('AML_newentry_admin_checked',                 "".$AML_mail_entry_received_user."");
	$AML_configmail_tpl -> AMT_assign('AML_acceptentry_user_checked',               "".$AML_mail_entry_accepted_user."");
	$AML_configmail_tpl -> AMT_assign('AML_acceptentry_admin_checked',              "".$AML_mail_entry_accepted_admin."");
	$AML_configmail_tpl -> AMT_assign('AML_deactivateentry_user_checked',           "".$AML_mail_entry_deactivated_user."");
	$AML_configmail_tpl -> AMT_assign('AML_deactivateentry_admin_checked',          "".$AML_mail_entry_deactivated_admin."");
	$AML_configmail_tpl -> AMT_assign('AML_deniedentry_user_checked',               "".$AML_mail_entry_denied_user."");
	$AML_configmail_tpl -> AMT_assign('AML_deniedentry_admin_checked',              "".$AML_mail_entry_denied_admin."");
	$AML_configmail_tpl -> AMT_assign('AML_deleteentry_user_checked',               "".$AML_mail_entry_deleted_user."");
	$AML_configmail_tpl -> AMT_assign('AML_deleteentry_admin_checked',              "".$AML_mail_entry_deleted_admin."");
	$AML_configmail_tpl -> AMT_assign('AML_brokenentry_user_checked',               "".$AML_mail_entry_broken_user."");
	$AML_configmail_tpl -> AMT_assign('AML_brokenentry_admin_checked',              "".$AML_mail_entry_broken_admin."");
	$AML_configmail_tpl -> AMT_assign('AML_comment_user_checked',                   "".$AML_mail_entry_comment_user."");
	$AML_configmail_tpl -> AMT_assign('AML_comment_admin_checked',                  "".$AML_mail_entry_comment_admin."");
	
$AML_configmail_tpl -> AMT_tpl_print();
?>