<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_search.php                               */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


if(isset($HTTP_POST_VARS['sent']))
{
	$AML_update = AMS_sql_query("UPDATE $_AMLconfig[tbl_config] SET cfg_search_stringmin             = '$HTTP_POST_VARS[AML_admin_configsearch_min]',
	                                                                cfg_search_stringmax             = '$HTTP_POST_VARS[AML_admin_configsearch_max]',
	                                                                cfg_search_forbiddenwords        = '$HTTP_POST_VARS[AML_admin_configsearch_forbidden]',
	                                                                cfg_search_highlightresult       = '$HTTP_POST_VARS[AML_admin_configsearch_highlight]',
	                                                                cfg_search_highlightresult_color = '$HTTP_POST_VARS[AML_admin_configsearch_highlight_color]',
	                                                                cfg_search_formbysubmit          = '$HTTP_POST_VARS[AML_admin_configsearch_formbysubmit]'", $_AMLconfig['sql_connect']);

	if(isset($AML_update))
	{
		$AML_info_info         = ""._admin_configsetsites_info_done_."";
		$AML_info_description  = ""._admin_configsetsites_info_donedesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}

}

// get user configuration again
$_AMLusrcfg = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM $_AMLconfig[tbl_config]", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);


if($_AMLusrcfg['cfg_search_highlightresult'] == '1')
{
	$AML_admin_configsearch_highlight_checked1 = 'checked';
	$AML_admin_configsearch_highlight_checked2 = '';
}
else
{
	$AML_admin_configsearch_highlight_checked1 = '';
	$AML_admin_configsearch_highlight_checked2 = 'checked';	
}

if($_AMLusrcfg['cfg_search_formbysubmit'] == '1')
{
	$AML_admin_configsearch_formbysubmit_checked1 = 'checked';
	$AML_admin_configsearch_formbysubmit_checked2 = '';
}
else
{
	$AML_admin_configsearch_formbysubmit_checked1 = '';
	$AML_admin_configsearch_formbysubmit_checked2 = 'checked';	
}
$AML_search_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_search_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_search.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_search_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_search_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_search_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_search_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_search_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_search_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_search_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	// text
	$AML_search_tpl -> AMT_assign('AML_admin_configsearch_headline',              ""._admin_configsearch_headline_."");
	$AML_search_tpl -> AMT_assign('AML_admin_configsearch_min',                   ""._admin_configsearch_min_."");
	$AML_search_tpl -> AMT_assign('AML_admin_configsearch_max',                   ""._admin_configsearch_max_."");
	$AML_search_tpl -> AMT_assign('AML_admin_configsearch_formbysubmit',          ""._admin_configsearch_formbysubmit_."");
	$AML_search_tpl -> AMT_assign('AML_admin_configsearch_forbidden',             ""._admin_configsearch_forbidden_."");
	$AML_search_tpl -> AMT_assign('AML_admin_configsearch_highlight',             ""._admin_configsearch_highlight_.""); 
	$AML_search_tpl -> AMT_assign('AML_admin_configsearch_highlightcolor',        ""._admin_configsearch_highlightcolor_."");
	$AML_search_tpl -> AMT_assign('AML_admin_global_yes',                         ""._admin_global_yes_."");
	$AML_search_tpl -> AMT_assign('AML_admin_global_no',                          ""._admin_global_no_."");

	//values
	$AML_search_tpl -> AMT_assign('AML_admin_configsearch_minV',                  "$_AMLusrcfg[cfg_search_stringmin]");
	$AML_search_tpl -> AMT_assign('AML_admin_configsearch_maxV',                  "$_AMLusrcfg[cfg_search_stringmax]");
	$AML_search_tpl -> AMT_assign('AML_admin_configsearch_formbysubmit_checked1', "$AML_admin_configsearch_formbysubmit_checked1");		
	$AML_search_tpl -> AMT_assign('AML_admin_configsearch_formbysubmit_checked2', "$AML_admin_configsearch_formbysubmit_checked2");
	$AML_search_tpl -> AMT_assign('AML_admin_configsearch_forbiddenV',            "$_AMLusrcfg[cfg_search_forbiddenwords]");
	$AML_search_tpl -> AMT_assign('AML_admin_configsearch_highlight_checked1',    "$AML_admin_configsearch_highlight_checked1");		
	$AML_search_tpl -> AMT_assign('AML_admin_configsearch_highlight_checked2',    "$AML_admin_configsearch_highlight_checked2");
	$AML_search_tpl -> AMT_assign('AML_admin_configsearch_highlight_colorV',      "$_AMLusrcfg[cfg_search_highlightresult_color]");	
$AML_search_tpl -> AMT_tpl_print();

?>