<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_surroundings.php                         */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


if(isset($HTTP_POST_VARS['sent']))
{
	if($HTTP_POST_VARS['AML_admin_configsurroundings_defaultindex'] == '1')
	{
		$AML_defaultindex = $HTTP_POST_VARS['AML_admin_configsurroundings_defaultindex_setsite'];
	}
	else
	{
		$AML_defaultindex = $HTTP_POST_VARS['AML_obj_categorie'];
	}
	
	if(is_numeric($HTTP_POST_VARS['DD'])   ||
	   is_numeric($HTTP_POST_VARS['MM'])   ||
	   is_numeric($HTTP_POST_VARS['YYYY']) ||
	   is_numeric($HTTP_POST_VARS['HH'])   ||
	   is_numeric($HTTP_POST_VARS['II'])   ||
	   is_numeric($HTTP_POST_VARS['SS']))
	{
		$AML_update_installdate = strtotime("".$HTTP_POST_VARS['YYYY']."-".$HTTP_POST_VARS['MM']."-".$HTTP_POST_VARS['DD']." ".$HTTP_POST_VARS['HH'].":".$HTTP_POST_VARS['II'].":".$HTTP_POST_VARS['SS'].""."");
	}
	else
	{
		$AML_update_installdate = $_AMLusrcfg['globalcfg_installdate'];
	}
	$AML_update = AMS_sql_query("UPDATE $_AMLconfig[tbl_config] SET globalcfg_site_name         = '".$HTTP_POST_VARS['globalcfg_sitename']."',
	                                                                globalcfg_site_description  = '".$HTTP_POST_VARS['globalcfg_sitedescription']."',
	                                                                globalcfg_site_url          = '".$HTTP_POST_VARS['globalcfg_siteurl']."',
	                                                                globalcfg_installdate       = '".$AML_update_installdate."',
	                                                                globalcfg_mainfile          = '".$HTTP_POST_VARS['globalcfg_mainfile']."',
	                                                                globalcfg_openvar           = '".$HTTP_POST_VARS['globalcfg_openvar']."',
	                                                                globalcfg_defaultindex      = '".$AML_defaultindex."',
	                                                                globalcfg_includeheader     = '".$HTTP_POST_VARS['globalcfg_includeheader']."',
	                                                                globalcfg_includefooter     = '".$HTTP_POST_VARS['globalcfg_includefooter']."',
	                                                                globalcfg_defaultindex_type = '".$HTTP_POST_VARS['AML_admin_configsurroundings_defaultindex']."',
	                                                                globalcfg_dbtype            = '".$HTTP_POST_VARS['globalcfg_dbtype']."',
	                                                                globalcfg_stattype          = '".$HTTP_POST_VARS['globalcfg_stattype']."',
	                                                                globalcfg_language          = '".$HTTP_POST_VARS['AML_obj_languagepulldown']."',
	                                                                globalcfg_template          = '".$HTTP_POST_VARS['AML_obj_templatepulldown']."'", $_AMLconfig['sql_connect']);
	
	if(isset($AML_update))
	{
		$AML_info_info         = ""._admin_configsetsites_info_done_."";
		$AML_info_description  = ""._admin_configsetsites_info_donedesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}
	// get user configuration again
	$_AMLusrcfg = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_config']."", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);

}

if($_AMLusrcfg['globalcfg_defaultindex_type'] == '1')
{
	$AML_admin_configsurroundings_defaultindex_checked1 = 'checked';
	$AML_admin_configsurroundings_defaultindex_checked2 = '';
	$AML_defaultindex_status = 'disabled';
	$AML_admin_configsurroundings_defaultindex_setsite_status   = '';
	$AML_defaultindex_cat = '';
	if($_AMLusrcfg['globalcfg_defaultindex'] == 'catdescriptions.php')
	{
		$AML_admin_configsurroundings_defaultindex_setsite_selected_cat       = 'selected';
		$AML_admin_configsurroundings_defaultindex_setsite_selected_search    = '';
		$AML_admin_configsurroundings_defaultindex_setsite_selected_statistic = '';
	}
	elseif($_AMLusrcfg['globalcfg_defaultindex'] == 'search.php')
	{
		$AML_admin_configsurroundings_defaultindex_setsite_selected_cat       = '';
		$AML_admin_configsurroundings_defaultindex_setsite_selected_search    = 'selected';
		$AML_admin_configsurroundings_defaultindex_setsite_selected_statistic = '';	
	}
	elseif($_AMLusrcfg['globalcfg_defaultindex'] == 'overview.php')
	{
		$AML_admin_configsurroundings_defaultindex_setsite_selected_cat       = '';
		$AML_admin_configsurroundings_defaultindex_setsite_selected_search    = '';
		$AML_admin_configsurroundings_defaultindex_setsite_selected_statistic = 'selected';	
	}
}
else
{
	$AML_admin_configsurroundings_defaultindex_checked1 = '';
	$AML_admin_configsurroundings_defaultindex_checked2 = 'checked';
	$AML_defaultindex_status = '';
	$AML_defaultindex_cat = $_AMLusrcfg['globalcfg_defaultindex'];
	$AML_admin_configsurroundings_defaultindex_setsite_status   = 'disabled';
	$AML_admin_configsurroundings_defaultindex_setsite_selected_cat       = '';
	$AML_admin_configsurroundings_defaultindex_setsite_selected_search    = '';
	$AML_admin_configsurroundings_defaultindex_setsite_selected_statistic = '';
}

if($_AMLusrcfg['globalcfg_openvar'] == '?')
{
	$AML_admin_configsurroundings_openvar_selected1 = 'selected';
	$AML_admin_configsurroundings_openvar_selected2	= '';
}
else
{
	$AML_admin_configsurroundings_openvar_selected1 = '';
	$AML_admin_configsurroundings_openvar_selected2	= 'selected';
}

if($_AMLusrcfg['globalcfg_stattype'] == '0')
{
	$AML_admin_configsurroundings_stattype_checked1 = 'checked';
	$AML_admin_configsurroundings_stattype_checked2	= '';
}
else
{
	$AML_admin_configsurroundings_stattype_checked1 = '';
	$AML_admin_configsurroundings_stattype_checked2	= 'checked';
}

if($_AMLusrcfg['globalcfg_dbtype'] == '0')
{
	$AML_admin_globalcfg_dbtype_unset     = 'checked';
	$AML_admin_globalcfg_dbtype_download  = '';
	$AML_admin_globalcfg_dbtype_linkonly  = '';
}
elseif($_AMLusrcfg['globalcfg_dbtype'] == '1')
{
	$AML_admin_globalcfg_dbtype_unset     = '';
	$AML_admin_globalcfg_dbtype_download  = 'checked';
	$AML_admin_globalcfg_dbtype_linkonly  = '';
}
else
{
	$AML_admin_globalcfg_dbtype_unset     = '';
	$AML_admin_globalcfg_dbtype_download  = '';
	$AML_admin_globalcfg_dbtype_linkonly  = 'checked';
}
// BEGIN including objects --------------------------------------------------------------------------------------------------------	
	if(!$_AMLinclude['obj_orderbypulldown'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/search/orderbypulldown.obj.php"))
	{	
		die("can not load object <i>orderbypulldown</i> so I will die now!");
	}
	
	if(!$_AMLinclude['obj_howtofield'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/search/howtopulldown.obj.php"))
	{	
			die("can not load object <i>howtofield</i> so I will die now!");
	}
	
	// --> BEGIN categorie ------------------------------------------------------------------------------------------------------------
	if(!isset($HTTP_POST_VARS['AML_obj_categorie'])) $HTTP_POST_VARS['AML_obj_categorie'] = $_AMLusrcfg['globalcfg_defaultindex'];
	$AML_catpulldown_formname  = "AML_obj_categorie";
	$AML_catpulldown['0']      = "1";
	$AML_catpulldown['1']      = "1";
	$AML_catpulldown['2']      = "1";
	if(!$_AMLinclude['obj_categorie'] = include("".$_AMLconfig['cfg_serverpath']."/objects/categories/catpulldown-form.obj.php"))
	{	
		die("can not load object<i>protocol form field</i> so I will die now!");
	}
	// <-- END categorie --------------------------------------------------------------------------------------------------------------
	
	
	unset($AML_obj_status);
	$HTTP_POST_VARS['AML_obj_langpulldown'] = $_AMLusrcfg['globalcfg_language'];
	$AML_obj_status = $AML_defaultindex_status;
	if(!$_AMLinclude['obj_langinterfacepulldown'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/language/langinterfacepulldown.obj.php"))
	{	
		die("can not load object<i>catchangepulldown</i> so I will die now!");
	}
	if(!$_AMLinclude['obj_templateinterfacechangepulldown'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/template/templateinterfacepulldown.obj.php"))
	{	
		die("can not load object<i>templatepulldown</i> so I will die now!");
	}
	// END including objects ----------------------------------------------------------------------------------------------------------

$AML_surroundings_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_surroundings_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_surroundings.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_surroundings_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_surroundings_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_surroundings_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_surroundings_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_surroundings_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_surroundings_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_surroundings_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	// text
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_headline',                                ""._admin_configsurroundings_headline_."");

	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_sitename',                                ""._admin_configsurroundings_sitename_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_sitedescription',                         ""._admin_configsurroundings_sitedescription_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_siteurl',                                 ""._admin_configsurroundings_siteurl_."");

	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_openfile',                                ""._admin_configsurroundings_openfile_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_openvar',                                 ""._admin_configsurroundings_openvar_."");

	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_dbtype',                                  ""._admin_configsurroundings_dbtype_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_unsetdbtype',                             ""._admin_configsurroundings_unsetdbtype_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_downloaddbtype',                          ""._admin_configsurroundings_downloaddbtype_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_linkonlydbtype',                          ""._admin_configsurroundings_linkonlydbtype_."");
	
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_stattype',                                ""._admin_configsurroundings_stattype_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_realtimestat',                            ""._admin_configsurroundings_realtimestat_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_pageloadstat',                            ""._admin_configsurroundings_pageloadstat_."");

	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_defaultindex',                            ""._admin_configsurroundings_defaultindex_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_defaultlanguage',                         ""._admin_configsurroundings_defaultlanguage_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_defaulttemplate',                         ""._admin_configsurroundings_defaulttemplate_.""); 

	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_defaultindex_catdescriptionsD',           ""._subtitle_catdescriptions_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_defaultindex_searchD',                    ""._subtitle_search_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_defaultindex_statisticsD',                ""._subtitle_statistic_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_defaultindex_catviewD',                   ""._subtitle_catview_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_defaultindex_setsite',                    ""._admin_configsurroundings_defaultindex_setsite_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_defaultindex_setcat',                     ""._admin_configsurroundings_defaultindex_setcat_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_stats',                                   ""._admin_configsurroundings_stats_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_stats_automatic',                         ""._admin_configsurroundings_stats_automatic_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_stats_manual',                            ""._admin_configsurroundings_stats_manual_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_installdate',                             ""._admin_configsurroundings_installdate_."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_includeheader',                           ""._admin_configsurroundings_includeheader_."");  
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_includefooter',                           ""._admin_configsurroundings_includefooter_."");

	//values
	$AML_surroundings_tpl -> AMT_assign('AML_admin_globalcfg_dbtype_unset',                                     "".$AML_admin_globalcfg_dbtype_unset."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_globalcfg_dbtype_download',                                  "".$AML_admin_globalcfg_dbtype_download."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_globalcfg_dbtype_linkonly',                                  "".$AML_admin_globalcfg_dbtype_linkonly."");
	
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_serverpath',                              "".$_AMLconfig['cfg_serverpath']."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_sitenameV',                               "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_sitedescriptionV',                        "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_siteurlV',                                "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_surroundings_tpl -> AMT_assign('DDV',                                                                  date("d",$_AMLusrcfg['globalcfg_installdate']));
	$AML_surroundings_tpl -> AMT_assign('MMV',                                                                  date("m",$_AMLusrcfg['globalcfg_installdate']));
	$AML_surroundings_tpl -> AMT_assign('YYYYV',                                                                date("Y",$_AMLusrcfg['globalcfg_installdate']));
	$AML_surroundings_tpl -> AMT_assign('HHV',                                                                  date("H",$_AMLusrcfg['globalcfg_installdate']));
	$AML_surroundings_tpl -> AMT_assign('IIV',                                                                  date("i",$_AMLusrcfg['globalcfg_installdate']));
	$AML_surroundings_tpl -> AMT_assign('SSV',                                                                  date("s",$_AMLusrcfg['globalcfg_installdate']));
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_openfileV',                               "".$_AMLusrcfg['globalcfg_mainfile']."");
	$AML_surroundings_tpl -> AMT_assign('AML_obj_catpulldown',                                                  "$_AML_obj_catpulldown");
	$AML_surroundings_tpl -> AMT_assign('AML_obj_languagepulldown',                                             "$_AML_obj_languagepulldown");
	$AML_surroundings_tpl -> AMT_assign('AML_obj_templatepulldown',                                             "$_AML_obj_templatepulldown");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_stattype_checked1',                       "".$AML_admin_configsurroundings_stattype_checked1."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_stattype_checked2',                       "".$AML_admin_configsurroundings_stattype_checked2."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_includeheaderV',                          "".$_AMLusrcfg['globalcfg_includeheader']."");  
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_includefooterV',                          "".$_AMLusrcfg['globalcfg_includefooter']."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_defaultindex_checked1',                   "".$AML_admin_configsurroundings_defaultindex_checked1."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_defaultindex_checked2',                   "".$AML_admin_configsurroundings_defaultindex_checked2."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_defaultindex_setsite_status',             "".$AML_admin_configsurroundings_defaultindex_setsite_status."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_openvar_selected1',                       "".$AML_admin_configsurroundings_openvar_selected1."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_openvar_selected2',                       "".$AML_admin_configsurroundings_openvar_selected2."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_defaultindex_setsite_selected_cat',       "".$AML_admin_configsurroundings_defaultindex_setsite_selected_cat."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_defaultindex_setsite_selected_search',    "".$AML_admin_configsurroundings_defaultindex_setsite_selected_search."");
	$AML_surroundings_tpl -> AMT_assign('AML_admin_configsurroundings_defaultindex_setsite_selected_statistic', "".$AML_admin_configsurroundings_defaultindex_setsite_selected_statistic."");
$AML_surroundings_tpl -> AMT_tpl_print();

?>