<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_viewoptions.php                          */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// BEGIN setdisclaimer --------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['option']) && $HTTP_GET_VARS['option'] == 'setdisclaimertext')
{
	if(isset($HTTP_POST_VARS['sent']))
	{
		$AML_updatedb = AMS_sql_query("UPDATE $_AMLconfig[tbl_config] SET globalcfg_disclaimer_head = '$HTTP_POST_VARS[cfg_text_disclaimer_head]', 
		                                                                  globalcfg_disclaimer_body = '$HTTP_POST_VARS[cfg_text_disclaimer_body]'", $_AMLconfig['sql_connect']);
		if(isset($AML_updatedb))
		{
			$AML_info_info         = ""._admin_configviewoptions_info_disclaimertext_done_."";
			$AML_info_description  = ""._admin_configviewoptions_info_disclaimertext_donedesc_."";
			if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
			{	
			die("can not load <i>info.inc.php</i> so I will die now!");
			}
		}
		die();
	}
	$AML_setdisclaimer_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
	$AML_setdisclaimer_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_viewoptions_setdisclaimer.tpl.html", __FILE__, __LINE__);

		// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
		$AML_setdisclaimer_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals -----------------------------------------------------------------------------------------------------

		// text
		$AML_setdisclaimer_tpl -> AMT_assign('AML_admin_setdisclaimer_headline',   ""._admin_setdisclaimer_headline_."");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_admin_setdisclaimer_head',       ""._admin_setdisclaimer_head_."");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_admin_setdisclaimer_body',       ""._admin_setdisclaimer_body_."");

		//values
		$AML_setdisclaimer_tpl -> AMT_assign('AML_admin_setdisclaimer_headV',      "$_AMLusrcfg[globalcfg_disclaimer_head]");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_admin_setdisclaimer_bodyV',      "$_AMLusrcfg[globalcfg_disclaimer_body]");

		
	$AML_setdisclaimer_tpl -> AMT_tpl_print();

	die();
}
// END setdisclaimer ----------------------------------------------------------------------------------------------------------------------


if(isset($HTTP_POST_VARS['sent']))
{
	$AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_config']." SET globalcfg_outgoingframe   = '".$HTTP_POST_VARS['AML_admin_configviewoptions_outgoingframe']."',
	                                                                      cfg_entry_disclaimer      = '".$HTTP_POST_VARS['AML_admin_configviewoptions_disclaimer']."',
	                                                                      globalcfg_enablejs        = '".$HTTP_POST_VARS['AML_admin_configviewoptions_jsmenue']."'", $_AMLconfig['sql_connect']);
	if(isset($AML_update))
	{
		$AML_info_info         = ""._admin_configsetsites_info_done_."";
		$AML_info_description  = ""._admin_configsetsites_info_donedesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}
}

// get user configuration again
$_AMLusrcfg = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM $_AMLconfig[tbl_config]", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);

if($_AMLusrcfg['cfg_copyright_show'] == '1')
{
	$AML_admin_configviewoptions_copyright_checked1 = 'checked';
	$AML_admin_configviewoptions_copyright_checked2 = '';
}
else
{
	$AML_admin_configviewoptions_copyright_checked1 = '';
	$AML_admin_configviewoptions_copyright_checked2 = 'checked';
}

if($_AMLusrcfg['cfg_entry_hits'] == '1')
{
	$AML_admin_configviewoptions_hits_checked1 = 'checked';
	$AML_admin_configviewoptions_hits_checked2 = '';
}
else
{
	$AML_admin_configviewoptions_hits_checked1 = '';
	$AML_admin_configviewoptions_hits_checked2 = 'checked';
}

if($_AMLusrcfg['cfg_entry_vote'] == '1')
{
	$AML_admin_configviewoptions_votingsystem_checked1 = 'checked';
	$AML_admin_configviewoptions_votingsystem_checked2 = '';
}
else
{
	$AML_admin_configviewoptions_votingsystem_checked1 = '';
	$AML_admin_configviewoptions_votingsystem_checked2 = 'checked';
}

if($_AMLusrcfg['cfg_entry_votesystem'] == '1')
{
	$AML_admin_configviewoptions_votingsystem_type_checked1 = 'checked';
	$AML_admin_configviewoptions_votingsystem_type_checked2 = '';
}
else
{
	$AML_admin_configviewoptions_votingsystem_type_checked1 = '';
	$AML_admin_configviewoptions_votingsystem_type_checked2 = 'checked';
}

if($_AMLusrcfg['globalcfg_disclaimer_show'] == '1')
{
	$AML_admin_configviewoptions_disclaimer_checked1 = 'checked';
	$AML_admin_configviewoptions_disclaimer_checked2 = '';
}
else
{
	$AML_admin_configviewoptions_disclaimer_checked1 = '';
	$AML_admin_configviewoptions_disclaimer_checked2 = 'checked';
}

if($_AMLusrcfg['globalcfg_enablejs'] == '1')
{
	$AML_admin_configviewoptions_jsmenue_checked1 = 'checked';
	$AML_admin_configviewoptions_jsmenue_checked2 = '';
}
else
{
	$AML_admin_configviewoptions_jsmenue_checked1 = '';
	$AML_admin_configviewoptions_jsmenue_checked2 = 'checked';
}
if($_AMLusrcfg['globalcfg_outgoingframe'] == '1')
{
	$AML_admin_configviewoptions_outgoingframe_checked1 = 'checked';
	$AML_admin_configviewoptions_outgoingframe_checked2 = '';
}
else
{
	$AML_admin_configviewoptions_outgoingframe_checked1 = '';
	$AML_admin_configviewoptions_outgoingframe_checked2 = 'checked';
}
$AML_admin_configviewoptions_copyright_checked1 = 'checked disabled';
$AML_admin_configviewoptions_copyright_checked2 = 'disabled';
	
$AML_viewoptions_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_viewoptions_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_viewoptions.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_viewoptions_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_viewoptions_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_viewoptions_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_viewoptions_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_viewoptions_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_viewoptions_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_viewoptions_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	// text
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_headline',                   ""._admin_viewoptions_headline_."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_copyright',                  ""._admin_viewoptions_copyright_."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_hits',                       ""._admin_viewoptions_hits_."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_votingsystem',               ""._admin_viewoptions_votingsystem_."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_votingsystem_pollline',      ""._admin_viewoptions_votingsystem_pollline_.""); 
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_votingsystem_form',          ""._admin_viewoptions_votingsystem_form_."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_disclaimer',                 ""._admin_viewoptions_disclaimer_."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_disclaimer_edittext',        ""._admin_viewoptions_disclaimer_edittext_."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_jsmenue',                    ""._admin_viewoptions_jsmenue_."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_outgoingframe',              ""._admin_configviewoptions_outgoingframe_."");	
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_global_yes',                                   ""._admin_global_yes_."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_global_no',                                    ""._admin_global_no_."");

	//values
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_copyright_checked1',         "".$AML_admin_configviewoptions_copyright_checked1."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_copyright_checked2',         "".$AML_admin_configviewoptions_copyright_checked2."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_hits_checked1',              "".$AML_admin_configviewoptions_hits_checked1."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_hits_checked2',              "".$AML_admin_configviewoptions_hits_checked2."");		
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_votingsystem_checked1',      "".$AML_admin_configviewoptions_votingsystem_checked1."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_votingsystem_checked2',      "".$AML_admin_configviewoptions_votingsystem_checked2."");	
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_votingsystem_type_checked1', "".$AML_admin_configviewoptions_votingsystem_type_checked1."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_votingsystem_type_checked2', "".$AML_admin_configviewoptions_votingsystem_type_checked2."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_disclaimer_checked1',        "".$AML_admin_configviewoptions_disclaimer_checked1."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_disclaimer_checked2',        "".$AML_admin_configviewoptions_disclaimer_checked2."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_jsmenue_checked1',           "".$AML_admin_configviewoptions_jsmenue_checked1."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_jsmenue_checked2',           "".$AML_admin_configviewoptions_jsmenue_checked2."");
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_outgoingframe_checked1',     "".$AML_admin_configviewoptions_outgoingframe_checked1."");  
	$AML_viewoptions_tpl -> AMT_assign('AML_admin_configviewoptions_outgoingframe_checked2',     "".$AML_admin_configviewoptions_outgoingframe_checked2."");
$AML_viewoptions_tpl -> AMT_tpl_print();

?>