<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_wrdfil.php                               */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// BEGIN insert new badword ---------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['AML_configwrdfil_word']) && isset($HTTP_POST_VARS['AML_configwrdfil_replacement']) && !empty($HTTP_POST_VARS['AML_configwrdfil_word']) && !empty($HTTP_POST_VARS['AML_configwrdfil_replacement']))
{
	$AML_insert = AMS_sql_query("INSERT INTO $_AMLconfig[tbl_wrdfil] VALUES('',
										'$HTTP_POST_VARS[AML_configwrdfil_word]',
										'$HTTP_POST_VARS[AML_configwrdfil_replacement]')", $_AMLconfig['sql_connect']);
	
	$AML_info_info         = ""._admin_configsetsites_info_done_."";
	$AML_info_description  = ""._admin_configsetsites_info_donedesc_."";
	if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
	{	
		die("can not load <i>info.inc.php</i> so I will die now!");
	}

}
// END insert new badword -----------------------------------------------------------------------------------------------------------------


// DELETE existing badword ----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['AML_deleteword']) && !empty($HTTP_GET_VARS['AML_deleteword']))
{
	$AML_delete = AMS_sql_query("DELETE FROM $_AMLconfig[tbl_wrdfil] WHERE wrdfil_id = $HTTP_GET_VARS[AML_deleteword]", $_AMLconfig['sql_connect']);

	$AML_info_info         = ""._admin_configsetsites_info_done_."";
	$AML_info_description  = ""._admin_configsetsites_info_donedesc_."";
	if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
	{	
		die("can not load <i>info.inc.php</i> so I will die now!");
	}
}

// BEGIN "._ tpl --------------------------------------------------------------------------------------------------------------------------
$AML_cfg_letterline_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_cfg_letterline_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin-letterline.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_cfg_letterline_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_cfg_letterline_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_cfg_letterline_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_cfg_letterline_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_cfg_letterline_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_cfg_letterline_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_cfg_letterline_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	$AML_cfg_letterline_tpl -> AMT_assign('AML_action',                           "./cfg_wrdfil.php?x=1");

$AML_letterline = $AML_cfg_letterline_tpl -> AMT_tpl_var();
// END "._ tpl ----------------------------------------------------------------------------------------------------------------------------


// BEGIN addword tpl ----------------------------------------------------------------------------------------------------------------------
$AML_cfg_wrdfiladd_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_cfg_wrdfiladd_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_wrdfil_addword.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_cfg_wrdfiladd_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_cfg_wrdfiladd_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_cfg_wrdfiladd_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_cfg_wrdfiladd_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_cfg_wrdfiladd_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_cfg_wrdfiladd_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_cfg_wrdfiladd_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	$AML_cfg_wrdfiladd_tpl -> AMT_assign('AML_admin_configwrdfil_badword',       ""._admin_configwrdfil_badword_."");
	$AML_cfg_wrdfiladd_tpl -> AMT_assign('AML_admin_configwrdfil_replacement',   ""._admin_configwrdfil_replacement_."");
$AML_addwordform = $AML_cfg_wrdfiladd_tpl -> AMT_tpl_var();
// END addword tpl ------------------------------------------------------------------------------------------------------------------------


// BEGIN wrdfil values header -------------------------------------------------------------------------------------------------------------
$AML_cfg_wrdfilVheader_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_cfg_wrdfilVheader_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_wrdfil_valueheader.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_cfg_wrdfilVheader_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_cfg_wrdfilVheader_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_cfg_wrdfilVheader_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_cfg_wrdfilVheader_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_cfg_wrdfilVheader_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_cfg_wrdfilVheader_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_cfg_wrdfilVheader_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	$AML_cfg_wrdfilVheader_tpl -> AMT_assign('AML_admin_configwrdfil_word',          ""._admin_configwrdfil_word_."");
	$AML_cfg_wrdfilVheader_tpl -> AMT_assign('AML_admin_configwrdfil_replacement',   ""._admin_configwrdfil_replacement_."");
	$AML_cfg_wrdfilVheader_tpl -> AMT_assign('AML_admin_configwrdfil_options',       ""._admin_configwrdfil_options_."");
$AML_wrdfilVheader = $AML_cfg_wrdfilVheader_tpl -> AMT_tpl_var();
// END wrdfil values header -------------------------------------------------------------------------------------------------------------


// BEGIN wrdfil values body -------------------------------------------------------------------------------------------------------------
settype($AML_wrdfilVbody, 'string'); 
if(isset($HTTP_POST_VARS['letter'])) $AML_wrdfilletter = $HTTP_POST_VARS['letter'];
if(isset($HTTP_GET_VARS['letter'])) $AML_wrdfilletter = $HTTP_GET_VARS['letter'];
if(!isset($AML_wrdfilletter)) $AML_wrdfilletter = "a";
if($AML_wrdfilletter == 'all') $AML_wrdfilletter = "";
$AML_getwords = AMS_sql_query("SELECT * FROM $_AMLconfig[tbl_wrdfil] WHERE wrdfil_badword LIKE '$AML_wrdfilletter%' order by wrdfil_badword", $_AMLconfig['sql_connect']);
while($AML_buildbadwordsbody = AMS_sql_fetch_array($AML_getwords, $_AMLconfig['sql_connect']))
{
	$AML_cfg_wrdfilVbody_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
	$AML_cfg_wrdfilVbody_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_wrdfil_valuebody.tpl.html", __FILE__, __LINE__);
	
		// --> BEGIN templating globals -------------------------------------------------------------------------------------------
		$AML_cfg_wrdfilVbody_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_cfg_wrdfilVbody_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
		$AML_cfg_wrdfilVbody_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_cfg_wrdfilVbody_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
		$AML_cfg_wrdfilVbody_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
		$AML_cfg_wrdfilVbody_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
		$AML_cfg_wrdfilVbody_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals ---------------------------------------------------------------------------------------------
		
		$AML_cfg_wrdfilVbody_tpl -> AMT_assign('AML_admin_configwrdfil_wordV',         "$AML_buildbadwordsbody[wrdfil_badword]");
		$AML_cfg_wrdfilVbody_tpl -> AMT_assign('AML_admin_configwrdfil_replacementV',  "$AML_buildbadwordsbody[wrdfil_replacement]");
		$AML_cfg_wrdfilVbody_tpl -> AMT_assign('AML_admin_configwrdfil_options',       "<a href=\"./cfg_wrdfil.php?AML_deleteword=$AML_buildbadwordsbody[wrdfil_id]\">"._admin_global_delete_."</a>");
	$AML_wrdfilVbody .= $AML_cfg_wrdfilVbody_tpl -> AMT_tpl_var();
}
// END wrdfil values body -----------------------------------------------------------------------------------------------------------------


// BEGIN wrdfil values footer -------------------------------------------------------------------------------------------------------------
$AML_cfg_wrdfilVfooter_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_cfg_wrdfilVfooter_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_wrdfil_valuefooter.tpl.html", __FILE__, __LINE__);

	$AML_cfg_wrdfilVfooter_tpl -> AMT_assign('AML_linktotemplate',                   "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");	
	$AML_cfg_wrdfilVfooter_tpl -> AMT_assign('AML_urttotemplate',                    "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");

$AML_wrdfilVfooter = $AML_cfg_wrdfilVfooter_tpl -> AMT_tpl_var();
// END wrdfil values header -------------------------------------------------------------------------------------------------------------
$AML_cfg_wrdfil_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_cfg_wrdfil_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_wrdfil.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals -------------------------------------------------------------------------------------------
	$AML_cfg_wrdfil_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_cfg_wrdfil_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_cfg_wrdfil_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_cfg_wrdfil_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_cfg_wrdfil_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_cfg_wrdfil_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_cfg_wrdfil_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals ---------------------------------------------------------------------------------------------

	$AML_cfg_wrdfil_tpl -> AMT_assign('AML_admin_configwrdfil_headline',      ""._admin_configwrdfil_headline_."");
	$AML_cfg_wrdfil_tpl -> AMT_assign('AML_admin_FILE_letterline',            "$AML_letterline");
	$AML_cfg_wrdfil_tpl -> AMT_assign('AML_admin_FILE_addword',               "$AML_addwordform");
	$AML_cfg_wrdfil_tpl -> AMT_assign('AML_admin_FILE_wrdfilvalues',          "$AML_wrdfilVheader $AML_wrdfilVbody $AML_wrdfilVfooter");
$AML_cfg_wrdfil_tpl -> AMT_tpl_print();


?>