<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/db_export.php                                */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


if(isset($HTTP_POST_VARS['sent']))
{
	if(isset($HTTP_POST_VARS['AML_exporttype']) && $HTTP_POST_VARS['AML_exporttype'] == 'AML_admin_db_export_complete')
	{
		$AML_dateonly = AMP_setdate('j-m-y', $_AMLconfig['date_countflag'], $_AMLusrcfg['cfg_date_timezone']);
		header("Content-disposition: filename=".$_AMLconfig['cfg_scriptname']."".$_AMLconfig['cfg_scriptversion']."-BACKUP_complete-".$AML_dateonly.".sql");
		header("Content-type: application/octetstream");
		header("Pragma: no-cache");
		header("Expires: 0");
	
		if(ereg('[^(]*\((.*)\)[^)]*',$_AMLconfig['env_HTTP_USER_AGENT'],$regs)) 
		{
		$os = $regs[1];
			if (eregi("Win",$os)) 
		    $crlf="\r\n";
		}
		
		$AML_tables = array("tbl_user"               => "".$_AMLconfig['tbl_user']."",
		                    "tbl_config"             => "".$_AMLconfig['tbl_config']."",
		                    "tbl_categories"         => "".$_AMLconfig['tbl_categories']."",
		                    "tbl_comments"           => "".$_AMLconfig['tbl_comments']."",
		                    "tbl_blocked"            => "".$_AMLconfig['tbl_blocked']."",
		                    "tbl_header"             => "".$_AMLconfig['tbl_header']."",
		                    "tbl_links"              => "".$_AMLconfig['tbl_links']."",
		                    "tbl_brokenvalues"       => "".$_AMLconfig['tbl_brokenvalues']."",
		                    "tbl_wrdfil"             => "".$_AMLconfig['tbl_wrdfil']."",
		                    "tbl_protocols"          => "".$_AMLconfig['tbl_protocols']."",
		                    "tbl_languages"          => "".$_AMLconfig['tbl_languages']."",
		                    "tbl_notes"              => "".$_AMLconfig['tbl_notes']."",
		                    "tbl_preferences"        => "".$_AMLconfig['tbl_preferences']."",
		                    "tbl_userfields"         => "".$_AMLconfig['tbl_userfields']."",
		                    "tbl_userfields_values"  => "".$_AMLconfig['tbl_userfields_values']."",
		                    "tbl_modules"            => "".$_AMLconfig['tbl_modules']."",
		                    "tbl_banner"             => "".$_AMLconfig['tbl_banner']."");
		
		$i = 0;
		print "# =============================================================$crlf";
		print "#$crlf";
		print "# Db Dump file: ".$_AMLconfig['cfg_scriptname']."".$_AMLconfig['cfg_scriptversion']." $crlf";
		print "# Backup date: ".$AML_dateonly." $crlf";
		print "#$crlf";
		print "# AllMyLinks,  2003 voice of web (http://www.php-resource.net)$crlf";
		print "#$crlf";
		print "# =============================================================$crlf";
		print "$crlf";
	    
		while(list($AML_k, $AML_v) = each($AML_tables))
		{ 
			print $crlf;
			print "# -------------------------------------------------------------$crlf";
			print "# -------------------------------------------------------------$crlf";
			print "#$crlf";
			print "# "._admin_dbexport_tabledefinition_."'".$AML_v."'$crlf";
			print "#$crlf";
			print $crlf;
			echo AMP_get_tabledefinition($_AMLconfig['sql_dabaname'], $AML_v, $crlf).";$crlf$crlf";
	        
			print "#$crlf";
			print "# "._admin_dbexport_tablecontent_." '".$AML_v."'$crlf";
			print "#$crlf";
			print $crlf;

			AMP_get_tablecontent($_AMLconfig['sql_dabaname'], $AML_v, "AMP_my_handler");
			print "#$crlf";
			print "#$crlf";
			$i++;
		}
			
	}
	elseif(isset($HTTP_POST_VARS['AML_exporttype']) && $HTTP_POST_VARS['AML_exporttype'] == 'AML_admin_db_export_data')
	{
		$AML_dateonly = AMP_setdate('j-m-y', $_AMLconfig['date_countflag'], $_AMLusrcfg['cfg_date_timezone']);
		header("Content-disposition: filename=".$_AMLconfig['cfg_scriptname']."".$_AMLconfig['cfg_scriptversion']."-BACKUP_content".$AML_dateonly.".sql");
		header("Content-type: application/octetstream");
		header("Pragma: no-cache");
		header("Expires: 0");
	
		if(ereg('[^(]*\((.*)\)[^)]*',$_AMLconfig['env_HTTP_USER_AGENT'],$regs)) 
		{
		$os = $regs[1];
			if (eregi("Win",$os)) 
		    $crlf="\r\n";
		}
		
		$AML_tables = array("tbl_categories"   => "".$_AMLconfig['tbl_categories']."",
		                    "tbl_links"        => "".$_AMLconfig['tbl_links']."",
		                    "tbl_comments"     => "".$_AMLconfig['tbl_comments']."",
		                    "tbl_brokenvalues" => "".$_AMLconfig['tbl_brokenvalues']."",
		                    "tbl_languages"    => "".$_AMLconfig['tbl_languages']."",
		                    "tbl_preferences"  => "".$_AMLconfig['tbl_preferences']."",
		                    "tbl_userfields_values"  => "".$_AMLconfig['tbl_userfields_values']."");
		
		$i = 0;
		print "# =============================================================$crlf";
		print "#$crlf";
		print "# Db Dump file: ".$_AMLconfig['cfg_scriptname']."".$_AMLconfig['cfg_scriptversion']." $crlf";
		print "# Backup date: ".$AML_dateonly." $crlf";
		print "#$crlf";
		print "# AllMyLinks,  2003 voice of web (http://www.php-resource.net)$crlf";
		print "#$crlf";
		print "# =============================================================$crlf";
		print "$crlf";
	    
		while(list($AML_k, $AML_v) = each($AML_tables))
		{ 
			print $crlf;
			print "# -------------------------------------------------------------$crlf";
			print "# -------------------------------------------------------------$crlf";
			print "#$crlf";
			print "# "._admin_dbexport_tabledefinition_."'".$AML_v."'$crlf";
			print "#$crlf";
			print $crlf;
			echo AMP_get_tabledefinition($_AMLconfig['sql_dabaname'], $AML_v, $crlf).";$crlf$crlf";
	        
			print "#$crlf";
			print "# "._admin_dbexport_tablecontent_." '".$AML_v."'$crlf";
			print "#$crlf";
			print $crlf;

			AMP_get_tablecontent($_AMLconfig['sql_dabaname'], $AML_v, "AMP_my_handler");
			print "#$crlf";
			print "#$crlf";
			$i++;
		}
		
	}	
	elseif(isset($HTTP_POST_VARS['AML_exporttype']) && $HTTP_POST_VARS['AML_exporttype'] == 'AML_admin_db_export_config')
	{
		$AML_dateonly = AMP_setdate('j-m-y', $_AMLconfig['date_countflag'], $_AMLusrcfg['cfg_date_timezone']);
		header("Content-disposition: filename=".$_AMLconfig['cfg_scriptname']."".$_AMLconfig['cfg_scriptversion']."-BACKUP_config-".$AML_dateonly.".sql");
		header("Content-type: application/octetstream");
		header("Pragma: no-cache");
		header("Expires: 0");
	
		if(ereg('[^(]*\((.*)\)[^)]*',$_AMLconfig['env_HTTP_USER_AGENT'],$regs)) 
		{
		$os = $regs[1];
			if (eregi("Win",$os)) 
		    $crlf="\r\n";
		}
		
		$AML_tables = array("tbl_config"             => "".$_AMLconfig['tbl_config']."",
		                    "tbl_header"             => "".$_AMLconfig['tbl_header']."",
		                    "tbl_brokenvalues"       => "".$_AMLconfig['tbl_brokenvalues']."",
		                    "tbl_wrdfil"             => "".$_AMLconfig['tbl_wrdfil']."",
		                    "tbl_protocols"          => "".$_AMLconfig['tbl_protocols']."",
		                    "tbl_languages"          => "".$_AMLconfig['tbl_languages']."",
		                    "tbl_notes"              => "".$_AMLconfig['tbl_notes']."",
		                    "tbl_userfields"         => "".$_AMLconfig['tbl_userfields']."",
		                    "tbl_modules"            => "".$_AMLconfig['tbl_modules']."",
		                    "tbl_banner"             => "".$_AMLconfig['tbl_banner']."");
		
		$i = 0;
		print "# =============================================================$crlf";
		print "#$crlf";
		print "# Db Dump file: ".$_AMLconfig['cfg_scriptname']."".$_AMLconfig['cfg_scriptversion']." $crlf";
		print "# Backup date: ".$AML_dateonly." $crlf";
		print "#$crlf";
		print "# AllMyLinks,  2003 voice of web (http://www.php-resource.net)$crlf";
		print "#$crlf";
		print "# =============================================================$crlf";
		print "$crlf";
	    
		while(list($AML_k, $AML_v) = each($AML_tables))
		{ 
			print $crlf;
			print "# -------------------------------------------------------------$crlf";
			print "# -------------------------------------------------------------$crlf";
			print "#$crlf";
			print "# "._admin_dbexport_tabledefinition_."'".$AML_v."'$crlf";
			print "#$crlf";
			print $crlf;
			echo AMP_get_tabledefinition($_AMLconfig['sql_dabaname'], $AML_v, $crlf).";$crlf$crlf";
	        
			print "#$crlf";
			print "# "._admin_dbexport_tablecontent_." '".$AML_v."'$crlf";
			print "#$crlf";
			print $crlf;

			AMP_get_tablecontent($_AMLconfig['sql_dabaname'], $AML_v, "AMP_my_handler");
			print "#$crlf";
			print "#$crlf";
			$i++;
		}
	}	
	die();
}


$AML_dbexport_get = //require_once("../include/template.inc.php");
$AML_dbexport_tpl = new AMT_Template("../template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_db_export.tpl.html", __FILE__, __LINE__);
	
	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_dbexport_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_dbexport_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_dbexport_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_dbexport_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_dbexport_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_dbexport_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_dbexport_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	$AML_dbexport_tpl -> AMT_assign('AML_admin_db_export_headline',     ""._admin_db_export_headline_."");
	$AML_dbexport_tpl -> AMT_assign('AML_admin_db_export_description',  ""._admin_db_export_description_."");
	$AML_dbexport_tpl -> AMT_assign('AML_admin_db_export_config',       ""._admin_db_export_config_."");
	$AML_dbexport_tpl -> AMT_assign('AML_admin_db_export_data',         ""._admin_db_export_data_."");
	$AML_dbexport_tpl -> AMT_assign('AML_admin_db_export_complete',     ""._admin_db_export_complete_."");

$AML_dbexport_tpl -> AMT_tpl_print();
?>