<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/global_sentmail.php                          */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN sending ----------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['AML_admin_sentmail_action']) && $HTTP_POST_VARS['AML_admin_sentmail_action'] == 'sent')
{
	if($HTTP_POST_VARS['AML_admin_sentmail_filterdouble'] == '1')
	{
		$AML_query = AMS_sql_query("SELECT DISTINCT(link_useremail) AS email FROM ".$_AMLconfig['tbl_links']."", $_AMLconfig['sql_connect']);
	}
	else
	{
		$AML_query = AMS_sql_query("SELECT link_useremail AS email FROM ".$_AMLconfig['tbl_links']."", $_AMLconfig['sql_connect']);
	}
	$AML_mail_head  = "From: ".$HTTP_POST_VARS['AML_admin_sentmail_fromname']." <".$HTTP_POST_VARS['AML_admin_sentmail_fromemail'].">\n";
	$AML_mail_head .= "Reply-To: ".$HTTP_POST_VARS['AML_admin_sentmail_fromname']."\nX-Mailer: PHP/" . phpversion();
	$AML_mail_head .= "\nContent-Type: ".$HTTP_POST_VARS['AML_admin_sentmail_contenttype']."";
	$AML_mail_head .= "\nX-Priority: ".$HTTP_POST_VARS['AML_admin_sentmail_priority']."";
	while(list($user_email) = AMS_sql_fetch_array($AML_query, $_AMLconfig['sql_connect']))
	{
		mail($user_email, $HTTP_POST_VARS['AML_admin_sentmail_subject'], $HTTP_POST_VARS['AML_admin_sentmail_message'], $AML_mail_head);
		echo "sending: ".$user_email."<br>";
	}
	die();
}
// <-- END sending ------------------------------------------------------------------------------------------------------------------------


// --> BEGIN checking form ----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['sentmail_sent']) && !isset($HTTP_POST_VARS['AML_admin_sentmail_action']))
{
	if(!empty($HTTP_POST_VARS['AML_admin_sentmail_fromname'])    &&
	   !empty($HTTP_POST_VARS['AML_admin_sentmail_fromemail'])   &&
	   !empty($HTTP_POST_VARS['AML_admin_sentmail_subject'])     &&
	   !empty($HTTP_POST_VARS['AML_admin_sentmail_message']))
	{
		$HTTP_POST_VARS['AML_admin_sentmail_subject'] = stripslashes($HTTP_POST_VARS['AML_admin_sentmail_subject']);
		$HTTP_POST_VARS['AML_admin_sentmail_message'] = stripslashes($HTTP_POST_VARS['AML_admin_sentmail_message']);
		
		if(!isset($HTTP_POST_VARS['AML_admin_sentmail_filterdouble']) || $HTTP_POST_VARS['AML_admin_sentmail_filterdouble'] != "1")
		{
			$HTTP_POST_VARS['AML_admin_sentmail_filterdouble'] = "0";
		}
		$AML_sentmail_preview_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
		$AML_sentmail_preview_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_sentmail_preview.tpl.html", __FILE__, __LINE__);
			// --> BEGIN templating globals -----------------------------------------------------------------------------------
			$AML_sentmail_preview_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_sentmail_preview_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
			$AML_sentmail_preview_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_sentmail_preview_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
			$AML_sentmail_preview_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
			$AML_sentmail_preview_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
			$AML_sentmail_preview_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
			// <-- END templating globals -------------------------------------------------------------------------------------
			$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_preview_headline',            ""._admin_sentmail_preview_headline_."");
			$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_preview_sentnow',             ""._admin_sentmail_preview_sentnow_."");
			$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_preview_edit',                ""._admin_sentmail_preview_edit_."");
			$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_preview_fromnameV',           "".$HTTP_POST_VARS['AML_admin_sentmail_fromname']."");
			$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_preview_fromemailV',          "".$HTTP_POST_VARS['AML_admin_sentmail_fromemail']."");
			$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_preview_priorityV',           "1");
			$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_preview_subjectV',            "".$HTTP_POST_VARS['AML_admin_sentmail_subject']."");
			$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_preview_messageunformattedV', addslashes($HTTP_POST_VARS['AML_admin_sentmail_message']));
			$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_preview_priorityV',           "".$HTTP_POST_VARS['AML_admin_sentmail_priority']."");
			$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_preview_contenttypeV',        "".$HTTP_POST_VARS['AML_admin_sentmail_contenttype']."");
			$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_preview_priorityunformattedV',"".$HTTP_POST_VARS['AML_admin_sentmail_priority']."");
			$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_filterdoubleV',               "".$HTTP_POST_VARS['AML_admin_sentmail_filterdouble']."");
			

			if($HTTP_POST_VARS['AML_admin_sentmail_priority'] == '1')
			{
				$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_preview_priorityV',   "<img src=\"".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/images/admin/mail/1.gif\">");
			}
			elseif($HTTP_POST_VARS['AML_admin_sentmail_priority'] == '3')
			{
				$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_preview_priorityV',   "");
			}
			elseif($HTTP_POST_VARS['AML_admin_sentmail_priority'] == '5')
			{
				$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_preview_priorityV',   "<img src=\"".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/images/admin/mail/5.gif\">");
			}
			
			if($HTTP_POST_VARS['AML_admin_sentmail_contenttype'] == "text/plain")
			{
				$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_preview_messageV',    "<pre>".$HTTP_POST_VARS['AML_admin_sentmail_message']."</pre>");
			}
			elseif($HTTP_POST_VARS['AML_admin_sentmail_contenttype'] == "text/html")
			{
				$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_preview_messageV',    "".$HTTP_POST_VARS['AML_admin_sentmail_message']."");
			}
			elseif($HTTP_POST_VARS['AML_admin_sentmail_contenttype'] == "multipart/alternative")
			{
				$AML_sentmail_preview_tpl -> AMT_assign('AML_admin_sentmail_preview_messageV',    "".$HTTP_POST_VARS['AML_admin_sentmail_message']."");
			}
		$AML_sentmail_preview_tpl -> AMT_tpl_print();	
	}
	else
	{
		$AML_warning_info         = ""._warning_sentmail_filloutall_."";
		$AML_warning_description  = ""._warning_dentmail_filloutall_desc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/warning.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}			
	}
}	
// <-- END checking form ------------------------------------------------------------------------------------------------------------------


// --> BEGIN providing form ---------------------------------------------------------------------------------------------------------------
if(!isset($HTTP_POST_VARS['sentmail_sent']))
{
	$AML_admin_sentmail_fromname   = $_AMLusrcfg['cfg_mail_username'];
	$AML_admin_sentmail_fromemail  = $_AMLusrcfg['cfg_mail_defaultaddress'];
	$AML_admin_sentmail_subject    = "";
	$AML_admin_sentmail_message    = "";
}
else
{
	$AML_admin_sentmail_fromname   = $HTTP_POST_VARS['AML_admin_sentmail_fromname'];
	$AML_admin_sentmail_fromemail  = $HTTP_POST_VARS['AML_admin_sentmail_fromemail'];
	$AML_admin_sentmail_subject    = $HTTP_POST_VARS['AML_admin_sentmail_subject'];
	$AML_admin_sentmail_message    = $HTTP_POST_VARS['AML_admin_sentmail_message'];	
}
$AML_email_all    = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(link_useremail) AS email FROM ".$_AMLconfig['tbl_links']."", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
$AML_email_filter = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(DISTINCT(link_useremail)) AS email FROM ".$_AMLconfig['tbl_links']."", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
$AML_email_double = $AML_email_all['email'] - $AML_email_filter['email'];

$AML_sentmail_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
$AML_sentmail_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_sentmail.tpl.html", __FILE__, __LINE__);
	
	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_sentmail_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_sentmail_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_sentmail_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_sentmail_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_sentmail_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_sentmail_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_sentmail_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_headline',        ""._admin_sentmail_headline_."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_filterdouble',    ""._admin_sentmail_filterdouble_."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_warning',         ""._admin_sentmail_warning_."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_fromname',        ""._admin_sentmail_fromname_."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_fromemail',       ""._admin_sentmail_fromemail_."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_priority',        ""._admin_sentmail_priority_."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_contenttype',     ""._admin_sentmail_contenttype_."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_subject',         ""._admin_sentmail_subject_."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_message',         ""._admin_sentmail_message_."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_options',         ""._admin_sentmail_options_."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_filterdouble',    ""._admin_sentmail_filterdouble_."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_withoutfilter',   ""._admin_sentmail_withoutfilter_."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_withfilter',      ""._admin_sentmail_withfilter_."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_doubleemail',     ""._admin_sentmail_doubleemail_."");

	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_fromnameV',       "".$AML_admin_sentmail_fromname."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_fromemailV',      "".$AML_admin_sentmail_fromemail."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_subjectV',        "".$AML_admin_sentmail_subject."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_messageV',        "".$AML_admin_sentmail_message."");
	
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_withoutfilterV',  "".$AML_email_all['email']."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_withfilterV',     "".$AML_email_filter['email']."");
	$AML_sentmail_tpl -> AMT_assign('AML_admin_sentmail_doubleemailV',    "".$AML_email_double."");
$AML_sentmail_tpl -> AMT_tpl_print();	
// <-- END providing form -----------------------------------------------------------------------------------------------------------------
?>