<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/link_activate.php                            */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN activating procedure ---------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['link_activate_sent']))
{
	if($AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_active = '1' WHERE link_id = '".$HTTP_POST_VARS['link_activate_sent']."'", $_AMLconfig['sql_connect']))
	{
		
	}
	else
	{
		
	}
}
// <-- END activating procedure -----------------------------------------------------------------------------------------------------------


// --> BEGIN header -----------------------------------------------------------------------------------------------------------------------
$AML_link_activate_header_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
$AML_link_activate_header_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath'].""."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_activate_header.tpl.html", __FILE__, __LINE__);
	
	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_link_activate_header_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_link_activate_header_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_link_activate_header_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_link_activate_header_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_link_activate_header_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_link_activate_header_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_link_activate_header_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	$AML_link_activate_header_tpl -> AMT_assign('AML_admin_link_activate_headline',    ""._admin_linkactivate_headline_."");
	$AML_link_activate_header_tpl -> AMT_assign('AML_admin_linkactivate_id',           ""._admin_linkactivate_id_."");
	$AML_link_activate_header_tpl -> AMT_assign('AML_admin_linkactivate_description',  ""._admin_linkactivate_description_."");
	$AML_link_activate_header_tpl -> AMT_assign('AML_admin_linkactivate_name',         ""._admin_linkactivate_name_."");
	$AML_link_activate_header_tpl -> AMT_assign('AML_admin_linkactivate_url',          ""._admin_linkactivate_url_."");
	$AML_link_activate_header_tpl -> AMT_assign('AML_admin_linkactive_registred',      ""._admin_linkactivate_registred_."");
	$AML_link_activate_header_tpl -> AMT_assign('AML_admin_linkactivate_reason',       ""._admin_linkactivate_reason_."");
	$AML_link_activate_header_tpl -> AMT_assign('AML_admin_linkactivate_gourl',        ""._admin_linkactivate_gourl_."");
	$AML_link_activate_header_tpl -> AMT_assign('AML_admin_linkactivate_options',      ""._admin_linkactivate_options_."");

$AML_link_activate_header_tpl -> AMT_tpl_print();
// <-- END header -------------------------------------------------------------------------------------------------------------------------


// --> BEGIN body -------------------------------------------------------------------------------------------------------------------------
$AMT_bodybg = "AMTbodybg";
if($AML_getinactive = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_links']." WHERE link_active = '0'", $_AMLconfig['sql_connect']))
{
	while($AML_inactive = AMS_sql_fetch_array($AML_getinactive, $_AMLconfig['sql_connect']))
	{
		$AML_link_activate_body_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
		$AML_link_activate_body_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath'].""."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_activate_body.tpl.html", __FILE__, __LINE__);
		
			// --> BEGIN templating globals -----------------------------------------------------------------------------------
			$AML_link_activate_body_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_link_activate_body_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
			$AML_link_activate_body_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_link_activate_body_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
			$AML_link_activate_body_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
			$AML_link_activate_body_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
			$AML_link_activate_body_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
			// <-- END templating globals -------------------------------------------------------------------------------------

	
			$AML_link_activate_body_tpl -> AMT_assign('AMT_class',                           "".$AMT_bodybg."");
			$AML_link_activate_body_tpl -> AMT_assign('AML_admin_link_activate_headline',    ""._admin_linkactivate_headline_."");
			$AML_link_activate_body_tpl -> AMT_assign('AML_admin_linkactivate_id',           "".$AML_inactive['link_id']."");
			$AML_link_activate_body_tpl -> AMT_assign('AML_admin_linkactivate_name',         "".$AML_inactive['link_username']."");
			$AML_link_activate_body_tpl -> AMT_assign('AML_admin_linkactivate_email',        "".$AML_inactive['link_useremail']."");
			$AML_link_activate_body_tpl -> AMT_assign('AML_admin_linkactivate_url',          "".$AML_inactive['link_protocol']."".$AML_inactive['link_url']."");
			$AML_link_activate_body_tpl -> AMT_assign('AML_admin_linkactivate_date',         AMP_setdate("".$_AMLusrcfg['cfg_date_datetimeformat']."", $AML_inactive['link_added'],"".$_AMLusrcfg['cfg_date_timezone'].""));
			$AML_link_activate_body_tpl -> AMT_assign('AML_admin_linkactivate_description',  "".$AML_inactive['link_description']."");
			$AML_link_activate_body_tpl -> AMT_assign('AML_admin_linkactive_registred',      ""._admin_linkactivate_registred_."");
			$AML_link_activate_body_tpl -> AMT_assign('AML_admin_linkactivate_reason',       "".$AML_inactive['link_inactivereason']."");
			$AML_link_activate_body_tpl -> AMT_assign('AML_admin_linkactivate_gourl',        ""._admin_linkactivate_gourl_."");
			
			$AML_link_activate_body_tpl -> AMT_assign('AML_admin_linkactivate_options',      "<a href=\"link_validate.php?AML_linkid=".$AML_inactive['link_id']."\">"._admin_linkactivate_options_."</a>");

		$AML_link_activate_body_tpl -> AMT_tpl_print();
		if($AMT_bodybg == "AMTbodybg"){ $AMT_bodybg = "AMTbodybglight"; } else { $AMT_bodybg = "AMTbodybg"; }
	}
}
// <-- END body ---------------------------------------------------------------------------------------------------------------------------


else


// --> BEGIN NO VALUES --------------------------------------------------------------------------------------------------------------------
{
	$AML_link_activate_body_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
	$AML_link_activate_body_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath'].""."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_activate_body_novalue.tpl.html", __FILE__, __LINE__);
		$AML_link_activate_body_tpl -> AMT_assign('AML_admin_linkactivate_novalue',      ""._admin_linkactivate_novalue_."");
	$AML_link_activate_body_tpl -> AMT_tpl_print();	
}
// <-- END NO VALUES ----------------------------------------------------------------------------------------------------------------------


// --> BEGIN FOOTER -----------------------------------------------------------------------------------------------------------------------
//get help text
settype($AML_admin_linkactivate_help,'string');
if($AML_fp = @fopen("".$_AMLconfig['cfg_serverpath']."/admin/help/"._setting_adminhelp_lang_."/link_activate.html", "r"))
{
	while ($AML_line = fgets($AML_fp, 1024)) {
	$AML_admin_linkactivate_help .= $AML_line;
	}
}
else
{
	$AML_admin_linkactivate_help = ""._admin_global_nodesc_."";
}
@fclose($AML_fp);

$AML_link_activate_footer_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
$AML_link_activate_footer_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath'].""."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_activate_footer.tpl.html", __FILE__, __LINE__);
	$AML_link_activate_footer_tpl -> AMT_assign('AML_admin_linkactivate_help',      "".$AML_admin_linkactivate_help."");
$AML_link_activate_footer_tpl -> AMT_tpl_print();
// <-- END FOOTER -------------------------------------------------------------------------------------------------------------------------
?>