<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/link_banner.php                              */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN delete -----------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['delete']))
{
	if(isset($HTTP_GET_VARS['deletenow']))
	{
		$AML_delete = AMS_sql_query("DELETE FROM ".$_AMLconfig['tbl_banner']." WHERE banner_id = '".$HTTP_GET_VARS['delete']."'", $_AMLconfig['sql_connect']);
	
		if(isset($AML_delete))
		{
			$AML_info_info         = ""._admin_link_banner_info_deleted_."";
			$AML_info_description  = ""._admin_link_banner_info_deleteddesc_."";
			if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}
		}
		die();		
	}
	$AML_bannerlink = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_links']." WHERE link_banner ='".$HTTP_GET_VARS['delete']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
	if(empty($AML_bannerlink['total']) || $AML_bannerlink['total'] == '0')
	{
		$AML_warning_info         = ""._admin_link_banner_info_delete_."";
		$AML_warning_description  = ""._admin_link_banner_info_deletedesc_."";
		$AML_warning_description .="<center>";
		$AML_warning_description .="<form action=\"link_banner.php\" name=\"delete\" method=\"GET\">";
		$AML_warning_description .="<input type=\"hidden\" name=\"delete\" value=\"".$HTTP_GET_VARS['delete']."\">";
		$AML_warning_description .="<input type=\"hidden\" name=\"deletenow\" value=\"1\">";
		$AML_warning_description .="<input type=\"submit\" name=\"Submit\" class=\"AMTbutton\">";
		$AML_warning_description .="</form>";
		$AML_warning_description .="</center>";
		if(!$_AMLinclude['res_warning'] = include("".$_AMLconfig['cfg_serverpath']."/include/warning.inc.php"))
		{	
			die("can not load <i>warning.inc.php</i> so I will die now!");
		}
		die();
	}
	else
	{
		$AML_error_info        = ""._admin_link_banner_error_linked_.""; 
		$AML_error_description = ""._admin_link_banner_error_linkeddesc_."";
		if(!$_AMLinclude['res_warning'] = include("".$_AMLconfig['cfg_serverpath']."/include/warning.inc.php"))
		{	
			die("can not load <i>warning.inc.php</i> so I will die now!");
		}
		die();
	}		
}
// <-- END delete -------------------------------------------------------------------------------------------------------------------------


// --> BEGIN add new config ---------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['banneradd_sent']))
{
	if(is_numeric($HTTP_POST_VARS['banner_width'])&&
	   is_numeric($HTTP_POST_VARS['banner_height']))
	{
		$AML_existant = AMS_sql_num_rows(AMS_sql_query("SELECT banner_id FROM ".$_AMLconfig['tbl_banner']." WHERE banner_width='".$HTTP_POST_VARS['banner_width']."' AND banner_height='".$HTTP_POST_VARS['banner_height']."' AND banner_align='".$HTTP_POST_VARS['banner_align']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		if($AML_existant >= "1")
		{
			$AML_error_info        = ""._admin_link_banner_error_exists_.""; 
			$AML_error_description = ""._admin_link_banner_error_existsdesc_."";
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
			{	
				die("can not load <i>error.inc.php</i> so I will die now!");
			}			
		}
		else
		{
			if(isset($HTTP_POST_VARS['banner_default']) && $HTTP_POST_VARS['banner_default'] == '1')
			{
				$AML_updatedefault = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_banner']." SET banner_default = '0'", $_AMLconfig['sql_connect']);
			}
			$AML_insert = AMS_sql_query("INSERT INTO ".$_AMLconfig['tbl_banner']." VALUES('',
			                                                                              '".$HTTP_POST_VARS['banner_width']."',
			                                                                              '".$HTTP_POST_VARS['banner_height']."',
			                                                                              '".$HTTP_POST_VARS['banner_align']."',
			                                                                              '".$HTTP_POST_VARS['banner_active']."',
			                                                                              '".$HTTP_POST_VARS['banner_default']."')", $_AMLconfig['sql_connect']);
		}	
	}
}
// <-- END add new config -----------------------------------------------------------------------------------------------------------------


// --> BEGIN edit -------------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['edit']))
{
	if(isset($HTTP_GET_VARS['bannerupdate_sent']))
	{
		if(is_numeric($HTTP_GET_VARS['banner_width'])&&
		   is_numeric($HTTP_GET_VARS['banner_height']))
		{
			$AML_existant = AMS_sql_num_rows(AMS_sql_query("SELECT banner_id FROM ".$_AMLconfig['tbl_banner']." WHERE banner_width='".$HTTP_GET_VARS['banner_width']."' AND banner_height='".$HTTP_GET_VARS['banner_height']."' AND banner_align='".$HTTP_GET_VARS['banner_align']."' AND banner_id!='".$HTTP_GET_VARS['edit']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
			echo $AML_existant;
			if($AML_existant >= "1")
			{
				$AML_error_info        = ""._admin_link_banner_error_exists_.""; 
				$AML_error_description = ""._admin_link_banner_error_existsdesc_."";
				if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
				{	
					die("can not load <i>error.inc.php</i> so I will die now!");
				}			
			}
			else
			{
				if(isset($HTTP_GET_VARS['banner_default']) && $HTTP_GET_VARS['banner_default'] == '1')
				{
					$AML_updatedefault = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_banner']." SET banner_default = '0'", $_AMLconfig['sql_connect']);
				}
				$AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_banner']." SET banner_width   = '".$HTTP_GET_VARS['banner_width']."',
				                                                                      banner_height  = '".$HTTP_GET_VARS['banner_height']."',
				                                                                      banner_align   = '".$HTTP_GET_VARS['banner_align']."',
				                                                                      banner_active  = '".$HTTP_GET_VARS['banner_active']."',
				                                                                      banner_default = '".$HTTP_GET_VARS['banner_default']."' 
				                                                                WHERE banner_id      = '".$HTTP_GET_VARS['edit']."'", $_AMLconfig['sql_connect']);
			}
					
		}
	}
	
	if(!isset($AML_update))
	{
		$AML_banner = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_banner']." WHERE banner_id='".$HTTP_GET_VARS['edit']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		if($AML_banner['banner_active'] == '1')  { $AML_banner_active1  = 'checked'; $AML_banner_active2  = ''; } else { $AML_banner_active1  = ''; $AML_banner_active2  = 'checked'; }
		if($AML_banner['banner_default'] == '1') { $AML_banner_default1 = 'checked'; $AML_banner_default2 = ''; } else { $AML_banner_default1 = ''; $AML_banner_default2 = 'checked'; }
		if($AML_banner['banner_align'] == 'absbottom') { $AML_banner_align_absbottom = 'selected'; $AML_banner_align_absmiddle = '';         $AML_banner_align_baseline = '';         $AML_banner_align_bottom = '';         $AML_banner_align_left = '';         $AML_banner_align_middle = '';         $AML_banner_align_right = '';         $AML_banner_align_texttop = '';         $AML_banner_align_top = ''; }
		if($AML_banner['banner_align'] == 'absmiddle') { $AML_banner_align_absbottom = '';         $AML_banner_align_absmiddle = 'selected'; $AML_banner_align_baseline = '';         $AML_banner_align_bottom = '';         $AML_banner_align_left = '';         $AML_banner_align_middle = '';         $AML_banner_align_right = '';         $AML_banner_align_texttop = '';         $AML_banner_align_top = ''; }
		if($AML_banner['banner_align'] == 'baseline' ) { $AML_banner_align_absbottom = '';         $AML_banner_align_absmiddle = '';         $AML_banner_align_baseline = 'selected'; $AML_banner_align_bottom = '';         $AML_banner_align_left = '';         $AML_banner_align_middle = '';         $AML_banner_align_right = '';         $AML_banner_align_texttop = '';         $AML_banner_align_top = '';}
		if($AML_banner['banner_align'] == 'bottom'   ) { $AML_banner_align_absbottom = '';         $AML_banner_align_absmiddle = '';         $AML_banner_align_baseline = '';         $AML_banner_align_bottom = 'selected'; $AML_banner_align_left = '';         $AML_banner_align_middle = '';         $AML_banner_align_right = '';         $AML_banner_align_texttop = '';         $AML_banner_align_top = ''; }
		if($AML_banner['banner_align'] == 'left'     ) { $AML_banner_align_absbottom = '';         $AML_banner_align_absmiddle = '';         $AML_banner_align_baseline = '';         $AML_banner_align_bottom = '';         $AML_banner_align_left = 'selected'; $AML_banner_align_middle = '';         $AML_banner_align_right = '';         $AML_banner_align_texttop = '';         $AML_banner_align_top = ''; }
		if($AML_banner['banner_align'] == 'middle'   ) { $AML_banner_align_absbottom = '';         $AML_banner_align_absmiddle = '';         $AML_banner_align_baseline = '';         $AML_banner_align_bottom = '';         $AML_banner_align_left = '';         $AML_banner_align_middle = 'selected'; $AML_banner_align_right = '';         $AML_banner_align_texttop = '';         $AML_banner_align_top = ''; }
		if($AML_banner['banner_align'] == 'right'    ) { $AML_banner_align_absbottom = '';         $AML_banner_align_absmiddle = '';         $AML_banner_align_baseline = '';         $AML_banner_align_bottom = '';         $AML_banner_align_left = '';         $AML_banner_align_middle = '';         $AML_banner_align_right = 'selected'; $AML_banner_align_texttop = '';         $AML_banner_align_top = ''; }
		if($AML_banner['banner_align'] == 'texttop'  ) { $AML_banner_align_absbottom = '';         $AML_banner_align_absmiddle = '';         $AML_banner_align_baseline = '';         $AML_banner_align_bottom = '';         $AML_banner_align_left = '';         $AML_banner_align_middle = '';         $AML_banner_align_right = '';         $AML_banner_align_texttop = 'selected'; $AML_banner_align_top = '';}
		if($AML_banner['banner_align'] == 'top'      ) { $AML_banner_align_absbottom = '';         $AML_banner_align_absmiddle = '';         $AML_banner_align_baseline = '';         $AML_banner_align_bottom = '';         $AML_banner_align_left = '';         $AML_banner_align_middle = '';         $AML_banner_align_right = '';         $AML_banner_align_texttop = '';         $AML_banner_align_top = 'selected'; }
		
		$AML_link_banner_edit_get = //require_once("../include/template.inc.php");
		$AML_link_banner_edit_tpl = new AMT_Template("../template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_banner_edit.tpl.html", __FILE__, __LINE__);
		
			// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
			$AML_link_banner_edit_tpl -> AMT_assign('AML_global_linkopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_global_linktotemplate',      "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_global_urlopen',             "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_global_sitename',            "".$_AMLusrcfg['globalcfg_site_name']."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_global_siteurl',             "".$_AMLusrcfg['globalcfg_site_url']."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_global_sitedescription',     "".$_AMLusrcfg['globalcfg_site_description']."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_global_now',                 date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
			// <-- END templating globals -----------------------------------------------------------------------------------------------------
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_global_yes',               ""._admin_global_yes_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_global_no',                ""._admin_global_no_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_link_banner_id',           ""._admin_link_banner_id_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_link_banner_headlineedit', ""._admin_link_banner_headlineedit_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_link_banner_width',        ""._admin_link_banner_width_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_link_banner_height',       ""._admin_link_banner_height_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_link_banner_align',        ""._admin_link_banner_align_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_link_banner_active',       ""._admin_link_banner_active_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_link_banner_default',      ""._admin_link_banner_default_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_link_banner_headline',     ""._admin_link_banner_headline_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_link_banner_options',      ""._admin_link_banner_options_."");

			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_align_absbottom',           ""._admin_align_absbottom_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_align_absmiddle',           ""._admin_align_absmiddle_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_align_baseline',            ""._admin_align_baseline_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_align_bottom',              ""._admin_align_bottom_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_align_left',                ""._admin_align_left_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_align_middle',              ""._admin_align_middle_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_align_right',               ""._admin_align_right_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_align_texttop',             ""._admin_align_texttop_."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_admin_align_top',                 ""._admin_align_top_."");
				
			$AML_link_banner_edit_tpl -> AMT_assign('AML_banner_id',                      "".$AML_banner['banner_id']."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_banner_width',                   "".$AML_banner['banner_width']."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_banner_height',                  "".$AML_banner['banner_height']."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_banner_active1',                 "".$AML_banner_active1."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_banner_active2',                 "".$AML_banner_active2."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_banner_default1',                "".$AML_banner_default1."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_banner_default2',                "".$AML_banner_default2."");
	
			$AML_link_banner_edit_tpl -> AMT_assign('AML_banner_align_absbottom',         "".$AML_banner_align_absbottom."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_banner_align_absmiddle',         "".$AML_banner_align_absmiddle."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_banner_align_baseline',          "".$AML_banner_align_baseline."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_banner_align_bottom',            "".$AML_banner_align_bottom."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_banner_align_left',              "".$AML_banner_align_left."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_banner_align_middle',            "".$AML_banner_align_middle."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_banner_align_right',             "".$AML_banner_align_right."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_banner_align_texttop',           "".$AML_banner_align_texttop."");
			$AML_link_banner_edit_tpl -> AMT_assign('AML_banner_align_top',               "".$AML_banner_align_top."");
		$AML_link_banner_edit_tpl -> AMT_tpl_print();
	}
}
// <-- END edit ---------------------------------------------------------------------------------------------------------------------------


// --> BEGIN templating header ------------------------------------------------------------------------------------------------------------
$AML_link_banner_header_get = //require_once("../include/template.inc.php");
$AML_link_banner_header_tpl = new AMT_Template("../template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_banner_header.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_link_banner_header_tpl -> AMT_assign('AML_global_linkopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_link_banner_header_tpl -> AMT_assign('AML_global_linktotemplate',      "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_link_banner_header_tpl -> AMT_assign('AML_global_urlopen',             "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_link_banner_header_tpl -> AMT_assign('AML_global_sitename',            "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_link_banner_header_tpl -> AMT_assign('AML_global_siteurl',             "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_link_banner_header_tpl -> AMT_assign('AML_global_sitedescription',     "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_link_banner_header_tpl -> AMT_assign('AML_global_now',                 date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	$AML_link_banner_header_tpl -> AMT_assign('AML_admin_link_banner_width',    ""._admin_link_banner_width_."");
	$AML_link_banner_header_tpl -> AMT_assign('AML_admin_link_banner_height',   ""._admin_link_banner_height_."");
	$AML_link_banner_header_tpl -> AMT_assign('AML_admin_link_banner_align',    ""._admin_link_banner_align_."");
	$AML_link_banner_header_tpl -> AMT_assign('AML_admin_link_banner_active',   ""._admin_link_banner_active_."");
	$AML_link_banner_header_tpl -> AMT_assign('AML_admin_link_banner_default',  ""._admin_link_banner_default_."");
	$AML_link_banner_header_tpl -> AMT_assign('AML_admin_link_banner_headline', ""._admin_link_banner_headline_."");
	$AML_link_banner_header_tpl -> AMT_assign('AML_admin_link_banner_options',  ""._admin_link_banner_options_."");

$AML_link_banner_header_tpl -> AMT_tpl_print();
// <-- END templating header --------------------------------------------------------------------------------------------------------------


// --> BEGIN templating body --------------------------------------------------------------------------------------------------------------
$AML_link_banner_get = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_banner']."", $_AMLconfig['sql_connect']);
while($AML_thisbanner = AMS_sql_fetch_array($AML_link_banner_get, $_AMLconfig['sql_connect']))
{
	$AML_link_banner_body_get = //require_once("../include/template.inc.php");
	$AML_link_banner_body_tpl = new AMT_Template("../template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_banner_body.tpl.html", __FILE__, __LINE__);

		// --> BEGIN templating globals -------------------------------------------------------------------------------------------
		$AML_link_banner_body_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_link_banner_body_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
		$AML_link_banner_body_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_link_banner_body_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
		$AML_link_banner_body_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
		$AML_link_banner_body_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
		$AML_link_banner_body_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals ---------------------------------------------------------------------------------------------

		$AML_link_banner_body_tpl -> AMT_assign('AML_link_banner_width',         "".$AML_thisbanner['banner_width']."");
		$AML_link_banner_body_tpl -> AMT_assign('AML_link_banner_height',        "".$AML_thisbanner['banner_height']."");
		$AML_link_banner_body_tpl -> AMT_assign('AML_link_banner_align',         "".$AML_thisbanner['banner_align']."");
		$AML_link_banner_body_tpl -> AMT_assign('AML_link_banner_active',        "".$AML_thisbanner['banner_active']."");
		$AML_link_banner_body_tpl -> AMT_assign('AML_link_banner_default',       "".$AML_thisbanner['banner_default']."");
		$AML_link_banner_body_tpl -> AMT_assign('AML_link_banner_options',       "<a href=\"link_banner.php?edit=".$AML_thisbanner['banner_id']."\">"._admin_global_edit_."</a> - <a href=\"link_banner.php?delete=".$AML_thisbanner['banner_id']."\">"._admin_global_delete_."</a>");

	$AML_link_banner_body_tpl -> AMT_tpl_print();
}
// <-- END templating body ----------------------------------------------------------------------------------------------------------------


// --> BEGIN templating footer ------------------------------------------------------------------------------------------------------------
$AML_link_banner_footer_get = //require_once("../include/template.inc.php");
$AML_link_banner_footer_tpl = new AMT_Template("../template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_banner_footer.tpl.html", __FILE__, __LINE__);

	$AML_link_banner_footer_tpl -> AMT_assign('AML_urltotemplate',                   "".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."/");

$AML_link_banner_footer_tpl -> AMT_tpl_print();
// <-- END templating footer --------------------------------------------------------------------------------------------------------------


// --> BEGIN templating add ---------------------------------------------------------------------------------------------------------------
$AML_link_banner_add_get = //require_once("../include/template.inc.php");
$AML_link_banner_add_tpl = new AMT_Template("../template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_banner_add.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_link_banner_add_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_link_banner_add_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_link_banner_add_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	$AML_link_banner_add_tpl -> AMT_assign('AML_admin_link_banner_headlineadd',   ""._admin_link_banner_headlineadd_."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_admin_link_banner_width',         ""._admin_link_banner_width_."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_admin_link_banner_height',        ""._admin_link_banner_height_."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_admin_link_banner_align',         ""._admin_link_banner_align_."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_admin_link_banner_active',        ""._admin_link_banner_active_."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_admin_link_banner_default',       ""._admin_link_banner_default_."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_admin_global_yes',                ""._admin_global_yes_."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_admin_global_no',                 ""._admin_global_no_."");

	$AML_link_banner_add_tpl -> AMT_assign('AML_admin_align_absbottom',           ""._admin_align_absbottom_."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_admin_align_absmiddle',           ""._admin_align_absmiddle_."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_admin_align_baseline',            ""._admin_align_baseline_."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_admin_align_bottom',              ""._admin_align_bottom_."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_admin_align_left',                ""._admin_align_left_."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_admin_align_middle',              ""._admin_align_middle_."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_admin_align_right',               ""._admin_align_right_."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_admin_align_texttop',             ""._admin_align_texttop_."");
	$AML_link_banner_add_tpl -> AMT_assign('AML_admin_align_top',                 ""._admin_align_top_."");
          
$AML_link_banner_add_tpl -> AMT_tpl_print();
// <-- END templating add -----------------------------------------------------------------------------------------------------------------
?>