<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/link_broken.php                              */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN PROOF LINK -------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['proof']) || isset($HTTP_GET_VARS['proof']))
{
	if(!empty($HTTP_POST_VARS['proof'])) $AML_proof_id = $HTTP_POST_VARS['proof'];
	if(!empty($HTTP_GET_VARS['proof']))  $AML_proof_id = $HTTP_GET_VARS['proof'];
	$AML_proof_geturl = AMS_sql_fetch_array(AMS_sql_query("SELECT link_protocol,link_url FROM ".$_AMLconfig['tbl_links']." WHERE link_id = '$AML_proof_id'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
	$AML_proof_result = phpLinkCheck($AML_proof_geturl['link_protocol'].$AML_proof_geturl['link_url']);
	echo "<pre style=\"font-size:11px;\">";
	echo "[PROOFED-URL]     =>  ".$AML_proof_geturl['link_protocol']."".$AML_proof_geturl['link_url']."<br>";
	echo "[PROOFED-DATE]    =>  ".$AML_proof_result['Date']."<br>";
	echo "<hr height=\"1\" width=\"370\" align=\"left\" noshade style\"color:#9999CC\">";
	echo "[STATUS-LINE]     =>  ".$AML_proof_result['Status-Line']."<br>";
	echo "[CONTENT_TYPE]    =>  ".$AML_proof_result['Content-Type']."<br>";
	echo "[HTTP_VERSION]    =>  ".$AML_proof_result['HTTP-Version']."<br>";
	echo "[STATUS-CODE]     =>  ".$AML_proof_result['Status-Code']."<br>";
	echo "[REASON-PHRASE]   =>  ".$AML_proof_result['Reason-Phrase']."<br>";
	echo "[RESPONSE-CLASS]  =>  ".$AML_proof_result['Response-Class']."<br>";
	echo "[LAST-MODIFIED]   =>  ".$AML_proof_result['Last-Modified']."<br>";
	echo "[ETag]            =>  ".$AML_proof_result['ETag']."<br>";
	echo "[ACCEPT-RANGES]   =>  ".$AML_proof_result['Accept-Ranges']."<br>";
	echo "[CONENT-LENGTH]   =>  ".$AML_proof_result['Content-Length']."<br>";
	echo "[SERVER]          =>  ".$AML_proof_result['Server']."<br>";
	echo "[CONNECTION]      =>  ".$AML_proof_result['Connection']."<br>";	
	echo "</pre>";
	die();
}
// <-- END PROOF LINK ---------------------------------------------------------------------------------------------------------------------


// --> BEGIN REACTIVATING LINK ------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['reactivate']) || isset($HTTP_GET_VARS['reactivate']))
{
	if(!empty($HTTP_POST_VARS['reactivate'])) $AML_reactivate_id = $HTTP_POST_VARS['reactivate'];
	if(!empty($HTTP_GET_VARS['reactivate']))  $AML_reactivate_id = $HTTP_GET_VARS['reactivate'];

	if($AML_reactivate = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_active = '1', link_inactivereason = '', link_lastcheck = '".$_AMLconfig['date_countflag']."', link_lastcode = '200',link_broken = '0' WHERE link_id ='".$AML_reactivate_id."'", $_AMLconfig['sql_connect']))
	{
		$AML_info_info         = ""._admin_linkbroken_reactivated_."";
		$AML_info_description  = ""._admin_linkbroken_reactivateddesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
		die();
	}
}
// <-- END REACTIVATING LINK --------------------------------------------------------------------------------------------------------------


$AML_linkbroken_header_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
$AML_linkbroken_header_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath'].""."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_broken_header.tpl.html", __FILE__, __LINE__);
		
	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_linkbroken_header_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_linkbroken_header_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_linkbroken_header_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_linkbroken_header_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_linkbroken_header_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_linkbroken_header_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_linkbroken_header_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	$AML_linkbroken_header_tpl -> AMT_assign('AML_admin_linkbroken_headline',       ""._admin_linkbroken_headline_."");
	$AML_linkbroken_header_tpl -> AMT_assign('AML_admin_linkbroken_topic',          ""._admin_linkbroken_topic_."");
	$AML_linkbroken_header_tpl -> AMT_assign('AML_admin_linkbroken_added',          ""._admin_linkbroken_added_."");
	$AML_linkbroken_header_tpl -> AMT_assign('AML_admin_linkbroken_lastcode',       ""._admin_linkbroken_lastcode_."");
	$AML_linkbroken_header_tpl -> AMT_assign('AML_admin_linkbroken_options',        ""._admin_linkbroken_options_."");

$AML_linkbroken_header_tpl -> AMT_tpl_print();

$AML_i = 0;
$AMT_bodybg = "AMTbodybg";
$AML_broken_query = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_links']." WHERE link_inactivereason = 'broken'", $_AMLconfig['sql_connect']);
while($AML_broken_array = AMS_sql_fetch_array($AML_broken_query, $_AMLconfig['sql_connect']))
{
	$AML_linkbroken_body_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
	$AML_linkbroken_body_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath'].""."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_broken_body.tpl.html", __FILE__, __LINE__);
	
		$AML_errcode = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_brokenvalues']." WHERE brokenvalue_code = ".$AML_broken_array['link_lastcode']."", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		$AML_linkbroken_body_tpl -> AMT_assign('AMT_class',                 "".$AMT_bodybg."");
		$AML_linkbroken_body_tpl -> AMT_assign('AML_admin_linkbroken_idV',        "".$AML_broken_array['link_id']."");
		$AML_linkbroken_body_tpl -> AMT_assign('AML_admin_linkbroken_topicV',     "<a href=\"".$AML_broken_array['link_protocol']."".$AML_broken_array['link_url']."\" target=\"_blank\">".$AML_broken_array['link_topic']."</a>");
		$AML_linkbroken_body_tpl -> AMT_assign('AML_admin_linkbroken_hitsV',      "".$AML_broken_array['link_hits']."");
		$AML_linkbroken_body_tpl -> AMT_assign('AML_admin_linkbroken_addedV',     date("Y-m-d h:m:i",$AML_broken_array['link_added']));
		$AML_linkbroken_body_tpl -> AMT_assign('AML_admin_linkbroken_lastcodeV',  "<acronym style=\"border-bottom: 1px dashed #00cc00; cursor: help;\" title=\"".$AML_errcode['brokenvalue_string']."\">".$AML_broken_array['link_lastcode']."</acronym>");
		$AML_linkbroken_body_tpl -> AMT_assign('AML_admin_linkbroken_proof',      "<a href=\"javascript:;\" onclick=\"window.open('link_broken.php?proof=".$AML_broken_array['link_id']."', 'STATUS','toolbar=no,location=no,status=no,menubar=no,scrollbars=no,resizable=no,width=390,height=245')\">"._admin_linkbroken_proof_."</a>");
		$AML_linkbroken_body_tpl -> AMT_assign('AML_admin_linkbroken_activate',   "<a href=\"link_broken.php?reactivate=".$AML_broken_array['link_id']."\">"._admin_linkbroken_activate_."</a>");
		$AML_linkbroken_body_tpl -> AMT_assign('AML_admin_linkbroken_delete',     "<a href=\"link_validate.php?AML_linkid=".$AML_broken_array['link_id']."\">"._admin_linkbroken_delete_."</a>");
	
	$AML_linkbroken_body_tpl -> AMT_tpl_print();
	$AML_i++;
	if($AMT_bodybg == "AMTbodybg"){ $AMT_bodybg = "AMTbodybglight"; } else { $AMT_bodybg = "AMTbodybg"; }

}
if($AML_i == '0')
{
	$AML_linkbroken_body_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
	$AML_linkbroken_body_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath'].""."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_broken_body-novalue.tpl.html", __FILE__, __LINE__);
	$AML_linkbroken_body_tpl -> AMT_assign('AML_linkbroken_novalue',                 ""._admin_linkbroken_novalue_."");
	$AML_linkbroken_body_tpl -> AMT_tpl_print();
		
}



?>