<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/link_comment_edit.php                        */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN updating entry ---------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['commentedit_sent']))
{
	if(isset($HTTP_POST_VARS['AML_admin_link_commentedit_delete']))
	{
		$AML_delete = AMS_sql_query("DELETE FROM ".$_AMLconfig['tbl_comments']." WHERE comment_id ='".$HTTP_POST_VARS['AML_admin_link_commentedit_id']."'", $_AMLconfig['sql_connect']);
		if(isset($AML_delete))
		{
			$AML_info_info         = ""._admin_link_commentedit_info_deleted_."";
			$AML_info_description  = ""._admin_link_eommentedit_info_deleteddesc_."";
			if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}				
		}
		
		$AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_comments = link_comments-1 WHERE link_id ='".$HTTP_POST_VARS['AML_admin_link_commentedit_entryid']."'", $_AMLconfig['sql_connect']);
	}
	else
	{		
		if(!empty($HTTP_POST_VARS['AML_admin_link_commentedit_name'])  &&
		   !empty($HTTP_POST_VARS['AML_admin_link_commentedit_email']) &&
		   !empty($HTTP_POST_VARS['AML_admin_link_commentedit_message']))
		{
			$AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_comments']." SET   comment_name    = '".$HTTP_POST_VARS['AML_admin_link_commentedit_name']."',
			                                                                          comment_email   = '".$HTTP_POST_VARS['AML_admin_link_commentedit_email']."',
			                                                                          comment_message = '".$HTTP_POST_VARS['AML_admin_link_commentedit_message']."' 
			                                                                    WHERE comment_id      = '".$HTTP_POST_VARS['AML_admin_link_commentedit_id']."'", $_AMLconfig['sql_connect']);
			if(isset($AML_update))
			{
				$AML_info_info         = ""._admin_link_commentedit_info_updated_."";
				$AML_info_description  = ""._admin_link_eommentedit_info_updateddesc_."";
				if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
				{	
					die("can not load <i>info.inc.php</i> so I will die now!");
				}				
			}
		}
		else
		{
			$AML_info_info         = ""._admin_link_commentedit_info_errorfields_."";
			$AML_info_description  = ""._admin_link_eommentedit_info_errorfieldsdesc_."";
			if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}					
		}
	}
}
// <-- END updating entry -----------------------------------------------------------------------------------------------------------------


// --> BEGIN creating forms ---------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['AML_entryid']))
{
	$AML_array = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_comments']." WHERE comment_linkid ='".$HTTP_GET_VARS['AML_entryid']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
	if(empty($AML_array['total']) || $AML_array['total'] == '0')
	{
		$AML_warning_info         = ""._warning_link_commentedit_notfound_."";
		$AML_warning_description  = ""._warning_link_commentedit_notfounddesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/warning.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}
	else
	{
		$AML_query = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_comments']." WHERE comment_linkid ='".$HTTP_GET_VARS['AML_entryid']."'", $_AMLconfig['sql_connect']);
		
		while($AML_array = AMS_sql_fetch_array($AML_query, $_AMLconfig['sql_connect']))
		{
			$AML_commentedit_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
			$AML_commentedit_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_comment_edit.tpl.html", __FILE__, __LINE__);

				// --> BEGIN templating globals ---------------------------------------------------------------------------
				$AML_commentedit_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
				$AML_commentedit_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
				$AML_commentedit_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
				$AML_commentedit_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
				$AML_commentedit_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
				$AML_commentedit_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
				$AML_commentedit_tpl-> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
				// <-- END templating globals -----------------------------------------------------------------------------
	
				$AML_commentedit_tpl -> AMT_assign('AML_admin_link_commentedit_headline',  ""._admin_link_commentedit_headline_."");
				$AML_commentedit_tpl -> AMT_assign('AML_admin_link_commentedit_id',        ""._admin_link_commentedit_id_."");
				$AML_commentedit_tpl -> AMT_assign('AML_admin_link_commentedit_name',      ""._admin_link_commentedit_name_."");
				$AML_commentedit_tpl -> AMT_assign('AML_admin_link_commentedit_email',     ""._admin_link_commentedit_email_."");
				$AML_commentedit_tpl -> AMT_assign('AML_admin_link_commentedit_message',   ""._admin_link_commentedit_message_."");
				$AML_commentedit_tpl -> AMT_assign('AML_admin_link_commentedit_netinfo',   ""._admin_link_commentedit_netinfo_."");
				$AML_commentedit_tpl -> AMT_assign('AML_admin_link_commentedit_delete',    ""._admin_link_commentedit_delete_."");
				$AML_commentedit_tpl -> AMT_assign('AML_admin_link_commentedit_nowarning', ""._admin_link_commentedit_nowarning_."");
	
		
				$AML_commentedit_tpl -> AMT_assign('AML_admin_link_commentedit_idV',       "".$AML_array['comment_id']."");
				$AML_commentedit_tpl -> AMT_assign('AML_admin_link_commentedit_nameV',     "".$AML_array['comment_name']."");
				$AML_commentedit_tpl -> AMT_assign('AML_admin_link_commentedit_emailV',    "".$AML_array['comment_email']."");
				$AML_commentedit_tpl -> AMT_assign('AML_admin_link_commentedit_messageV',  "".$AML_array['comment_message']."");
				$AML_commentedit_tpl -> AMT_assign('AML_admin_link_commentedit_netinfoV',  nl2br($AML_array['comment_netinfo']));
				$AML_commentedit_tpl -> AMT_assign('AML_admin_link_commentedit_entryidV',  "".$AML_array['comment_linkid']."");
			$AML_commentedit_tpl -> AMT_tpl_print();	
		}
	}	
}
// <-- END creating forms -----------------------------------------------------------------------------------------------------------------


// --> BEGIN creating selection -----------------------------------------------------------------------------------------------------------
$AML_linkmenue  = "<table cellspacing=\"0\" cellpadding=\"0\">\t<tr>\n\t\t<form name=\"AML_catchange\" method=\"POST\" action=\"./link_comment_edit.php\">";
$AML_linkmenue .= "\n<td>\n\t<script language=\"JavaScript\">function load(form) {var url = form.AML_cmtedit_entry.options[form.AML_cmtedit_entry.selectedIndex].value;if (url != '') location.href = url;return false;}</script>\n";

$AML_linkmenue .= "\r\r\t\t<select name=\"AML_cmtedit_entry\" onChange=\"load(this.form)\" class=\"AMTselectfield\">\n";
$AML_linkmenue .= "\n\t\t\t<option value=\"\" selected>"._admin_link_commentedit_selectentry_."</option>\n";
$AML_getcategories = AMS_sql_query("SELECT link_id,link_topic,link_comments FROM ".$_AMLconfig['tbl_links']." WHERE link_comments != '0' order by link_topic", $_AMLconfig['sql_connect']); 
while($AML_links = AMS_sql_fetch_array($AML_getcategories, $_AMLconfig['sql_connect']))
{
	$AML_linkmenue .= "\n\t\t\t<option value=\"./link_comment_edit.php?AML_entryid=".$AML_links['link_id']."\">"; 
	$AML_linkmenue .= "".$AML_links['link_topic']."  (".$AML_links['link_comments'].")";
	$AML_linkmenue .= "</option>";
}
$AML_linkmenue .="</select></form>";
$AML_linkmenue .= "<center class=\"AMTbodybg\"><br><form name=\"AML_entryid\" method=\"get\" action=\"./link_comment_edit.php\"><span class=\"AMTsmallesttext\">ID: </span><input type=\"text\" name=\"AML_entryid\" class=\"AMTtextfield\" size=\"4\"> <input type=\"submit\" name=\"Submit\" class=\"AMTbutton\"></form></center>";

$AML_info_info         = ""._admin_link_commentedit_info_selectentry_."";
$AML_info_description  = ""._admin_link_eommentedit_info_selectentrydesc_.""."<br><br>$AML_linkmenue";
if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
{	
	die("can not load <i>info.inc.php</i> so I will die now!");
}
// <-- END creating selection -------------------------------------------------------------------------------------------------------------