<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/link_move.php                                */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN moving -----------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['confirm']))
{
	$AML_info_info         = ""._admin_linkmove_info_moving_."";
	$AML_info_description  = ""._admin_linkmove_info_movingdesc_.""."<br><br>";
	$AML_query = AMS_sql_query("SELECT link_topic FROM ".$_AMLconfig['tbl_links']." WHERE link_categorie = '".$HTTP_POST_VARS['movefromcat_id']."'", $_AMLconfig['sql_connect']);
	while($AML_array = AMS_sql_fetch_array($AML_query, $_AMLconfig['sql_connect']))
	{
		$AML_info_description .="<br>".$AML_array['link_topic']."";
	}
	
	if($AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_categorie = '".$HTTP_POST_VARS['movetocat_id']."' WHERE link_categorie = '".$HTTP_POST_VARS['movefromcat_id']."'", $_AMLconfig['sql_connect']))
	{
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
		die();		
	}
	die();
}
// <-- END moving -------------------------------------------------------------------------------------------------------------------------


// --> BEGIN confirm ----------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['movefromcat_id']) && isset($HTTP_POST_VARS['movetocat_id']))
{
	$AML_catfrom = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_id = '".$HTTP_POST_VARS['movefromcat_id']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
	$AML_catto   = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_id = '".$HTTP_POST_VARS['movetocat_id']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);

	$AML_info_info         = ""._admin_linkmove_info_confirm_."";
	$AML_info_description  = ""._admin_linkmove_info_confirmdesc_.""."<br><br>";
	$AML_info_description .= ""._admin_linkmove_info_fromcat_."".$AML_catfrom['categorie_viewitas']."<br><br>";
	$AML_info_description .= ""._admin_linkmove_info_tocat_."".$AML_catto['categorie_viewitas']."";	
	$AML_info_description .= "\n<form method=\"post\" action=\"./link_move.php\" name=\"doitnow\">";
	$AML_info_description .= "\n\t<input type=\"hidden\" name=\"movefromcat_id\"  value=\"".$HTTP_POST_VARS['movefromcat_id']."\">";
	$AML_info_description .= "\n\t<input type=\"hidden\" name=\"movetocat_id\"  value=\"".$HTTP_POST_VARS['movetocat_id']."\">";
	$AML_info_description .= "\n\t<input type=\"hidden\" name=\"confirm\"  value=\"1\">";
	$AML_info_description .= "\n\t<br><br><center><input type=\"submit\" name=\"Submit\" class=\"AMTbutton\"></center>";
	$AML_info_description .= "\n</form>";
	if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
	{	
		die("can not load <i>info.inc.php</i> so I will die now!");
	}
	die();
}
// <-- END confirm ------------------------------------------------------------------------------------------------------------------------


// --> BEGIN move to ----------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['movefromcat_id']))
{
	$entries = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) as total FROM ".$_AMLconfig['tbl_links']." WHERE link_categorie = '".$HTTP_POST_VARS['movefromcat_id']."'",$_AMLconfig['sql_connect']),$_AMLconfig['sql_connect']);
	if(!isset($entries['total']) || $entries['total'] != '0' || $entries['total'] != '0')
	{
		$AML_catmenue  = "\r\r\t\t<form method=\"post\" action=\"./link_move.php\"><select name=\"movetocat_id\" class=\"AMTselectfield\">\n";
		$AML_catmenue .= "\n\t\t\t<option value=\"\" selected>"._header_rightmenue_switch_categorie_."</option>\n";
		$AML_getcategories = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_categories']." order by categorie_viewitas", $_AMLconfig['sql_connect']); 
		while($AML_linkcats = AMS_sql_fetch_array($AML_getcategories, $_AMLconfig['sql_connect']))
		{
			$entries = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) as total FROM ".$_AMLconfig['tbl_links']." WHERE link_categorie = '".$AML_linkcats['categorie_id']."'",$_AMLconfig['sql_connect']),$_AMLconfig['sql_connect']);
			$AML_catmenue .= "\n\t\t\t<option value=\"".$AML_linkcats['categorie_id']."\">"; 
			$AML_catmenue .= "$AML_linkcats[categorie_viewitas]  ($entries[total])";
			$AML_catmenue .= "</option>";
		}
		$AML_catmenue .="</select>";
		$AML_catmenue .="<input type=\"hidden\" name=\"movefromcat_id\"  value=\"".$HTTP_POST_VARS['movefromcat_id']."\">";
		$AML_catmenue .="<br><br><center><input type=\"submit\" name=\"Submit\" class=\"AMTbutton\"></center></form>";
		$AML_info_info         = ""._admin_linkmove_info_selectcatto_."";
		$AML_info_description  = ""._admin_linkmove_info_selectcattodesc_.""."<br><br>$AML_catmenue";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
		die();
	}
	else
	{
		$AML_error_error        = ""._admin_linkmove_error_noentry_."";
		$AML_error_description  = ""._admin_linkmove_error_noentrydesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>error.inc.php</i> so I will die now!");
		}
		die();
	}
}
// <-- END move to ------------------------------------------------------------------------------------------------------------------------


// --> BEGIN move from --------------------------------------------------------------------------------------------------------------------
$AML_catmenue  = "\r\r\t\t<form method=\"post\" action=\"./link_move.php\"><select name=\"movefromcat_id\" class=\"AMTselectfield\">\n";
$AML_catmenue .= "\n\t\t\t<option value=\"\" selected>"._header_rightmenue_switch_categorie_."</option>\n";
$AML_getcategories = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_categories']." order by categorie_viewitas", $_AMLconfig['sql_connect']); 
while($AML_linkcats = AMS_sql_fetch_array($AML_getcategories, $_AMLconfig['sql_connect']))
{
	$entries = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) as total FROM ".$_AMLconfig['tbl_links']." WHERE link_categorie = '".$AML_linkcats['categorie_id']."'",$_AMLconfig['sql_connect']),$_AMLconfig['sql_connect']);
	$AML_catmenue .= "\n\t\t\t<option value=\"".$AML_linkcats['categorie_id']."\">"; 
	$AML_catmenue .= "$AML_linkcats[categorie_viewitas]  ($entries[total])";
	$AML_catmenue .= "</option>";
}
$AML_catmenue .="</select>";
$AML_catmenue .="<br><br><center><input type=\"submit\" name=\"Submit\" class=\"AMTbutton\"></center></form>";
$AML_info_info         = ""._admin_linkmove_info_selectcatfrom_."";
$AML_info_description  = ""._admin_linkmove_info_selectcatfromdesc_.""."<br><br>$AML_catmenue";
if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
{	
	die("can not load <i>info.inc.php</i> so I will die now!");
}
// <-- END move from ----------------------------------------------------------------------------------------------------------------------
?>