<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/link_settings.php                            */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN setdisclaimer ----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['option']) && $HTTP_GET_VARS['option'] == 'setdisclaimertext')
{
	if(isset($HTTP_POST_VARS['sent']))
	{
		$AML_updatedb = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_config']." SET globalcfg_disclaimer_head = '".$HTTP_POST_VARS['cfg_text_disclaimer_head']."', 
		                                                                    globalcfg_disclaimer_body     = '".$HTTP_POST_VARS['cfg_text_disclaimer_body']."'", $_AMLconfig['sql_connect']);
		if(isset($AML_updatedb))
		{
			$AML_info_info         = ""._admin_info_linksettings_disclaimertext_done_."";
			$AML_info_description  = ""._admin_info_linksettings_disclaimertext_donedesc_."";
			if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
			{	
			die("can not load <i>info.inc.php</i> so I will die now!");
			}
		}
		die();
	}
	$AML_setdisclaimer_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
	$AML_setdisclaimer_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_settings_setdisclaimer.tpl.html", __FILE__, __LINE__);

		// --> BEGIN templating globals -------------------------------------------------------------------------------------------
		$AML_setdisclaimer_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals ---------------------------------------------------------------------------------------------
	
		// text
		$AML_setdisclaimer_tpl -> AMT_assign('AML_admin_setdisclaimer_headline',   ""._admin_setdisclaimer_headline_."");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_admin_setdisclaimer_head',       ""._admin_setdisclaimer_head_."");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_admin_setdisclaimer_body',       ""._admin_setdisclaimer_body_."");

		//values
		$AML_setdisclaimer_tpl -> AMT_assign('AML_admin_setdisclaimer_headV',      "$_AMLusrcfg[globalcfg_disclaimer_head]");
		$AML_setdisclaimer_tpl -> AMT_assign('AML_admin_setdisclaimer_bodyV',      "$_AMLusrcfg[globalcfg_disclaimer_body]");

		
	$AML_setdisclaimer_tpl -> AMT_tpl_print();

	die();
}
// <-- END setdisclaimer ------------------------------------------------------------------------------------------------------------------


// --> BEGIN updating config --------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['link_settings_sent']))
{
	$AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_config']." SET cfg_entry_comments   = '".$HTTP_POST_VARS['AML_admin_linksettings_comments']."',
                                                                              cfg_entry_info       = '".$HTTP_POST_VARS['AML_admin_linksettings_info']."',
                                                                              cfg_entry_vote       = '".$HTTP_POST_VARS['AML_admin_linksettings_vote']."',
                                                                              cfg_entry_votesystem = '".$HTTP_POST_VARS['AML_admin_linksettings_votingsystem']."',
                                                                              cfg_entry_broken     = '".$HTTP_POST_VARS['AML_admin_linksettings_broken']."',
                                                                              cfg_entry_url        = '".$HTTP_POST_VARS['AML_admin_linksettings_url']."',
                                                                              cfg_entry_hits       = '".$HTTP_POST_VARS['AML_admin_linksettings_hits']."',
                                                                              cfg_entry_disclaimer = '".$HTTP_POST_VARS['AML_admin_linksettings_disclaimer']."',
                                                                              cfg_entry_frame      = '".$HTTP_POST_VARS['AML_admin_linksettings_frame']."',
                                                                              cfg_entry_desc1html  = '".$HTTP_POST_VARS['AML_admin_linksettings_desc1html']."',
                                                                              cfg_entry_desc2html  = '".$HTTP_POST_VARS['AML_admin_linksettings_desc2html']."'", $_AMLconfig['sql_connect']);
	
	if(isset($AML_update))
	{
		$AML_info_info         = ""._admin_linksettings_updated_."";
		$AML_info_description  = ""._admin_linksettings_updateddesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}
	
	
	// --> BEGIN loding new configuration ---------------------------------------------------------------------------------------------
	$_AMLusrcfg_get = AMS_sql_query("SELECT * FROM $_AMLconfig[tbl_config]", $_AMLconfig['sql_connect']);
	if(!$_AMLusrcfg = AMS_sql_fetch_array($_AMLusrcfg_get, $_AMLconfig['sql_connect']))
	{
		die("There is a problem occured.<br> Can not load user configuration!<br>");
	}
	// <-- END loding new configuration -----------------------------------------------------------------------------------------------

}	
// <-- END updating config ----------------------------------------------------------------------------------------------------------------


// --> BEGIN getting config data ----------------------------------------------------------------------------------------------------------
if($_AMLusrcfg['cfg_entry_info']       == '1') { $AML_admin_linksettings_info_checked1              = 'checked'; $AML_admin_linksettings_info_checked2              = ''; } else { $AML_admin_linksettings_info_checked1              = ''; $AML_admin_linksettings_info_checked2              = 'checked'; }
if($_AMLusrcfg['cfg_entry_url']        == '1') { $AML_admin_linksettings_url_checked1               = 'checked'; $AML_admin_linksettings_url_checked2               = ''; } else { $AML_admin_linksettings_url_checked1               = ''; $AML_admin_linksettings_url_checked2               = 'checked'; }
if($_AMLusrcfg['cfg_entry_hits']       == '1') { $AML_admin_linksettings_hits_checked1              = 'checked'; $AML_admin_linksettings_hits_checked2              = ''; } else { $AML_admin_linksettings_hits_checked1              = ''; $AML_admin_linksettings_hits_checked2              = 'checked'; }
if($_AMLusrcfg['cfg_entry_vote']       == '1') { $AML_admin_linksettings_votingsystem_checked1      = 'checked'; $AML_admin_linksettings_votingsystem_checked2      = ''; } else { $AML_admin_linksettings_votingsystem_checked1      = ''; $AML_admin_linksettings_votingsystem_checked2      = 'checked'; }
if($_AMLusrcfg['cfg_entry_votesystem'] == '1') { $AML_admin_linksettings_votingsystem_type_checked1 = 'checked'; $AML_admin_linksettings_votingsystem_type_checked2 = ''; } else { $AML_admin_linksettings_votingsystem_type_checked1 = ''; $AML_admin_linksettings_votingsystem_type_checked2 = 'checked'; }
if($_AMLusrcfg['cfg_entry_comments']   == '1') { $AML_admin_linksettings_comments_checked1          = 'checked'; $AML_admin_linksettings_comments_checked2          = ''; } else { $AML_admin_linksettings_comments_checked1          = ''; $AML_admin_linksettings_comments_checked2          = 'checked'; }
if($_AMLusrcfg['cfg_entry_broken']     == '1') { $AML_admin_linksettings_broken_checked1            = 'checked'; $AML_admin_linksettings_broken_checked2            = ''; } else { $AML_admin_linksettings_broken_checked1            = ''; $AML_admin_linksettings_broken_checked2            = 'checked'; }
if($_AMLusrcfg['cfg_entry_disclaimer'] == '1') { $AML_admin_linksettings_disclaimer_checked1        = 'checked'; $AML_admin_linksettings_disclaimer_checked2        = ''; } else { $AML_admin_linksettings_disclaimer_checked1        = ''; $AML_admin_linksettings_disclaimer_checked2        = 'checked'; }
if($_AMLusrcfg['cfg_entry_frame']      == '1') { $AML_admin_linksettings_frame_checked1             = 'checked'; $AML_admin_linksettings_frame_checked2             = ''; } else { $AML_admin_linksettings_frame_checked1             = ''; $AML_admin_linksettings_frame_checked2             = 'checked'; }
if($_AMLusrcfg['cfg_entry_desc1html']  == '1') { $AML_admin_linksettings_desc1html_checked1         = 'checked'; $AML_admin_linksettings_desc1html_checked2         = ''; } else { $AML_admin_linksettings_desc1html_checked1         = ''; $AML_admin_linksettings_desc1html_checked2         = 'checked'; }
if($_AMLusrcfg['cfg_entry_desc2html']  == '1') { $AML_admin_linksettings_desc2html_checked1         = 'checked'; $AML_admin_linksettings_desc2html_checked2         = ''; } else { $AML_admin_linksettings_desc2html_checked1         = ''; $AML_admin_linksettings_desc2html_checked2         = 'checked'; }

// <-- END getting config data ------------------------------------------------------------------------------------------------------------


$AML_linksettings_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_linksettings_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_settings.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_linksettings_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_linksettings_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_linksettings_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_linksettings_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_linksettings_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_linksettings_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_linksettings_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_headline',                   ""._admin_linksettings_headline_."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_showlinkinfo',               ""._admin_linksettings_showlinkinfo_."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_showurldirect',              ""._admin_linksettings_showurldirect_."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_showhits',                   ""._admin_linksettings_showhits_."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_enablevotes',                ""._admin_linksettings_enablevotes_."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_votingsystem_pollline',      ""._admin_linksettings_votingsystem_pollline_."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_votingsystem_form',          ""._admin_linksettings_votingsystem_form_."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_enablecomments',             ""._admin_linksettings_enablecomments_."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_commentsedit',               ""._admin_linksettings_commentsedit_."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_showframe',                  ""._admin_linksettings_showframe_."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_disclaimer',                 ""._admin_linksettings_disclaimer_."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_disclaimer_edittext',        ""._admin_linksettings_disclaimer_edittext_."");

	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_showbrokenlink',             ""._admin_linksettings_showbrokenlink_."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_global_yes',                              ""._admin_global_yes_."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_global_no',                               ""._admin_global_no_."");

	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_maxvaluedesc1',              ""._admin_linksettings_maxvaluedesc1_."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_maxvaluedesc2',              ""._admin_linksettings_maxvaluedesc2_."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_maxvalue_words',             ""._admin_linksettings_maxvalue_words_."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_maxvalue_chars',             ""._admin_linksettings_maxvalue_chars_."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_deschtml',                   ""._admin_linksettings_deschtml_."");
	
	// --> LINKINFO SETTINGS
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_info_checked1',              "".$AML_admin_linksettings_info_checked1."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_info_checked2',              "".$AML_admin_linksettings_info_checked2."");

	// --> LINKURL SETTINGS
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_url_checked1',               "".$AML_admin_linksettings_url_checked1."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_url_checked2',               "".$AML_admin_linksettings_url_checked2."");

	// --> LINKHITSSETTINGS
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_hits_checked1',              "".$AML_admin_linksettings_hits_checked1."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_hits_checked2',              "".$AML_admin_linksettings_hits_checked2."");
	
	// --> VOTING SETTINGS
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_votingsystem_checked1',      "".$AML_admin_linksettings_votingsystem_checked1."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_votingsystem_checked2',      "".$AML_admin_linksettings_votingsystem_checked2."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_votingsystem_type_checked1', "".$AML_admin_linksettings_votingsystem_type_checked1."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_votingsystem_type_checked2', "".$AML_admin_linksettings_votingsystem_type_checked2."");

	// --> DICLAIMER SETTINGS
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_disclaimer_checked1',        "".$AML_admin_linksettings_disclaimer_checked1."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_disclaimer_checked2',        "".$AML_admin_linksettings_disclaimer_checked2."");

	// --> FRAME SETTINGS
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_frame_checked1',             "".$AML_admin_linksettings_frame_checked1."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_frame_checked2',             "".$AML_admin_linksettings_frame_checked2."");
	
	// --> COMMENT SETTINGS
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_comments_checked1',          "".$AML_admin_linksettings_comments_checked1."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_comments_checked2',          "".$AML_admin_linksettings_comments_checked2."");

	// --> BROKEN SETTINGS
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_broken_checked1',            "".$AML_admin_linksettings_broken_checked1."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_broken_checked2',            "".$AML_admin_linksettings_broken_checked2."");

	// --> DESC1HTML SETTINGS
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_desc1html_checked1',         "".$AML_admin_linksettings_desc1html_checked1."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_desc1html_checked2',         "".$AML_admin_linksettings_desc1html_checked2."");

	// --> DESC2HTML SETTINGS
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_desc2html_checked1',         "".$AML_admin_linksettings_desc2html_checked1."");
	$AML_linksettings_tpl -> AMT_assign('AML_admin_linksettings_desc2html_checked2',         "".$AML_admin_linksettings_desc2html_checked2."");
	
$AML_linksettings_tpl -> AMT_tpl_print();

?>