<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/manage_admin.php                             */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


if(isset($HTTP_POST_VARS['changepwd']))
{
	if(empty($HTTP_POST_VARS['oldpwd'])
	|| empty($HTTP_POST_VARS['newpwd1'])
	|| empty($HTTP_POST_VARS['newpwd2']))
	{
		$AML_error_error        = ""._admin_manageadmin_error_emptyfields_."";
		$AML_error_description  = ""._admin_manageadmin_error_emptyfieldsdesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
		$error = 1;
	}
	if($HTTP_POST_VARS['newpwd1'] != $HTTP_POST_VARS['newpwd2'])
	{
		$AML_error_error        = ""._admin_manageadmin_error_newpwd_."";
		$AML_error_description  = ""._admin_manageadmin_error_newpwddesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
		$error = 1;
	}
	if(!isset($error))
	{
		$AML_oldpwd = md5($HTTP_POST_VARS['oldpwd']);
		$AML_query = AMS_sql_num_rows(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_user']." WHERE user_session = '".$HTTP_COOKIE_VARS["$_AMLconfig[cookie_name]"]."' && user_password = '".$AML_oldpwd."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		if($AML_query == '0')
		{
			$AML_error_error        = ""._admin_manageadmin_error_nouser_."";
			$AML_error_description  = ""._admin_manageadmin_error_nouserdesc_."";
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}	
		}
		else
		{
			$AML_oldpwd = md5($HTTP_POST_VARS['oldpwd']);
			$AML_newpwd = md5($HTTP_POST_VARS['newpwd1']);
			$update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_user']." SET user_password = '".$AML_newpwd."' WHERE user_password='".$AML_oldpwd."'", $_AMLconfig['sql_connect']);

			$AML_info_info         = ""._admin_manageadmin_info_changed_."";
			$AML_info_description  = ""._admin_manageadmin_info_changeddesc_."";
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}
			die();		
		}
	}
}
	$AML_manage_admin_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
	$AML_manage_admin_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/manage_admin.tpl.html", __FILE__, __LINE__);	

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_manage_admin_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_manage_admin_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_manage_admin_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_manage_admin_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_manage_admin_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_manage_admin_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_manage_admin_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	
	$AML_manage_admin_tpl -> AMT_assign('AML_admin_manageadmin_changepwd_headline',    ""._admin_manageadmin_changepwd_headline_."");
	$AML_manage_admin_tpl -> AMT_assign('AML_admin_manageadmin_changepwd_oldpwd',      ""._admin_manageadmin_changepwd_oldpwd_."");
	$AML_manage_admin_tpl -> AMT_assign('AML_admin_manageadmin_changepwd_newpwd',      ""._admin_manageadmin_changepwd_newpwd_."");
	$AML_manage_admin_tpl -> AMT_assign('AML_admin_manageadmin_changepwd_newpwd2',     ""._admin_manageadmin_changepwd_newpwd2_."");
	
$AML_manage_admin_tpl -> AMT_tpl_print();