<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/*             Refresh statistics module v. 1.0                         */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/modules/REFRESH_STATISTICS/index.php         */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../../../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../../../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../../../admin.php");
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


if(!function_exists('AML_rebuild_linkstat'))
{
	function AML_rebuild_linkstat($AML_categorie, $AML_linkscount, $AML_where) 
	{
		global $AML_linksvalue, $_AMLconfig;
	
		if(!ereg ("all", $AML_categorie))
		{
			if(!empty($AML_where))
			{
				$AML_where = "AND $AML_where";
			}
			else
			{
				$AML_where = "";
			}
			$AML_links = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) as total FROM ".$_AMLconfig['tbl_links']." WHERE link_categorie = '$AML_categorie' AND link_active='1' $AML_where", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
			$AML_linksvalue = $AML_linkscount + $AML_links['total'];
			$AML_getsubcats = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_topcat = '$AML_categorie' AND categorie_active = '1'", $_AMLconfig['sql_connect']);

			while($AML_subcatlinks = AMS_sql_fetch_array($AML_getsubcats, $_AMLconfig['sql_connect'])) 
			{
				$AML_getsubsubcats = AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_topcat = '$AML_subcatlinks[categorie_id]' AND categorie_active = '1'", $_AMLconfig['sql_connect']);
				$AML_subsubcats    = AMS_sql_fetch_array($AML_getsubsubcats, $_AMLconfig['sql_connect']);
				if (isset($AML_subsubcats['total']) && !empty($AML_subsubcats['total'])) 
				{
					
					$AML_totallinks = $AML_linksvalue;                                                        
					AML_rebuild_linkstat($AML_subcatlinks['categorie_id'], $AML_linksvalue, $AML_where); 			
				}
				else
				{
					$AML_links2 = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_links']." WHERE link_categorie = '$AML_subcatlinks[categorie_id]' AND link_active='1'  AND link_active = '1'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
					$AML_linksvalue = $AML_linksvalue + $AML_links2['total'];	
				}
		
			}
		}
		return($AML_linksvalue); 
		unset($AML_linksvalue);
	}
}
if(!function_exists('AML_rebuild_catstat'))
{
	function AML_rebuild_catstat($AML_categorie, $AML_catcount, $AML_where) 
	{
		global $AML_returncats, $_AMLconfig;
		
		if(!ereg ("all", $AML_categorie))
		{
			if(!empty($AML_where))
			{
				$AML_where = "AND $AML_where";
			}
			else
			{
				$AML_where = "";
			}
			$AML_cats = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_topcat = '$AML_categorie'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
			$AML_returncats = $AML_catcount + $AML_cats['total'];
			
			$AML_subcats = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_topcat = '$AML_categorie'", $_AMLconfig['sql_connect']);
			while($AML_subsubcats = AMS_sql_fetch_array($AML_subcats , $_AMLconfig['sql_connect']))
			{
				$AML_exists = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_topcat = '$AML_subsubcats[categorie_id]'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
				if(isset($AML_exists['total']) && !empty($AML_exists['total']))
				{
					AML_rebuild_catstat($AML_subsubcats['categorie_id'], $AML_returncats, $AML_where);
				}
			}
		}
		return($AML_returncats); 
		unset($AML_returncats);
	}
}	
if(!function_exists('AML_rebuild_hitstat'))
{
	function AML_rebuild_hitstat($AML_categorie, $AML_hitscount, $AML_where) 
	{
		global $AML_returnhits, $_AMLconfig;
		
		if(!ereg ("all", $AML_categorie))
		{
			if(!empty($AML_where))
			{
				$AML_where = "AND $AML_where";
			}
			$AML_hits = AMS_sql_fetch_array(AMS_sql_query("SELECT SUM(link_hits) AS total FROM ".$_AMLconfig['tbl_links']." WHERE link_categorie = '$AML_categorie' AND link_active='1' $AML_where", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
			$AML_returnhits = $AML_hitscount + $AML_hits['total'];
			
			$AML_getsubcats = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_topcat = '$AML_categorie' AND categorie_active = '1'", $_AMLconfig['sql_connect']);
			while($AML_subcathits = AMS_sql_fetch_array($AML_getsubcats, $_AMLconfig['sql_connect'])) 
			{
				$AML_getsubsubcats = AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_topcat = '$AML_subcathits[categorie_id]' AND categorie_active = '1'", $_AMLconfig['sql_connect']);
				$AML_subsubcats    = AMS_sql_fetch_array($AML_getsubsubcats, $_AMLconfig['sql_connect']);
				if (isset($AML_subsubcats['total']) && !empty($AML_subsubcats['total'])) 
				{                                                    
					AML_rebuild_hitstat($AML_subcathits['categorie_id'], $AML_returnhits, $AML_where); 			
				}
				else
				{
					$AML_hits2 = AMS_sql_fetch_array(AMS_sql_query("SELECT SUM(link_hits) AS total FROM ".$_AMLconfig['tbl_links']." WHERE link_categorie = '$AML_subcathits[categorie_id]' AND link_active = '1' $AML_where", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
					$AML_returnhits = $AML_returnhits + $AML_hits2['total'];	
				}
			}
		}
		return($AML_returnhits); 
		unset($AML_returnhits);
	}
}
?>
<html>
<head>
<title>REFRESH_STATISTICS</title>
<script language="JavaScript">
<!--
scrolling=true;
function moves()
{
    if(scrolling != false) { window.scroll(1,5000000); }
    window.setTimeout("moves()",100);
}
moves();
//-->
</script>
</head>
<body onmouseover="scrolling=false" onmouseout="scrolling=true">


<?PHP
$getcats = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_categories']." order by categorie_viewitas", $_AMLconfig['sql_connect']);
while($AML_categories = AMS_sql_fetch_array($getcats, $_AMLconfig['sql_connect']))
{
	echo "<i><b>UPDATING STATS FOR:</b></i> ".$AML_categories['categorie_viewitas']."";
	$links = AML_rebuild_linkstat($AML_categories['categorie_id'], 0, '');
	$cats  = AML_rebuild_catstat ($AML_categories['categorie_id'], 0, '');
	$hits  = AML_rebuild_hitstat ($AML_categories['categorie_id'], 0, '');
	$AML_catstat_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_links   = '".$links."',
	                                                                                  categorie_hits    = '".$hits."',
	                                                                                  categorie_subcats = '".$cats."' WHERE categorie_id = '".$AML_categories['categorie_id']."'", $_AMLconfig['sql_connect']);

	echo "<b>[ D O N E ]</b> (NEWCOUNT LINKS:<b>".$links."</b>,NEWCOUNT CATS:<b>".$cats."</b>,NEWCOUNT HITS:<b>".$hits."</b>)<br>";
	flush();
}
?>