<?PHP
/************************************************************************/
/* AMC_mail: AllMyPHP Mail Class                                        */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./classes/mail.class.php                             */
/* version       : 0.1.0                                                */
/* project       : AMC_mail class                                       */
/* last modified : Aug 10, 2004                                         */
/*                                                                      */
/************************************************************************/

error_reporting(E_ALL);
// --> BEGIN config -----------------------------------------------------------------------------------------------------------------------
/* edit default settings here */
settype($AMC_mail_usrcfg, 'array');
$AMC_mail_usrcfg['From_Name']                 = getenv('SERVER_ADMIN');
$AMC_mail_usrcfg['From_Email']                = getenv('SERVER_ADMIN');
$AMC_mail_usrcfg['Return-Path']               = getenv('SERVER_ADMIN');
$AMC_mail_usrcfg['Message-ID']                = md5(uniqid(time())) . "@" . getenv('SERVER_NAME');
$AMC_mail_usrcfg['MIME-Version']              = '1.0';
$AMC_mail_usrcfg['Content-Type']              = 'text/plain';
$AMC_mail_usrcfg['Charset']                   = '';
$AMC_mail_usrcfg['Content-Transfer-Encoding'] = '8bit';
$AMC_mail_usrcfg['Date']                      = date('r', time());
$AMC_mail_usrcfg['X-Priority']                = '3';
$AMC_mail_usrcfg['X-MSMail-Priority']         = 'Normal';
$AMC_mail_usrcfg['X-Mailer']                  = "PHP/" . phpversion();
$AMC_mail_usrcfg['X-MimeOLE']                 = 'AllMyPHP Mail Sender Class';
$AMC_mail_usrcfg['X-AntiAbuse_Servername']    = getenv('SERVER_NAME');
$AMC_mail_usrcfg['X-AntiAbuse_userip']        = getenv('REMOTE_ADDR');
// <-- END config -------------------------------------------------------------------------------------------------------------------------


if(!class_exists(AMC_mail))
{
	class AMC_mail
	{
		
		var $AMC_mail_from_email,
		    $AMC_mail_from_name;
		    
		var $AMC_mail_headers, 
		    $AMC_mail_subject,
		    $AMC_mail_message;
		    
		var $AMC_emailadress,
		    $AMC_replyadress,
		    $AMC_senderadress,
		    $AMC_sendername;
		
		
		function AMC_mail()
		{
			$this->AMC_mail_reply = $this->AMC_mail_from = '';
		}
				
		function AMC_mail_from ($AMC_sendername,$AMC_senderadress) 
		{
			$this->AMC_mail_from_email  = trim($AMC_senderadress); 
			$this->AMC_mail_from_name   = trim($AMC_sendername); 
		}
		
		function AMC_mail_reply($AMC_senderadresses) 
		{
			$this->AMC_mail_reply = trim($AMC_replyadress); 
		}
		
		function AMC_mail_to ($AMC_emailadresses)  
		{
			$this->addresses['to']    = trim($AMC_emailadresses); 
		}
		function AMC_mail_to_cc  ($AMC_emailadresses)  
		{ 
			$this->addresses['cc'][]  = trim($AMC_emailadresses); 
		}
		function AMC_mail_to_bcc ($AMC_emailadresses)  
		{ 
			$this->addresses['bcc'][] = trim($AMC_emailadresses); 
		}

		function AMC_mail_subject($subject = '') 
		{ 
			$this->AMC_mail_subject = trim(preg_replace('#[\n\r]+#s', '', $subject)); 
		}
		
		function AMC_mail_message($message = '')
		{
			$this->AMC_mail_message = $message;
		}
		
		function AMC_mail_send()
		{
			global $AMC_mail_usrcfg;
			
			// --> BEGIN getting adresses -------------------------------------------------------------------------------------
			$to  = $this->addresses['to'];
			$cc  = (count($this->addresses['cc']))  ? implode(', ', $this->addresses['cc'])  : '';
			$bcc = (count($this->addresses['bcc'])) ? implode(', ', $this->addresses['bcc']) : '';
			// --> END getting adresses ---------------------------------------------------------------------------------------
			
			
			// --> BEGIN build header -----------------------------------------------------------------------------------------
			$this -> AMC_mail_headers .= 'X-AntiAbuse: Servername - ' . getenv(SERVER_NAME) . "\n";
			$this -> AMC_mail_headers .= 'X-AntiAbuse: User IP - ' . getenv(REMOTE_ADDR) . "\n";

			if(!empty($this->AMC_mail_reply))
			{
				$this -> AMC_mail_headers .= "Reply-to: $this->AMC_mail_reply\n";
			}
			$this -> AMC_mail_headers.= !empty($this->AMC_mail_from_name)    ?    "From: ".$this->AMC_mail_from_name." < ".$this->AMC_mail_from_email.">\n"    :    "From: AMC Mail Class <server@domain.com>\n";
			
			// <-- END build header -------------------------------------------------------------------------------------------
			
			
			$result = @mail($to, 
			                $this->AMC_mail_subject, 
			                $this->AMC_mail_message, 
			                $this->AMC_mail_headers);
			return true;
/*(($this->from != '') ? 
			"From: $this->from\n" : "From: " . $board_config['board_email'] . "\n") . 
			"Return-Path: " . $board_config['board_email'] . "\n
			Message-ID: <" . md5(uniqid(time())) . "@" . $board_config['server_name'] . ">\n
			MIME-Version: 1.0\n
			Content-Type: text/plain; 
			Charset=" . $this->encoding . "\n
			Content-Transfer-Encoding: 8bit\n
			Date: " . date('r', time()) . "\n
			X-Priority: 3\n
			X-MSMail-Priority: Normal\n
			X-Mailer: PHP\n
			X-MimeOLE: Produced By phpBB2\n
			Cc: $cc\n
			Bcc: $bcc\n" : ''); 
*/
		}
	}
}
/*****************************************************************************************************************************************/		

$AML_mail = new AMC_mail();
	$AML_mail -> AMC_mail_from("Armin Gerhardts",'from@voice-of-web.de');
	$AML_mail -> AMC_mail_reply('reply@voice-of-web.de');
	$AML_mail -> AMC_mail_to('to@voice-of-web.de');
	$AML_mail -> AMC_mail_subject('Test Subject');
	$AML_mail -> AMC_mail_message("Hallo Paul");
$AML_mail -> AMC_mail_send();

?>