<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./lib/globalstats.lib.php                            */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Apr 25, 2004                                         */
/*                                                                      */
/************************************************************************/


// --> BEGIN FILE ACCESS SECURITY ----------------------------------------
if (eregi("globalstats.lib.php",$HTTP_SERVER_VARS['PHP_SELF'])) 
{
    die("YOU CAN NOT ACCESS THIS FILE DIRECTLY!");
}
// <-- END FILE ACCESS SECURITY ------------------------------------------

if(!function_exists('AML_create_globalstat'))
{
	function AML_create_globalstat()
	{
		global $_AMLconfig, $_AMLusrcfg;
		
		settype($AML_globalstats,'array');

		// --> BEGIN global_linkstats -------------------------------------------------------------------------------------------------------------
		$AML_link1 = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(link_id) as total FROM ".$_AMLconfig['tbl_links']."", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		$AML_link2 = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(link_id) as total FROM ".$_AMLconfig['tbl_links']." WHERE link_active = '1'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		$AML_link3 = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(link_id) as total FROM ".$_AMLconfig['tbl_links']." WHERE link_active = '0'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		$AML_globalstats['links_total']    = $AML_link1['total'];
		$AML_globalstats['links_active']   = $AML_link2['total'];
		$AML_globalstats['links_inactive'] = $AML_link3['total'];
		// <-- END global_linkstats ---------------------------------------------------------------------------------------------------------------

		// --> BEGIN global_hitsstats -------------------------------------------------------------------------------------------------------------
		$AML_hits1 = AMS_sql_fetch_array(AMS_sql_query("SELECT SUM(link_hits) as total FROM ".$_AMLconfig['tbl_links']."", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		$AML_hits2 = AMS_sql_fetch_array(AMS_sql_query("SELECT SUM(link_hits) as total FROM ".$_AMLconfig['tbl_links']." WHERE link_active = '1'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		$AML_hits3 = AMS_sql_fetch_array(AMS_sql_query("SELECT SUM(link_hits) as total FROM ".$_AMLconfig['tbl_links']." WHERE link_active = '0'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		$AML_globalstats['hits_total']    = $AML_hits1['total'];
		$AML_globalstats['hits_active']   = $AML_hits2['total'];
		$AML_globalstats['hits_inactive'] = $AML_hits3['total'];
		// <-- END global_hitsstats ---------------------------------------------------------------------------------------------------------------

		
		// --> BEGIN global_catstats --------------------------------------------------------------------------------------------------------------
		$AML_cats1 = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(categorie_id) as total FROM ".$_AMLconfig['tbl_categories']."", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		$AML_cats2 = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(categorie_id) as total FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_active='1'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		$AML_cats3 = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(categorie_id) as total FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_active='0'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		$AML_globalstats['cats_total']    = $AML_cats1['total'];
		$AML_globalstats['cats_active']   = $AML_cats2['total'];
		$AML_globalstats['cats_inactive'] = $AML_cats3['total'];
		// <-- END global_catstats ----------------------------------------------------------------------------------------------------------------


		// --> BEGIN voting -----------------------------------------------------------------------------------------------------------------------
		$AML_allvote = AMS_sql_fetch_array(AMS_sql_query("SELECT SUM(link_votes) as total FROM ".$_AMLconfig['tbl_links']." WHERE link_active='1'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		$AML_allvres = AMS_sql_fetch_array(AMS_sql_query("SELECT SUM(link_votenumber) as total FROM ".$_AMLconfig['tbl_links']." WHERE link_active='1'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		@$AML_average = $AML_allvres['total'] / $AML_allvote['total'];
		$AML_average = round("".$AML_average."",2);
		$AML_globalstats['votes_total'] = $AML_allvote['total'];
		$AML_globalstats['votes_average'] = $AML_average;
		// <-- END voting -------------------------------------------------------------------------------------------------------------------------


		// --> BEGIN hits per day -----------------------------------------------------------------------------------------------------------------
		$AML_hitsperday = $_AMLconfig['date_countflag'] - $_AMLusrcfg['globalcfg_installdate'];
		$AML_hitsperday = $AML_hitsperday / 60 / 60 / 24;
		$AML_globalstats['hitsperday'] = round($AML_hits1['total'] / $AML_hitsperday,0);
		// <-- END hits per day -------------------------------------------------------------------------------------------------------------------

		return($AML_globalstats);
	}
}
?>