<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./lib/toplinks.lib.php                               */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Jun 02, 2004                                         */
/*                                                                      */
/************************************************************************/


// --> BEGIN FILE ACCESS SECURITY ----------------------------------------
if (eregi("toplinks.lib.php",$HTTP_SERVER_VARS['PHP_SELF'])) 
{
    die("YOU CAN NOT ACCESS THIS FILE DIRECTLY!");
}
// <-- END FILE ACCESS SECURITY ------------------------------------------

//$_AMLusrcfg['cfg_topentry_vresultlimit']
if(!function_exists('AML_create_toplinktbl'))
{
	function AML_create_toplinktbl($AML_topfield, $AML_limit,$AML_cat,$AML_recursively)
	{
		global $_AMLconfig, $_AMLusrcfg;
		
		// --> BEGIN define beginning tr class ------------------------------------------------------------------------------------
		$AMTclass= "AMTbodybg";
		// <-- END define beginning tr class --------------------------------------------------------------------------------------
		
		
		// --> BEGIN creating categorie limitation --------------------------------------------------------------------------------
		if(!empty($AML_cat) && is_numeric($AML_cat) && $AML_cat != "0")
		{
			if($AML_recursively == '0')
			{
				$AML_catlimitation = "AND link_categorie = ".$AML_cat."";
			}
			else
			{
				/*
					TODO: Creating toplinks using recursive scan
				*/
				$AML_catlimitation = "AND link_categorie = ".$AML_cat." ";
			}
		}
		else
		{
			$AML_catlimitation = "";
		}
		// <-- END creating categorie limitation ----------------------------------------------------------------------------------
		
		
		// --> BEGIN set header ---------------------------------------------------------------------------------------------------
		if($AML_topfield == 'link_votes'){

			$AML_toplinks_header_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
			$AML_toplinks_header_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/static/toplinks_header.tpl.html", __FILE__, __LINE__);
				$AML_toplinks_header_tpl -> AMT_assign('AML_toplinks_top1',  ""._toplinks_votes_."");	
				$AML_toplinks_header_tpl -> AMT_assign('AML_toplinks_top2',  ""._toplinks_rating_."");
				$AML_toplinks_header_tpl -> AMT_assign('AML_toplinks_top3',  ""._toplinks_link_."");
			$AML_toplinks_html = $AML_toplinks_header_tpl -> AMT_tpl_var();
		
		} elseif($AML_topfield == 'link_votenumber') {
			
			$AML_toplinks_header_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
			$AML_toplinks_header_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/static/toplinks_header.tpl.html", __FILE__, __LINE__);
				$AML_toplinks_header_tpl -> AMT_assign('AML_toplinks_top1',  ""._toplinks_rating_."");	
				$AML_toplinks_header_tpl -> AMT_assign('AML_toplinks_top2',  ""._toplinks_hits_."");
				$AML_toplinks_header_tpl -> AMT_assign('AML_toplinks_top3',  ""._toplinks_link_."");
			$AML_toplinks_html = $AML_toplinks_header_tpl -> AMT_tpl_var();
			
		} elseif($AML_topfield == 'link_hits') {
		
			$AML_toplinks_header_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
			$AML_toplinks_header_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/static/toplinks_header.tpl.html", __FILE__, __LINE__);
				$AML_toplinks_header_tpl -> AMT_assign('AML_toplinks_top1',  ""._toplinks_hits_."");	
				$AML_toplinks_header_tpl -> AMT_assign('AML_toplinks_top2',  ""._toplinks_rating_."");
				$AML_toplinks_header_tpl -> AMT_assign('AML_toplinks_top3',  ""._toplinks_link_."");
			$AML_toplinks_html = $AML_toplinks_header_tpl -> AMT_tpl_var();
			
		} else {

			$AML_toplinks_header_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
			$AML_toplinks_header_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/static/toplinks_header.tpl.html", __FILE__, __LINE__);
				$AML_toplinks_header_tpl -> AMT_assign('AML_toplinks_top1',  ""._toplinks_hits_."");	
				$AML_toplinks_header_tpl -> AMT_assign('AML_toplinks_top2',  ""._toplinks_rating_."");
				$AML_toplinks_header_tpl -> AMT_assign('AML_toplinks_top3',  ""._toplinks_link_."");
			$AML_toplinks_html = $AML_toplinks_header_tpl -> AMT_tpl_var();
			
		}
		// <-- END set header -----------------------------------------------------------------------------------------------------


		// --> BEGIN set body -----------------------------------------------------------------------------------------------------
		$AMTclass == "AMTbodybg";
		$AML_get = AMS_sql_query("SELECT link_votenumber,link_votes,link_hits,link_topic,link_id,link_categorie FROM ".$_AMLconfig['tbl_links']." WHERE link_active = '1' $AML_catlimitation order by ".$AML_topfield." DESC LIMIT ".$AML_limit."", $_AMLconfig['sql_connect']);
		while ($AML_toplinks= AMS_sql_fetch_array($AML_get, $_AMLconfig['sql_connect']))
		{
			@$AML_rating = round($AML_toplinks['link_votenumber'] / $AML_toplinks['link_votes'],2);
			
			
			if($AML_topfield == 'link_votenumber') { $AML_value1 = $AML_rating;                 $AML_value2 = $AML_toplinks['link_hits']; }
			if($AML_topfield == 'link_hits')       { $AML_value1 = $AML_toplinks['link_hits'];  $AML_value2 = $AML_rating; }
			if($AML_topfield == 'link_votes')      { $AML_value1 = $AML_toplinks['link_votes']; $AML_value2 = $AML_rating; }
			$AML_toplinks_body_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
			$AML_toplinks_body_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/static/toplinks_body.tpl.html", __FILE__, __LINE__);
				$AML_toplinks_body_tpl -> AMT_assign('AML_toplinks_topV1',  "".$AML_value1."");
				$AML_toplinks_body_tpl -> AMT_assign('AML_toplinks_topV2',  "".$AML_value2."");
				$AML_toplinks_body_tpl -> AMT_assign('AML_toplinks_topV3',  "<a href=\"".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=linkinfo&AML_linkid=".$AML_toplinks['link_id']."&AML_linkcat=".$AML_toplinks['link_categorie']."\">".$AML_toplinks['link_topic']."</a>");
				$AML_toplinks_body_tpl -> AMT_assign('AML_class',           "".$AMTclass."");
			$AML_toplinks_html .= $AML_toplinks_body_tpl -> AMT_tpl_var();
		if($AMTclass == "AMTbodybg"){ $AMTclass = "AMTbodybglight"; } else { $AMTclass = "AMTbodybg"; }
		}	
		// <-- END set body -------------------------------------------------------------------------------------------------------


		// --> BEGIN set overview votes footer ------------------------------------------------------------------------------------
		$AML_toplinks_votes_footer_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
		$AML_toplinks_votes_footer_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/static/toplinks_footer.tpl.html", __FILE__, __LINE__);
			$AML_toplinks_votes_footer_tpl -> AMT_assign('',  "");
		$AML_toplinks_html .= $AML_toplinks_votes_footer_tpl -> AMT_tpl_var();
		// <-- END set overview votes footer --------------------------------------------------------------------------------------
	
		return($AML_toplinks_html);
	}
}
?>