<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./linkinfo.php                                       */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Jun 03, 2004                                         */
/*                                                                      */
/************************************************************************/


// --> BEGIN FILE ACCESS SECURITY ----------------------------------------
if (eregi("linkinfo.php",$HTTP_SERVER_VARS['PHP_SELF'])) 
{
    die("YOU CAN NOT ACCESS THIS FILE DIRECTLY!");
}
// <-- END FILE ACCESS SECURITY ------------------------------------------


// --> BEGIN creating AML_linkid ----------------------------------------------------------------------------------------------------------
if (isset($HTTP_GET_VARS['AML_linkid'])  && !empty($HTTP_GET_VARS['AML_linkid']))  $AML_linkid = $HTTP_GET_VARS['AML_linkid'];
if (isset($HTTP_POST_VARS['AML_linkid']) && !empty($HTTP_POST_VARS['AML_linkid'])) $AML_linkid = $HTTP_POST_VARS['AML_linkid'];
// <-- END creating AML_linkid ------------------------------------------------------------------------------------------------------------


// --> BEGIN get link_id ------------------------------------------------------------------------------------------------------------------
$AML_linkcontainerdata = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_links']." WHERE link_id = '".$AML_linkid."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
// <-- END get link_id --------------------------------------------------------------------------------------------------------------------


// --> BEGIN check link_id ----------------------------------------------------------------------------------------------------------------
if(empty($AML_linkcontainerdata['link_id']))
{
	$AML_warning_info         = ""._warning_linkinfo_idnotfound_."";
	$AML_warning_description  = ""._warning_linkinfo_idfounddesc_."";
	if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/warning.inc.php"))
	{	
		die("can not load <i>info.inc.php</i> so I will die now!");
	}	
}
// <-- END check link_id ------------------------------------------------------------------------------------------------------------------


else

// --> BEGIN parsing linkinfo -------------------------------------------------------------------------------------------------------------
{
	
	if($AML_linkcontainerdata['link_show_info'] != '1' && !@AMP_check_adminlogin())
	{
		$AML_error_error        = ""._error_linkinfo_notallowed_."";
		$AML_error_description  = ""._error_linkinfo_notalloweddesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}				
	}
	else
	{
		// --> BEGIN include objects ----------------------------------------------------------------------------------------------
		if(!$_AMLinclude['res_accessibility'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/accessibility/accessibility.php"))
		{	
			die("can not load object<i>accessibility.php</i> so I will die now!");
		}
		
		// include object pollline
		if(!$_AMLinclude['res_pollline'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/pollline/pollline.php"))
		{	
			die("can not load object <i>Pollline</i> so I will die now!");
		}
		// <-- END include objects ------------------------------------------------------------------------------------------------
		
		
		// --> BEGIN include comments ---------------------------------------------------------------------------------------------
		if(!$_AMLinclude['res_comments'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/comments.inc.php"))
		{	
			die("can not load <i>./include/comments.inc.php</i> so I will die now!");
		}
		// <-- END include comments -----------------------------------------------------------------------------------------------

		// --> BEGIN banner -------------------------------------------------------------------------------------------------------
		if(!$_AMLinclude['res_userfields_get'] = include("".$_AMLconfig['cfg_serverpath'].""."/lib/bannercreate.lib.php"))
		{	
			die("can not load object<i>user form fields</i> so I will die now!");
		}
		// <-- END banner ---------------------------------------------------------------------------------------------------------
		
				
		// --> BEGIN templating ---------------------------------------------------------------------------------------------------
		$AML_linkinfo_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
		$AML_linkcontainerbody_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/dynamic/linkcontainer/".$AML_linkcontainerdata['link_template2']."/linkinfo.tpl.html", __FILE__, __LINE__);
		
			// --> BEGIN templating text --------------------------------------------------------------------------------------
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_linkinfo_banner',             "".$AML_linkcontainerdata['link_banner']."");
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_linkinfo_shortinfohead',      ""._linkinfo_shortinfohead_."");
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_linkinfo_accessibilityV',     ""._linkinfo_accessibility_."");
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_linkinfo_lastchange',         ""._linkinfo_lastchange_."");
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_linkinfo_addedby',            ""._linkinfo_addedby_."");
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_linkinfo_hitstotal',          ""._linkinfo_hitstotal_."");
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_linkinfo_accessibility',      ""._linkinfo_accessibility_."");
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_linkinfo_voting',             ""._linkinfo_voting_."");
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_linkinfo_shortoptions',       ""._linkinfo_shortoptions_."");
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_linkinfo_addfavorites',       ""._linkinfo_addfavorites_."");
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_linkinfo_sendpermail',        ""._linkinfo_sendpermail_."");
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_linkinfo_printpage',          ""._linkinfo_printpage_."");
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_linkinfo_linkinfohead',       ""._linkinfo_linkinfohead_."");
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_linkinfo_added',              ""._linkinfo_added_."");
			// <-- END templating text ----------------------------------------------------------------------------------------
		
		
			// --> BEGIN userfields ---------------------------------------------------------------------------------------------------
			if(!$_AMLinclude['res_userfields_get'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/userfields_get.inc.php"))
			{	
				die("can not load object<i>user form fields</i> so I will die now!");
			}
			// <-- END userfields -----------------------------------------------------------------------------------------------------
		
				
			// --> BEGIN link is download -------------------------------------------------------------------------------------
			if($AML_linkcontainerdata['link_isdownload'] == '1')
			{
				$AML_dltime56k  = round($AML_linkcontainerdata['link_size']/1024 / 5,0);
				$AML_dltimeisdn = round($AML_linkcontainerdata['link_size']/1024 / 8,0);
				$AML_dltimedsl  = round($AML_linkcontainerdata['link_size']/1024 / 86,0);
				$AML_filesize = round($AML_linkcontainerdata['link_size']/1024/1024,2);
				$AML_downloadbox_info = "56/k = ~".$AML_dltime56k." sec<br>ISDN = ~".$AML_dltimeisdn." sec<br>DSL = ~".$AML_dltimedsl." sec";
				$AML_linkfino_downloadline_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
				$AML_linkfino_downloadline_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/dynamic/linkcontainer/".$AML_linkcontainerdata['link_template2']."/linkinfo_downloadbox.tpl.html", __FILE__, __LINE__);
					// --> BEGIN templating globals -----------------------------------------------------------------------------------
					$AML_linkfino_downloadline_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
					$AML_linkfino_downloadline_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
					$AML_linkfino_downloadline_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
					$AML_linkfino_downloadline_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
					$AML_linkfino_downloadline_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
					$AML_linkfino_downloadline_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
					$AML_linkfino_downloadline_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
					// <-- END templating globals -------------------------------------------------------------------------------------					$AML_linkfino_downloadline_tpl -> AMT_assign('AML_donwloadbox_info',             "".$AML_downloadbox_info."");
					$AML_linkfino_downloadline_tpl -> AMT_assign('AML_downloadbox_dllink',           "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/action/gotolink.php?AML_linkid=".$AML_linkcontainerdata['link_id']."");
					$AML_linkfino_downloadline_tpl -> AMT_assign('AML_downloadbox_download',         "DOWNLOAD");
					$AML_linkfino_downloadline_tpl -> AMT_assign('AML_downloadbox_size',             ""._linkinfo_filesize_."");
					$AML_linkfino_downloadline_tpl -> AMT_assign('AML_downloadbox_version',          ""._linkinfo_version_."");
					$AML_linkfino_downloadline_tpl -> AMT_assign('AML_downloadbox_author',           ""._linkinfo_author_."");
					$AML_linkfino_downloadline_tpl -> AMT_assign('AML_downloadbox_platform',         ""._linkinfo_platform_."");
					$AML_linkfino_downloadline_tpl -> AMT_assign('AML_downloadbox_price',            ""._linkinfo_price_."");
					foreach ($AML_linkcontainerdata as $AML_key => $AML_value) 
					{
    						$AML_linkfino_downloadline_tpl -> AMT_assign("AML_".$AML_key."",       "".$AML_value."");
					}
					$AML_linkfino_downloadline_tpl -> AMT_assign('AML_link_size',                  "".$AML_filesize."");
					$AML_linkfino_downloadline_tpl -> AMT_assign('AML_downloadbox_info',           "".$AML_downloadbox_info."");
				$AML_linkinfo_downloadline = $AML_linkfino_downloadline_tpl -> AMT_tpl_var();
				
			}
			// <-- END link is download ---------------------------------------------------------------------------------------
			
			
			else
			
			
			// --> BEGIN link is no download ----------------------------------------------------------------------------------
			{
				$AML_linkinfo_downloadline = "";
			}
			// <-- END link is no download ------------------------------------------------------------------------------------
			
			
			// --> BEGIN PARSING VALUES ---------------------------------------------------------------------------------------
			foreach ($AML_linkcontainerdata as $AML_key => $AML_value) 
			{
    				$AML_linkcontainerbody_tpl -> AMT_assign("AML_".$AML_key."",       "".$AML_value."");
			}
			// <-- END PARSING VALUES -----------------------------------------------------------------------------------------
			
			
			// --> BEGIN parsing user defined fields --------------------------------------------------------------------------
			
			// <-- END parsing user defined fields ----------------------------------------------------------------------------
			
			
			// --> BEGIN reparsing --------------------------------------------------------------------------------------------
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_link_added',                   date("$_AMLusrcfg[cfg_date_dateformat]", $AML_linkcontainerdata['link_added']));
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_link_lastchange',              date("$_AMLusrcfg[cfg_date_dateformat]", $AML_linkcontainerdata['link_lastchange']));
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_link_description',             AMP_build_bodyformat($AML_linkcontainerdata['link_description'], $_AMLusrcfg['cfg_entry_desc1html']));
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_link_description2',            AMP_build_bodyformat($AML_linkcontainerdata['link_description2'], $_AMLusrcfg['cfg_entry_desc2html']));
			// <-- END reparsing ----------------------------------------------------------------------------------------------
			
			// --> BEGIN some other data --------------------------------------------------------------------------------------
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_FILE_accessibility',           "$AML_accessibilityimage");
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_linkcontainer_voteobj',        "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td nowrap>$AML_pollline</td><td nowrap><span class=\"AMTsmallesttext\">$AML_linkcontainerdata[link_voteresult] @ $AML_linkcontainerdata[link_votes] votes</span></td></tr></table>");
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_linkcontainer_linkit',         "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/action/gotolink.php?AML_linkid=$AML_linkcontainerdata[link_id]");
			$AML_linkcontainerbody_tpl -> AMT_assign('AML_linkinfo_downloadinfo',        "$AML_linkinfo_downloadline");
			// <-- END some other data ----------------------------------------------------------------------------------------
			
						
			// --> BEGIN include comments -------------------------------------------------------------------------------------
			if($_AMLusrcfg['cfg_entry_comments'] == '1')
			{
				if($AML_linkcontainerdata['link_show_comments'] == '1')
				{
					$AML_linkcontainerbody_tpl -> AMT_assign('AML_FILE_comments',     "".@$AML_comment."");
				}
				else
				{
					$AML_linkcontainerbody_tpl -> AMT_assign('AML_FILE_comments',     "");	
				}					
			}
			else
			{
				$AML_linkcontainerbody_tpl -> AMT_assign('AML_FILE_comments',             "");	
			}
			// <-- END include comments ---------------------------------------------------------------------------------------


		$AML_linkcontainerbody_tpl -> AMT_tpl_print();
		// <-- END TEMPLATING -----------------------------------------------------------------------------------------------------
	}
}
// <-- END parsing linkinfo ---------------------------------------------------------------------------------------------------------------
?>