<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./recommend.php                                      */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 24, 2004                                         */
/*                                                                      */
/************************************************************************/


// --> BEGIN FILE ACCESS SECURITY ----------------------------------------
if (eregi("recommend.php",$HTTP_SERVER_VARS['PHP_SELF'])) 
{
    include("./include/config.inc.php");
    include("./include/code_header.inc.php");
    header("Location: ".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=recommend");
    die();
}
// <-- END FILE ACCESS SECURITY ------------------------------------------


// --> BEGIN parsing site -----------------------------------------------------------------------------------------------------------------
if($_AMLusrcfg['cfg_sitestatus_recommend'] == '1')
{
	
	
	// --> BEGIN creating mail ------------------------------------------------------------------------------------------------------
	if(isset($HTTP_POST_VARS['AML_recommend_sent']))
	{
		
		
		// --> BEGIN checking fields ----------------------------------------------------------------------------------------------
		if((!isset($HTTP_POST_VARS['AML_recommend_yourname'])    ||empty($HTTP_POST_VARS['AML_recommend_yourname']))    ||
		   (!isset($HTTP_POST_VARS['AML_recommend_youremail'])   ||empty($HTTP_POST_VARS['AML_recommend_youremail']))   ||
		   (!isset($HTTP_POST_VARS['AML_recommend_friendname'])  ||empty($HTTP_POST_VARS['AML_recommend_friendname']))  ||
		   (!isset($HTTP_POST_VARS['AML_recommend_friendemail']) ||empty($HTTP_POST_VARS['AML_recommend_friendemail'])) ||
		   (!isset($HTTP_POST_VARS['AML_recommend_message'])     ||empty($HTTP_POST_VARS['AML_recommend_message'])))
		{
			$AML_error_error        = ""._error_recommend_filloutall_."";
			$AML_error_description  = ""._error_recommend_filloutalldesc_."";
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
			{	
				die("can not load <i>error.inc.php</i> so I will die now!");
			}	
			$AML_recommend_error = 1;	
			
		}
		if(!isset($AML_recommend_error) && (!AMP_check_email($HTTP_POST_VARS['AML_recommend_youremail']) || !AMP_check_email($HTTP_POST_VARS['AML_recommend_friendemail'])))
		{
			$AML_error_error        = ""._error_recommend_email_."";
			$AML_error_description  = ""._error_recommend_emaildesc_."";
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
			{	
				die("can not load <i>error.inc.php</i> so I will die now!");
			}	
			$AML_recommend_error = 1;			
		}
		// <-- END checking fields ------------------------------------------------------------------------------------------------
		
		
		// --> BEGIN creating sent data -------------------------------------------------------------------------------------------
		$AML_recommend_sentbuild   = 1;
		$AML_recommend_yourname    = $HTTP_POST_VARS['AML_recommend_yourname'];
		$AML_recommend_youremail   = $HTTP_POST_VARS['AML_recommend_youremail'];
		$AML_recommend_friendname  = $HTTP_POST_VARS['AML_recommend_friendname'];
		$AML_recommend_friendemail = $HTTP_POST_VARS['AML_recommend_friendemail'];
		$AML_recommend_message     = $HTTP_POST_VARS['AML_recommend_message'];
		if($HTTP_POST_VARS['AML_recommend_metoo'] == 1)
		{
			$AML_recommend_metooV1 = "checked";
			$AML_recommend_metooV2 = "";
		}
		else
		{
			$AML_recommend_metooV1 = "";
			$AML_recommend_metooV2 = "checked";
		}
		$AML_result1 = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_links']." WHERE link_active ='1'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		$AML_result2 = AMS_sql_fetch_array(AMS_sql_query("SELECT categorie_name FROM ".$_AMLconfig['tbl_categories']." order by categorie_name DESC LIMIT 1", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		$AML_result3 = AMS_sql_fetch_array(AMS_sql_query("SELECT categorie_name FROM ".$_AMLconfig['tbl_categories']." order by categorie_name ASC LIMIT 1", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		$AML_mail_recommend['linkcount'] = $AML_result1['total'];
		$AML_mail_recommend['alphabet1'] = $AML_result2['categorie_name'];
		$AML_mail_recommend['alphabet2'] = $AML_result3['categorie_name'];
		// <-- END creating sent data ---------------------------------------------------------------------------------------------
		
		
		// --> BEGIN proceeding ---------------------------------------------------------------------------------------------------
		if(!isset($AML_recommend_error))
		{
			
			
			// --> BEGIN open mail handling -----------------------------------------------------------------------------------
			$_AMLmailaction = "recommend";
			$AML_recommend_metoo = $HTTP_POST_VARS['AML_recommend_metoo'];
			if(!$_AMLinclude['res_mail'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/mail.inc.php"))
			{	
				die("can not load <i>mail.inc.php</i> so I will die now!");
			}	
			// <-- END open mail handling -------------------------------------------------------------------------------------
		
		
		}
		// <-- END proceeding -----------------------------------------------------------------------------------------------------
	
		// --> BEGIN print message ------------------------------------------------------------------------------------------------
		$AML_info_info         = ""._info_recommend_sent_."";
		$AML_info_description  = ""._info_recommend_sentdesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
		// <-- END print message --------------------------------------------------------------------------------------------------
	}	
	// <-- END creating mail ----------------------------------------------------------------------------------------------------------
		
		
	// --> BEGIN creating field data --------------------------------------------------------------------------------------------------
	if(!isset($AML_recommend_sentbuild))
	{
		$AML_recommend_yourname    ="";
		$AML_recommend_youremail   ="";
		$AML_recommend_friendname  ="";
		$AML_recommend_friendemail ="";
		$AML_recommend_message     ="";
		$AML_recommend_metooV1     ="checked";
		$AML_recommend_metooV2     ="";	
	}
	// <-- END creating field data ----------------------------------------------------------------------------------------------------
		
		
	// --> BEGIN templating site ------------------------------------------------------------------------------------------------------
	if(!isset($HTTP_POST_VARS['AML_recommend_sent']) || isset($AML_recommend_error))
	{
		//require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
		$AML_recommend_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/static/recommend.tpl.html", __FILE__, __LINE__);
			
			// --> BEGIN templating globals -----------------------------------------------------------------------------------
			$AML_recommend_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_recommend_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
			$AML_recommend_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_recommend_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
			$AML_recommend_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
			$AML_recommend_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
			$AML_recommend_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
			// <-- END templating globals -------------------------------------------------------------------------------------

			$AML_recommend_tpl -> AMT_assign('AML_recommend_headline',     ""._recommend_headline_."");
			$AML_recommend_tpl -> AMT_assign('AML_recommend_description',  ""._recommend_description_."");

			$AML_recommend_tpl -> AMT_assign('AML_recommend_yes',          ""._global_yes_."");
			$AML_recommend_tpl -> AMT_assign('AML_recommend_no',           ""._global_no_."");			
			$AML_recommend_tpl -> AMT_assign('AML_recommend_yourname',     ""._recommend_yourname_."");
			$AML_recommend_tpl -> AMT_assign('AML_recommend_youremail',    ""._recommend_youremail_."");
			$AML_recommend_tpl -> AMT_assign('AML_recommend_friendname',   ""._recommend_friendname_."");
			$AML_recommend_tpl -> AMT_assign('AML_recommend_friendemail',  ""._recommend_friendemail_."");
			$AML_recommend_tpl -> AMT_assign('AML_recommend_metoo',        ""._recommend_metoo_."");
			$AML_recommend_tpl -> AMT_assign('AML_recommend_message',      ""._recommend_message_."");
	
			$AML_recommend_tpl -> AMT_assign('AML_recommend_yournameV',    "".$AML_recommend_yourname."");
			$AML_recommend_tpl -> AMT_assign('AML_recommend_youremailV',   "".$AML_recommend_youremail."");
			$AML_recommend_tpl -> AMT_assign('AML_recommend_friendnameV',  "".$AML_recommend_friendname."");
			$AML_recommend_tpl -> AMT_assign('AML_recommend_friendemailV', "".$AML_recommend_friendemail."");
			$AML_recommend_tpl -> AMT_assign('AML_recommend_messageV',     "".$AML_recommend_message."");
			$AML_recommend_tpl -> AMT_assign('AML_recommend_metooV1',      "".$AML_recommend_metooV1."");
			$AML_recommend_tpl -> AMT_assign('AML_recommend_metooV2',      "".$AML_recommend_metooV2."");
			
		$AML_recommend_tpl -> AMT_tpl_print();
	}
	// <-- END templating site --------------------------------------------------------------------------------------------------------
	
	
}
// END parsing site -----------------------------------------------------------------------------------------------------------------------


else


// BEGIN site inactive --------------------------------------------------------------------------------------------------------------------
{
	$AML_info_info         = ""._global_notactive_."";
	$AML_info_description  = ""._global_notactivedesc_."";
	if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
	{	
		die("can not load <i>info.inc.php</i> so I will die now!");
	}	
}
// END site inactive ----------------------------------------------------------------------------------------------------------------------


?>