<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./action/votelink.php                                */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Jun 29, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN include config ---------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>info.inc.php</i> so I will die now!");
}
// <-- END include config -----------------------------------------------------------------------------------------------------------------


// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN external vote handling -------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['AML_voting']) && $HTTP_POST_VARS['AML_voting']== 'exthandler')
{
	
	// --> BEGIN create header redirect code ------------------------------------------------------------------------------------------
	$AML_vote_header  ="<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">";
	$AML_vote_header .="<html>";
	$AML_vote_header .="<head>";
	$AML_vote_header .="<title>AllMyLinks Database System</title>";
	$AML_vote_header .="<meta http-equiv=\"refresh\" content=\"2;url=".$_AMLusrcfg['globalcfg_site_url']."\">";
	$AML_vote_header .="<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">";
	$AML_vote_header .="</head>";
	$AML_vote_header .="<body>";
	// <-- END create header redirect code --------------------------------------------------------------------------------------------

	// --> BEGIN create footer redirect code ------------------------------------------------------------------------------------------
	$AML_vote_footer ="</body>";
	$AML_vote_footer ="</html>";
	// <-- END create footer redirect code --------------------------------------------------------------------------------------------
	
	// --> BEGIN check AML_linkid -----------------------------------------------------------------------------------------------------
	if(!isset($HTTP_POST_VARS['AML_linkid'])
	||  empty($HTTP_POST_VARS['AML_linkid'])
	|| !is_numeric($HTTP_POST_VARS['AML_linkid']))
	{
		echo $AML_vote_header;
		$AML_error_error        = ""._error_votelink_nolinkid_." (missing AML_linkid)";
		$AML_error_description  = ""._error_votelink_nolinkiddesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>error.inc.php</i> so I will die now!");
		}
		echo $AML_vote_footer;
		die();			
	}
	else
	{
		$AML_linkid = $HTTP_POST_VARS['AML_linkid'];
	}
	// <-- END check AML_linkid -------------------------------------------------------------------------------------------------------

	
	// --> BEGIN check AML_vote -------------------------------------------------------------------------------------------------------
	if(!isset($HTTP_POST_VARS['AML_vote']) 
	|| !is_numeric($HTTP_POST_VARS['AML_vote']) 
	|| $HTTP_POST_VARS['AML_vote'] < "1" 
	|| $HTTP_POST_VARS['AML_vote'] > "10")
	{
		echo $AML_vote_header;
		$AML_error_error        = ""._error_votelink_securitystop_."";
		$AML_error_description  = ""._error_votelink_securitystopdesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>error.inc.php</i> so I will die now!");
		}
		echo $AML_vote_footer;
		die();
	}
	else
	{
		$AML_vote = $HTTP_POST_VARS['AML_vote'];
		$AML_vote = str_replace(".","",$AML_vote);
		$AML_vote = str_replace(",","",$AML_vote);		
	}
	// <-- END check AML_vote ---------------------------------------------------------------------------------------------------------


	// --> BEGIN check link -----------------------------------------------------------------------------------------------------------
	$AML_linkdata=AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(link_id) AS total FROM ".$_AMLconfig['tbl_links']." WHERE link_active = '1' AND link_id ='".$AML_linkid."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);

	if(!isset($AML_linkdata['total']) || empty($AML_linkdata['total']))
	{
		echo $AML_vote_header;
		$AML_error_error        = ""._error_votelink_nolinkidmatch_."";
		$AML_error_description  = ""._error_votelink_nolinkidmatchdesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{		
			die("can not load <i>error.inc.php</i> so I will die now!");
		}
		echo $AML_vote_footer;
		die();
	}
	// <-- END check link -------------------------------------------------------------------------------------------------------------	

	
	// --> BEGIN flood control --------------------------------------------------------------------------------------------------------
	$AML_floodcontrol = "vote";
	if(!$_AMLinclude['res_floodcontrol'] = include("".$_AMLconfig['cfg_serverpath']."/include/floodcontrol.inc.php"))
	{
		die("can not load <i>floodcontrol.inc.php</i> so I will die now!");
	}
	if(isset($AML_errcode) && $AML_errcode == '1')
	{
		echo $AML_vote_header;
		$AML_error_error        = "Error!";
		$AML_error_description  = ""._votelink_error_vortealready_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>error.inc.php</i> so I will die now!");
		}
		echo $AML_vote_footer;
		die();	
	}
	elseif(isset($AML_errcode) && $AML_errcode == '2')
	{
		echo $AML_vote_header;
		$AML_error_error        = ""._error_votelink_maxvotesexceed_."";
		$AML_error_description  = ""._error_votelink_maxvotesexceeddesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{		
			die("can not load <i>error.inc.php</i> so I will die now!");
		}
		echo $AML_vote_footer;
		die();
	}
	// <-- END flood control ----------------------------------------------------------------------------------------------------------


	// --> BEGIN update ---------------------------------------------------------------------------------------------------------------
	$AML_newvoter = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." 
	                               SET     link_votes=link_votes+1, 
                                               link_votenumber=link_votenumber+".$AML_vote."  
                                       WHERE   link_id='".$AML_linkid."'", $_AMLconfig['sql_connect']);
        $AML_insertnew = AMS_sql_fetch_array(AMS_sql_query("SELECT * 
                                                            FROM   ".$_AMLconfig['tbl_links']." 
                                                            WHERE  link_id = '".$AML_linkid."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
	@$AML_newvalue = $AML_insertnew['link_votenumber'] / $AML_insertnew['link_votes'];

	$AML_updatedb = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." 
	                               SET    link_voteresult ='".$AML_newvalue."' 
	                               WHERE  link_id = '".$AML_linkid."'", $_AMLconfig['sql_connect']);
	// <-- END update -----------------------------------------------------------------------------------------------------------------
	
	
	// --> BEGIN redirect -------------------------------------------------------------------------------------------------------------
	echo $AML_vote_header;
	$AML_info_info         = ""._info_votelink_voteadded_."";
	$AML_info_description  = ""._info_votelink_voteaddeddesc_."";
	if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
	{	
		die("can not load <i>info.inc.php</i> so I will die now!");
	}
	die();
	echo $AML_vote_footer;
	// <-- END redirect ---------------------------------------------------------------------------------------------------------------
	
}
// <-- END external vote handling ---------------------------------------------------------------------------------------------------------


// --> BEGIN template default votelink site -----------------------------------------------------------------------------------------------
$AML_votelink_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_votelink_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/static/votelink.tpl.html", __FILE__, __LINE__);
	$AML_votelink_tpl -> AMT_assign('AML_votelink_title',        "");
	$AML_votelink_tpl -> AMT_assign('AML_votelink_urltotemplate',"".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."/");
$AML_votelink_tpl -> AMT_tpl_print();
// <-- END template default votelink site -------------------------------------------------------------------------------------------------


// --> BEGIN creating AML_linkid ----------------------------------------------------------------------------------------------------------
if (isset($HTTP_GET_VARS['AML_linkid'])  && !empty($HTTP_GET_VARS['AML_linkid']))  $AML_linkid = $HTTP_GET_VARS['AML_linkid'];
if (isset($HTTP_POST_VARS['AML_linkid']) && !empty($HTTP_POST_VARS['AML_linkid'])) $AML_linkid = $HTTP_POST_VARS['AML_linkid'];
// <-- END creating AML_linkid ------------------------------------------------------------------------------------------------------------


// --> BEGIN creating AML_vote ------------------------------------------------------------------------------------------------------------
if (isset($HTTP_GET_VARS['AML_vote'])  && !empty($HTTP_GET_VARS['AML_vote']))
{
	$AML_vote = $HTTP_GET_VARS['AML_vote'];
	$AML_vote = str_replace(".","",$AML_vote);
	$AML_vote = str_replace(",","",$AML_vote);
}
if (isset($HTTP_POST_VARS['AML_vote']) && !empty($HTTP_POST_VARS['AML_vote']))
{ 
	$AML_vote = $HTTP_POST_VARS['AML_vote'];
	$AML_vote = str_replace(".","",$AML_vote);
	$AML_vote = str_replace(",","",$AML_vote);
}
// <-- END creating AML_vote --------------------------------------------------------------------------------------------------------------


// --> BEGIN check for correct $AML_linkid ------------------------------------------------------------------------------------------------
if (!isset($AML_linkid))
{
	$AML_error_error        = ""._error_votelink_nolinkid_."";
	$AML_error_description  = ""._error_votelink_nolinkiddesc_."";
	if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
	{	
		die("can not load <i>error.inc.php</i> so I will die now!");
	}
	die();
}
// <-- END check for correct $AML_linkid --------------------------------------------------------------------------------------------------


// --> BEGIN check for correct voteid -----------------------------------------------------------------------------------------------------
if(!isset($AML_vote) || !is_numeric($AML_vote) || $AML_vote < "1" || $AML_vote > "10")
{
	$AML_error_error        = ""._error_votelink_securitystop_."";
	$AML_error_description  = ""._error_votelink_securitystopdesc_."";
	if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
	{	
		die("can not load <i>error.inc.php</i> so I will die now!");
	}
	die();
}
// <-- END check for correct voteid -------------------------------------------------------------------------------------------------------

	
// --> BEGIN check that AML_linkid exists in DB -------------------------------------------------------------------------------------------
$AML_linkdata=AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(link_id) AS total FROM ".$_AMLconfig['tbl_links']." WHERE link_active = '1' AND link_id ='".$AML_linkid."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);

if(empty($AML_linkdata['total']))
{
	$AML_error_error        = ""._error_votelink_nolinkidmatch_."";
	$AML_error_description  = ""._error_votelink_nolinkidmatchdesc_."";
	if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
	{	
		die("can not load <i>error.inc.php</i> so I will die now!");
	}
	die();
}
// <-- END check that AML_linkid exists in DB ---------------------------------------------------------------------------------------------


// --> BEGIN flood control ----------------------------------------------------------------------------------------------------------------
$AML_floodcontrol = "vote";
if(!$_AMLinclude['res_floodcontrol'] = include("".$_AMLconfig['cfg_serverpath']."/include/floodcontrol.inc.php"))
{
	die("can not load <i>floodcontrol.inc.php</i> so I will die now!");
}
if(isset($AML_errcode) && $AML_errcode == '1')
{
	$AML_error_error        = "Error!";
	$AML_error_description  = ""._votelink_error_vortealready_."";
	if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
	{	
		die("can not load <i>error.inc.php</i> so I will die now!");
	}
	die();	
}
elseif(isset($AML_errcode) && $AML_errcode == '2')
{
	$AML_error_error        = ""._error_votelink_maxvotesexceed_."";
	$AML_error_description  = ""._error_votelink_maxvotesexceeddesc_."";
	if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
	{	
		die("can not load <i>error.inc.php</i> so I will die now!");
	}
	die();
}
// <-- END flood control ------------------------------------------------------------------------------------------------------------------


// now update votes and rebuid the whole vote
$newvoteuser=AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_votes=link_votes+1, 
                                                                    link_votenumber=link_votenumber+".$AML_vote."  WHERE link_id='".$AML_linkid."'", $_AMLconfig['sql_connect']);
$AML_insertnew = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_links']." WHERE link_id = '".$AML_linkid."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
@$AML_newvalue = $AML_insertnew['link_votenumber'] / $AML_insertnew['link_votes'];
$AML_updatedb = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_voteresult ='".$AML_newvalue."' WHERE link_id = '".$AML_linkid."'", $_AMLconfig['sql_connect']);


// send message

$AML_info_info         = ""._info_votelink_voteadded_."";
$AML_info_description  = ""._info_votelink_voteaddeddesc_."";
if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
{	
	die("can not load <i>info.inc.php</i> so I will die now!");
}
?>