<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cat_overview.php                             */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN change group values ----------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['AML_changevalue']) && $HTTP_POST_VARS['AML_changevalue'] != 'openform' && isset($HTTP_POST_VARS['AML_catid']))
{
	// --> BEGIN build where definition -----------------------------------------------------------------------------------------------
	$AML_wheredefinition = "WHERE";
	$i = "0";
	$AML_values = count($HTTP_POST_VARS['AML_catid']);
	foreach ($HTTP_POST_VARS['AML_catid'] as $value) 
	{
    		$AML_wheredefinition .= " categorie_id = $value";
    		$i++;
    		if($i != $AML_values) $AML_wheredefinition .= " OR"; 
	}
	//echo $AML_wheredefinition;
	// <-- END build where definition -------------------------------------------------------------------------------------------------
	
	// --> BEGIN activating -----------------------------------------------------------------------------------------------------------
	if($HTTP_POST_VARS['AML_changevalue'] == 'activate'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_active = '1' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}

	if($HTTP_POST_VARS['AML_changevalue'] == 'deactivate'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_active = '0' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	if($HTTP_POST_VARS['AML_changevalue'] == 'read0'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_permission_r = '0' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	if($HTTP_POST_VARS['AML_changevalue'] == 'read1'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_permission_r = '1' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	if($HTTP_POST_VARS['AML_changevalue'] == 'read2'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_permission_r = '2' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	if($HTTP_POST_VARS['AML_changevalue'] == 'write0'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_permission_w = '0' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	if($HTTP_POST_VARS['AML_changevalue'] == 'write1'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_permission_w = '1' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	if($HTTP_POST_VARS['AML_changevalue'] == 'write2'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_permission_w = '2' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	if($HTTP_POST_VARS['AML_changevalue'] == 'subhigher'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_subcats_show = categorie_subcats_show+1 ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	if($HTTP_POST_VARS['AML_changevalue'] == 'nosub'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_subcats_show = '0' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	if($HTTP_POST_VARS['AML_changevalue'] == 'link_topic'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_order = 'link_topic' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	if($HTTP_POST_VARS['AML_changevalue'] == 'link_lastchange'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_order = 'link_lastchange' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	if($HTTP_POST_VARS['AML_changevalue'] == 'link_url'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_order = 'link_url' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	if($HTTP_POST_VARS['AML_changevalue'] == 'link_hits'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_order = 'link_hits' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	if($HTTP_POST_VARS['AML_changevalue'] == 'link_voteresult'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_order = 'link_voteresult' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	if($HTTP_POST_VARS['AML_changevalue'] == 'order_type_desc'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_order_type = 'DESC' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	if($HTTP_POST_VARS['AML_changevalue'] == 'order_type_asc'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_order_type = 'ASC' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	if($HTTP_POST_VARS['AML_changevalue'] == 'index'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_list = '1' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	if($HTTP_POST_VARS['AML_changevalue'] == 'noindex'){
		$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_list = '0' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	}
	// <-- END activating -------------------------------------------------------------------------------------------------------------
}
if(isset($HTTP_POST_VARS['AML_changevalue']) && $HTTP_POST_VARS['AML_changevalue'] == 'openform' && isset($HTTP_POST_VARS['AML_catid']))
{
	if(isset($HTTP_POST_VARS['AML_update_now']))
	{
		
	}
	else
	{
		$AML_overview_changeform_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
		$AML_overview_changeform_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cat_overview_changeform.tpl.html", __FILE__, __LINE__);

			// --> BEGIN templating globals -----------------------------------------------------------------------------------
			$AML_overview_changeform_tpl -> AMT_assign('AML_global_linkopen',                  "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_overview_changeform_tpl -> AMT_assign('AML_global_linktotemplate',            "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
			$AML_overview_changeform_tpl -> AMT_assign('AML_global_urlopen',                   "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_overview_changeform_tpl -> AMT_assign('AML_global_sitename',                  "".$_AMLusrcfg['globalcfg_site_name']."");
			$AML_overview_changeform_tpl -> AMT_assign('AML_global_siteurl',                   "".$_AMLusrcfg['globalcfg_site_url']."");
			$AML_overview_changeform_tpl -> AMT_assign('AML_global_sitedescription',           "".$_AMLusrcfg['globalcfg_site_description']."");
			$AML_overview_changeform_tpl -> AMT_assign('AML_global_now',                       date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
			// <-- END templating globals -------------------------------------------------------------------------------------
			$AML_overview_changeform_tpl -> AMT_assign('AML_admin_global_yes',                 ""._admin_global_yes_."");
			$AML_overview_changeform_tpl -> AMT_assign('AML_admin_global_no',                  ""._admin_global_no_."");
			$AML_overview_changeform_tpl -> AMT_assign('AML_admin_cat_editmore_headline',      ""._admin_cat_editmore_headline_."");
			$AML_overview_changeform_tpl -> AMT_assign('AML_admin_cat_editmore_option',        ""._admin_cat_editmore_option_."");
			$AML_overview_changeform_tpl -> AMT_assign('AML_admin_cat_editmore_change',        ""._admin_cat_editmore_change_."");
			$AML_overview_changeform_tpl -> AMT_assign('AML_admin_cat_editmore_value',         ""._admin_cat_editmore_value_."");
			$AML_overview_changeform_tpl -> AMT_assign('AML_admin_cat_editmore_active',        ""._admin_cat_editmore_active_."");
			$AML_overview_changeform_tpl -> AMT_assign('AML_admin_cat_editmore_list',          ""._admin_cat_editmore_list_."");
			$AML_overview_changeform_tpl -> AMT_assign('AML_admin_cat_editmore_order',         ""._admin_cat_editmore_order_."");
			$AML_overview_changeform_tpl -> AMT_assign('AML_admin_cat_editmore_ordertype',     ""._admin_cat_editmore_ordertype_."");
			$AML_overview_changeform_tpl -> AMT_assign('AML_admin_cat_editmore_permission_r',  ""._admin_cat_editmore_permission_r_."");
			$AML_overview_changeform_tpl -> AMT_assign('AML_admin_cat_editmore_permission_w',  ""._admin_cat_editmore_permission_w_."");
			$AML_overview_changeform_tpl -> AMT_assign('AML_admin_cat_editmore_showsub',       ""._admin_cat_editmore_showsub_."");
	
		$AML_overview_changeform_tpl -> AMT_tpl_print();
		die();	
	}
}
// <-- END change group values ------------------------------------------------------------------------------------------------------------


// --> BEGIN change values ----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['active'])) {
	$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_active = '".$HTTP_GET_VARS['status']."' WHERE categorie_id = '".$HTTP_GET_VARS['active']."'", $_AMLconfig['sql_connect']);
}
if(isset($HTTP_GET_VARS['list'])) {
	$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_list = '".$HTTP_GET_VARS['status']."' WHERE categorie_id = '".$HTTP_GET_VARS['list']."'", $_AMLconfig['sql_connect']);
}
if(isset($HTTP_GET_VARS['order'])) {
	$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_order = '".$HTTP_GET_VARS['status']."' WHERE categorie_id = '".$HTTP_GET_VARS['order']."'", $_AMLconfig['sql_connect']);
}
if(isset($HTTP_GET_VARS['order_type'])) {
	$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_order_type = '".$HTTP_GET_VARS['status']."' WHERE categorie_id = '".$HTTP_GET_VARS['order_type']."'", $_AMLconfig['sql_connect']);
}
if(isset($HTTP_GET_VARS['permission_r'])) {
	$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_permission_r = '".$HTTP_GET_VARS['status']."' WHERE categorie_id = '".$HTTP_GET_VARS['permission_r']."'", $_AMLconfig['sql_connect']);
}
if(isset($HTTP_GET_VARS['permission_w'])) {
	$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_permission_w = '".$HTTP_GET_VARS['status']."' WHERE categorie_id = '".$HTTP_GET_VARS['permission_w']."'", $_AMLconfig['sql_connect']);
}
if(isset($HTTP_GET_VARS['showsub'])) {
	$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_categories']." SET categorie_subcats_show = '".$HTTP_GET_VARS['status']."' WHERE categorie_id = '".$HTTP_GET_VARS['showsub']."'", $_AMLconfig['sql_connect']);
}
// <-- END change values ------------------------------------------------------------------------------------------------------------------


// --> BEGIN creating WHERE definition ----------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['AML_catid']))
{
	settype($AML_wheredefinition,'string');
	$AML_ids = count($HTTP_POST_VARS['AML_catid']);
	for($AML_i=0;$AML_i < $AML_ids;$AML_i++)
	{
		$AML_wheredefinition = '';
	}
}		
// <-- END creating WHERE definition ------------------------------------------------------------------------------------------------------


// --> BEGIN set new limit ----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['AML_setlimit']) && is_numeric($HTTP_GET_VARS['AML_setlimit']))
{
	$AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_config']." SET cfg_admin_catbrowselimit = '".$HTTP_GET_VARS['AML_setlimit']."'", $_AMLconfig['sql_connect']);
	
	
	// --> BEGIN reloading configuration ----------------------------------------------------------------------------------------------
	$_AMLusrcfg_get = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_config']."", $_AMLconfig['sql_connect']);
	if(!$_AMLusrcfg = AMS_sql_fetch_array($_AMLusrcfg_get, $_AMLconfig['sql_connect']))
	{
		die("There is a problem occured.<br> Can not load user configuration!<br>");
	}
	// <-- END reloading configuration ------------------------------------------------------------------------------------------------


}
// <-- END set new limit ------------------------------------------------------------------------------------------------------------------


// --> BEGIN limit selector ---------------------------------------------------------------------------------------------------------------
$AML_limitselarr = array('10','20','30','50','100','200');
settype($AML_lselector,'string');
foreach ($AML_limitselarr as $AML_limitselarrV) 
{
	if($AML_limitselarrV == '200')
	{
		if($AML_limitselarrV == $_AMLusrcfg['cfg_admin_catbrowselimit'])
		{
			$AML_lselector .=" $AML_limitselarrV ";
		} else {
			$AML_lselector .=" <a href=\"cat_overview.php?AML_setlimit=".$AML_limitselarrV."\" class=\"AMTfunctionlink\">$AML_limitselarrV</a> ";
		}
	}
	else
	{
		if($AML_limitselarrV == $_AMLusrcfg['cfg_admin_catbrowselimit'])
		{
			$AML_lselector .=" $AML_limitselarrV |";
		} else {
			$AML_lselector .=" <a href=\"cat_overview.php?AML_setlimit=".$AML_limitselarrV."\" class=\"AMTfunctionlink\">$AML_limitselarrV</a> |";
		}
	}
}
// <-- END limit selector -----------------------------------------------------------------------------------------------------------------


// --> BEGIN paging function --------------------------------------------------------------------------------------------------------------
$AML_entries = AMS_sql_num_rows(AMS_sql_query("SELECT categorie_id FROM ".$_AMLconfig['tbl_categories']." WHERE 1", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
if($AML_entries > $_AMLusrcfg['cfg_admin_catbrowselimit'])
{
	if(isset($HTTP_POST_VARS['AML_page']) || !empty($HTTP_POST_VARS['AML_page'])) $AML_page = $HTTP_POST_VARS['AML_page'];
	if(isset($HTTP_GET_VARS['AML_page'])  || !empty($HTTP_GET_VARS['AML_page']))  $AML_page = $HTTP_GET_VARS['AML_page'];
	if(!isset($AML_page)) $AML_page = "0";
	$AML_countdummy = '0';
	$AML_int        = '0';
	$AML_eentry     = '0';
	settype($AML_jumpentryline,'string');
	while ($AML_countdummy < $AML_entries)
	{
		$AML_int = $AML_int+1;
		if($AML_eentry == $AML_page){
			$AML_jumpentryline .= " ".$AML_int." ";
		} else {
			$AML_jumpentryline .= " <a href=\"./cat_overview.php?AML_page=".$AML_eentry."\"  class=\"AMTfunctionlink\">".$AML_int."</a> ";
		}
		if($AML_countdummy == $AML_int) $AML_jumpentryline .="]";
		$AML_eentry = $AML_eentry+ $_AMLusrcfg['cfg_admin_catbrowselimit'];
		$AML_countdummy = $AML_countdummy + $_AMLusrcfg['cfg_admin_catbrowselimit'];
		$AML_limitdefinition = "LIMIT ".$AML_page.", ".$_AMLusrcfg['cfg_admin_catbrowselimit']."";
	}
	if(empty($AML_jumpentryline))
	{
		$AML_jumpentryline = "1";
	}
} else {
	if(isset($HTTP_POST_VARS['AML_entry']) || !empty($HTTP_POST_VARS['AML_entry'])) $AML_entry = $HTTP_POST_VARS['AML_entry'];
	if(isset($HTTP_GET_VARS['AML_entry'])  || !empty($HTTP_GET_VARS['AML_entry']))  $AML_entry = $HTTP_GET_VARS['AML_entry'];
	if(!isset($AML_entry)) $AML_entry = "0";
	$AML_jumpentryline = "1";
	$AML_limitdefinition = "";	
}
// <-- END paging function ----------------------------------------------------------------------------------------------------------------


// --> BEGIM template header --------------------------------------------------------------------------------------------------------------
$AML_overview_header_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_overview_header_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cat_overview_header.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------
	$AML_overview_header_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_overview_header_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_overview_header_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_overview_header_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_overview_header_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_overview_header_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_overview_header_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------
				
	$AML_overview_header_tpl -> AMT_assign('AML_admin_cat_overview_headline',     ""._admin_catoverview_headline_."");
	$AML_overview_header_tpl -> AMT_assign('AML_admin_cat_overview_name',         ""._admin_cat_overview_name_."");
	$AML_overview_header_tpl -> AMT_assign('AML_admin_cat_overview_active',       ""._admin_cat_short_active_."");
	$AML_overview_header_tpl -> AMT_assign('AML_admin_cat_overview_permission',   ""._admin_cat_short_permission_r_."");
	$AML_overview_header_tpl -> AMT_assign('AML_admin_cat_overview_permission_r', ""._admin_cat_short_permission_r_."");
	$AML_overview_header_tpl -> AMT_assign('AML_admin_cat_overview_permission_w', ""._admin_cat_short_permission_w_."");
	$AML_overview_header_tpl -> AMT_assign('AML_admin_cat_overview_listed',       ""._admin_cat_short_listed_."");
	$AML_overview_header_tpl -> AMT_assign('AML_admin_cat_overview_order',        ""._admin_cat_short_order_."");
	$AML_overview_header_tpl -> AMT_assign('AML_admin_cat_overview_order_type',   ""._admin_cat_short_order_type_."");
	$AML_overview_header_tpl -> AMT_assign('AML_admin_cat_overview_subcats',      ""._admin_cat_short_cats_."");
	$AML_overview_header_tpl -> AMT_assign('AML_admin_cat_overview_links',        ""._admin_cat_short_links_."");
	$AML_overview_header_tpl -> AMT_assign('AML_admin_cat_overview_hits',         ""._admin_cat_short_hits_."");
	$AML_overview_header_tpl -> AMT_assign('AML_admin_cat_overview_showsub',      ""._admin_cat_short_showcats_."");

$AML_overview_header_tpl -> AMT_tpl_print();
// <-- END template header ----------------------------------------------------------------------------------------------------------------


// --> BEGIN template body(s) -------------------------------------------------------------------------------------------------------------
$AMTclass="AMTbodybg";
$AML_overview_catget = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_categories']." order by categorie_viewitas ".$AML_limitdefinition."", $_AMLconfig['sql_connect']);
while($AML_overview_cat = AMS_sql_fetch_array($AML_overview_catget, $_AMLconfig['sql_connect']))
{
	$AML_overview_body_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
	$AML_overview_body_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cat_overview_body.tpl.html", __FILE__, __LINE__);

		//if($_AMLusrcfg['globalcfg_stattype'] == '0')
		//{
			$AML_overview_subcats  = AML_count_categories ($AML_overview_cat['categorie_id'], 0, "");
			$AML_overview_sublinks = AML_count_links      ($AML_overview_cat['categorie_id'], 0, "");
			$AML_overview_subhits  = AML_count_hits       ($AML_overview_cat['categorie_id'], 0, "");
		//}
		//else
		//{
		//	$AML_overview_subcats  = $AML_overview_cat['categorie_subcats'];
		//	$AML_overview_sublinks = $AML_overview_cat['categorie_links'];
		//	$AML_overview_subhits  = $AML_overview_cat['categorie_hits'];
		//}
				
		if($AML_overview_cat['categorie_active'] == '1') $AML_overview_cat['categorie_active'] = "<a href=\"cat_overview.php?active=".$AML_overview_cat['categorie_id']."&status=0\">".$AML_overview_cat['categorie_active']."</a>";
		if($AML_overview_cat['categorie_active'] == '0') $AML_overview_cat['categorie_active'] = "<a href=\"cat_overview.php?active=".$AML_overview_cat['categorie_id']."&status=1\">".$AML_overview_cat['categorie_active']."</a>";

		if($AML_overview_cat['categorie_list'] == '1') $AML_overview_cat['categorie_list'] = "<a href=\"cat_overview.php?list=".$AML_overview_cat['categorie_id']."&status=0\">".$AML_overview_cat['categorie_list']."</a>";
		if($AML_overview_cat['categorie_list'] == '0') $AML_overview_cat['categorie_list'] = "<a href=\"cat_overview.php?list=".$AML_overview_cat['categorie_id']."&status=1\">".$AML_overview_cat['categorie_list']."</a>";

		if($AML_overview_cat['categorie_order'] == 'link_topic') $AML_overview_cat['categorie_order'] = "<a href=\"cat_overview.php?order=".$AML_overview_cat['categorie_id']."&status=link_lastchange\">".$AML_overview_cat['categorie_order']."</a>";
		if($AML_overview_cat['categorie_order'] == 'link_lastchange') $AML_overview_cat['categorie_order'] = "<a href=\"cat_overview.php?order=".$AML_overview_cat['categorie_id']."&status=link_url\">".$AML_overview_cat['categorie_order']."</a>";
		if($AML_overview_cat['categorie_order'] == 'link_url') $AML_overview_cat['categorie_order'] = "<a href=\"cat_overview.php?order=".$AML_overview_cat['categorie_id']."&status=link_hits\">".$AML_overview_cat['categorie_order']."</a>";
		if($AML_overview_cat['categorie_order'] == 'link_hits') $AML_overview_cat['categorie_order'] = "<a href=\"cat_overview.php?order=".$AML_overview_cat['categorie_id']."&status=link_voteresult\">".$AML_overview_cat['categorie_order']."</a>";
		if($AML_overview_cat['categorie_order'] == 'link_voteresult') $AML_overview_cat['categorie_order'] = "<a href=\"cat_overview.php?order=".$AML_overview_cat['categorie_id']."&status=link_topic\">".$AML_overview_cat['categorie_order']."</a>";

		if($AML_overview_cat['categorie_order_type'] == 'DESC') $AML_overview_cat['categorie_order_type'] = "<a href=\"cat_overview.php?order_type=".$AML_overview_cat['categorie_id']."&status=ASC\">".$AML_overview_cat['categorie_order_type']."</a>";
		if($AML_overview_cat['categorie_order_type'] == 'ASC') $AML_overview_cat['categorie_order_type'] = "<a href=\"cat_overview.php?order_type=".$AML_overview_cat['categorie_id']."&status=DESC\">".$AML_overview_cat['categorie_order_type']."</a>";


		if($AML_overview_cat['categorie_list'] == '0') $AML_overview_cat['categorie_list'] = "<a href=\"cat_overview.php?list=".$AML_overview_cat['categorie_id']."&status=1\">".$AML_overview_cat['categorie_list']."</a>";
		
		if($AML_overview_cat['categorie_permission_r'] == '0') $AML_overview_cat['categorie_permission_r'] = "<a href=\"cat_overview.php?permission_r=".$AML_overview_cat['categorie_id']."&status=1\">".$AML_overview_cat['categorie_permission_r']."</a>";
		if($AML_overview_cat['categorie_permission_r'] == '1') $AML_overview_cat['categorie_permission_r'] = "<a href=\"cat_overview.php?permission_r=".$AML_overview_cat['categorie_id']."&status=2\">".$AML_overview_cat['categorie_permission_r']."</a>";
		if($AML_overview_cat['categorie_permission_r'] == '2') $AML_overview_cat['categorie_permission_r'] = "<a href=\"cat_overview.php?permission_r=".$AML_overview_cat['categorie_id']."&status=0\">".$AML_overview_cat['categorie_permission_r']."</a>";
			
		if($AML_overview_cat['categorie_permission_w'] == '0') $AML_overview_cat['categorie_permission_w'] = "<a href=\"cat_overview.php?permission_w=".$AML_overview_cat['categorie_id']."&status=1\">".$AML_overview_cat['categorie_permission_w']."</a>";
		if($AML_overview_cat['categorie_permission_w'] == '1') $AML_overview_cat['categorie_permission_w'] = "<a href=\"cat_overview.php?permission_w=".$AML_overview_cat['categorie_id']."&status=2\">".$AML_overview_cat['categorie_permission_w']."</a>";
		if($AML_overview_cat['categorie_permission_w'] == '2') $AML_overview_cat['categorie_permission_w'] = "<a href=\"cat_overview.php?permission_w=".$AML_overview_cat['categorie_id']."&status=0\">".$AML_overview_cat['categorie_permission_w']."</a>";
		
		$status = $AML_overview_cat['categorie_subcats_show']+1; 	
		if($AML_overview_cat['categorie_subcats_show'] >= '10')  $AML_overview_cat['categorie_subcats_show'] = "<a href=\"cat_overview.php?showsub=".$AML_overview_cat['categorie_id']."&status=0\">".$AML_overview_cat['categorie_subcats_show']."</a>";
		else $AML_overview_cat['categorie_subcats_show'] = $AML_overview_cat['categorie_subcats_show'] = "<a href=\"cat_overview.php?showsub=".$AML_overview_cat['categorie_id']."&status=".$status."\">".$AML_overview_cat['categorie_subcats_show']."</a>";
		
		
		// --> BEGIN templating globals -------------------------------------------------------------------------------------------
		$AML_overview_body_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_overview_body_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
		$AML_overview_body_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_overview_body_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
		$AML_overview_body_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
		$AML_overview_body_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
		$AML_overview_body_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals ---------------------------------------------------------------------------------------------
		
		$AML_overview_body_tpl -> AMT_assign('AMTclass',                             "$AMTclass");
		$AML_overview_body_tpl -> AMT_assign('AML_admin_cat_overview_catid',         "".$AML_overview_cat['categorie_id']."");
		$AML_overview_body_tpl -> AMT_assign('AML_admin_cat_overview_nameV',         "<a href=\"cat_edit.php?AML_edit_categorie_id=".$AML_overview_cat['categorie_id']."\">".$AML_overview_cat['categorie_viewitas']."</a>");
		$AML_overview_body_tpl -> AMT_assign('AML_admin_cat_overview_activeV',       "".$AML_overview_cat['categorie_active']."");
		$AML_overview_body_tpl -> AMT_assign('AML_admin_cat_overview_listedV',       "".$AML_overview_cat['categorie_list']."");
		$AML_overview_body_tpl -> AMT_assign('AML_admin_cat_overview_orderV',        "".$AML_overview_cat['categorie_order']."");
		$AML_overview_body_tpl -> AMT_assign('AML_admin_cat_overview_order_typeV',   "".$AML_overview_cat['categorie_order_type']."");
		$AML_overview_body_tpl -> AMT_assign('AML_admin_cat_overview_permission_rV', "".$AML_overview_cat['categorie_permission_r']."");
		$AML_overview_body_tpl -> AMT_assign('AML_admin_cat_overview_permission_wV', "".$AML_overview_cat['categorie_permission_w']."");
		$AML_overview_body_tpl -> AMT_assign('AML_admin_cat_overview_showsubV',      "".$AML_overview_cat['categorie_subcats_show']."");
		$AML_overview_body_tpl -> AMT_assign('AML_admin_cat_overview_subcatsV',      "$AML_overview_subcats");
		$AML_overview_body_tpl -> AMT_assign('AML_admin_cat_overview_linksV',        "$AML_overview_sublinks");
		$AML_overview_body_tpl -> AMT_assign('AML_admin_cat_overview_hitsV',         "$AML_overview_subhits");

	$AML_overview_body_tpl -> AMT_tpl_print();
	
	if($AMTclass =="AMTbodybg"){ $AMTclass="AMTbodybglight"; } else { $AMTclass = "AMTbodybg"; }
}
// <-- END template body(s) ---------------------------------------------------------------------------------------------------------------

	
// --> BEGIN template footer --------------------------------------------------------------------------------------------------------------
$AML_overview_footer_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_overview_footer_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cat_overview_footer.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_overview_footer_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_overview_footer_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_overview_footer_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_overview_footer_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_overview_footer_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_overview_footer_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_overview_footer_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_pages',               "".$AML_jumpentryline."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_limits',              "".$AML_lselector."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_goto',                ""._admin_cat_overview_goto_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_all',                 ""._admin_cat_overview_all_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_unset',               ""._admin_cat_overview_unset_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_activate',      ""._admin_cat_overview_quick_activate_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_deactivate',    ""._admin_cat_overview_quick_deactivate_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_all',           ""._admin_cat_overview_quick_all_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_registred',     ""._admin_cat_overview_quick_registred_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_admin',         ""._admin_cat_overview_quick_admin_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_showsub',       ""._admin_cat_overview_quick_showsub_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_hidesub',       ""._admin_cat_overview_quick_hidesub_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_topic',         ""._admin_cat_overview_quick_topic_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_lastchange',    ""._admin_cat_overview_quick_lastchange_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_url',           ""._admin_cat_overview_quick_url_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_hits',          ""._admin_cat_overview_quick_hits_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_voteresult',    ""._admin_cat_overview_quick_voteresult_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_index',         ""._admin_cat_overview_quick_index_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_noindex',       ""._admin_cat_overview_quick_noindex_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_desc',          ""._admin_cat_overview_quick_desc_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_asc',           ""._admin_cat_overview_quick_asc_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_delete',        ""._admin_cat_overview_quick_delete_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_showform',      ""._admin_cat_overview_quick_showform_."");
	
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_overallhead',   ""._admin_cat_overview_quick_overallhead_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_headactive',    ""._admin_cat_overview_quick_headactive_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_headread',      ""._admin_cat_overview_quick_headread_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_headwrite',     ""._admin_cat_overview_quick_headwrite_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_headsubcat',    ""._admin_cat_overview_quick_headsubcat_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_headindex',     ""._admin_cat_overview_quick_headindex_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_headorder',     ""._admin_cat_overview_quick_headorder_."");
	$AML_overview_footer_tpl -> AMT_assign('AML_admin_cat_overview_quick_headordertype', ""._admin_cat_overview_quick_headordertype_."");
	
$AML_overview_footer_tpl -> AMT_tpl_print();
// <-- END template footer ----------------------------------------------------------------------------------------------------------------
?>