<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_numbers.php                              */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


if(isset($HTTP_POST_VARS['sent']))
{
	$AML_update = AMS_sql_query("UPDATE $_AMLconfig[tbl_config] SET  cfg_newlink_limit             = '$HTTP_POST_VARS[AML_admin_confignumbers_newlinkslimit]',
                                                                         cfg_catview_listlimit         = '$HTTP_POST_VARS[AML_admin_confignumbers_limitpersite]',
                                                                         cfg_catview_tlinkslimit       = '$HTTP_POST_VARS[AML_admin_confignumbers_toplinkslimit]',
                                                                         cfg_newlink_time1             = '$HTTP_POST_VARS[AML_admin_confignumbers_newlink1]',
                                                                         cfg_newlink_time2             = '$HTTP_POST_VARS[AML_admin_confignumbers_newlink2]',
                                                                         cfg_newlink_time3             = '$HTTP_POST_VARS[AML_admin_confignumbers_newlink3]'", $_AMLconfig['sql_connect']);

	if(isset($AML_update))
	{
		$AML_info_info         = ""._admin_configsetsites_info_done_."";
		$AML_info_description  = ""._admin_configsetsites_info_donedesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}

	// get user configuration again
	$_AMLusrcfg = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM $_AMLconfig[tbl_config]", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
}

$AML_numbers_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_numbers_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_numbers.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_numbers_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_numbers_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_numbers_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_numbers_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_numbers_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_numbers_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_numbers_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	// text
	$AML_numbers_tpl -> AMT_assign('AML_admin_confignumbers_headline',              ""._admin_confignumbers_headline_.""); 
	$AML_numbers_tpl -> AMT_assign('AML_admin_confignumbers_newlinkslimit',         ""._admin_confignumbers_newlinkslimit_."");
	$AML_numbers_tpl -> AMT_assign('AML_admin_confignumbers_limitpersite',          ""._admin_confignumbers_limitpersite_."");
	$AML_numbers_tpl -> AMT_assign('AML_admin_confignumbers_toplinkslimit',         ""._admin_confignumbers_toplinkslimit_."");
	$AML_numbers_tpl -> AMT_assign('AML_admin_confignumbers_newlink1',              ""._admin_confignumbers_newlink1_."");
	$AML_numbers_tpl -> AMT_assign('AML_admin_confignumbers_newlink2',              ""._admin_confignumbers_newlink2_."");
	$AML_numbers_tpl -> AMT_assign('AML_admin_confignumbers_newlink3',              ""._admin_confignumbers_newlink3_."");
	
	//values
	$AML_numbers_tpl -> AMT_assign('AML_admin_confignumbers_newlinkslimitV',        "$_AMLusrcfg[cfg_newlink_limit]");
	$AML_numbers_tpl -> AMT_assign('AML_admin_confignumbers_limitpersiteV',         "$_AMLusrcfg[cfg_catview_listlimit]");
	$AML_numbers_tpl -> AMT_assign('AML_admin_confignumbers_toplinksbyvoteslimitV', "$_AMLusrcfg[cfg_catview_tlinkslimit]");
	$AML_numbers_tpl -> AMT_assign('AML_admin_confignumbers_newlink1V',             "$_AMLusrcfg[cfg_newlink_time1]");
	$AML_numbers_tpl -> AMT_assign('AML_admin_confignumbers_newlink2V',             "$_AMLusrcfg[cfg_newlink_time2]");
	$AML_numbers_tpl -> AMT_assign('AML_admin_confignumbers_newlink3V',             "$_AMLusrcfg[cfg_newlink_time3]");

$AML_numbers_tpl -> AMT_tpl_print();

?>