<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_others.php                               */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN template cfg_others header ---------------------------------------------------------------------------------------------------
$AML_cfgothers_header_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
$AML_cfgothers_header_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_others_header.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_cfgothers_header_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_cfgothers_header_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_cfgothers_header_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_cfgothers_header_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_cfgothers_header_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_cfgothers_header_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_cfgothers_header_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	$AML_cfgothers_header_tpl -> AMT_assign('AML_admin_cfg_others_headline',    ""._admin_cfg_others_headline_."");
	$AML_cfgothers_header_tpl -> AMT_assign('AML_admin_cfg_others_description', ""._admin_cfg_others_description_."");
$AML_cfgothers_header_tpl -> AMT_tpl_print();
// <-- END template cfg_others header -----------------------------------------------------------------------------------------------------

@$AML_chdir = chdir("./modules/"); 
if($AML_chdir)
{
	$AML_opendir=opendir('.');
	$AML_i = "1";
	$AML_index = "0";
	while (false !== ($AML_modules = readdir ($AML_opendir))) 
	{
		if (is_dir("".$AML_modules."") && $AML_modules != "." && $AML_modules !="..")
		{
			$AML_cfgothers_body_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
			$AML_cfgothers_body_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_others_body.tpl.html", __FILE__, __LINE__);
				$AML_cfgothers_body_tpl -> AMT_assign('AML_admin_cfg_others_name',         "".$AML_modules."");
				$AML_cfgothers_body_tpl -> AMT_assign('AML_admin_cfg_others_description',  ""._admin_cfg_others_headline_."");
				if($AML_fp = @fopen("".$_AMLconfig['cfg_serverpath']."/admin/modules/".$AML_modules."/info/INFO.TXT", "r"))
				{
					settype($AML_desc,'string');
					while ($AML_line = fgets($AML_fp, 1024)) 
					{
						$AML_desc .= $AML_line;
					}
					$AML_cfgothers_body_tpl -> AMT_assign('AML_admin_cfg_others_description',  "".$AML_desc."");
					unset($AML_desc);
				}
				else
				{
					$AML_cfgothers_body_tpl -> AMT_assign('AML_admin_cfg_others_description',  ""._admin_cfg_others_nodesc_."");
				}
				
				if($AML_fp = @fopen("".$_AMLconfig['cfg_serverpath']."/admin/modules/".$AML_modules."/info/COPYRIGHT.TXT", "r"))
				{
					settype($AML_copyright,'string');
					while ($AML_line = fgets($AML_fp, 1024)) 
					{
						$AML_copyright .= $AML_line;
					}
					$AML_cfgothers_body_tpl -> AMT_assign('AML_admin_cfg_others_copyright',    "".$AML_copyright."");
					unset($AML_copyright);
				}
				else
				{
					$AML_cfgothers_body_tpl -> AMT_assign('AML_admin_cfg_others_copyright',    ""._admin_cfg_others_nocp_."");
				}

				if(is_file("./".$AML_modules."/info/logo.gif"))
				{
					$AML_cfgothers_body_tpl -> AMT_assign('AML_admin_cfg_others_image', "<img src=\"./modules/".$AML_modules."/info/logo.gif\">");
				}
				else
				{
					$AML_cfgothers_body_tpl -> AMT_assign('AML_admin_cfg_others_image', "");
				}
			$AML_cfgothers_body_tpl -> AMT_tpl_print();
		}	
	}
	closedir($AML_opendir);
	@$AML_chdir = chdir("../");
}
else
{
		$AML_error_error        = ""._admin_cfgothers_error_notfound_."";
		$AML_error_description  = ""._admin_cfgothers_error_notfounddesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>error.inc.php</i> so I will die now!");
		}	
}

// --> BEGIN template cfg_others footer ---------------------------------------------------------------------------------------------------
$AML_cfgothers_footer_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
$AML_cfgothers_footer_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_others_footer.tpl.html", __FILE__, __LINE__);
	$AML_cfgothers_footer_tpl -> AMT_assign('AML_linktotemplate',  "".$_AMLconfig['cfg_scripturl']."".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
$AML_cfgothers_footer_tpl -> AMT_tpl_print();
// <-- END template cfg_others footer -----------------------------------------------------------------------------------------------------

?>