<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_overview.php                             */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------

// --> BEGIN including toplinks lib ---------------------------------------------------------------------------------------
if(!$_AMLinclude['res_globalstatslib'] = include("".$_AMLconfig['cfg_serverpath']."/lib/globalstats.lib.php"))
{
	die("can not load ./lib/globalstats.lib.php so I will die now!");
}
// <-- END including toplinks lib -----------------------------------------------------------------------------------------


// BEGIN create DB status -----------------------------------------------------------------------------------------------------------------
$AML_admin_overview_dbstatusV = "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"1\" class=\"AMTtblborder\">";
$AML_dbstatusquery = @AMS_sql_query("SHOW STATUS",  $_AMLconfig['sql_connect']);
while($AML_dbstatusarray = @AMS_sql_fetch_array($AML_dbstatusquery, $_AMLconfig['sql_connect']))
{
	if(!ereg("Com_", $AML_dbstatusarray['0']))
	{
		$AML_admin_overview_dbstatusV .= "<tr class=\"AMTsmalltext\"><td>$AML_dbstatusarray[0]: ";
		$AML_admin_overview_dbstatusV .= "</td><td><div align=\"right\"><b>$AML_dbstatusarray[1]</b></div></td></tr>";
	}
}
$AML_dbstatusquery .= "</table>";
// END create DB status -------------------------------------------------------------------------------------------------------------------


// BEGIN create config info ---------------------------------------------------------------------------------------------------------------
$AML_configquery = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_config']."", $_AMLconfig['sql_connect']);
$AML_configarray = AMS_sql_fetch_array($AML_configquery, $_AMLconfig['sql_connect']);
$i=0;
$AML_admin_overview_configstatusV = "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"1\" class=\"AMTtblborder\">";
foreach ($AML_configarray as $key => $value) 
{
	if($key != $i)
	{
		$AML_admin_overview_configstatusV .= "<tr class=\"AMTsmalltext\"><td>$key:</td><td><div align=\"right\"><b>$value</b></td></tr>\n";
		$i++;
	}
}
$AML_admin_overview_configstatusV .= "</table>";

$AML_globalstat = AML_create_globalstat();
$AML_overview_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_overview_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_overview.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_overview_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_overview_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_overview_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_overview_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_overview_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_overview_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_overview_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	
	// admin global text
	
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_headline',           ""._admin_overview_headline_."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_entryheadline',      ""._admin_overview_entryheadline_."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_configheadline',     ""._admin_overview_configheadline_."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_dbstatusheadline',   ""._admin_overview_dbstatusheadline_."");
	
	// admin_statistics text
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_alllinks',           ""._admin_overview_alllinks_."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_activelinks',        ""._admin_overview_activelinks_."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_inactivelinks',      ""._admin_overview_inactivelinks_."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_allcats',            ""._admin_overview_allcats_."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_activecats',         ""._admin_overview_activecats_."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_inactivecats',       ""._admin_overview_inactivecats_."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_allhits',            ""._admin_overview_allhits_."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_activehits',         ""._admin_overview_activehits_."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_inactivehits',       ""._admin_overview_inactivehits_."");

		
	// admin_statistic values	
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_alllinksV',          "".$AML_globalstat['links_total']."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_activelinksV',       "".$AML_globalstat['links_active']."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_inactivelinksV',     "".$AML_globalstat['links_inactive']."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_allcatsV',           "".$AML_globalstat['cats_total']."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_activecatsV',        "".$AML_globalstat['cats_active']."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_inactivecatsV',      "".$AML_globalstat['cats_inactive']."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_allhitsV',           "".$AML_globalstat['hits_total']."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_activehitsV',        "".$AML_globalstat['hits_active']."");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_inactivehitsV',      "".$AML_globalstat['hits_inactive']."");

	$AML_overview_tpl -> AMT_assign('AML_admin_overview_dbstatusV',          "$AML_admin_overview_dbstatusV");
	$AML_overview_tpl -> AMT_assign('AML_admin_overview_configstatusV',      "$AML_admin_overview_configstatusV");
$AML_overview_tpl -> AMT_tpl_print();

?>