<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_setsites.php                             */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN change values ----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['active'])) {
	$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_modules']." SET module_active = '".$HTTP_GET_VARS['status']."' WHERE module_id = '".$HTTP_GET_VARS['active']."'", $_AMLconfig['sql_connect']);
}
if(isset($HTTP_GET_VARS['permission'])) {
	$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_modules']." SET module_permission = '".$HTTP_GET_VARS['status']."' WHERE module_id = '".$HTTP_GET_VARS['permission']."'", $_AMLconfig['sql_connect']);
}
if(isset($HTTP_GET_VARS['default'])) {
	$AML_reset  = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_modules']." SET module_default = '0'", $_AMLconfig['sql_connect']);
	$AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_modules']." SET module_default = '1' WHERE module_id = '".$HTTP_GET_VARS['default']."'", $_AMLconfig['sql_connect']);
}
// <-- END change values ------------------------------------------------------------------------------------------------------------------


if(isset($HTTP_POST_VARS['sent']))
{
	$AML_update = AMS_sql_query("UPDATE $_AMLconfig[tbl_config] SET cfg_sitestatus_overview          = '$HTTP_POST_VARS[AML_admin_configsetsites_stats]',
									cfg_sitestatus_catview          = '$HTTP_POST_VARS[AML_admin_configsetsites_catview]',
									cfg_sitestatus_catdescriptions  = '$HTTP_POST_VARS[AML_admin_configsetsites_catdesc]',
									cfg_sitestatus_help             = '$HTTP_POST_VARS[AML_admin_configsetsites_helpview]',
									cfg_sitestatus_addlink          = '$HTTP_POST_VARS[AML_admin_configsetsites_addlink]',
									cfg_sitestatus_modifylink       = '$HTTP_POST_VARS[AML_admin_configsetsites_modify]',
									cfg_sitestatus_lastlinks        = '$HTTP_POST_VARS[AML_admin_configsetsites_lastlinks]',
									cfg_sitestatus_recommend        = '$HTTP_POST_VARS[AML_admin_configsetsites_recommend]',
									cfg_sitestatus_preferences      = '$HTTP_POST_VARS[AML_admin_configsetsites_preferences]',
									cfg_sitestatus_search           = '$HTTP_POST_VARS[AML_admin_configsetsites_search]'", $_AMLconfig['sql_connect']);

	if(isset($AML_update))
	{
		$AML_info_info         = ""._admin_configsetsites_info_done_."";
		$AML_info_description  = ""._admin_configsetsites_info_donedesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}									
}


// --> BEGIN template header --------------------------------------------------------------------------------------------------------------
$AML_cfg_setsites_header_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_cfg_setsites_header_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_setsites_header.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_cfg_setsites_header_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_cfg_setsites_header_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_cfg_setsites_header_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_cfg_setsites_header_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_cfg_setsites_header_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_cfg_setsites_header_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_cfg_setsites_header_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	$AML_cfg_setsites_header_tpl -> AMT_assign('AML_admin_cfg_setsites_headline',      ""._admin_configsetsites_headline_."");
	$AML_cfg_setsites_header_tpl -> AMT_assign('AML_admin_cfg_setsites_name',          ""._admin_cfg_setsites_name_."");
	$AML_cfg_setsites_header_tpl -> AMT_assign('AML_admin_cfg_setsites_file',          ""._admin_cfg_setsites_file_."");
	$AML_cfg_setsites_header_tpl -> AMT_assign('AML_admin_cfg_setsites_active',        ""._admin_cfg_setsites_active_."");
	$AML_cfg_setsites_header_tpl -> AMT_assign('AML_admin_cfg_setsites_permission',    ""._admin_cfg_setsites_permission_."");
	$AML_cfg_setsites_header_tpl -> AMT_assign('AML_admin_cfg_setsites_default',       ""._admin_cfg_setsites_default_."");

$AML_cfg_setsites_header_tpl -> AMT_tpl_print();

// <-- END template header ----------------------------------------------------------------------------------------------------------------


// --> BEGIN template body ----------------------------------------------------------------------------------------------------------------
$AMTclass = "AMTbodybg";
$AML_setsites_get = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_modules']."", $_AMLconfig['sql_connect']);
while($AML_module = AMS_sql_fetch_array($AML_setsites_get, $_AMLconfig['sql_connect']))
{
	if($AML_module['module_default'] == '1'){
		$AML_default1 = "<b>";
		$AML_default2 = "</b>";
	} else {
		$AML_default1 = "";
		$AML_default2 = "";
	}
	if($AML_module['module_active'] == '1') $AML_module['module_active'] = "<a href=\"cfg_setsites.php?active=".$AML_module['module_id']."&status=0\">".$AML_module['module_active']."</a>";
	if($AML_module['module_active'] == '0') $AML_module['module_active'] = "<a href=\"cfg_setsites.php?active=".$AML_module['module_id']."&status=1\">".$AML_module['module_active']."</a>";
	if($AML_module['module_default'] == '0') $AML_module['module_default'] = "<a href=\"cfg_setsites.php?default=".$AML_module['module_id']."\">".$AML_module['module_default']."</a>";
	if($AML_module['module_permission'] == '0') $AML_module['module_permission'] = "<a href=\"cfg_setsites.php?permission=".$AML_module['module_id']."&status=1\">".$AML_module['module_permission']."</a>";
	if($AML_module['module_permission'] == '1') $AML_module['module_permission'] = "<a href=\"cfg_setsites.php?permission=".$AML_module['module_id']."&status=2\">".$AML_module['module_permission']."</a>";
	if($AML_module['module_permission'] == '2') $AML_module['module_permission'] = "<a href=\"cfg_setsites.php?permission=".$AML_module['module_id']."&status=0\">".$AML_module['module_permission']."</a>";
	
	$AML_cfg_setsites_body_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
	$AML_cfg_setsites_body_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_setsites_body.tpl.html", __FILE__, __LINE__);
	
		// --> BEGIN templating globals -------------------------------------------------------------------------------------------
		$AML_cfg_setsites_body_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_cfg_setsites_body_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
		$AML_cfg_setsites_body_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_cfg_setsites_body_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
		$AML_cfg_setsites_body_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
		$AML_cfg_setsites_body_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
		$AML_cfg_setsites_body_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals ---------------------------------------------------------------------------------------------
		$AML_cfg_setsites_body_tpl -> AMT_assign('AMTclass',                           "".$AMTclass."");
		$AML_cfg_setsites_body_tpl -> AMT_assign('AML_admin_cfg_setsites_idV',         "".$AML_default1."".$AML_module['module_id']."".$AML_default2."");
		$AML_cfg_setsites_body_tpl -> AMT_assign('AML_admin_cfg_setsites_nameV',       "".$AML_default1."".$AML_module['module_name']."".$AML_default2."");
		$AML_cfg_setsites_body_tpl -> AMT_assign('AML_admin_cfg_setsites_fileV',       "".$AML_default1."".$AML_module['module_file']."".$AML_default2."");
		$AML_cfg_setsites_body_tpl -> AMT_assign('AML_admin_cfg_setsites_activeV',     "".$AML_default1."".$AML_module['module_active']."".$AML_default2."");
		$AML_cfg_setsites_body_tpl -> AMT_assign('AML_admin_cfg_setsites_permissionV', "".$AML_default1."".$AML_module['module_permission']."".$AML_default2."");
		$AML_cfg_setsites_body_tpl -> AMT_assign('AML_admin_cfg_setsites_defaultV',    "".$AML_default1."".$AML_module['module_default']."".$AML_default2."");

	$AML_cfg_setsites_body_tpl -> AMT_tpl_print();

	if($AMTclass =="AMTbodybg"){ $AMTclass="AMTbodybglight"; } else { $AMTclass = "AMTbodybg"; }	
}
// <-- END template body ------------------------------------------------------------------------------------------------------------------


// --> BEGIN template footer --------------------------------------------------------------------------------------------------------------
$AML_cfg_setsites_footer_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_cfg_setsites_footer_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_cfg_setsites_footer.tpl.html", __FILE__, __LINE__);
	
	$AML_cfg_setsites_footer_tpl -> AMT_assign('',  "");

$AML_cfg_setsites_footer_tpl -> AMT_tpl_print();
// <-- END template footer ----------------------------------------------------------------------------------------------------------------
?>