<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/db_import.php                                */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// BEGIN import old AML -------------------------------------------------------------------------------------------------------------------
if( (isset($HTTP_POST_VARS['section']) && $HTTP_POST_VARS['section'] == "importoldaml" ) || ( isset($HTTP_GET_VARS['section']) && $HTTP_GET_VARS['section'] == "importoldaml") )
{
	
	// BEGIN checking for filled fields -----------------------------------------------------------------------------------------------
	echo ""._admin_info_checkfields_."";
	if( empty($HTTP_POST_VARS['AML_admin_dbimport_amlold_user'])   ||
	    empty($HTTP_POST_VARS['AML_admin_dbimport_amlold_pass'])   ||
	    empty($HTTP_POST_VARS['AML_admin_dbimport_amlold_host'])   ||
	    empty($HTTP_POST_VARS['AML_admin_dbimport_amlold_dbname']) ||
	    empty($HTTP_POST_VARS['AML_admin_dbimport_amlold_amltype'])||
	    empty($HTTP_POST_VARS['AML_admin_dbimport_amlold_cattbl']) ||
	    empty($HTTP_POST_VARS['AML_admin_dbimport_amlold_linktbl']) )
	{
		echo ""._admin_info_failed_."";	
		
		$AML_error_error        = ""._admin_info_emptyfields_."";
		$AML_error_description  = ""._admin_info_emptyfieldsdesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>error.inc.php</i> so I will die now!");
		}
		$AML_importoldaml_error = 1;
		
	}
	else
	{
		echo ""._admin_info_successfull_."";	
	}
	// END checking for filled fields -------------------------------------------------------------------------------------------------
	
	
	// BEGIN conncet to DB ------------------------------------------------------------------------------------------------------------
	if(!isset($AML_importoldaml_error))
	{
		echo ""._admin_info_checkconncetion_."";
		if(!$AML_importoldaml_connect =  @mysql_connect("$HTTP_POST_VARS[AML_admin_dbimport_amlold_host]", "$HTTP_POST_VARS[AML_admin_dbimport_amlold_user]", "$HTTP_POST_VARS[AML_admin_dbimport_amlold_pass]"))
		{
			echo ""._admin_info_failed_."";
					
			$AML_error_error        = ""._admin_info_noconnect_."";
			$AML_error_description  = ""._admin_info_noconnectdesc_."";
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
			{	
				die("can not load <i>error.inc.php</i> so I will die now!");
			}
			$AML_importoldaml_error = 1;	
		}
		else
		{
			echo ""._admin_info_successfull_."";
		}		
	
	}
	// END conncet to DB --------------------------------------------------------------------------------------------------------------
	
	
	// BEGIN open database ------------------------------------------------------------------------------------------------------------	
	if(!isset($AML_importoldaml_error))
	{
		echo ""._admin_info_opendb_."";
		if(!$AML_importoldaml_selectdb =  @mysql_select_db("$HTTP_POST_VARS[AML_admin_dbimport_amlold_dbname]", $AML_importoldaml_connect))
		{
			echo ""._admin_info_failed_."";
			$AML_error_error        = ""._admin_info_nodb_."";
			$AML_error_description  = ""._admin_info_nodbdesc_."";
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
			{	
				die("can not load <i>error.inc.php</i> so I will die now!");
			}
			$AML_importoldaml_error = 1;	
		
		}
		else
		{
			echo ""._admin_info_successfull_."";
		}
	
	}
	// END open database --------------------------------------------------------------------------------------------------------------


	// BEGIN show table ---------------------------------------------------------------------------------------------------------------	
	if(!isset($AML_importoldaml_error))
	{
		echo ""._admin_info_showtable_."";

		if(!@mysql_query("SELECT * FROM $HTTP_POST_VARS[AML_admin_dbimport_amlold_cattbl] LIMIT 1", $AML_importoldaml_connect) || !@mysql_query("SELECT * FROM $HTTP_POST_VARS[AML_admin_dbimport_amlold_linktbl] LIMIT 1", $AML_importoldaml_connect))
		{
			echo ""._admin_info_failed_."";
			$AML_error_error        = ""._admin_info_tablewrong_."";
			$AML_error_description  = ""._admin_info_tablewrongdesc_."";
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
			{	
				die("can not load <i>error.inc.php</i> so I will die now!");
			}
			$AML_importoldaml_error = 1;	
		}
		else
		{
			echo ""._admin_info_successfull_."";
		}
	
	}
	// END show table -----------------------------------------------------------------------------------------------------------------

	
	// --> BEGIN INCLUDE db_import_oldaml.php -----------------------------------------------------------------------------------------
	if(!isset($AML_importoldaml_error))
	{
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/admin/db_import_oldaml.php"))
			{	
				die("can not load <i>error.inc.php</i> so I will die now!");
			}
			die();
	}
	// <-- END INCLUDE db_import_oldaml.php -------------------------------------------------------------------------------------------
		
}
// end import old AML ---------------------------------------------------------------------------------------------------------------------



if(isset($HTTP_POST_VARS['section']) || isset($HTTP_GET_VARS['section']))
{
	//oldamlvalues
	$AML_admin_dbimport_amlold_user        = $HTTP_POST_VARS['AML_admin_dbimport_amlold_user'];
	$AML_admin_dbimport_amlold_pass        = $HTTP_POST_VARS['AML_admin_dbimport_amlold_pass'];
	$AML_admin_dbimport_amlold_host        = $HTTP_POST_VARS['AML_admin_dbimport_amlold_host'];
	$AML_admin_dbimport_amlold_dbname      = $HTTP_POST_VARS['AML_admin_dbimport_amlold_dbname'];
	$AML_admin_dbimport_amlold_cattbl      = $HTTP_POST_VARS['AML_admin_dbimport_amlold_cattbl'];
	$AML_admin_dbimport_amlold_linktbl     = $HTTP_POST_VARS['AML_admin_dbimport_amlold_linktbl'];	
	$AML_admin_dbimport_amlold_commentstbl = $HTTP_POST_VARS['AML_admin_dbimport_amlold_commentstbl'];
}
else
{
	//oldamlvalues
	$AML_admin_dbimport_amlold_user        = "";
	$AML_admin_dbimport_amlold_pass        = "";
	$AML_admin_dbimport_amlold_host        = "localhost";
	$AML_admin_dbimport_amlold_dbname      = "";
	$AML_admin_dbimport_amlold_cattbl      = "aml_categories";
	$AML_admin_dbimport_amlold_linktbl     = "aml_links";
	$AML_admin_dbimport_amlold_commentstbl = "aml_comments";
}   

settype($AML_dbimport_help,'string');
if($AML_fp = @fopen("".$_AMLconfig['cfg_serverpath']."/admin/help/"._setting_adminhelp_lang_."/db_import.html", "r"))
{
	while ($AML_line = fgets($AML_fp, 1024)) {
	$AML_dbimport_help .= $AML_line;
	}
}
else
{
	$AML_dbimport_help = ""._admin_global_nodesc_."";
}
@fclose($AML_fp);

$AML_dbimport_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_dbimport_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_db_import.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_dbimport_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_dbimport_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_dbimport_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_dbimport_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_dbimport_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_dbimport_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_dbimport_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	
	
	// text
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_headline',                  ""._admin_dbimport_headline_.""); 
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_currentversion',            ""._admin_dbimport_currentversion_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_currentversion_local',      ""._admin_dbimport_currentversion_local_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_currentversion_uploaded',   ""._admin_dbimport_currentversion_uploaded_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_global',                    ""._admin_dbimport_global_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_global_seperated',          ""._admin_dbimport_global_seperated_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_global_newline',            ""._admin_dbimport_global_newline_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_global_update',             ""._admin_dbimport_global_update_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_global_local',              ""._admin_dbimport_global_local_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_global_uploaded',           ""._admin_dbimport_global_uploaded_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_warning',                   ""._admin_dbimport_warning_."");

	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_headline',           ""._admin_dbimport_amlold_headline_.""); 
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_user',               ""._admin_dbimport_amlold_user_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_pass',               ""._admin_dbimport_amlold_pass_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_host',               ""._admin_dbimport_amlold_host_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_dbname',             ""._admin_dbimport_amlold_dbname_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_amltype',            ""._admin_dbimport_amlold_amltype_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_selectversion',      ""._admin_dbimport_amlold_selectversion_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_cattbl',             ""._admin_dbimport_amlold_cattbl_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_linktbl',            ""._admin_dbimport_amlold_linktbl_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_commentstbl',        ""._admin_dbimport_amlold_commentstbl_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_commentstbl_ignore', ""._admin_dbimport_amlold_commentstbl_ignore_."");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_help',                      "".$AML_dbimport_help."");
	//values
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_userV',              "$AML_admin_dbimport_amlold_user");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_passV',              "$AML_admin_dbimport_amlold_pass");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_hostV',              "$AML_admin_dbimport_amlold_host");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_dbnameV',            "$AML_admin_dbimport_amlold_dbname");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_cattblV',            "$AML_admin_dbimport_amlold_cattbl");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_linktblV',           "$AML_admin_dbimport_amlold_linktbl");
	$AML_dbimport_tpl -> AMT_assign('AML_admin_dbimport_amlold_commentstblV',       "$AML_admin_dbimport_amlold_commentstbl");
		
$AML_dbimport_tpl -> AMT_tpl_print();

?>