<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/db_optimize.php                              */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------

    
$AML_dboptimize_header_get = //require_once("../include/template.inc.php");
$AML_dboptimize_header_tpl = new AMT_Template("../template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_db_optimize_header.tpl.html", __FILE__, __LINE__);
	
	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_dboptimize_header_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_dboptimize_header_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_dboptimize_header_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_dboptimize_header_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_dboptimize_header_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_dboptimize_header_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_dboptimize_header_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	$AML_dboptimize_header_tpl -> AMT_assign('AML_admin_db_optimize_headline',    ""._admin_db_optimize_headline_."");
	$AML_dboptimize_header_tpl -> AMT_assign('AML_admin_db_optimize_tablename',   ""._admin_db_optimize_tablename_."");
	$AML_dboptimize_header_tpl -> AMT_assign('AML_admin_db_optimize_latcheck',    ""._admin_db_optimize_latcheck_."");
	$AML_dboptimize_header_tpl -> AMT_assign('AML_admin_db_optimize_diskspace',   ""._admin_db_optimize_diskspace_."");
	$AML_dboptimize_header_tpl -> AMT_assign('AML_admin_db_optimize_tablestat',   ""._admin_db_optimize_tablestat_."");
	$AML_dboptimize_header_tpl -> AMT_assign('AML_admin_db_optimize_spacesaved',  ""._admin_db_optimize_spacesaved_."");

$AML_dboptimize_header_tpl -> AMT_tpl_print();

$db_clean = $_AMLconfig['sql_dabaname'];
$tot_data = 0;
$tot_idx = 0;
$tot_all = 0;
$AMT_bodybg = "AMTbodybg";
$AML_optimize_query = AMS_sql_query("SHOW TABLE STATUS FROM ".$_AMLconfig['sql_dabaname']."", $_AMLconfig['sql_connect']);
if (AMS_sql_num_rows($AML_optimize_query, $_AMLconfig['sql_connect']))
{
	while ($AML_optimize_array = AMS_sql_fetch_array($AML_optimize_query, $_AMLconfig['sql_connect'])) 
	{
		$total = $AML_optimize_array['Data_length'] + $AML_optimize_array['Index_length'];
		$total = $total / 1024 ;
		$total = round ($total,3);
		$gain = $AML_optimize_array['Data_free'] / 1024 ;
		$gain = round ($gain,3);  
		$AML_name = $AML_optimize_array['0'];
		$AML_size = "".$total." Kb"; 
		$resultat  = AMS_sql_query("OPTIMIZE TABLE '".$AML_optimize_array['0']."'", $_AMLconfig['sql_connect']);
		if ($gain == 0) { $AML_stat = ""._admin_db_optimize_isoptimized_.""; $AML_gain = "0 Kb"; } else { $AML_stat = "<b>"._admin_db_optimize_optimized_."</b>"; $AML_gain = "<b>".$gain." Kb</b>"; }
		if(empty($AML_optimize_array['Check_time'])){ $AML_lastproof = ""._admin_db_optimize_unproofed_.""; } else { $AML_lastproof = $AML_optimize_array['Check_time']; };
		
		$AML_check_table = AMS_sql_query("CHECK TABLE ".$AML_name." QUICK", $_AMLconfig['sql_connect']);
		
		$AML_dboptimize_body_get = //require_once("../include/template.inc.php");
		$AML_dboptimize_body_tpl = new AMT_Template("../template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_db_optimize_body.tpl.html", __FILE__, __LINE__);
			
			$AML_dboptimize_body_tpl -> AMT_assign('AMTclass',                     "".$AMT_bodybg."");
			$AML_dboptimize_body_tpl -> AMT_assign('AML_db_optimize_tablenameV',   "".$AML_name."");
			$AML_dboptimize_body_tpl -> AMT_assign('AML_db_optimize_diskspaceV',   "".$AML_size."");
			$AML_dboptimize_body_tpl -> AMT_assign('AML_db_optimize_lastcheckV',   "".$AML_lastproof."");
			$AML_dboptimize_body_tpl -> AMT_assign('AML_db_optimize_tablestatV',   "".$AML_stat."");
			$AML_dboptimize_body_tpl -> AMT_assign('AML_db_optimize_spacesavedV',  "".$AML_gain."");
		
		$AML_dboptimize_body_tpl -> AMT_tpl_print();

		if($AMT_bodybg == "AMTbodybg"){ $AMT_bodybg = "AMTbodybglight"; } else { $AMT_bodybg = "AMTbodybg"; }
	} 
}
$AML_dboptimize_footer_get = //require_once("../include/template.inc.php");
$AML_dboptimize_footer_tpl = new AMT_Template("../template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_db_optimize_footer.tpl.html", __FILE__, __LINE__);
	
	$AML_dboptimize_footer_tpl -> AMT_assign('AML_urltotemplate',                 "".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."/");


$AML_dboptimize_footer_tpl -> AMT_tpl_print();
?>