<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/link_add.php                                 */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


if(isset($HTTP_POST_VARS['AML_sent']))
{
	//check for empty fields
	if(empty($HTTP_POST_VARS['AML_obj_protocol'])  ||
	   empty($HTTP_POST_VARS['AML_url'])           ||
	   empty($HTTP_POST_VARS['link_categorie'])    ||
	   empty($HTTP_POST_VARS['AML_obj_language'])  ||
	   empty($HTTP_POST_VARS['AML_topic']))
	{
		$AML_error_error        = ""._link_add_error_fillout_."";
		$AML_error_description  = ""._link_add_error_filloutdesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>error.inc.php</i> so I will die now!");
		}	
		$AML_addlink_error = 1;	
	}
	
	
	if(isset($AML_addlink_error))
	{	
		$AML_url          = $HTTP_POST_VARS['AML_url'];
		$AML_topic        = $HTTP_POST_VARS['AML_topic'];
		$AML_description  = $HTTP_POST_VARS['AML_description'];	
		$AML_description2 = $HTTP_POST_VARS['AML_description2'];
		$AML_banner       = $HTTP_POST_VARS['AML_banner'];
		$AML_size         = $HTTP_POST_VARS['AML_size'];
		$AML_version      = $HTTP_POST_VARS['AML_version'];
		$AML_author       = $HTTP_POST_VARS['AML_author'];
		$AML_platform     = $HTTP_POST_VARS['AML_platform'];
		$AML_price        = $HTTP_POST_VARS['AML_price'];
		$AML_username     = $HTTP_POST_VARS['AML_username'];
		$AML_email	  = $HTTP_POST_VARS['AML_email'];
		
		if($HTTP_POST_VARS['AML_active'] == 1)
		{
			$AML_admin_link_add_active1V = 'checked';
        		$AML_admin_link_add_active2V = '';
        	}
        	else
        	{
			$AML_admin_link_add_active1V = '';
        		$AML_admin_link_add_active2V = 'checked';
        	} 
        	if($HTTP_POST_VARS['AML_linkisdownload'] == 1)
        	{
        		$AML_admin_link_add_isdownload1V = 'checked';
        		$AML_admin_link_add_isdownload2V = '';
        	}
        	else
        	{
        	 	$AML_admin_link_add_isdownload1V = '';
        		$AML_admin_link_add_isdownload2V = 'checked';       	
        	}
        	
	}
	else
	{
		
		
		//               //
		//  INSERT LINK  //
		//               //
		if($HTTP_POST_VARS['AML_obj_protocol'] == "http://")
		{
			$AML_link_check = phpLinkCheck("$HTTP_POST_VARS[AML_obj_protocol]"."$HTTP_POST_VARS[AML_url]");
		}

		$AML_insert_link = AMS_sql_query("INSERT INTO ".$_AMLconfig['tbl_links']." VALUES('',
			                                                                          '', 
	        	                                                                          '".$HTTP_POST_VARS['AML_active']."', 
	        	                                                                          'new',
	        	                                                                          '".$HTTP_POST_VARS['AML_obj_permission']."',
	        	                                                                          '".$HTTP_POST_VARS['AML_link_add_template1']."',
	        	                                                                          '".$HTTP_POST_VARS['AML_link_add_template2']."',
	        	                                                                          '0',
	        	                                                                          '".@$HTTP_POST_VARS['AML_obj_protocol']."',
	        	                                                                          '".@$HTTP_POST_VARS['AML_url']."',
	        	                                                                          '".@$HTTP_POST_VARS['link_categorie']."', 
	        	                                                                          '".@$HTTP_POST_VARS['AML_obj_language']."', 
	        	                                                                          '".@$HTTP_POST_VARS['AML_topic']."', 
	        	                                                                          '".@$HTTP_POST_VARS['AML_description']."', 
	        	                                                                          '".@$HTTP_POST_VARS['AML_description2']."',
	        	                                                                          '".@$HTTP_POST_VARS['AML_banner']."',
	        	                                                                          '".@$HTTP_POST_VARS['AML_obj_banner']."',
	        	                                                                          '0',
	        	                                                                          '0', 
	        	                                                                          '0', 
	        	                                                                          '0', 
	        	                                                                          '0', 
	        	                                                                          '0', 
	        	                                                                          '".@$HTTP_POST_VARS['AML_username']."', 
	        	                                                                          '".@$HTTP_POST_VARS['AML_email']."',
	        	                                                                          '0', 
	        	                                                                          '".@$HTTP_POST_VARS['AML_showurl']."',
	        	                                                                          '".@$HTTP_POST_VARS['AML_showhits']."', 
	        	                                                                          '".@$HTTP_POST_VARS['AML_showbroken']."',
	        	                                                                          '".@$HTTP_POST_VARS['AML_showvote']."',
	        	                                                                          '".@$HTTP_POST_VARS['AML_showinfo']."', 
	       	 	                                                                          '".@$HTTP_POST_VARS['AML_showcomments']."',
	       	 	                                                                          '".@$HTTP_POST_VARS['AML_showoptions']."',
	       	 	                                                                          '".@$HTTP_POST_VARS['AML_showframe']."',
	       	 	                                                                          '".@$HTTP_POST_VARS['AML_showdisclaimer']."',
	         	                                                                          '0',
	                	                                                                  '',
	                        	                                                          '', 
	                                	                                                  '".@$HTTP_POST_VARS['AML_linkisdownload']."', 
	     	      	                                                                          '".@$HTTP_POST_VARS['AML_size']."', 
	           	                                                                          '".@$HTTP_POST_VARS['AML_version']."', 
	           	                                                                          '".@$HTTP_POST_VARS['AML_author']."', 
	           	                                                                          '".@$HTTP_POST_VARS['AML_platform']."', 
	           	                                                                          '".@$HTTP_POST_VARS['AML_price']."',
	           	                                                                          '".$_AMLconfig['date_countflag']."',
	           	                                                                          '".$_AMLconfig['date_countflag']."',                      
	           	                                                                          '200',
	           	                                                                          '".$_AMLconfig['date_countflag']."',
	           	                                                                          '".$_AMLconfig['cfg_validate_id']."',
	           	                                                                          '".$_AMLconfig['env_REMOTE_ADDR']."')", $_AMLconfig['sql_connect']);
	           	                                                                          echo mysql_error();
	        $AML_getid = AMS_sql_fetch_array(AMS_sql_query("SELECT link_id FROM ".$_AMLconfig['tbl_links']." WHERE link_added = '".$_AMLconfig['date_countflag']."' AND link_username = '".$HTTP_POST_VARS['AML_username']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
	        
		// --> BEGIN insert user fields -------------------------------------------------------------------------------------------
		if(!$_AMLinclude['res_userfields'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/userfields_insert.inc.php"))
		{		
			die("can not load object<i>user form fields</i> so I will die now!");
		}
		// <-- END insert user fields ---------------------------------------------------------------------------------------------


		$AML_info_info         = ""._admin_link_add_info_done_."";
		$AML_info_description  = ""._admin_link_add_info_donedesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
		die();
		
	}
}
else
{
	$AML_url          = '';
	$AML_topic        = '';
	$AML_description  = '';
	$AML_description2 = '';
	$AML_banner       = '';
	$AML_size         = '';
	$AML_version      = '';
	$AML_author       = '';
	$AML_platform     = '';
	$AML_price        = '';
	$AML_username     = $_AMLusrcfg['cfg_mail_username'];
	$AML_email	  = $_AMLusrcfg['cfg_mail_defaultaddress'];
	$AML_admin_link_add_active1V = 'checked';
	$AML_admin_link_add_active2V = '';
	$AML_admin_link_add_isdownload1V = '';
	$AML_admin_link_add_isdownload2V = 'checked';  
	
}
	// BEGIN including objects --------------------------------------------------------------------------------------------------------	
		if(!$_AMLinclude['obj_orderbypulldown'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/search/orderbypulldown.obj.php"))
		{	
			die("can not load object <i>orderbypulldown</i> so I will die now!");
		}
		
		if(!$_AMLinclude['obj_howtofield'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/search/howtopulldown.obj.php"))
		{	
				die("can not load object <i>howtofield</i> so I will die now!");
		}
	
		// --> BEGIN include categorie --------------------------------------------------------------------------------------------
		$AML_catpulldown_formname = "link_categorie";
		$AML_catpulldown['0']      = "0";
		$AML_catpulldown['1']      = "0";
		$AML_catpulldown['2']      = "0";
		if(!$_AMLinclude['obj_categorie'] = include("".$_AMLconfig['cfg_serverpath']."/objects/categories/catpulldown-form.obj.php"))
		{	
			die("can not load object<i>protocol form field</i> so I will die now!");
		}
		// <-- END include categorie ----------------------------------------------------------------------------------------------
			
			
		// --> BEGIN include language ---------------------------------------------------------------------------------------------
		if(!$_AMLinclude['obj_langchangepulldown'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/language/langpulldown-form.obj.php"))
		{	
			die("can not load object<i>catchangepulldown</i> so I will die now!");
		}
		// <-- END include language -----------------------------------------------------------------------------------------------
		
		
		if(!$_AMLinclude['obj_protocolpulldown'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/protocol/protocolpulldown.obj.php"))
		{	
			die("can not load object<i>protocolpulldown</i> so I will die now!");
		}
		
		if(!$_AMLinclude['obj_permissionpulldown'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/permission/permissionpulldown.obj.php"))
		{	
			die("can not load object<i>permissionpulldown</i> so I will die now!");
		}
		
		// --> BEGIN banner obj ---------------------------------------------------------------------------------------------------
		if(!$_AMLinclude['obj_banner'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/banner/bannerselect.obj.php"))
		{	
			die("can not load object<i>protocol form field</i> so I will die now!");
		}
		// <-- END banner obj -----------------------------------------------------------------------------------------------------
		
		
		// --> BEGIN include userfields -------------------------------------------------------------------------------------------
		if(!$_AMLinclude['res_userfields'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/userfields.inc.php"))
		{	
			die("can not load object<i>user form fields</i> so I will die now!");
		}
		// <-- END include userfields ---------------------------------------------------------------------------------------------
		
		
	// <-- END including objects ------------------------------------------------------------------------------------------------------

	// --> BEGIN template 1 -------------------------------------------------------------------------------------------
	$AML_chdir = chdir("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/dynamic/linkcontainer/"); 
	if($AML_chdir)
	{
		$AML_templatepulldown1  = "\r\r\t\t<select name=\"AML_link_add_template1\" class=\"AMTselectfield\">\n";
		$AML_opendir=opendir('.');
		while (false !== ($AML_templates = readdir ($AML_opendir))) 
		{
	
			if ($AML_templates != "." && $AML_templates != ".." && !ereg("linkinfocontainer_",  $AML_templates) && !ereg("_private",  $AML_templates) && !ereg("_vit_cnf",  $AML_templates) && !ereg("_vti_log",  $AML_templates) && !ereg("_vti_pvt",  $AML_templates) && !ereg("_vit_script",  $AML_templates) && !ereg("_vti_txt",  $AML_templates) && !ereg(".htaccess",  $AML_templates) && !ereg(".htpasswd",  $AML_templates))
			{ 
	       			$AML_templatepulldown1 .= "<option value=\"$AML_templates\"";
	      			if($AML_templates == @$HTTP_POST_VARS['AML_link_add_template1'])
	       			{
	       				$AML_templatepulldown1 .= " selected ";
	       			}
	      			$AML_templatepulldown1 .= ">$AML_templates</option>"; 
	        	}
		}
		closedir($AML_opendir);
		@$AML_chdir = chdir("".$_AMLconfig['cfg_serverpath']."/admin/");
		$AML_templatepulldown1 .= "\r\r\t\t</select>";
	}
	// <-- END template 1 ---------------------------------------------------------------------------------------------


	// --> BEGIN template 2 -------------------------------------------------------------------------------------------
	$AML_chdir = chdir("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/dynamic/linkcontainer/"); 
	if($AML_chdir)
	{
		$AML_templatepulldown2  = "\r\r\t\t<select name=\"AML_link_add_template2\" class=\"AMTselectfield\">\n";
		$AML_opendir=opendir('.');
		while (false !== ($AML_templates = readdir ($AML_opendir))) 
		{

			if (ereg("linkinfocontainer_",  $AML_templates))
			{ 
	       			$AML_templatepulldown2 .= "<option value=\"$AML_templates\"";
	       			if($AML_templates == @$HTTP_POST_VARS['AML_cat_add_template2'])
	       			{
	       				$AML_templatepulldown2 .= " selected ";
	       			}
	       			$AML_templatepulldown2 .= ">$AML_templates</option>"; 
	       		}
		}
		closedir($AML_opendir);
		@$AML_chdir = chdir("".$_AMLconfig['cfg_serverpath']."/admin/");
		$AML_templatepulldown2 .= "\r\r\t\t</select>";
	}
	// <-- END template 2 ---------------------------------------------------------------------------------------------


// --> BEGIN creating options bar ---------------------------------------------------------------------------------------------------------
if($_AMLusrcfg['cfg_entry_url']        == 0){ $AML_showurl_checked       = '';  } else { $AML_showurl_checked        = 'checked'; }
if($_AMLusrcfg['cfg_entry_hits']       == 0){ $AML_showhits_checked      = '';  } else { $AML_showhits_checked       = 'checked'; }
if($_AMLusrcfg['cfg_entry_broken']     == 0){ $AML_showbroken_checked    = '';  } else { $AML_showbroken_checked     = 'checked'; }
if($_AMLusrcfg['cfg_entry_vote']       == 0){ $AML_showvote_checked      = '';  } else { $AML_showvote_checked       = 'checked'; }
if($_AMLusrcfg['cfg_entry_comments']   == 0){ $AML_showcomments_checked  = '';  } else { $AML_showcomments_checked   = 'checked'; }
if($_AMLusrcfg['cfg_entry_info']       == 0){ $AML_showinfo_checked      = '';  } else { $AML_showinfo_checked       = 'checked'; }
if($_AMLusrcfg['cfg_entry_options']    == 0){ $AML_showoptions_checked   = '';  } else { $AML_showoptions_checked    = 'checked'; }
if($_AMLusrcfg['cfg_entry_frame']      == 0){ $AML_showframe_checked     = '';  } else { $AML_showframe_checked      = 'checked'; }
if($_AMLusrcfg['cfg_entry_disclaimer'] == 0){ $AML_showdiclaimer_checked = '';  } else { $AML_showdisclaimer_checked = 'checked'; }
// <-- END creating options bar -----------------------------------------------------------------------------------------------------------


$AML_linkadd_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_linkadd_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_add.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_linkadd_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_linkadd_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_linkadd_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_linkadd_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_linkadd_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_linkadd_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_linkadd_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_headline',         ""._link_add_headline_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_protocol',         ""._link_add_protocol_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_url',              ""._link_add_url_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_active',           ""._link_add_active_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_permission',       ""._link_add_permission_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_categorie',        ""._link_add_categorie_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_language',         ""._link_add_language_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_name',             ""._link_add_name_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_description',      ""._link_add_description_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_description2',     ""._link_add_description2_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_description2desc', ""._link_add_description2desc_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_banner',           ""._link_add_banner_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_isdownload',       ""._link_add_isdownload_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_size',             ""._link_add_size_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_version',          ""._link_add_version_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_author',           ""._link_add_author_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_platform',         ""._link_add_platform_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_pricing',          ""._link_add_pricing_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_user',             ""._link_add_user_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_email',            ""._link_add_email_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_notvisible',       ""._link_add_notvisible_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_yes',              ""._admin_global_yes_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_no',               ""._admin_global_no_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_template1',        ""._admin_linkadd_template1_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_template2',        ""._admin_linkadd_template2_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_options',          ""._admin_linkadd_options_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_showurl',          ""._admin_linkadd_showurl_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_showhits',         ""._admin_linkadd_showhits_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_showbroken',       ""._admin_linkadd_showbroken_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_showvote',         ""._admin_linkadd_showvote_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_showcomments',     ""._admin_linkadd_showcomments_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_showinfo',         ""._admin_linkadd_showinfo_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_showoptions',      ""._admin_linkadd_showoptions_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_showframe',        ""._admin_linkadd_showframe_."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_showdisclaimer',   ""._admin_linkadd_showdisclaimer_."");
		
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_protocolV',        "".$_AML_obj_protocolpulldown."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_permissionfield',  "".$_AML_obj_permissionpulldown."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_categoriefield',   "".$_AML_obj_catpulldown."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_languagefield',    "".$_AML_obj_langpulldown."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_urlV',             "".$AML_url."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_nameV',            "".$AML_topic."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_descriptionV',     "".$AML_description."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_description2V',    "".$AML_description2."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_bannerV',          "".$AML_banner."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_bannertype',       "".$_AML_obj_banner."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_sizeV',            "".$AML_size."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_versionV',         "".$AML_version."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_authorV',          "".$AML_author."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_platformV',        "".$AML_platform."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_priceV',           "".$AML_price."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_usernameV',        "".$AML_username."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_emailV',           "".$AML_email."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_active1V',         "".$AML_admin_link_add_active1V."");
        $AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_active2V',         "".$AML_admin_link_add_active2V."");
	$AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_isdownload1V',     "".$AML_admin_link_add_isdownload1V."");
        $AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_isdownload2V',     "".$AML_admin_link_add_isdownload2V."");
        $AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_template1V',       "".$AML_templatepulldown1."");
        $AML_linkadd_tpl -> AMT_assign('AML_admin_link_add_template2V',       "".$AML_templatepulldown2."");

        $AML_linkadd_tpl -> AMT_assign('AML_showurl_checked',                 "".$AML_showurl_checked."");
        $AML_linkadd_tpl -> AMT_assign('AML_showhits_checked',                "".$AML_showhits_checked."");
        $AML_linkadd_tpl -> AMT_assign('AML_showbroken_checked',              "".$AML_showbroken_checked."");
        $AML_linkadd_tpl -> AMT_assign('AML_showvote_checked',                "".$AML_showvote_checked."");
        $AML_linkadd_tpl -> AMT_assign('AML_showcomments_checked',            "".$AML_showcomments_checked."");
        $AML_linkadd_tpl -> AMT_assign('AML_showinfo_checked',                "".$AML_showinfo_checked."");
        $AML_linkadd_tpl -> AMT_assign('AML_showoptions_checked',             "".$AML_showoptions_checked."");
        $AML_linkadd_tpl -> AMT_assign('AML_showframe_checked',               "".$AML_showframe_checked."");
        $AML_linkadd_tpl -> AMT_assign('AML_showdisclaimer_checked',          "".$AML_showdisclaimer_checked."");
        
        $AML_linkadd_tpl -> AMT_assign('AML_FILE_userfields',                 "".$AML_fieldcontainerhtml."");
        
$AML_linkadd_tpl -> AMT_tpl_print();
