<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/link_fields.php                              */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN count all fields -------------------------------------------------------------------------------------------------------------
$AML_allfields = AMS_sql_num_rows(AMS_sql_query("SELECT field_id FROM ".$_AMLconfig['tbl_userfields']."", $_AMLconfig['sql_connect']));
// <-- END count all fields ---------------------------------------------------------------------------------------------------------------


// --> BEGIN field edit -------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['edit']) || isset($HTTP_POST_VARS['edit']))
{
	if(isset($HTTP_POST_VARS['AML_field_edit']))
	{
		if(empty($HTTP_POST_VARS['AML_field_name']) || empty($HTTP_POST_VARS['AML_field_dname']))
		{
			$AML_error_error        = ""._admin_error_addfield_noname_."";
			$AML_error_description  = ""._admin_error_addfield_nonamedesc_."";
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}
			$AML_field_edit_error = 1;
		}
		
		if(($HTTP_POST_VARS['AML_field_type'] == 'select' || $HTTP_POST_VARS['AML_field_type'] == 'radio') && empty($HTTP_POST_VARS['AML_field_value']))
		{
			$AML_error_error        = ""._admin_error_addfield_novalue_."";
			$AML_error_description  = ""._admin_error_addfield_novaluedesc_."";
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}	
			$AML_field_edit_error = 1;
		}
		if($HTTP_POST_VARS['AML_field_type'] == 'checkbox' && empty($HTTP_POST_VARS['AML_field_value']))
		{
			$AML_error_error        = ""._admin_error_addfield_novaluechkbx_."";
			$AML_error_description  = ""._admin_error_addfield_novaluechkbxdesc_."";
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}	
			$AML_field_edit_error = 1;
		}
		$AML_check_existant = AMS_sql_num_rows(AMS_sql_query("SELECT field_id FROM ".$_AMLconfig['tbl_userfields']." WHERE field_id != '".$HTTP_POST_VARS['edit']."' AND field_name = '".$HTTP_POST_VARS['AML_field_name']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		if($AML_check_existant != '0' || !empty($AML_check_existant))
		{
			$AML_error_error        = ""._admin_error_addfield_exists_."";
			$AML_error_description  = ""._admin_error_addfield_existsdesc_."";
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}	
			$AML_field_edit_error = 1;	
		}
		if(!isset($AML_field_edit_error))
		{
			if($HTTP_POST_VARS['AML_field_type'] == "text")     $AML_field_template = 'input_text.tpl.html';
			if($HTTP_POST_VARS['AML_field_type'] == "textarea") $AML_field_template = 'input_textarea.tpl.html';
			if($HTTP_POST_VARS['AML_field_type'] == "radio")    $AML_field_template = 'input_radio.tpl.html';
			if($HTTP_POST_VARS['AML_field_type'] == "select")   $AML_field_template = 'input_select.tpl.html';
			if($HTTP_POST_VARS['AML_field_type'] == "checkbox") $AML_field_template = 'input_checkbox.tpl.html';		
			$AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_userfields']." SET field_active       = '".$HTTP_POST_VARS['AML_field_active']."',
			                                                                          field_name         = '".$HTTP_POST_VARS['AML_field_name']."',
			                                                                          field_name_display = '".$HTTP_POST_VARS['AML_field_dname']."',
			                                                                          field_type         = '".$HTTP_POST_VARS['AML_field_type']."',
			                                                                          field_attributes   = '".$HTTP_POST_VARS['AML_field_attributes']."',
			                                                                          field_value        = '".$HTTP_POST_VARS['AML_field_value']."',
			                                                                          field_required     = '".$HTTP_POST_VARS['AML_field_required']."',
			                                                                          field_proof        = '".$HTTP_POST_VARS['AML_field_proof']."'
			                                                                    WHERE field_id           = '".$HTTP_POST_VARS['edit']."'", $_AMLconfig['sql_connect']);
			$AML_info_info         = ""._admin_editfield_info_edited_."";
			$AML_info_description  = ""._admin_editfield_info_editeddesc_."";
			if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}
			die();			
		}
	}
	
	if(!empty($HTTP_GET_VARS['edit']))  $AML_fieldid = $HTTP_GET_VARS['edit'];
	if(!empty($HTTP_POST_VARS['edit'])) $AML_fieldid = $HTTP_POST_VARS['edit'];
		
	
	// --> BEGIN create form ----------------------------------------------------------------------------------------------------------
	$AML_thisfield = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_userfields']." WHERE field_id = '".$AML_fieldid."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']); 

	if($AML_thisfield['field_type'] == 'text'){
		$AML_admin_editfield_fieldtype_text      = "selected"; $AML_admin_editfield_fieldtype_textarea  = ""; $AML_admin_editfield_fieldtype_checkbox  = ""; $AML_admin_editfield_fieldtype_select    = ""; $AML_admin_editfield_fieldtype_radio     = "";
	}
	if($AML_thisfield['field_type'] == 'textarea'){
		$AML_admin_editfield_fieldtype_text      = ""; $AML_admin_editfield_fieldtype_textarea  = "selected"; $AML_admin_editfield_fieldtype_checkbox  = ""; $AML_admin_editfield_fieldtype_select    = ""; $AML_admin_editfield_fieldtype_radio     = "";
	}
	if($AML_thisfield['field_type'] == 'checkbox'){
		$AML_admin_editfield_fieldtype_text      = ""; $AML_admin_editfield_fieldtype_textarea  = ""; $AML_admin_editfield_fieldtype_checkbox  = "selected"; $AML_admin_editfield_fieldtype_select    = ""; $AML_admin_editfield_fieldtype_radio     = "";
	}
	if($AML_thisfield['field_type'] == 'select'){
		$AML_admin_editfield_fieldtype_text      = ""; $AML_admin_editfield_fieldtype_textarea  = ""; $AML_admin_editfield_fieldtype_checkbox  = ""; $AML_admin_editfield_fieldtype_select    = "selected"; $AML_admin_editfield_fieldtype_radio     = "";
	}
	if($AML_thisfield['field_type'] == 'radio'){
		$AML_admin_editfield_fieldtype_text      = ""; $AML_admin_editfield_fieldtype_textarea  = ""; $AML_admin_editfield_fieldtype_checkbox  = ""; $AML_admin_editfield_fieldtype_select    = ""; $AML_admin_editfield_fieldtype_radio     = "selected";
	}
	if($AML_thisfield['field_proof'] == 'url'){
		$AML_field_proof_url          = "selected"; $AML_field_proof_email        = ""; $AML_field_proof_numeric      = ""; $AML_field_proof_alphanumeric = "";
	}
	if($AML_thisfield['field_proof'] == 'email'){
		$AML_field_proof_url          = ""; $AML_field_proof_email        = "selected"; $AML_field_proof_numeric      = ""; $AML_field_proof_alphanumeric = "";
	}
	if($AML_thisfield['field_proof'] == 'numeric'){
		$AML_field_proof_url          = ""; $AML_field_proof_email        = ""; $AML_field_proof_numeric      = "selected"; $AML_field_proof_alphanumeric = "";
	}
	if($AML_thisfield['field_proof'] == 'alphanumeric'){
		$AML_field_proof_url          = ""; $AML_field_proof_email        = ""; $AML_field_proof_numeric      = ""; $AML_field_proof_alphanumeric = "selected";
	}
				
	if($AML_thisfield['field_active']   == '1') { $AML_field_active1   = "checked"; $AML_field_active2   = ""; } else { $AML_field_active1   = ""; $AML_field_active2   = "checked"; }	
	if($AML_thisfield['field_required'] == '1') { $AML_field_required1 = "checked"; $AML_field_required2 = ""; } else { $AML_field_required1 = ""; $AML_field_required2 = "checked"; }	

	$AML_field_edit_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
	$AML_field_edit_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_field_edit.tpl.html", __FILE__, __LINE__);
		
		// --> BEGIN templating globals -------------------------------------------------------------------------------------------
		$AML_field_edit_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_field_edit_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
		$AML_field_edit_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_field_edit_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
		$AML_field_edit_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
		$AML_field_edit_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
		$AML_field_edit_tpl->  AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals ---------------------------------------------------------------------------------------------
	
		$AML_field_edit_tpl -> AMT_assign('admin_global_yes',                       ""._admin_global_yes_."");
		$AML_field_edit_tpl -> AMT_assign('admin_global_no',                        ""._admin_global_no_."");
		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_headline',           ""._admin_editfield_headline_."");
		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_fieldname',          ""._admin_editfield_fieldname_."");
		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_dfieldname',         ""._admin_editfield_dfieldname_."");
		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_fieldtype',          ""._admin_editfield_fieldtype_."");
		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_values',             ""._admin_editfield_values_."");
		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_attributes',         ""._admin_editfield_attributes_."");
		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_active',             ""._admin_editfield_active_."");
		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_required',           ""._admin_editfield_required_."");
		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_proof',              ""._admin_editfield_proof_."");

		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_fieldnameV',         "".$AML_thisfield['field_name']."");
		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_dfieldnameV',        "".$AML_thisfield['field_name_display']."");
		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_valuesV',            "".$AML_thisfield['field_value']."");
		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_attributesV',        "".$AML_thisfield['field_attributes']."");

		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_fieldtype_text',     "".$AML_admin_editfield_fieldtype_text."");
		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_fieldtype_textarea', "".$AML_admin_editfield_fieldtype_textarea."");
		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_fieldtype_checkbox', "".$AML_admin_editfield_fieldtype_checkbox."");
		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_fieldtype_select',   "".$AML_admin_editfield_fieldtype_select."");
		$AML_field_edit_tpl -> AMT_assign('AML_admin_editfield_fieldtype_radio',    "".$AML_admin_editfield_fieldtype_radio."");

		$AML_field_edit_tpl -> AMT_assign('AML_field_proof_url',                    "".@$AML_field_proof_url."");
		$AML_field_edit_tpl -> AMT_assign('AML_field_proof_email',                  "".@$AML_field_proof_email."");
		$AML_field_edit_tpl -> AMT_assign('AML_field_proof_numeric',                "".@$AML_field_proof_numeric."");
		$AML_field_edit_tpl -> AMT_assign('AML_field_proof_alphanumeric',           "".@$AML_field_proof_alphanumeric."");
          
		$AML_field_edit_tpl -> AMT_assign('AML_field_active1',                      "".$AML_field_active1."");
		$AML_field_edit_tpl -> AMT_assign('AML_field_active2',                      "".$AML_field_active2."");
		
		$AML_field_edit_tpl -> AMT_assign('AML_field_required1',                    "".$AML_field_required1."");
		$AML_field_edit_tpl -> AMT_assign('AML_field_required2',                    "".$AML_field_required2."");
		
		$AML_field_edit_tpl -> AMT_assign('AML_field_editid',                       "".$AML_fieldid."");
	$AML_field_edit_tpl -> AMT_tpl_print();
	// <-- END create form ------------------------------------------------------------------------------------------------------------
	die();
}
// <-- END field edit ---------------------------------------------------------------------------------------------------------------------


// --> BEGIN field demo -------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['demo']))
{
	$AML_getfields = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_userfields']." WHERE field_id='".$HTTP_GET_VARS['demo']."'", $_AMLconfig['sql_connect']);
	$AML_fieldcontainer = AMS_sql_fetch_array($AML_getfields, $_AMLconfig['sql_connect']);
	
		// --> BEGIN create FIELD_VALUE -------------------------------------------------------------------------------------------
		settype($AML_thisfield_html,'string');
		settype($AML_fieldcontainerhtml,'string');
		
		
		// --> BEGIN field type radio ---------------------------------------------------------------------------------------------
		if($AML_fieldcontainer['field_type'] == 'radio')
		{
			$AML_pieces = explode(";",$AML_fieldcontainer['field_value']);
			$AML_values = count($AML_pieces);
			for($i=0;$i < $AML_values;$i++)
			{
				$AML_thispiece = explode("=", $AML_pieces[$i]);
				$AML_fieldcontainer_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
				$AML_fieldcontainer_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/fields/".$AML_fieldcontainer['field_template']."", __FILE__, __LINE__);
					$AML_fieldcontainer_tpl -> AMT_assign('AML_field_name',      "".$AML_fieldcontainer['field_name']."");
					$AML_fieldcontainer_tpl -> AMT_assign('AML_field_attributes',"".$AML_fieldcontainer['field_attributes']."");
					$AML_fieldcontainer_tpl -> AMT_assign('AML_field_value',     "".$AML_thispiece['0']."");
					$AML_fieldcontainer_tpl -> AMT_assign('AML_field_valuename', "".$AML_thispiece['1']."");
				$AML_thisfield_html .= $AML_fieldcontainer_tpl -> AMT_tpl_var();		
			}
		}
		// <-- END field type radio -----------------------------------------------------------------------------------------------

		
		// --> BEGIN field type select --------------------------------------------------------------------------------------------
		if($AML_fieldcontainer['field_type'] == 'select')
		{
			$AML_fieldcontainer_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
			$AML_fieldcontainer_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/fields/".$AML_fieldcontainer['field_template']."", __FILE__, __LINE__);
				$AML_fieldcontainer_tpl -> AMT_assign('AML_field_name',      "".$AML_fieldcontainer['field_name']."");
				$AML_fieldcontainer_tpl -> AMT_assign('AML_field_attributes',"".$AML_fieldcontainer['field_attributes']."");

				$AML_pieces = explode(";",$AML_fieldcontainer['field_value']);
				$AML_values = count($AML_pieces);
				settype($AML_select_value,'string');
				for($i=0;$i < $AML_values;$i++)
				{
					$AML_thispiece = explode("=", $AML_pieces[$i]);
					$AML_select_value .="<option value=\"".$AML_thispiece['0']."\">".$AML_thispiece['1'];
				}
				$AML_fieldcontainer_tpl -> AMT_assign('AML_field_value',     "".$AML_select_value."");
			$AML_thisfield_html .= $AML_fieldcontainer_tpl -> AMT_tpl_var();
		}
		// <-- END field type select ----------------------------------------------------------------------------------------------

		
		// --> BEGIN field type checkbox ------------------------------------------------------------------------------------------
		elseif($AML_fieldcontainer['field_type'] == 'checkbox')
		{		
			$AML_pieces = explode(";",$AML_fieldcontainer['field_value']);
			$AML_values = count($AML_pieces);
			for($i=0;$i < $AML_values;$i++)
			{
				$AML_thispiece = explode("=", $AML_pieces[$i]);
				$AML_fieldcontainer_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
				$AML_fieldcontainer_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/fields/".$AML_fieldcontainer['field_template']."", __FILE__, __LINE__);
					$AML_fieldcontainer_tpl -> AMT_assign('AML_field_name',         "".$AML_fieldcontainer['field_name_display']."");
					$AML_fieldcontainer_tpl -> AMT_assign('AML_field_value',        "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AMLsite=");
					$AML_fieldcontainer_tpl -> AMT_assign('AML_field_attributes',   "".$AML_fieldcontainer['field_attributes']."");
					$AML_fieldcontainer_tpl -> AMT_assign('AML_field_valuename',    "".$AML_thispiece['1']."");
				$AML_thisfield_html .= $AML_fieldcontainer_tpl -> AMT_tpl_var();
			}
		}
		// <-- END field type checkbox --------------------------------------------------------------------------------------------
		
			
		// --> BEGIN field type text ----------------------------------------------------------------------------------------------
		elseif($AML_fieldcontainer['field_type'] == 'text')
		{		
			$AML_fieldcontainer_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
			$AML_fieldcontainer_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/fields/".$AML_fieldcontainer['field_template']."", __FILE__, __LINE__);
				$AML_fieldcontainer_tpl -> AMT_assign('AML_field_name',         "".$AML_fieldcontainer['field_name_display']."");
				$AML_fieldcontainer_tpl -> AMT_assign('AML_field_value',        "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AMLsite=");
				$AML_fieldcontainer_tpl -> AMT_assign('AML_field_attributes',   "".$AML_fieldcontainer['field_attributes']."");
			$AML_thisfield_html .= $AML_fieldcontainer_tpl -> AMT_tpl_var();
		}
		// <-- END field type text ------------------------------------------------------------------------------------------------
		
	
		// --> BEGIN field type textarea ------------------------------------------------------------------------------------------
		elseif($AML_fieldcontainer['field_type'] == 'textarea')
		{		
			$AML_fieldcontainer_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
			$AML_fieldcontainer_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/fields/".$AML_fieldcontainer['field_template']."", __FILE__, __LINE__);
				$AML_fieldcontainer_tpl -> AMT_assign('AML_field_name',         "".$AML_fieldcontainer['field_name_display']."");
				$AML_fieldcontainer_tpl -> AMT_assign('AML_field_value',        "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AMLsite=");
				$AML_fieldcontainer_tpl -> AMT_assign('AML_field_attributes',   "".$AML_fieldcontainer['field_attributes']."");
			$AML_thisfield_html .= $AML_fieldcontainer_tpl -> AMT_tpl_var();
		}
		// <-- END field type textarea --------------------------------------------------------------------------------------------
		
			
		// <-- BEGIN create FIELD_VALUE -------------------------------------------------------------------------------------------
		
		if($AML_fieldcontainer['field_required'] == '1') $AML_fieldcontainer['field_name_display'] = "<b>".$AML_fieldcontainer['field_name_display']."</b>";
			
			$AML_fieldcontainer_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
			$AML_fieldcontainer_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/static/link_add_field.tpl.html", __FILE__, __LINE__);
				$AML_fieldcontainer_tpl -> AMT_assign('AML_field_name',       "".$AML_fieldcontainer['field_name_display']."");
				$AML_fieldcontainer_tpl -> AMT_assign('AML_field_value',      "".$AML_thisfield_html."");
			$AML_fieldcontainerhtml .= $AML_fieldcontainer_tpl -> AMT_tpl_var();
			unset($AML_thisfield_html);
	
	$AML_field_demo_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
	$AML_field_demo_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_field_demo.tpl.html", __FILE__, __LINE__);
		$AML_field_demo_tpl -> AMT_assign('AML_linktotemplate',  "".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."/");
		$AML_field_demo_tpl -> AMT_assign('AML_field_demohead',  ""._admin_field_demohead_."");
		$AML_field_demo_tpl -> AMT_assign('AML_field_demo',      "".$AML_fieldcontainerhtml."");
	$AML_field_demo_tpl -> AMT_tpl_print();
	
	die();
}
// <-- END field demo ---------------------------------------------------------------------------------------------------------------------


// --> BEGIN delete field -----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['delete']))
{
	if(isset($HTTP_GET_VARS['deletenow']) && ($HTTP_GET_VARS['deletenow'] == 'JA' || $HTTP_GET_VARS['deletenow'] == 'YES'))
	{
		$AML_field_delete  = AMS_sql_query("DELETE FROM ".$_AMLconfig['tbl_userfields']." WHERE field_id = '".$HTTP_GET_VARS['delete']."'", $_AMLconfig['sql_connect']);
		$AML_fieldv_delete = AMS_sql_query("DELETE FROM ".$_AMLconfig['tbl_userfields_values']." WHERE fieldvalue_fieldid = '".$HTTP_GET_VARS['delete']."'", $_AMLconfig['sql_connect']);
		
		$AML_info_info         = ""._admin_deletefield_info_deleted_."";
		$AML_info_description  = ""._admin_deletefield_info_deleteddesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}	
	}
	else
	{
		$AML_warning_info          = ""._admin_deletefield_warning_delete_."";
		$AML_warning_description   = ""._admin_deletefield_warning_deletedesc_."";
		$AML_warning_description  .= "<div align=center>";
		$AML_warning_description  .= "<form action=\"link_fields.php\" method=\"GET\" name=\"delete\">";
		$AML_warning_description  .= "<input name=\"delete\" type=\"hidden\" value=\"".$HTTP_GET_VARS['delete']."\">";
		$AML_warning_description  .= "<input name=\"deletenow\" type=\"text\" class=\"AMTtextfield\" size=\"3\" maxlength=\"3\">&nbsp;";
		$AML_warning_description  .= "<input type=\"submit\" name=\"Submit\" value=\"Abschicken\" class=\"AMTbutton\">";
		$AML_warning_description  .= "</form>";
		$AML_warning_description  .= "</div>";
		if(!$_AMLinclude['res_warning'] = include("".$_AMLconfig['cfg_serverpath']."/include/warning.inc.php"))
		{	
			die("can not load <i>warning.inc.php</i> so I will die now!");
		}
		
		die();
	}
}
// <-- END delete field -------------------------------------------------------------------------------------------------------------------


// --> BEGIN add new field ----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['AML_field_add']))
{
	if(empty($HTTP_POST_VARS['AML_field_name']) || empty($HTTP_POST_VARS['AML_field_dname']))
	{
		$AML_error_error        = ""._admin_error_addfield_noname_."";
		$AML_error_description  = ""._admin_error_addfield_nonamedesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
		$AML_field_add_error = 1;
	}
	
	if(($HTTP_POST_VARS['AML_field_type'] == 'select' || $HTTP_POST_VARS['AML_field_type'] == 'radio') && empty($HTTP_POST_VARS['AML_field_value']))
	{
		$AML_error_error        = ""._admin_error_addfield_novalue_."";
		$AML_error_description  = ""._admin_error_addfield_novaluedesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}	
		$AML_field_add_error = 1;
	}
	if($HTTP_POST_VARS['AML_field_type'] == 'checkbox' && empty($HTTP_POST_VARS['AML_field_value']))
	{
		$AML_error_error        = ""._admin_error_addfield_novaluechkbx_."";
		$AML_error_description  = ""._admin_error_addfield_novaluechkbxdesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}	
		$AML_field_add_error = 1;
	}
	$AML_check_existant = AMS_sql_num_rows(AMS_sql_query("SELECT field_id FROM ".$_AMLconfig['tbl_userfields']." WHERE field_name = '".$HTTP_POST_VARS['AML_field_name']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
	if($AML_check_existant != '0' || !empty($AML_check_existant))
	{
		$AML_error_error        = ""._admin_error_addfield_exists_."";
		$AML_error_description  = ""._admin_error_addfield_existsdesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}	
		$AML_field_add_error = 1;	
	}
	if(!isset($AML_field_add_error))
	{
		if($HTTP_POST_VARS['AML_field_type'] == "text")     $AML_field_template = 'input_text.tpl.html';
		if($HTTP_POST_VARS['AML_field_type'] == "textarea") $AML_field_template = 'input_textarea.tpl.html';
		if($HTTP_POST_VARS['AML_field_type'] == "radio")    $AML_field_template = 'input_radio.tpl.html';
		if($HTTP_POST_VARS['AML_field_type'] == "select")   $AML_field_template = 'input_select.tpl.html';
		if($HTTP_POST_VARS['AML_field_type'] == "checkbox") $AML_field_template = 'input_checkbox.tpl.html';
		
		$AML_highestorder = AMS_sql_num_rows(AMS_sql_query("SELECT field_ordernr FROM ".$_AMLconfig['tbl_userfields']." order by field_ordernr", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		$AML_highestorder = $AML_highestorder+1;
		$AML_insert = AMS_sql_query("INSERT INTO ".$_AMLconfig['tbl_userfields']." VALUES('',
		                                                                                 '".$AML_highestorder."',
		                                                                                 '".$HTTP_POST_VARS['AML_field_active']."',
		                                                                                 '".$HTTP_POST_VARS['AML_field_name']."',
		                                                                                 '".$HTTP_POST_VARS['AML_field_dname']."',
		                                                                                 '".$HTTP_POST_VARS['AML_field_required']."',
		                                                                                 '".$HTTP_POST_VARS['AML_field_proof']."',
		                                                                                 '".$HTTP_POST_VARS['AML_field_type']."',
		                                                                                 '".$HTTP_POST_VARS['AML_field_attributes']."',
		                                                                                 '".$HTTP_POST_VARS['AML_field_value']."',
		                                                                                 '".$AML_field_template."')", $_AMLconfig['sql_connect']);
		$AML_info_info         = ""._admin_addfield_info_added_."";
		$AML_info_description  = ""._admin_addfield_info_addeddesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}	
	}
}
// <-- END add new field ------------------------------------------------------------------------------------------------------------------


// --> BEGIN (de)activate action ----------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['deactivate']))
{
	$AML_field_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_userfields']." SET field_active = '0' WHERE field_id = '".$HTTP_GET_VARS['deactivate']."'", $_AMLconfig['sql_connect']);
}
if(isset($HTTP_GET_VARS['activate']))
{
	$AML_field_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_userfields']." SET field_active = '1' WHERE field_id = '".$HTTP_GET_VARS['activate']."'", $_AMLconfig['sql_connect']);
}
// <-- END (de)activate action ------------------------------------------------------------------------------------------------------------


// --> BEGIN field order action -----------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['up']))
{
	$AML_field = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_userfields']." WHERE field_id = '".$HTTP_GET_VARS['up']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
	if($AML_field['field_ordernr'] != '1')
	{
		$AML_update1 = $AML_field['field_ordernr']-1;
		echo $AML_update1;
		$AML_field_update_1 = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_userfields']." SET field_ordernr = field_ordernr+1 WHERE field_ordernr = '".$AML_update1."'", $_AMLconfig['sql_connect']);
		$AML_field_update_2 = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_userfields']." SET field_ordernr = field_ordernr-1 WHERE field_id = '".$HTTP_GET_VARS['up']."'", $_AMLconfig['sql_connect']);

	}
}
if(isset($HTTP_GET_VARS['down']))
{

}
// <-- END field order action -------------------------------------------------------------------------------------------------------------


// --> BEGIN link_field overview ----------------------------------------------------------------------------------------------------------
$AML_field_header_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_field_header_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_field_header.tpl.html", __FILE__, __LINE__);
	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_field_header_tpl -> AMT_assign('AML_global_linkopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_field_header_tpl -> AMT_assign('AML_global_linktotemplate',      "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_field_header_tpl -> AMT_assign('AML_global_urlopen',             "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_field_header_tpl -> AMT_assign('AML_global_sitename',            "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_field_header_tpl -> AMT_assign('AML_global_siteurl',             "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_field_header_tpl -> AMT_assign('AML_global_sitedescription',     "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_field_header_tpl -> AMT_assign('AML_global_now',                 date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	$AML_field_header_tpl -> AMT_assign('AML_field_id',                   ""._admin_field_id_."");
	$AML_field_header_tpl -> AMT_assign('AML_field_active',               ""._admin_field_active_."");
	$AML_field_header_tpl -> AMT_assign('AML_field_name',                 ""._admin_field_name_."");
	$AML_field_header_tpl -> AMT_assign('AML_field_display',              ""._admin_field_display_."");
	$AML_field_header_tpl -> AMT_assign('AML_field_type',                 ""._admin_field_type_."");
	$AML_field_header_tpl -> AMT_assign('AML_field_required',             ""._admin_field_required_."");
	$AML_field_header_tpl -> AMT_assign('AML_field_values',               ""._admin_field_values_."");
 	$AML_field_header_tpl -> AMT_assign('AML_field_attributes',           ""._admin_field_attributes_."");
	$AML_field_header_tpl -> AMT_assign('AML_field_order',                ""._admin_field_order_."");
	$AML_field_header_tpl -> AMT_assign('AML_field_admin',                ""._admin_field_admin_."");
$AML_fieldheader = $AML_field_header_tpl -> AMT_tpl_var();

settype($AML_fieldbody,'string');
$AML_class="AMTbodybg";
$AML_getfields = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_userfields']." order by field_ordernr", $_AMLconfig['sql_connect']);
while($AML_thisfield = AMS_sql_fetch_array($AML_getfields, $_AMLconfig['sql_connect']))
{
	$AML_field_body_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
	$AML_field_body_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_field_body.tpl.html", __FILE__, __LINE__);
		$AML_field_body_tpl -> AMT_assign('AMT_class',                   "".$AML_class.""); 
		$AML_field_body_tpl -> AMT_assign('AML_field_id',                "".$AML_thisfield['field_id']."");
		$AML_field_body_tpl -> AMT_assign('AML_field_type',              "".$AML_thisfield['field_type'].""); 
		$AML_field_body_tpl -> AMT_assign('AML_field_values',            nl2br($AML_thisfield['field_value'])); 
		$AML_field_body_tpl -> AMT_assign('AML_field_attributes',        "".$AML_thisfield['field_attributes'].""); 
		$AML_field_body_tpl -> AMT_assign('AML_field_edit',              "<a href=\"link_fields.php?edit=".$AML_thisfield['field_id']."\">"._admin_global_edit_."</a>");
		$AML_field_body_tpl -> AMT_assign('AML_field_delete',            "<a href=\"link_fields.php?delete=".$AML_thisfield['field_id']."\">"._admin_global_delete_."</a>");
		$AML_field_body_tpl -> AMT_assign('AML_field_demo',              "<a href=\"link_fields.php?demo=".$AML_thisfield['field_id']."\" target=\"_blank\">"._admin_global_demo_."</a>");
		$AML_field_body_tpl -> AMT_assign('AML_field_name',              "".$AML_thisfield['field_name'].""); 
		$AML_field_body_tpl -> AMT_assign('AML_field_displayname',       "".$AML_thisfield['field_name_display'].""); 

		if($AML_thisfield['field_active'] == '1')
		{  
			$AML_field_body_tpl -> AMT_assign('AML_field_active',            "<a href=\"link_fields.php?deactivate=".$AML_thisfield['field_id']."\">".$AML_thisfield['field_active']."</a>"); 
		} else {
			$AML_field_body_tpl -> AMT_assign('AML_field_active',            "<a href=\"link_fields.php?activate=".$AML_thisfield['field_id']."\">".$AML_thisfield['field_active']."</a>"); 
		}
		if($AML_thisfield['field_required'] == '1')
		{
			$AML_field_body_tpl -> AMT_assign('AML_field_required',              "[ <a href=\"link_fields.php?notrequired=".$AML_thisfield['field_id']."\">".$AML_thisfield['field_required']."</a> ] ".$AML_thisfield['field_proof'].""); 
		} else {
			$AML_field_body_tpl -> AMT_assign('AML_field_required',              "[ ".$AML_thisfield['field_required']." ]"); 
		}
		if($AML_thisfield['field_ordernr'] > 1)
		{
			$AML_field_body_tpl -> AMT_assign('AML_field_up',                "<a href=\"link_fields.php?up=".$AML_thisfield['field_id']."\">"._admin_global_up_."</a>");
		} else {
			$AML_field_body_tpl -> AMT_assign('AML_field_up',                ""._admin_global_up_."");
		}
		if($AML_thisfield['field_ordernr'] < $AML_allfields)
		{	
			$AML_field_body_tpl -> AMT_assign('AML_field_down',              "<a href=\"link_fields.php?down=".$AML_thisfield['field_id']."\">"._admin_global_down_."</a>");
		} else {
			$AML_field_body_tpl -> AMT_assign('AML_field_down',              ""._admin_global_down_."");
		}
	$AML_fieldbody .= $AML_field_body_tpl -> AMT_tpl_var();	
	
	if($AML_class == 'AMTbodybg') { $AML_class ='AMTbodybglight'; } else { $AML_class ='AMTbodybg'; }
}
$AML_field_footer_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_field_footer_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_field_footer.tpl.html", __FILE__, __LINE__);
	$AML_field_footer_tpl -> AMT_assign('',             "");
$AML_fieldfooter = $AML_field_footer_tpl -> AMT_tpl_var();
// <-- END link_field overview ------------------------------------------------------------------------------------------------------------


// --> BEGIN create addfield form ---------------------------------------------------------------------------------------------------------
$AML_fields_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_fields_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_field_add.tpl.html", __FILE__, __LINE__);
	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_fields_tpl -> AMT_assign('AML_global_linkopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_fields_tpl -> AMT_assign('AML_global_linktotemplate',      "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_fields_tpl -> AMT_assign('AML_global_urlopen',             "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_fields_tpl -> AMT_assign('AML_global_sitename',            "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_fields_tpl -> AMT_assign('AML_global_siteurl',             "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_fields_tpl -> AMT_assign('AML_global_sitedescription',     "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_fields_tpl -> AMT_assign('AML_global_now',                 date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	$AML_fields_tpl -> AMT_assign('admin_global_yes',                ""._admin_global_yes_."");
	$AML_fields_tpl -> AMT_assign('admin_global_no',                 ""._admin_global_no_."");
	$AML_fields_tpl -> AMT_assign('AML_admin_addfield_headline',     ""._admin_addfield_headline_."");
	$AML_fields_tpl -> AMT_assign('AML_admin_addfield_fieldname',    ""._admin_addfield_fieldname_."");
	$AML_fields_tpl -> AMT_assign('AML_admin_addfield_dfieldname',   ""._admin_addfield_dfieldname_."");
	$AML_fields_tpl -> AMT_assign('AML_admin_addfield_fieldtype',    ""._admin_addfield_fieldtype_."");
	$AML_fields_tpl -> AMT_assign('AML_admin_addfield_values',       ""._admin_addfield_values_."");
	$AML_fields_tpl -> AMT_assign('AML_admin_addfield_attributes',   ""._admin_addfield_attributes_."");
	$AML_fields_tpl -> AMT_assign('AML_admin_addfield_active',       ""._admin_addfield_active_."");
	$AML_fields_tpl -> AMT_assign('AML_admin_addfield_required',     ""._admin_addfield_required_."");
	$AML_fields_tpl -> AMT_assign('AML_admin_addfield_proof',        ""._admin_addfield_proof_."");


$AML_fieldadd_form = $AML_fields_tpl -> AMT_tpl_var();
// <-- END create addfield form -----------------------------------------------------------------------------------------------------------


$AML_fields_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_fields_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_fields.tpl.html", __FILE__, __LINE__);
	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_fields_tpl -> AMT_assign('AML_global_linkopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_fields_tpl -> AMT_assign('AML_global_linktotemplate',      "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_fields_tpl -> AMT_assign('AML_global_urlopen',             "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_fields_tpl -> AMT_assign('AML_global_sitename',            "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_fields_tpl -> AMT_assign('AML_global_siteurl',             "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_fields_tpl -> AMT_assign('AML_global_sitedescription',     "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_fields_tpl -> AMT_assign('AML_global_now',                 date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	$AML_fields_tpl -> AMT_assign('AML_admin_fieldtypes_headlines', ""._admin_fieldtypes_headlines_."");
	$AML_fields_tpl -> AMT_assign('AML_FILE_addfield',              "".$AML_fieldadd_form."");
	$AML_fields_tpl -> AMT_assign('AML_FILE_allfields',             "".$AML_fieldheader."".$AML_fieldbody."".$AML_fieldfooter."");
$AML_fields_tpl -> AMT_tpl_print();
?>