<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/link_language.php                            */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN check permission -------------------------------------------------------------------------------------------------------------
if(!is_writable("".$_AMLconfig['cfg_serverpath']."/images/language"))
{ 
		$AML_error_error        = ""._admin_error_linklanguage_notwritable_."";
		$AML_error_description  = ""._admin_error_linklanguage_notwritabledesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>error.inc.php</i> so I will die now!");
		}	
		die();
}
// <-- END check permission ---------------------------------------------------------------------------------------------------------------


// --> BEGIN browse images ----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['list']))
{
	if($HTTP_GET_VARS['list'] == 'all')
	{
		echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
		echo "<html>\n";
		echo "<head>\n";
		echo "<title>"._admin_linklanguage_browse_headline_."</title>\n";
		echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n";
		echo "</head>\n";
		echo "<link rel=\"stylesheet\" href=\"".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."/style/allmyphp.css\" type=\"text/css\" />\n";
		echo "<body>\n";
		echo "<br>\n";
		echo "<table width=\"95%\" border=\"0\" align=\"center\" cellpadding=\"0\" cellspacing=\"1\" class=\"AMTtblborder\">\n";
  		echo "<tr>\n";
    		echo "<td height=\"20\" colspan=\"5\" class=\"AMTtopicbg\"> <center class=\"AMTformdesctext\">\n";
          	echo ""._admin_linklanguage_browse_headline_."\n";
        	echo "</center></td>\n";
		echo "</tr>\n";

			@$AML_chdir = chdir("../images/language/"); 
			if($AML_chdir)
			{
				$AML_opendir=opendir('.');
				$AML_i = "1";
				$AML_index = "0";
				while (false !== ($AML_languages = readdir ($AML_opendir))) 
				{
					if (is_file("".$AML_languages."") && $AML_languages != "." && $AML_languages !="..")
					{
						if($AML_i == "1")
						{
							echo "<tr><td>\n";
						}
						else
						{
							echo "<td>\n";
						}
						 
		        			echo "\n<center class=\"AMTsmallesttext\" style=\"cursor:hand\" onclick=\"opener.document.language_edit.language_image.selectedIndex=".$AML_index.";window.close();\"><img src=".$_AMLconfig['cfg_scriptpath']."/images/language/".$AML_languages."><br>\n";
		        			echo "$AML_languages</center>\n";
		    				
		    				if($AML_i == "1")
						{
							echo "</td</tr>\n";
						}
						else
						{
							echo "</td>\n";
						}
						$AML_i++;
						$AML_index++;
						if($AML_i == "5") $AML_i = "1";
					}	
				}
				closedir($AML_opendir);
				@$AML_chdir = chdir("../");
			}
		echo "</table>";
		die();
		
	}
}
// <-- END browse images ------------------------------------------------------------------------------------------------------------------


// --> BEGIN add language -----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['languageadd_sent']))
{
	// --> BEGIN set upload security fix ----------------------------------------------------------------------------------------------
	if(isset($HTTP_COOKIE_VARS["language_image"]) || isset($HTTP_POST_VARS ["language_image"]) || isset($HTTP_GET_VARS["language_image"])) die("Security Problem, upload stopped!");
	// <-- END set upload security fix ------------------------------------------------------------------------------------------------

	if(!empty($HTTP_POST_VARS['language_name'])      ||
	   !empty($HTTP_POST_VARS['language_shortname']) ||
	   !empty($HTTP_POST_FILES['language_image']))
	{
		// --> BEGIN upload file --------------------------------------------------------------------------------------------------
		if(eregi("gif$",$HTTP_POST_FILES['language_image']['type']))
		{
			$AML_uploaddir = "".$_AMLconfig['cfg_serverpath']."/images/language/";
			$AML_file = "".$HTTP_POST_VARS['language_name'].".gif";
			if(!move_uploaded_file($HTTP_POST_FILES['language_image']['tmp_name'],$AML_uploaddir.$AML_file)) 
			{ 
				$AML_errcode ="1";
				echo "<span class=\"AMTerrortext\">"._admin_linklanguage_cannotcopy_."</span><br>"; 
			}
		}
		else
		{
			$AML_errcode ="1";
			echo "<span class=\"AMTerrortext\">"._admin_linklanguage_wrongfileformat_."</span><br>";
		}	
		// <-- END upload file ----------------------------------------------------------------------------------------------------
		
		
		// --> BEGIN sign in ------------------------------------------------------------------------------------------------------
		if(!isset($AML_errcode))
		{
			$AML_insert = AMS_sql_query("INSERT INTO ".$_AMLconfig['tbl_languages']." VALUES('',
			                                                                                 '".$HTTP_POST_VARS['language_active']."',
			                                                                                 '".$AML_file."',
			                                                                                 '".$HTTP_POST_VARS['language_name']."',
			                                                                                 '".$HTTP_POST_VARS['language_shortname']."')", $_AMLconfig['sql_connect']);
		
		}
		
		if(isset($AML_insert))
		{
			$AML_info_info         = ""._admin_linklanguage_info_done_."";
			$AML_info_description  = ""._admin_linklanguage_info_donedesc_."";
			if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}
		}
		// <-- END sign in --------------------------------------------------------------------------------------------------------
	}
}
// <-- END add language -------------------------------------------------------------------------------------------------------------------


// --> BEGIN edit language ----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['edit']) && !empty($HTTP_GET_VARS['edit']))
{
	if(isset($HTTP_POST_VARS['languageedit_sent']))
	{
		if(isset($HTTP_POST_VARS['languageedit_sent'])&&
		  !empty($HTTP_POST_VARS['language_name'])    &&
		  !empty($HTTP_POST_VARS['language_shortname']))
		{
			$AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_languages']." SET language_name      = '".$HTTP_POST_VARS['language_name']."',
			                                                                         language_image     = '".$HTTP_POST_VARS['language_image']."',
			                                                                         language_active    = '".$HTTP_POST_VARS['language_active']."',
			                                                                         language_shortname = '".$HTTP_POST_VARS['language_shortname']."' WHERE language_id = '".$HTTP_POST_VARS['languageedit_sent']."'", $_AMLconfig['sql_connect']);
			if(isset($AML_update))
			{
				$AML_info_info         = ""._admin_linklanguage_info_doneedit_."";
				$AML_info_description  = ""._admin_linklanguage_info_doneeditdesc_."";
				if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
				{	
					die("can not load <i>info.inc.php</i> so I will die now!");
				}
		}
			die();
		}
	}

			
	$AML_getentry = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_languages']." WHERE language_id = '".$HTTP_GET_VARS['edit']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
	
	if($AML_getentry['language_active'] == '1')
	{
		$AML_linklanguage_editactive_checked1 = 'checked';
		$AML_linklanguage_editactive_checked2 = '';
	}
	else
	{
		$AML_linklanguage_editactive_checked1 = '';
		$AML_linklanguage_editactive_checked2 = 'checked';
	}
	$AML_imagepulldown = "<select name=\"language_image\" class=\"AMTselectfield\" id=\"language\">";
	@$AML_chdir = chdir("../images/language/"); 
	if($AML_chdir)
	{
		$AML_opendir=opendir('.');
		while (false !== ($AML_languages = readdir ($AML_opendir))) 
		{
		
			if (is_file("".$AML_languages."") && $AML_languages != "." && $AML_languages !="..")
			{ 
		        	$AML_imagepulldown .= "<option value=\"".$AML_languages."\"";
		        	if($AML_languages == $AML_getentry['language_image']) $AML_imagepulldown .= " selected ";
		        	$AML_imagepulldown .= ">".$AML_languages."</option>"; 
		    }
		}
		closedir($AML_opendir);
		@$AML_chdir = chdir("../");
	
	}
	$AML_imagepulldown .= "</select>";

	$AML_link_language_edit_get = //require_once("../include/template.inc.php");
	$AML_link_language_edit_tpl = new AMT_Template("../template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_language_edit.tpl.html", __FILE__, __LINE__);

		// --> BEGIN templating globals -------------------------------------------------------------------------------------------
		$AML_link_language_edit_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_link_language_edit_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
		$AML_link_language_edit_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_link_language_edit_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
		$AML_link_language_edit_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
		$AML_link_language_edit_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
		$AML_link_language_edit_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals ---------------------------------------------------------------------------------------------
		
		$AML_link_language_edit_tpl -> AMT_assign('AML_linklanguage_headlineedit',        ""._admin_linklanguage_headlineedit_."");
		$AML_link_language_edit_tpl -> AMT_assign('AML_linklanguage_editname',            ""._admin_linklanguage_editname_."");
		$AML_link_language_edit_tpl -> AMT_assign('AML_linklanguage_editshortname',       ""._admin_linklanguage_editshortname_."");
		$AML_link_language_edit_tpl -> AMT_assign('AML_linklanguage_editimage',           ""._admin_linklanguage_editimage_."");
		$AML_link_language_edit_tpl -> AMT_assign('AML_linklanguage_editactive',          ""._admin_linklanguage_editactive_."");
		$AML_link_language_edit_tpl -> AMT_assign('AML_admin_global_yes',                 ""._admin_global_yes_."");
		$AML_link_language_edit_tpl -> AMT_assign('AML_admin_global_no',                  ""._admin_global_no_."");
		$AML_link_language_edit_tpl -> AMT_assign('AML_imagepulldown',                    "".$AML_imagepulldown."");
		$AML_link_language_edit_tpl -> AMT_assign('AML_linklanguage_editid_V',            "".$AML_getentry['language_id']."");
		$AML_link_language_edit_tpl -> AMT_assign('AML_linklanguage_editnameV',           "".$AML_getentry['language_name']."");
		$AML_link_language_edit_tpl -> AMT_assign('AML_linklanguage_editshortnameV',      "".$AML_getentry['language_shortname']."");
		$AML_link_language_edit_tpl -> AMT_assign('AML_linklanguage_editactive_checked1', "".$AML_linklanguage_editactive_checked1."");
		$AML_link_language_edit_tpl -> AMT_assign('AML_linklanguage_editactive_checked2', "".$AML_linklanguage_editactive_checked2."");

	$AML_link_language_edit_tpl -> AMT_tpl_print();
	die();
}
// <-- END edit language ------------------------------------------------------------------------------------------------------------------


// --> BEGIN delete language --------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['delete']))
{
	if(isset($HTTP_GET_VARS['deletenow']))
	{
		$AML_delete = AMS_sql_query("DELETE FROM ".$_AMLconfig['tbl_languages']." WHERE language_id = '".$HTTP_GET_VARS['delete']."'", $_AMLconfig['sql_connect']);
	
		if(isset($AML_delete))
		{
			$AML_info_info         = ""._admin_linklanguage_info_deletedone_."";
			$AML_info_description  = ""._admin_linklanguage_info_deletedonedesc_."";
			if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}
		}
		die();		
	}	
	$AML_warning_info         = ""._admin_linklanguage_info_delete_."";
	$AML_warning_description  = ""._admin_linklanguage_info_deletedesc_."";
	$AML_warning_description .="<center>";
	$AML_warning_description .="<form action=\"link_language.php\" name=\"delete\" method=\"GET\">";
	$AML_warning_description .="<input type=\"hidden\" name=\"delete\" value=\"".$HTTP_GET_VARS['delete']."\">";
	$AML_warning_description .="<input type=\"hidden\" name=\"deletenow\" value=\"1\">";
	$AML_warning_description .="<input type=\"submit\" name=\"Submit\" class=\"AMTbutton\">";
	$AML_warning_description .="</form>";
	$AML_warning_description .="</center>";
	if(!$_AMLinclude['res_warning'] = include("".$_AMLconfig['cfg_serverpath']."/include/warning.inc.php"))
	{	
		die("can not load <i>warning.inc.php</i> so I will die now!");
	}
	die();
}
// <-- END delete language ----------------------------------------------------------------------------------------------------------------


// --> BEGIN templating header ------------------------------------------------------------------------------------------------------------
$AML_link_language_header_get = //require_once("../include/template.inc.php");
$AML_link_language_header_tpl = new AMT_Template("../template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_language_header.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_link_language_header_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_link_language_header_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_link_language_header_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_link_language_header_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_link_language_header_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_link_language_header_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_link_language_header_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	$AML_link_language_header_tpl -> AMT_assign('AML_linklanguage_headline',          ""._admin_linklanguage_headline_."");

$AML_link_language_header_tpl -> AMT_tpl_print();
// <-- END templating header --------------------------------------------------------------------------------------------------------------


// --> BEGIN templating body --------------------------------------------------------------------------------------------------------------
$AML_link_language_get = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_languages']."", $_AMLconfig['sql_connect']);
while($AML_thislanguage = AMS_sql_fetch_array($AML_link_language_get, $_AMLconfig['sql_connect']))
{
	$AML_link_language_body_get = //require_once("../include/template.inc.php");
	$AML_link_language_body_tpl = new AMT_Template("../template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_language_body.tpl.html", __FILE__, __LINE__);

		// --> BEGIN templating globals -------------------------------------------------------------------------------------------
		$AML_link_language_body_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_link_language_body_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
		$AML_link_language_body_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_link_language_body_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
		$AML_link_language_body_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
		$AML_link_language_body_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
		$AML_link_language_body_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals ---------------------------------------------------------------------------------------------

		$AML_link_language_body_tpl -> AMT_assign('AML_linklanguage_flag',            "<img src=\"".$_AMLconfig['cfg_scriptpath']."/images/language/".$AML_thislanguage['language_image']."\"");
		$AML_link_language_body_tpl -> AMT_assign('AML_linklanguage_name',            "".$AML_thislanguage['language_name']."");
		$AML_link_language_body_tpl -> AMT_assign('AML_linklanguage_shortname',       "".$AML_thislanguage['language_shortname']."");
		$AML_link_language_body_tpl -> AMT_assign('AML_linklanguage_active',          "".$AML_thislanguage['language_active']."");
		$AML_link_language_body_tpl -> AMT_assign('AML_linklanguage_options',         "<a href=\"link_language.php?edit=".$AML_thislanguage['language_id']."\">"._admin_linklanguage_edit_."</a> - <a href=\"link_language.php?delete=".$AML_thislanguage['language_id']."\">"._admin_linklanguage_delete_."</a>");

	$AML_link_language_body_tpl -> AMT_tpl_print();
}
// <-- END templating body ----------------------------------------------------------------------------------------------------------------


// --> BEGIN templating footer ------------------------------------------------------------------------------------------------------------
$AML_link_language_footer_get = //require_once("../include/template.inc.php");
$AML_link_language_footer_tpl = new AMT_Template("../template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_language_footer.tpl.html", __FILE__, __LINE__);

	$AML_link_language_footer_tpl -> AMT_assign('AML_urltotemplate',                   "".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."/");

$AML_link_language_footer_tpl -> AMT_tpl_print();
// <-- END templating footer --------------------------------------------------------------------------------------------------------------


// --> BEGIN templating add ---------------------------------------------------------------------------------------------------------------
$AML_link_language_add_get = //require_once("../include/template.inc.php");
$AML_link_language_add_tpl = new AMT_Template("../template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_language_add.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_link_language_add_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_link_language_add_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_link_language_add_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_link_language_add_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_link_language_add_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_link_language_add_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_link_language_add_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	$AML_link_language_add_tpl -> AMT_assign('AML_linklanguage_headlineadd',     ""._admin_linklanguage_headlineadd_."");
	$AML_link_language_add_tpl -> AMT_assign('AML_linklanguage_addname',         ""._admin_linklanguage_addname_."");
	$AML_link_language_add_tpl -> AMT_assign('AML_linklanguage_addshortname',    ""._admin_linklanguage_addshortname_."");
	$AML_link_language_add_tpl -> AMT_assign('AML_linklanguage_addimage',        ""._admin_linklanguage_addimage_."");
	$AML_link_language_add_tpl -> AMT_assign('AML_linklanguage_addactive',       ""._admin_linklanguage_addactive_."");
	$AML_link_language_add_tpl -> AMT_assign('AML_admin_global_yes',             ""._admin_global_yes_."");
	$AML_link_language_add_tpl -> AMT_assign('AML_admin_global_no',              ""._admin_global_no_."");
$AML_link_language_add_tpl -> AMT_tpl_print();
// <-- END templating add -----------------------------------------------------------------------------------------------------------------
?>