<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/link_protocol.php                            */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN add protocol -----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['add']))
{
	if(!empty($HTTP_POST_VARS['AML_protocoladd_name']))
	{
		$AML_exists = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_protocols']." WHERE protocol_string = '".$HTTP_POST_VARS['AML_protocoladd_name']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		if($AML_exists['total'] == '0')
		{
			if(isset($HTTP_POST_VARS['AML_protocoladd_active']) && $HTTP_POST_VARS['AML_protocoladd_active'] == '1')
			{
				$AML_new_active = "1";
			}
			else
			{
				$AML_new_active = "0";
			}
			if(isset($HTTP_POST_VARS['AML_protocoladd_default']) && $HTTP_POST_VARS['AML_protocoladd_default'] == '1')
			{
				$AML_new_default = "1";
				$AML_updateold = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_protocols']." SET protocol_default = '0' WHERE protocol_default = '1'", $_AMLconfig['sql_connect']);
			}
			else
			{
				$AML_new_default = "0";
			}
			$AML_insert_new = AMS_sql_query("INSERT INTO ".$_AMLconfig['tbl_protocols']." VALUES('','".$HTTP_POST_VARS['AML_protocoladd_name']."','".$AML_new_active."','".$AML_new_default."')", $_AMLconfig['sql_connect']);
			
			$AML_info_info         = ""._admin_protocol_info_created_."";
			$AML_info_description  = ""._admin_protocol_info_createddesc_."";
			if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}
		}
		else
		{
			$AML_error_error        = ""._admin_protocol_error_exists_."";
			$AML_error_description  = ""._admin_protocol_error_existsdesc_."";
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
			{	
				die("can not load <i>error.inc.php</i> so I will die now!");
			}
			$AML_protocol_error = 1;			
		}
	}
	else
	{
		$AML_error_error        = ""._admin_protocol_error_emptyfields_."";
		$AML_error_description  = ""._admin_protocol_error_emptyfieldsdesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>error.inc.php</i> so I will die now!");
		}
		$AML_protocol_error = 1;		
	}
}
// <-- END add protocol -------------------------------------------------------------------------------------------------------------------


// --> BEGIN set default ------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['default']))
{
	$AML_update_old = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_protocols']." SET protocol_default = '0' WHERE protocol_default = '1'", $_AMLconfig['sql_connect']);
	$AML_update_new = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_protocols']." SET protocol_default = '1' WHERE protocol_id = '".$HTTP_GET_VARS['default']."'", $_AMLconfig['sql_connect']);
}
// <-- END set default --------------------------------------------------------------------------------------------------------------------

			
// --> BEGIN protocol deaktivating --------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['inactive']))
{
	if($AML_protocol_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_protocols']." SET protocol_active = '0' WHERE protocol_id = '".$HTTP_GET_VARS['inactive']."'", $_AMLconfig['sql_connect']))
	{
		$AML_info_info         = ""._admin_protocol_info_deactivated_."";
		$AML_info_description  = ""._admin_protocol_info_deactivateddesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}
}
// <-- END protocol deaktivating ----------------------------------------------------------------------------------------------------------


// --> BEGIN protocol aktivating ----------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['active']))
{
	if($AML_protocol_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_protocols']." SET protocol_active = '1' WHERE protocol_id = '".$HTTP_GET_VARS['active']."'", $_AMLconfig['sql_connect']))
	{
		$AML_info_info         = ""._admin_protocol_info_activated_."";
		$AML_info_description  = ""._admin_protocol_info_activateddesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}
}
// <-- END protocol aktivating ------------------------------------------------------------------------------------------------------------


// --> BEGIN protocol deleting ------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['delete']))
{
	if(isset($HTTP_GET_VARS['delete_sent']))
	{
		if($AML_delete = AMS_sql_query("DELETE FROM ".$_AMLconfig['tbl_protocols']." WHERE protocol_id = '".$HTTP_GET_VARS['delete']."'", $_AMLconfig['sql_connect']))
		{
			$AML_info_info         = ""._admin_protocol_info_deleted_."";
			$AML_info_description  = ""._admin_protocol_info_deleteddesc_."";
			if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}
			die();
		}
	}
	else
	{
		$AML_warning_info         = ""._admin_protocoldelete_warning_."";
		$AML_warning_description  = ""._admin_protocoldelete_warningdesc_."";
		$AML_warning_description .="<center><br>";
		$AML_warning_description .="<form action=\"link_protocol.php\" method=\"get\">";
		$AML_warning_description .="<input name=\"delete_sent\" type=\"hidden\" value=\"1\">";
		$AML_warning_description .="<input name=\"delete\" type=\"hidden\" value=\"".$HTTP_GET_VARS['delete']."\">";
		$AML_warning_description .="<input name=\"submit\" value=\""._admin_global_yes_."\" type=\"submit\">";
		$AML_warning_description .="</form>";
		$AML_warning_description .="<br></center>";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/warning.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}		
		die();
	}
}
// <-- END protocol deleting --------------------------------------------------------------------------------------------------------------


// --> BEGIN protocol editing -------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['edit']) || isset($HTTP_POST_VARS['edit']))
{
	if(!empty($HTTP_GET_VARS['edit']))  $AML_protocol_id = $HTTP_GET_VARS['edit'];
	if(!empty($HTTP_POST_VARS['edit'])) $AML_protocol_id = $HTTP_POST_VARS['edit'];
	if(isset($HTTP_POST_VARS['protocoledit_sent']))
	{
		if(empty($HTTP_POST_VARS['AML_admin_protocoledit_string']))
		{
			$AML_error_error        = ""._admin_protocol_error_emptyfields_."";
			$AML_error_description  = ""._admin_protocol_error_emptyfieldsdesc_."";
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
			{	
				die("can not load <i>error.inc.php</i> so I will die now!");
			}
			$AML_protocol_error = 1;	
		}
		else
		{
			if($HTTP_POST_VARS['AML_admin_protocoledit_default'] == '1')
			{
				$AML_update_old = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_protocols']." SET protocol_default = '0' WHERE protocol_active = '1'", $_AMLconfig['sql_connect']);
			}
			if($AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_protocols']." SET protocol_active = '".$HTTP_POST_VARS['AML_admin_protocoledit_active']."', protocol_default = '".$HTTP_POST_VARS['AML_admin_protocoledit_default']."', protocol_string ='".$HTTP_POST_VARS['AML_admin_protocoledit_string']."' WHERE protocol_id = '".$HTTP_POST_VARS['edit']."'", $_AMLconfig['sql_connect']))
			{
				$AML_info_info         = ""._admin_protocol_info_updated_."";
				$AML_info_description  = ""._admin_protocol_info_updateddesc_."";
				if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
				{	
					die("can not load <i>info.inc.php</i> so I will die now!");
				}
				die();
			}		
		}
	}
	//get help text
	settype($AML_protocoledit_help,'string');
	if($AML_fp = @fopen("".$_AMLconfig['cfg_serverpath']."/admin/help/"._setting_adminhelp_lang_."/link_protocoledit.html", "r"))
	{
		while ($AML_line = fgets($AML_fp, 1024)) {
		$AML_protocoledit_help .= $AML_line;
		}
	}
	else
	{
		$AML_protocoledit_help = ""._admin_global_nodesc_."";
	}
	@fclose($AML_fp);

	$AML_protocolentry = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_protocols']." WHERE protocol_id = '".$AML_protocol_id."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		
	if($AML_protocolentry['protocol_active']  == '1') { $AML_admin_protocoledit_active1  = 'checked'; $AML_admin_protocoledit_active2  = ''; } else { $AML_admin_protocoledit_active1  = ''; $AML_admin_protocoledit_active2  = 'checked'; }		
	if($AML_protocolentry['protocol_default'] == '1') { $AML_admin_protocoledit_default1 = 'checked'; $AML_admin_protocoledit_default2 = ''; } else { $AML_admin_protocoledit_default1 = ''; $AML_admin_protocoledit_default2 = 'checked'; }		
	
	$AML_protocol_edit_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
	$AML_protocol_edit_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath'].""."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_protocol_edit.tpl.html", __FILE__, __LINE__);
	
		// --> BEGIN templating globals -------------------------------------------------------------------------------------------
		$AML_protocol_edit_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_protocol_edit_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
		$AML_protocol_edit_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_protocol_edit_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
		$AML_protocol_edit_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
		$AML_protocol_edit_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
		$AML_protocol_edit_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals ---------------------------------------------------------------------------------------------
		
		$AML_protocol_edit_tpl -> AMT_assign('AML_admin_protocoledit_headline',      ""._admin_protocoledit_headline_."");
		$AML_protocol_edit_tpl -> AMT_assign('AML_admin_protocoledit_id',            ""._admin_protocoledit_id_."");
		$AML_protocol_edit_tpl -> AMT_assign('AML_admin_protocoledit_string',        ""._admin_protocoledit_string_."");
		$AML_protocol_edit_tpl -> AMT_assign('AML_admin_protocoledit_active',        ""._admin_protocoledit_active_."");
		$AML_protocol_edit_tpl -> AMT_assign('AML_admin_protocoledit_default',       ""._admin_protocoledit_default_."");
		$AML_protocol_edit_tpl -> AMT_assign('AML_global_yes',                       ""._admin_global_yes_."");
		$AML_protocol_edit_tpl -> AMT_assign('AML_global_no',                        ""._admin_global_no_."");
		$AML_protocol_edit_tpl -> AMT_assign('AML_admin_protocoledit_help',          "".$AML_protocoledit_help."");
		$AML_protocol_edit_tpl -> AMT_assign('AML_admin_protocoledit_idV',           "".$AML_protocolentry['protocol_id']."");
		$AML_protocol_edit_tpl -> AMT_assign('AML_admin_protocoledit_stringV',       "".$AML_protocolentry['protocol_string']."");
		$AML_protocol_edit_tpl -> AMT_assign('AML_admin_protocoledit_active1',       "".$AML_admin_protocoledit_active1."");
		$AML_protocol_edit_tpl -> AMT_assign('AML_admin_protocoledit_active2',       "".$AML_admin_protocoledit_active2."");
		$AML_protocol_edit_tpl -> AMT_assign('AML_admin_protocoledit_default1',      "".$AML_admin_protocoledit_default1."");
		$AML_protocol_edit_tpl -> AMT_assign('AML_admin_protocoledit_default2',      "".$AML_admin_protocoledit_default2."");
	$AML_protocol_edit_tpl -> AMT_tpl_print();
	die();	
}
// <-- END protocol editing ---------------------------------------------------------------------------------------------------------------


// --> BEGIN header -----------------------------------------------------------------------------------------------------------------------
$AML_protocol_header_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
$AML_protocol_header_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath'].""."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_protocol_header.tpl.html", __FILE__, __LINE__);
	
	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_protocol_header_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_protocol_header_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_protocol_header_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_protocol_header_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_protocol_header_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_protocol_header_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_protocol_header_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	$AML_protocol_header_tpl -> AMT_assign('AML_admin_protocol_headline',         ""._admin_protocol_headline_."");
	$AML_protocol_header_tpl -> AMT_assign('AML_admin_protocol_id',               ""._admin_protocol_id_."");
	$AML_protocol_header_tpl -> AMT_assign('AML_admin_protocol_type',             ""._admin_protocol_type_."");
	$AML_protocol_header_tpl -> AMT_assign('AML_admin_protocol_active',           ""._admin_protocol_active_."");
	$AML_protocol_header_tpl -> AMT_assign('AML_admin_protocol_options',          ""._admin_protocol_options_."");

$AML_protocol_header_tpl -> AMT_tpl_print();
// <-- END header -------------------------------------------------------------------------------------------------------------------------


// --> BEGIN body -------------------------------------------------------------------------------------------------------------------------
$AMT_bodybg = "AMTbodybg";
if($AML_getprotocol = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_protocols']." order by protocol_string", $_AMLconfig['sql_connect']))
{
	while($AML_protocol = AMS_sql_fetch_array($AML_getprotocol, $_AMLconfig['sql_connect']))
	{
		if($AML_protocol['protocol_default'] !='1')
		{
			$AML_protocol_options = "<a href=\"link_protocol.php?default=".$AML_protocol['protocol_id']."\">"._admin_protocol_default_."</a> | "; 
			$AML_protocol_b1 = "";
			$AML_protocol_b2 = "";
		}
		else
		{
			$AML_protocol_options = "";
			$AML_protocol_b1 = "<b>";
			$AML_protocol_b2 = "</b>";	
		}
		$AML_protocol_options .= "<a href=\"link_protocol.php?edit=".$AML_protocol['protocol_id']."\">"._admin_protocol_edit_."</a> | ";
		$AML_protocol_options .= "<a href=\"link_protocol.php?delete=".$AML_protocol['protocol_id']."\">"._admin_protocol_delete_."</a> ";
			
		$AML_protocol_body_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
		$AML_protocol_body_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath'].""."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_protocol_body.tpl.html", __FILE__, __LINE__);
		
			// --> BEGIN templating globals -----------------------------------------------------------------------------------
			$AML_protocol_body_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_protocol_body_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
			$AML_protocol_body_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_protocol_body_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
			$AML_protocol_body_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
			$AML_protocol_body_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
			$AML_protocol_body_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
			// <-- END templating globals -------------------------------------------------------------------------------------
		
			$AML_protocol_body_tpl -> AMT_assign('AMT_class',                           "".$AMT_bodybg."");
			$AML_protocol_body_tpl -> AMT_assign('AML_admin_protocol_idV',              "".$AML_protocol['protocol_id']."".$AML_protocol_b2."");
			$AML_protocol_body_tpl -> AMT_assign('AML_admin_protocol_typeV',            "".$AML_protocol_b1."".$AML_protocol['protocol_string']."".$AML_protocol_b2."");
			$AML_protocol_body_tpl -> AMT_assign('AML_admin_protocol_optionsV',         "".$AML_protocol_options."");
			if($AML_protocol['protocol_active'] == '1')
			{
				$AML_protocol_body_tpl -> AMT_assign('AML_admin_protocol_activeV',  "[ <a href=\"link_protocol.php?inactive=".$AML_protocol['protocol_id']."\">1</a> ]");
			}
			else
			{
				$AML_protocol_body_tpl -> AMT_assign('AML_admin_protocol_activeV',  "[ <a href=\"link_protocol.php?active=".$AML_protocol['protocol_id']."\">0</a> ]");	
			}
		$AML_protocol_body_tpl -> AMT_tpl_print();
		
		if($AMT_bodybg == "AMTbodybg"){ $AMT_bodybg = "AMTbodybglight"; } else { $AMT_bodybg = "AMTbodybg"; }
	}
}
// <-- END body ---------------------------------------------------------------------------------------------------------------------------


// --> BEGIN footer -----------------------------------------------------------------------------------------------------------------------


	// --> BEGIN add new --------------------------------------------------------------------------------------------------------------
	$AML_protocol_add_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
	$AML_protocol_add_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath'].""."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_protocol_add.tpl.html", __FILE__, __LINE__);
		
		// --> BEGIN templating globals -------------------------------------------------------------------------------------------
		$AML_protocol_add_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_protocol_add_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
		$AML_protocol_add_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
		$AML_protocol_add_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
		$AML_protocol_add_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
		$AML_protocol_add_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
		$AML_protocol_add_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals ---------------------------------------------------------------------------------------------
		
		$AML_protocol_add_tpl -> AMT_assign('AML_admin_protocoladd_headline',    ""._admin_protocoladd_headline_."");
		$AML_protocol_add_tpl -> AMT_assign('AML_admin_protocoladd_name',        ""._admin_protocoladd_name_."");
		$AML_protocol_add_tpl -> AMT_assign('AML_admin_protocoladd_active',      ""._admin_protocoladd_active_."");
		$AML_protocol_add_tpl -> AMT_assign('AML_admin_protocoladd_default',     ""._admin_protocoladd_default_."");
	
	$AML_protocol_footer_add = $AML_protocol_add_tpl -> AMT_tpl_var();
	// <-- END add new ----------------------------------------------------------------------------------------------------------------


//get help text
settype($AML_protocol_help,'string');
if($AML_fp = @fopen("".$_AMLconfig['cfg_serverpath']."/admin/help/"._setting_adminhelp_lang_."/link_protocol.html", "r"))
{
	while ($AML_line = fgets($AML_fp, 1024)) {
	$AML_protocol_help .= $AML_line;
	}
}
else
{
	$AML_protocol_help = ""._admin_global_nodesc_."";
}
@fclose($AML_fp);
	
$AML_protocol_footer_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
$AML_protocol_footer_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath'].""."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_protocol_footer.tpl.html", __FILE__, __LINE__);
	
	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_protocol_footer_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_protocol_footer_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_protocol_footer_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_protocol_footer_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_protocol_footer_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_protocol_footer_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_protocol_footer_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
			
	$AML_protocol_footer_tpl -> AMT_assign('AML_admin_protocol_add',               "".$AML_protocol_footer_add."");
	$AML_protocol_footer_tpl -> AMT_assign('AML_admin_protocol_help',              "".$AML_protocol_help."");

$AML_protocol_footer_tpl -> AMT_tpl_print();
// <-- END footer -------------------------------------------------------------------------------------------------------------------------
?>