<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/link_quickeditor.php                         */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 25, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN direkt update ----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['status']))
{
	if(isset($HTTP_GET_VARS['A'])) $AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_active          = '".$HTTP_GET_VARS['status']."' WHERE link_id = '".$HTTP_GET_VARS['A']."' ", $_AMLconfig['sql_connect']);
	if(isset($HTTP_GET_VARS['B'])) $AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_broken     = '".$HTTP_GET_VARS['status']."' WHERE link_id = '".$HTTP_GET_VARS['B']."' ", $_AMLconfig['sql_connect']);
	if(isset($HTTP_GET_VARS['C'])) $AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_comments   = '".$HTTP_GET_VARS['status']."' WHERE link_id = '".$HTTP_GET_VARS['C']."' ", $_AMLconfig['sql_connect']);
	if(isset($HTTP_GET_VARS['D'])) $AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_disclaimer = '".$HTTP_GET_VARS['status']."' WHERE link_id = '".$HTTP_GET_VARS['D']."' ", $_AMLconfig['sql_connect']);
	if(isset($HTTP_GET_VARS['F'])) $AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_frame      = '".$HTTP_GET_VARS['status']."' WHERE link_id = '".$HTTP_GET_VARS['F']."' ", $_AMLconfig['sql_connect']);
	if(isset($HTTP_GET_VARS['H'])) $AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_hits       = '".$HTTP_GET_VARS['status']."' WHERE link_id = '".$HTTP_GET_VARS['H']."' ", $_AMLconfig['sql_connect']);
	if(isset($HTTP_GET_VARS['I'])) $AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_info       = '".$HTTP_GET_VARS['status']."' WHERE link_id = '".$HTTP_GET_VARS['I']."' ", $_AMLconfig['sql_connect']);
	if(isset($HTTP_GET_VARS['O'])) $AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_options    = '".$HTTP_GET_VARS['status']."' WHERE link_id = '".$HTTP_GET_VARS['O']."' ", $_AMLconfig['sql_connect']);
	if(isset($HTTP_GET_VARS['P'])) $AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_permission      = '".$HTTP_GET_VARS['status']."' WHERE link_id = '".$HTTP_GET_VARS['O']."' ", $_AMLconfig['sql_connect']);
	if(isset($HTTP_GET_VARS['V'])) $AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_vote       = '".$HTTP_GET_VARS['status']."' WHERE link_id = '".$HTTP_GET_VARS['V']."' ", $_AMLconfig['sql_connect']);

	$AML_info_info         = ""._admin_quickeditor_info_changed_."";
	$AML_info_description  = ""._admin_quickeditor_info_changeddesc_."";
	if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
	{	
		die("can not load <i>info.inc.php</i> so I will die now!");
	}
}
// <-- END direkt update ------------------------------------------------------------------------------------------------------------------


// --> BEGIN change group values ----------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['AML_changevalue']) && $HTTP_POST_VARS['AML_changevalue'] != 'openform' && isset($HTTP_POST_VARS['AML_linkid']))
{
	// --> BEGIN build where definition -----------------------------------------------------------------------------------------------
	$AML_wheredefinition = "WHERE";
	$i = "0";
	$AML_values = count($HTTP_POST_VARS['AML_linkid']);
	foreach ($HTTP_POST_VARS['AML_linkid'] as $value) 
	{
    		$AML_wheredefinition .= " link_id = $value";
    		$i++;
    		if($i != $AML_values) $AML_wheredefinition .= " OR"; 
	}
	//echo $AML_wheredefinition;
	// <-- END build where definition -------------------------------------------------------------------------------------------------
	
	// --> BEGIN changing -------------------------------------------------------------------------------------------------------------
	if($HTTP_POST_VARS['AML_changevalue'] == 'activate')     $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_active          = '1' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'deactivate')   $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_active          = '0' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'broken')       $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_broken     = '1' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'nobroken')     $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_broken     = '0' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'comments')     $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_comments   = '1' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'nocomments')   $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_comments   = '0' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'disclaimer')   $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_disclaimer = '1' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'nodisclaimer') $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_disclaimer = '0' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'frame')        $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_frame      = '1' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'noframe')      $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_frame      = '0' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'hits')         $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_hits       = '1' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'nohits')       $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_hits       = '0' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'info')         $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_info       = '1' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'noinfo')       $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_info       = '0' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'options')      $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_options    = '1' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'nooptions')    $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_options    = '0' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'pall')         $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_permission      = '0' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'preg')         $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_permission      = '1' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'padm')         $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_permission      = '2' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'vote')         $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_vote       = '1' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	if($HTTP_POST_VARS['AML_changevalue'] == 'novote')       $AML_change = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_show_vote       = '0' ".$AML_wheredefinition."", $_AMLconfig['sql_connect']);
	// <-- END changing ---------------------------------------------------------------------------------------------------------------


	$AML_info_info         = ""._admin_quickeditor_info_changed_."";
	$AML_info_description  = ""._admin_quickeditor_info_changeddesc_."";
	if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
	{	
		die("can not load <i>info.inc.php</i> so I will die now!");
	}
	
	
}
// <-- END update group values ------------------------------------------------------------------------------------------------------------


// --> BEGIN set new limit ----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['AML_setlimit']) && is_numeric($HTTP_GET_VARS['AML_setlimit']))
{
	$AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_config']." SET cfg_admin_linkbrowselimit = '".$HTTP_GET_VARS['AML_setlimit']."'", $_AMLconfig['sql_connect']);
	
	
	// --> BEGIN reloading configuration ----------------------------------------------------------------------------------------------
	$_AMLusrcfg_get = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_config']."", $_AMLconfig['sql_connect']);
	if(!$_AMLusrcfg = AMS_sql_fetch_array($_AMLusrcfg_get, $_AMLconfig['sql_connect']))
	{
		die("There is a problem occured.<br> Can not load user configuration!<br>");
	}
	// <-- END reloading configuration ------------------------------------------------------------------------------------------------


}
// <-- END set new limit ------------------------------------------------------------------------------------------------------------------


// --> BEGIN limit selector ---------------------------------------------------------------------------------------------------------------
$AML_limitselarr = array('10','20','30','50','100','200');
settype($AML_lselector,'string');
foreach ($AML_limitselarr as $AML_limitselarrV) 
{
	if($AML_limitselarrV == '200')
	{
		if($AML_limitselarrV == $_AMLusrcfg['cfg_admin_linkbrowselimit'])
		{
			$AML_lselector .=" $AML_limitselarrV ";
		} else {
			$AML_lselector .=" <a href=\"link_quickeditor.php?AML_setlimit=".$AML_limitselarrV."\" class=\"AMTfunctionlink\">$AML_limitselarrV</a> ";
		}
	}
	else
	{
		if($AML_limitselarrV == $_AMLusrcfg['cfg_admin_linkbrowselimit'])
		{
			$AML_lselector .=" $AML_limitselarrV |";
		} else {
			$AML_lselector .=" <a href=\"link_quickeditor.php?AML_setlimit=".$AML_limitselarrV."\" class=\"AMTfunctionlink\">$AML_limitselarrV</a> |";
		}
	}
}
// <-- END limit selector -----------------------------------------------------------------------------------------------------------------


// --> BEGIN paging function --------------------------------------------------------------------------------------------------------------
$AML_entries = AMS_sql_num_rows(AMS_sql_query("SELECT link_id FROM ".$_AMLconfig['tbl_links']." WHERE 1", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
if($AML_entries > $_AMLusrcfg['cfg_admin_linkbrowselimit'])
{
	if(isset($HTTP_POST_VARS['AML_page']) || !empty($HTTP_POST_VARS['AML_page'])) $AML_page = $HTTP_POST_VARS['AML_page'];
	if(isset($HTTP_GET_VARS['AML_page'])  || !empty($HTTP_GET_VARS['AML_page']))  $AML_page = $HTTP_GET_VARS['AML_page'];
	if(!isset($AML_page)) $AML_page = "0";
	$AML_countdummy = '0';
	$AML_int        = '0';
	$AML_eentry     = '0';
	settype($AML_jumpentryline,'string');
	while ($AML_countdummy < $AML_entries)
	{
		$AML_int = $AML_int+1;
		if($AML_eentry == $AML_page){
			$AML_jumpentryline .= " ".$AML_int." ";
		} else {
			$AML_jumpentryline .= " <a href=\"./link_quickeditor.php?AML_page=".$AML_eentry."\"  class=\"AMTfunctionlink\">".$AML_int."</a> ";
		}
		if($AML_countdummy == $AML_int) $AML_jumpentryline .="]";
		$AML_eentry = $AML_eentry+ $_AMLusrcfg['cfg_admin_linkbrowselimit'];
		$AML_countdummy = $AML_countdummy + $_AMLusrcfg['cfg_admin_linkbrowselimit'];
		$AML_limitdefinition = "LIMIT ".$AML_page.", ".$_AMLusrcfg['cfg_admin_linkbrowselimit']."";
	}
	if(empty($AML_jumpentryline))
	{
		$AML_jumpentryline = "1";
	}
} else {
	if(isset($HTTP_POST_VARS['AML_entry']) || !empty($HTTP_POST_VARS['AML_entry'])) $AML_entry = $HTTP_POST_VARS['AML_entry'];
	if(isset($HTTP_GET_VARS['AML_entry'])  || !empty($HTTP_GET_VARS['AML_entry']))  $AML_entry = $HTTP_GET_VARS['AML_entry'];
	if(!isset($AML_entry)) $AML_entry = "0";
	$AML_jumpentryline = "1";
	$AML_limitdefinition = "";	
}
if(isset($HTTP_GET_VARS['AML_page'])) $AML_page = $HTTP_GET_VARS['AML_page'];
if(isset($HTTP_POST_VARS['AML_page'])) $AML_page = $HTTP_POST_VARS['AML_page'];
if(!isset($AML_page)) $AML_page = '';
// <-- END paging function ----------------------------------------------------------------------------------------------------------------


// --> BEGIN parsing header ---------------------------------------------------------------------------------------------------------------
$AML_quickeditor_header_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_quickeditor_header_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_quickeditor_header.tpl.html", __FILE__, __LINE__);
	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_quickeditor_header_tpl -> AMT_assign('AML_global_linkopen',               "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_quickeditor_header_tpl -> AMT_assign('AML_global_linktotemplate',         "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_quickeditor_header_tpl -> AMT_assign('AML_global_urlopen',                "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_quickeditor_header_tpl -> AMT_assign('AML_global_sitename',               "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_quickeditor_header_tpl -> AMT_assign('AML_global_siteurl',                "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_quickeditor_header_tpl -> AMT_assign('AML_global_sitedescription',        "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_quickeditor_header_tpl -> AMT_assign('AML_global_now',                    date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	$AML_quickeditor_header_tpl -> AMT_assign('AML_admin_quickeditor_header_active',     ""._admin_quickeditor_header_active_."");
	$AML_quickeditor_header_tpl -> AMT_assign('AML_admin_quickeditor_header_broken',     ""._admin_quickeditor_header_broken_."");
	$AML_quickeditor_header_tpl -> AMT_assign('AML_admin_quickeditor_header_comments',   ""._admin_quickeditor_header_comments_."");
	$AML_quickeditor_header_tpl -> AMT_assign('AML_admin_quickeditor_header_disclaimer', ""._admin_quickeditor_header_disclaimer_."");
	$AML_quickeditor_header_tpl -> AMT_assign('AML_admin_quickeditor_header_frame',      ""._admin_quickeditor_header_frame_."");
	$AML_quickeditor_header_tpl -> AMT_assign('AML_admin_quickeditor_header_hits',       ""._admin_quickeditor_header_hits_."");
	$AML_quickeditor_header_tpl -> AMT_assign('AML_admin_quickeditor_header_info',       ""._admin_quickeditor_header_info_."");
	$AML_quickeditor_header_tpl -> AMT_assign('AML_admin_quickeditor_header_options',    ""._admin_quickeditor_header_options_."");
	$AML_quickeditor_header_tpl -> AMT_assign('AML_admin_quickeditor_header_permission', ""._admin_quickeditor_header_permission_."");
	$AML_quickeditor_header_tpl -> AMT_assign('AML_admin_quickeditor_header_voting',     ""._admin_quickeditor_header_voting_."");
$AML_quickeditor_header_tpl -> AMT_tpl_print();
// <-- END parsing header -----------------------------------------------------------------------------------------------------------------


// --> BEGIN parsing body -----------------------------------------------------------------------------------------------------------------
settype($AML_quickeditor_body_var,'string');
$AMT_class = "AMTbodybg";

$AML_getvalues = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_links']." order by link_id ".$AML_limitdefinition."", $_AMLconfig['sql_connect']);
while($AML_value = AMS_sql_fetch_array($AML_getvalues,$_AMLconfig['sql_connect']))
{
	// --> BEGIN creating quick links ---------------------------------------------------------------------------------------------------------
	if($AML_value['link_active']          == '1') $AML_value['link_active']          = "<a href=\"link_quickeditor.php?A=".$AML_value['link_id']."&status=0&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_active']."</a>";
	if($AML_value['link_active']          == '0') $AML_value['link_active']          = "<a href=\"link_quickeditor.php?A=".$AML_value['link_id']."&status=1&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_active']."</a>";
	if($AML_value['link_show_broken']     == '1') $AML_value['link_show_broken']     = "<a href=\"link_quickeditor.php?B=".$AML_value['link_id']."&status=0&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_show_broken']."</a>";
	if($AML_value['link_show_broken']     == '0') $AML_value['link_show_broken']     = "<a href=\"link_quickeditor.php?B=".$AML_value['link_id']."&status=1&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_show_broken']."</a>";
	if($AML_value['link_show_comments']   == '1') $AML_value['link_show_comments']   = "<a href=\"link_quickeditor.php?C=".$AML_value['link_id']."&status=0&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_show_comments']."</a>";
	if($AML_value['link_show_comments']   == '0') $AML_value['link_show_comments']   = "<a href=\"link_quickeditor.php?C=".$AML_value['link_id']."&status=1&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_show_comments']."</a>";	
	if($AML_value['link_show_disclaimer'] == '1') $AML_value['link_show_disclaimer'] = "<a href=\"link_quickeditor.php?D=".$AML_value['link_id']."&status=0&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_show_disclaimer']."</a>";
	if($AML_value['link_show_disclaimer'] == '0') $AML_value['link_show_disclaimer'] = "<a href=\"link_quickeditor.php?D=".$AML_value['link_id']."&status=1&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_show_disclaimer']."</a>";	
	if($AML_value['link_show_frame']      == '1') $AML_value['link_show_frame']      = "<a href=\"link_quickeditor.php?D=".$AML_value['link_id']."&status=0&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_show_frame']."</a>";
	if($AML_value['link_show_frame']      == '0') $AML_value['link_show_frame']      = "<a href=\"link_quickeditor.php?D=".$AML_value['link_id']."&status=1&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_show_frame']."</a>";		
	if($AML_value['link_show_hits']       == '1') $AML_value['link_show_hits']       = "<a href=\"link_quickeditor.php?H=".$AML_value['link_id']."&status=0&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_show_hits']."</a>";
	if($AML_value['link_show_hits']       == '0') $AML_value['link_show_hits']       = "<a href=\"link_quickeditor.php?H=".$AML_value['link_id']."&status=1&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_show_hits']."</a>";		
	if($AML_value['link_show_info']       == '1') $AML_value['link_show_info']       = "<a href=\"link_quickeditor.php?I=".$AML_value['link_id']."&status=0&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_show_info']."</a>";
	if($AML_value['link_show_info']       == '0') $AML_value['link_show_info']       = "<a href=\"link_quickeditor.php?I=".$AML_value['link_id']."&status=1&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_show_info']."</a>";		
	if($AML_value['link_show_options']    == '1') $AML_value['link_show_options']    = "<a href=\"link_quickeditor.php?O=".$AML_value['link_id']."&status=0&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_show_options']."</a>";
	if($AML_value['link_show_options']    == '0') $AML_value['link_show_options']    = "<a href=\"link_quickeditor.php?O=".$AML_value['link_id']."&status=1&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_show_options']."</a>";		
	if($AML_value['link_permission']      == '0') $AML_value['link_permission']      = "<a href=\"link_quickeditor.php?P=".$AML_value['link_id']."&status=1&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_permission']."</a>";
	if($AML_value['link_permission']      == '1') $AML_value['link_permission']      = "<a href=\"link_quickeditor.php?P=".$AML_value['link_id']."&status=2&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_permission']."</a>";
	if($AML_value['link_permission']      == '2') $AML_value['link_permission']      = "<a href=\"link_quickeditor.php?P=".$AML_value['link_id']."&status=0&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_permission']."</a>";
	if($AML_value['link_show_vote']       == '1') $AML_value['link_show_vote']       = "<a href=\"link_quickeditor.php?V=".$AML_value['link_id']."&status=0&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_show_vote']."</a>";
	if($AML_value['link_show_vote']       == '0') $AML_value['link_show_vote']       = "<a href=\"link_quickeditor.php?V=".$AML_value['link_id']."&status=1&AML_page=".@$HTTP_GET_VARS['AML_page']."\">".$AML_value['link_show_vote']."</a>";		
	// --> BEGIN creating quick links ---------------------------------------------------------------------------------------------------------

	$AML_quickeditor_body_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
	$AML_quickeditor_body_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_quickeditor_body.tpl.html", __FILE__, __LINE__);
		$AML_quickeditor_body_tpl -> AMT_assign('AML_quickeditor_id',  "".$AML_value['link_id']."");
		$AML_quickeditor_body_tpl -> AMT_assign('AML_quickeditor_url', "".$AML_value['link_protocol']."".$AML_value['link_url']."");
		$AML_quickeditor_body_tpl -> AMT_assign('AML_quickeditor_A',   "".$AML_value['link_active']."");
		$AML_quickeditor_body_tpl -> AMT_assign('AML_quickeditor_B',   "".$AML_value['link_show_broken']."");
		$AML_quickeditor_body_tpl -> AMT_assign('AML_quickeditor_C',   "".$AML_value['link_show_comments']."");
		$AML_quickeditor_body_tpl -> AMT_assign('AML_quickeditor_D',   "".$AML_value['link_show_disclaimer']."");
		$AML_quickeditor_body_tpl -> AMT_assign('AML_quickeditor_F',   "".$AML_value['link_show_frame']."");
		$AML_quickeditor_body_tpl -> AMT_assign('AML_quickeditor_H',   "".$AML_value['link_show_hits']."");
		$AML_quickeditor_body_tpl -> AMT_assign('AML_quickeditor_I',   "".$AML_value['link_show_info']."");
		$AML_quickeditor_body_tpl -> AMT_assign('AML_quickeditor_O',   "".$AML_value['link_show_options']."");
		$AML_quickeditor_body_tpl -> AMT_assign('AML_quickeditor_P',   "".$AML_value['link_permission']."");
		$AML_quickeditor_body_tpl -> AMT_assign('AML_quickeditor_V',   "".$AML_value['link_show_vote']."");
		$AML_quickeditor_body_tpl -> AMT_assign('AMTclass',            "".$AMT_class."");
	
	$AML_quickeditor_body_tpl -> AMT_tpl_print();
	
	if($AMT_class == "AMTbodybg"){ $AMT_class = "AMTbodybglight"; } else { $AMT_class = "AMTbodybg"; }
}
// <-- END parsing body -------------------------------------------------------------------------------------------------------------------


// --> BEGIN template footer --------------------------------------------------------------------------------------------------------------
$AML_quickeditor_footer_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
$AML_quickeditor_footer_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_quickeditor_footer.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_pages',                "".$AML_jumpentryline."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_limits',               "".$AML_lselector."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_page',                                        "".$AML_page."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_goto',                 ""._admin_cat_overview_goto_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_all',                  ""._admin_cat_overview_all_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_unset',                ""._admin_cat_overview_unset_."");
	

	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_overallhead',    ""._admin_link_quickeditor_quick_overallhead_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_headactive',     ""._admin_link_quickeditor_quick_headactive_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_activate',       ""._admin_link_quickeditor_quick_activate_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_deactivate',     ""._admin_link_quickeditor_quick_deactivate_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_headbroken',     ""._admin_link_quickeditor_quick_headbroken_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_broken',         ""._admin_link_quickeditor_quick_broken_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_nobroken',       ""._admin_link_quickeditor_quick_nobroken_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_headcomments',   ""._admin_link_quickeditor_quick_headcomments_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_comments',       ""._admin_link_quickeditor_quick_comments_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_nocomments',     ""._admin_link_quickeditor_quick_nocomments_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_headdisclaimer', ""._admin_link_quickeditor_quick_headdisclaimer_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_disclaimer',     ""._admin_link_quickeditor_quick_disclaimer_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_nodisclaimer',   ""._admin_link_quickeditor_quick_nodisclaimer_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_headframe',      ""._admin_link_quickeditor_quick_headframe_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_frame',          ""._admin_link_quickeditor_quick_frame_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_noframe',        ""._admin_link_quickeditor_quick_noframe_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_headhits',       ""._admin_link_quickeditor_quick_headhits_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_hits',           ""._admin_link_quickeditor_quick_hits_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_nohits',         ""._admin_link_quickeditor_quick_nohits_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_headinfo',       ""._admin_link_quickeditor_quick_headinfo_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_info',           ""._admin_link_quickeditor_quick_info_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_noinfo',         ""._admin_link_quickeditor_quick_noinfo_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_headoptions',    ""._admin_link_quickeditor_quick_headoptions_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_options',        ""._admin_link_quickeditor_quick_options_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_nooptions',      ""._admin_link_quickeditor_quick_nooptions_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_headpermission', ""._admin_link_quickeditor_quick_headpermission_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_pall',           ""._admin_link_quickeditor_quick_pall_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_preg',           ""._admin_link_quickeditor_quick_preg_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_padm',           ""._admin_link_quickeditor_quick_padm_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_headvoting',     ""._admin_link_quickeditor_quick_headvoting_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_voting',         ""._admin_link_quickeditor_quick_voting_."");
	$AML_quickeditor_footer_tpl -> AMT_assign('AML_admin_link_quickeditor_quick_novoting',       ""._admin_link_quickeditor_quick_novoting_."");
	
$AML_quickeditor_footer_tpl -> AMT_tpl_print();
// <-- END template footer ----------------------------------------------------------------------------------------------------------------
?>