<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/link_topsites.php                            */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Jun 30, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code.inc.php</i> so I will die now!");
}
// <-- END including code ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN update config ----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['cfg_topsite_minvalue']) 
&& is_numeric($HTTP_POST_VARS['cfg_topsite_minvalue']))
{
	$AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_config']." SET cfg_topsite_minvalue='".$HTTP_POST_VARS['cfg_topsite_minvalue']."'", $_AMLconfig['sql_connect']);
}
if(isset($HTTP_POST_VARS['cfg_topsite_showvalue']) 
&& is_numeric($HTTP_POST_VARS['cfg_topsite_showvalue']))
{
	$AML_update2 = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_config']." SET cfg_topsite_showvalue='".$HTTP_POST_VARS['cfg_topsite_showvalue']."'", $_AMLconfig['sql_connect']);
}
	if(isset($AML_update) && isset($AML_update2))
	{
		$AML_info_info         = ""._admin_configsetsites_info_done_."";
		$AML_info_description  = ""._admin_configsetsites_info_donedesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	// get user configuration again
	$_AMLusrcfg = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_config']."", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
	}

// <-- END update config ------------------------------------------------------------------------------------------------------------------


// --> BEGIN reset ------------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['reset']) && $HTTP_POST_VARS['reset'] == '1')
{
	$AML_update = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_hitsin='0'", $_AMLconfig['sql_connect']);
	$AML_update2 = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_config']." SET cfg_topsite_lastreset = '".$_AMLconfig['date_countflag']."'", $_AMLconfig['sql_connect']);
	if(isset($AML_update) && isset($AML_update2))
	{
		$AML_info_info         = ""._admin_configsetsites_info_done_."";
		$AML_info_description  = ""._admin_configsetsites_info_donedesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}

	// get user configuration again
	$_AMLusrcfg = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_config']."", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
}
// <-- END reset --------------------------------------------------------------------------------------------------------------------------


// --> BEGIN templating header ------------------------------------------------------------------------------------------------------------
$AML_topsites_get = //require_once("../include/template.inc.php");
$AML_topsites_tpl = new AMT_Template("../template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_topsites.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AML_topsites_tpl -> AMT_assign('AML_global_linkopen',                 "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_topsites_tpl -> AMT_assign('AML_global_linktotemplate',           "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
	$AML_topsites_tpl -> AMT_assign('AML_global_urlopen',                  "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
	$AML_topsites_tpl -> AMT_assign('AML_global_sitename',                 "".$_AMLusrcfg['globalcfg_site_name']."");
	$AML_topsites_tpl -> AMT_assign('AML_global_siteurl',                  "".$_AMLusrcfg['globalcfg_site_url']."");
	$AML_topsites_tpl -> AMT_assign('AML_global_sitedescription',          "".$_AMLusrcfg['globalcfg_site_description']."");
	$AML_topsites_tpl -> AMT_assign('AML_global_now',                      date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	$AML_topsites_tpl -> AMT_assign('AML_global_yes',                      ""._admin_global_yes_."");
	$AML_topsites_tpl -> AMT_assign('AML_global_no',                       ""._admin_global_no_."");
	
	$AML_topsites_tpl -> AMT_assign('AML_admin_link_topsites_header',      ""._admin_link_topsites_header_."");
	$AML_topsites_tpl -> AMT_assign('AML_admin_link_topsites_minvalue',    ""._admin_link_topsites_minvalue_."");
	$AML_topsites_tpl -> AMT_assign('AML_admin_link_topsites_showvalue',   ""._admin_link_topsites_showvalue_."");
	
	$AML_topsites_tpl -> AMT_assign('AML_admin_link_topsites_resetheader', ""._admin_link_topsites_resetheader_."");
	$AML_topsites_tpl -> AMT_assign('AML_admin_link_topsites_lastreset',   ""._admin_link_topsites_lastreset_."");	
	$AML_topsites_tpl -> AMT_assign('AML_admin_link_topsites_resetdesc',   ""._admin_link_topsites_resetdesc_."");

	$AML_topsites_tpl -> AMT_assign('AML_link_topsites_minvalue',          "".$_AMLusrcfg['cfg_topsite_minvalue']."");
	$AML_topsites_tpl -> AMT_assign('AML_link_topsites_showvalue',         "".$_AMLusrcfg['cfg_topsite_showvalue']."");
	$AML_topsites_tpl -> AMT_assign('AML_link_topsites_lastreset',         date("$_AMLusrcfg[cfg_date_datetimeformat]", "$_AMLusrcfg[cfg_topsite_lastreset]"));

$AML_topsites_tpl -> AMT_tpl_print();
// <-- END templating header --------------------------------------------------------------------------------------------------------------

