<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/link_validate.php                            */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Aug 10, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMLinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// BEGIN validating link ------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['AML_linkid']) && isset($HTTP_POST_VARS['AML_update_entry']))
{
	
		
	// BEGIN checking fields ----------------------------------------------------------------------------------------------------------
	if(isset($HTTP_POST_VARS['AML_sent']))
	{	
		if(empty($HTTP_POST_VARS['AML_obj_protocol']) ||
		   empty($HTTP_POST_VARS['AML_url'])          ||
		   empty($HTTP_POST_VARS['AML_obj_categorie'])||
		   empty($HTTP_POST_VARS['AML_obj_language']) ||
		   empty($HTTP_POST_VARS['AML_topic']))
		{
			$AML_error_error        = ""._link_add_error_fillout_."";
			$AML_error_description  = ""._link_add_error_filloutdesc_."";
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
			{	
				die("can not load <i>error.inc.php</i> so I will die now!");
			}	
			$AML_errcode = 1;	
		}	

		if((empty($HTTP_POST_VARS['AML_username'])   || 
		    empty($HTTP_POST_VARS['AML_email']))     &&
		   !isset($AML_addlink_error))
		{
			$AML_error_error        = ""._link_add_error_filloutuser_."";
			$AML_error_description  = ""._link_add_error_filloutuserdesc_."";
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
			{	
				die("can not load <i>error.inc.php</i> so I will die now!");
			}	
			$AML_errcode = 1;	
		}

		// --> BEGIN check user fields ----------------------------------------------------------------------------
		if(!$_AMLinclude['res_userfields_proof'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/userfields_proof.inc.php"))
		{	
			die("can not load object<i>user form fields proof</i> so I will die now!");
		}
		if(isset($AML_userfield_error) && !empty($AML_userfield_error) && !isset($AML_addlink_error))
		{
			$AML_error_error        = ""._link_add_error_fillout_."";
			$AML_error_description  = "".$AML_userfield_error."";
			if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
			{	
				die("can not load <i>error.inc.php</i> so I will die now!");
			}	
			$AML_errcode = 1;
		}
		// <-- END check user fields ------------------------------------------------------------------------------

	}		
	// END checking fields ------------------------------------------------------------------------------------------------------------
	
	
	// BEGIN delete entry -------------------------------------------------------------------------------------------------------------
	if(isset($HTTP_POST_VARS['AML_validateaction']) && $HTTP_POST_VARS['AML_validateaction'] == 'delete' && !isset($AML_errcode))
	{
		// --> BEGIN mail action --------------------------------------------------------------------------------------------------
		$AML_entry = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_links']." WHERE link_id ='".$HTTP_POST_VARS['AML_linkid']."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
		if(isset($HTTP_POST_VARS['cfg_mail_entry_deleted_user'])  && $HTTP_POST_VARS['cfg_mail_entry_deleted_user']  == '1') { $_AMLusrcfg['cfg_mail_entry_deleted_user']  = '1';  } else { $_AMLusrcfg['cfg_mail_entry_deleted_user']  = '0'; }
		if(isset($HTTP_POST_VARS['cfg_mail_entry_deleted_admin']) && $HTTP_POST_VARS['cfg_mail_entry_deleted_admin'] == '1') { $_AMLusrcfg['cfg_mail_entry_deleted_admin'] = '1';  } else { $_AMLusrcfg['cfg_mail_entry_deleted_admin'] = '0'; }
		$_AMLmailaction = "entry_deleted";
		if(!$_AMLinclude['res_mail'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/mail.inc.php"))
		{	
			die("can not load <i>mail.inc.php</i> so I will die now!");
		}
		// <-- END mail action ----------------------------------------------------------------------------------------------------


		$AML_delete_entry = AMS_sql_query("DELETE FROM ".$_AMLconfig['tbl_links']." WHERE link_id ='".$HTTP_POST_VARS['AML_linkid']."'", $_AMLconfig['sql_connect']);		
		$AML_delete_notes = AMS_sql_query("DELETE FROM ".$_AMLconfig['tbl_notes']." WHERE notes_validateid ='".$HTTP_POST_VARS['AML_validateid']."'", $_AMLconfig['sql_connect']);

		$AML_info_info         = ""._admin_info_addlink_linkdeleted_."";
		$AML_info_description  = ""._admin_info_addlink_linkdeleteddesc_."";
		$AML_link_managed = 1;
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}
	
	// END delete entry ---------------------------------------------------------------------------------------------------------------
	

	// BEGIN deactivate entry -------------------------------------------------------------------------------------------------------------
	if(isset($HTTP_POST_VARS['AML_validateaction']) && $HTTP_POST_VARS['AML_validateaction'] == 'deactivate' && !isset($AML_errcode))
	{
		$AML_update_entry  = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_active          = '0',
		                                                                            link_protocol        = '".@$HTTP_POST_VARS['AML_obj_protocol']."',
	       		                                                                    link_url             = '".@$HTTP_POST_VARS['AML_url']."',
	       		                                                                    link_active          = '".@$HTTP_POST_VARS['AML_active']."',	
	       		                                                                    link_permission      = '".@$HTTP_POST_VARS['AML_obj_permission']."',
	       		                                                                    link_categorie       = '".@$HTTP_POST_VARS['AML_obj_categorie']."',
	       		                                                                    link_language        = '".@$HTTP_POST_VARS['AML_obj_language']."',
	       		                                                                    link_topic           = '".@$HTTP_POST_VARS['AML_topic']."',
	       		                                                                    link_description     = '".@$HTTP_POST_VARS['AML_description']."',
        		                                                                    link_description2    = '".@$HTTP_POST_VARS['AML_description2']."',
        		                                                                    link_banner          = '".@$HTTP_POST_VARS['AML_banner']."',
        		                                                                    link_banner_type     = '".@$HTTP_POST_VARS['AML_obj_banner']."',
        		                                                                    link_isdownload      = '".@$HTTP_POST_VARS['AML_linkisdownload']."',
        		                                                                    link_size            = '".@$HTTP_POST_VARS['AML_size']."',
        		                                                                    link_version         = '".@$HTTP_POST_VARS['AML_version']."',
        		                                                                    link_author          = '".@$HTTP_POST_VARS['AML_author']."',
        		                                                                    link_platform        = '".@$HTTP_POST_VARS['AML_platform']."',
        		                                                                    link_price           = '".@$HTTP_POST_VARS['AML_price']."',
        		                                                                    link_username        = '".@$HTTP_POST_VARS['AML_username']."',
        		                                                                    link_useremail       = '".@$HTTP_POST_VARS['AML_email']."',
        		                                                                    link_template1       = '".@$HTTP_POST_VARS['AML_link_edit_template1']."',
        		                                                                    link_template2       = '".@$HTTP_POST_VARS['AML_link_edit_template2']."',
        		                                                                    link_show_url        = '".@$HTTP_POST_VARS['AML_showurl']."',
       	                                                                                    link_show_hits       = '".@$HTTP_POST_VARS['AML_showhits']."', 
        	                                                                            link_show_broken     = '".@$HTTP_POST_VARS['AML_showbroken']."',
        	                                                                            link_show_vote       = '".@$HTTP_POST_VARS['AML_showvote']."',
        	                                                                            link_show_info       = '".@$HTTP_POST_VARS['AML_showinfo']."', 
       	 	                                                                            link_show_comments   = '".@$HTTP_POST_VARS['AML_showcomments']."',
       	 	                                                                            link_show_options    = '".@$HTTP_POST_VARS['AML_showoptions']."',
       	 	                                                                            link_show_frame      = '".@$HTTP_POST_VARS['AML_showframe']."',
	       	                                                                            link_show_disclaimer = '".@$HTTP_POST_VARS['AML_showdisclaimer']."',	           	                                                                            
           	                                                                            link_lastchange    = '".@$_AMLconfig['date_countflag']."' WHERE link_id = '".$HTTP_POST_VARS['AML_linkid']."'", $_AMLconfig['sql_connect']);

		// --> BEGIN mail action --------------------------------------------------------------------------------------------------
		if(isset($HTTP_POST_VARS['cfg_mail_entry_deactivated_user'])  && $HTTP_POST_VARS['cfg_mail_entry_deactivated_user']  == '1') { $_AMLusrcfg['cfg_mail_entry_deactivated_user']  = '1';  } else { $_AMLusrcfg['cfg_mail_entry_deactivated_user']  = '0'; }
		if(isset($HTTP_POST_VARS['cfg_mail_entry_deactivated_admin']) && $HTTP_POST_VARS['cfg_mail_entry_deactivated_admin'] == '1') { $_AMLusrcfg['cfg_mail_entry_deactivated_admin'] = '1';  } else { $_AMLusrcfg['cfg_mail_entry_deactivated_admin'] = '0'; }
		$_AMLmailaction = "entry_deactivated";
		if(!$_AMLinclude['res_mail'] = include("".$_AMLconfig['cfg_serverpath'].""."./include/mail.inc.php"))
		{	
			die("can not load <i>mail.inc.php</i> so I will die now!");
		}
		// <-- END mail action ----------------------------------------------------------------------------------------------------
		

		$AML_deactivate_entry = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_active = '0' WHERE link_id = '".$HTTP_POST_VARS['AML_linkid']."", $_AMLconfig['sql_connect']);		
		$AML_deactivate_notes = AMS_sql_query("DELETE FROM ".$_AMLconfig['tbl_notes']." WHERE notes_validateid = '".$HTTP_POST_VARS['AML_validateid']."'", $_AMLconfig['sql_connect']);
	
		$AML_info_info         = ""._admin_info_addlink_linkdeactivated_."";
		$AML_info_description  = ""._admin_info_addlink_linkdeactivateddesc_."";
		$AML_link_managed = 1;
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	
	}
	// END deactivate entry ---------------------------------------------------------------------------------------------------------------


	// BEGIN activate entry -------------------------------------------------------------------------------------------------------------
	if(isset($HTTP_POST_VARS['AML_validateaction']) && $HTTP_POST_VARS['AML_validateaction'] == 'activate' && !isset($AML_errcode))
	{       
		if(!empty($HTTP_POST_VARS['AML_origid']))
		{
			$AML_delete_old    = AMS_sql_query("DELETE FROM ".$_AMLconfig['tbl_links']." WHERE link_id = '".$HTTP_POST_VARS['AML_origid']."'", $_AMLconfig['sql_connect']);
			$AML_update_entry  = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_active          = '1',
			                                                                            link_inactivereason  = '',
			                                                                            link_protocol        = '".@$HTTP_POST_VARS['AML_obj_protocol']."',
	        		                                                                    link_url             = '".@$HTTP_POST_VARS['AML_url']."',	
	        		                                                                    link_permission      = '".@$HTTP_POST_VARS['AML_obj_permission']."',
	        		                                                                    link_categorie       = '".@$HTTP_POST_VARS['AML_obj_categorie']."',
	        		                                                                    link_language        = '".@$HTTP_POST_VARS['AML_obj_language']."',
	        		                                                                    link_topic           = '".@$HTTP_POST_VARS['AML_topic']."',
	        		                                                                    link_description     = '".@$HTTP_POST_VARS['AML_description']."',
	        		                                                                    link_description2    = '".@$HTTP_POST_VARS['AML_description2']."',
	        		                                                                    link_banner          = '".@$HTTP_POST_VARS['AML_banner']."',
	        		                                                                    link_banner_type     = '".@$HTTP_POST_VARS['AML_obj_banner']."',
	        		                                                                    link_isdownload      = '".@$HTTP_POST_VARS['AML_linkisdownload']."',
	        		                                                                    link_size            = '".@$HTTP_POST_VARS['AML_size']."',
	        		                                                                    link_version         = '".@$HTTP_POST_VARS['AML_version']."',
	        		                                                                    link_author          = '".@$HTTP_POST_VARS['AML_author']."',
	        		                                                                    link_platform        = '".@$HTTP_POST_VARS['AML_platform']."',
	        		                                                                    link_price           = '".@$HTTP_POST_VARS['AML_price']."',
	        		                                                                    link_username        = '".@$HTTP_POST_VARS['AML_username']."',
	        		                                                                    link_useremail       = '".@$HTTP_POST_VARS['AML_email']."',
	        		                                                                    link_template1       = '".@$HTTP_POST_VARS['AML_link_edit_template1']."',
	        		                                                                    link_template2       = '".@$HTTP_POST_VARS['AML_link_edit_template2']."',
	        		                                                                    link_show_url        = '".@$HTTP_POST_VARS['AML_showurl']."',
        	                                                                                    link_show_hits       = '".@$HTTP_POST_VARS['AML_showhits']."', 
	        	                                                                            link_show_broken     = '".@$HTTP_POST_VARS['AML_showbroken']."',
	        	                                                                            link_show_vote       = '".@$HTTP_POST_VARS['AML_showvote']."',
	        	                                                                            link_show_info       = '".@$HTTP_POST_VARS['AML_showinfo']."', 
	       	 	                                                                            link_show_comments   = '".@$HTTP_POST_VARS['AML_showcomments']."',
	       	 	                                                                            link_show_options    = '".@$HTTP_POST_VARS['AML_showoptions']."',
	       	 	                                                                            link_show_frame      = '".@$HTTP_POST_VARS['AML_showframe']."',
	       	                                                                                    link_show_disclaimer = '".@$HTTP_POST_VARS['AML_showdisclaimer']."',	
	           	                                                                            link_lastchange    = '".@$_AMLconfig['date_countflag']."' WHERE link_id = '".$HTTP_POST_VARS['AML_linkid']."'", $_AMLconfig['sql_connect']);
	           	// --> BEGIN include userfields -----------------------------------------------------------------------------------
	           	$AML_oldentry['link_id'] = $HTTP_POST_VARS['AML_origid'];
			if(!$_AMLinclude['res_userfields'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/userfields_update.inc.php"))
			{	
				die("can not load object<i>user form fields</i> so I will die now!");
			}
			if(!$_AMLinclude['res_userfields'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/userfields_updateid.inc.php"))
			{	
				die("can not load object<i>user form fields</i> so I will die now!");
			}
			// <-- END include userfields -------------------------------------------------------------------------------------
			
	           	
	           	$AML_update_entry  = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_id  = '".$HTTP_POST_VARS['AML_origid']."', link_origid = ''", $_AMLconfig['sql_connect']);
	        }
	        else
	        {
			$AML_update_entry  = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_active          = '1',
			                                                                            link_protocol        = '".@$HTTP_POST_VARS['AML_obj_protocol']."',
	        		                                                                    link_url             = '".@$HTTP_POST_VARS['AML_url']."',
	        		                                                                    link_active          = '1',
			                                                                            link_inactivereason  = '',	
	        		                                                                    link_permission      = '".@$HTTP_POST_VARS['AML_obj_permission']."',
	        		                                                                    link_categorie       = '".@$HTTP_POST_VARS['AML_obj_categorie']."',
	        		                                                                    link_language        = '".@$HTTP_POST_VARS['AML_obj_language']."',
	        		                                                                    link_topic           = '".@$HTTP_POST_VARS['AML_topic']."',
	        		                                                                    link_description     = '".@$HTTP_POST_VARS['AML_description']."',
	        		                                                                    link_description2    = '".@$HTTP_POST_VARS['AML_description2']."',
	        		                                                                    link_banner          = '".@$HTTP_POST_VARS['AML_banner']."',
	        		                                                                    link_banner_type     = '".@$HTTP_POST_VARS['AML_obj_banner']."',
	        		                                                                    link_isdownload      = '".@$HTTP_POST_VARS['AML_linkisdownload']."',
	        		                                                                    link_size            = '".@$HTTP_POST_VARS['AML_size']."',
	        		                                                                    link_version         = '".@$HTTP_POST_VARS['AML_version']."',
	        		                                                                    link_author          = '".@$HTTP_POST_VARS['AML_author']."',
	        		                                                                    link_platform        = '".@$HTTP_POST_VARS['AML_platform']."',
	        		                                                                    link_price           = '".@$HTTP_POST_VARS['AML_price']."',
	        		                                                                    link_username        = '".@$HTTP_POST_VARS['AML_username']."',
	        		                                                                    link_useremail       = '".@$HTTP_POST_VARS['AML_email']."',
	        		                                                                    link_template1       = '".@$HTTP_POST_VARS['AML_link_edit_template1']."',
	        		                                                                    link_template2       = '".@$HTTP_POST_VARS['AML_link_edit_template2']."',
	        		                                                                    link_show_url        = '".@$HTTP_POST_VARS['AML_showurl']."',
        	                                                                                    link_show_hits       = '".@$HTTP_POST_VARS['AML_showhits']."', 
	        	                                                                            link_show_broken     = '".@$HTTP_POST_VARS['AML_showbroken']."',
	        	                                                                            link_show_vote       = '".@$HTTP_POST_VARS['AML_showvote']."',
	        	                                                                            link_show_info       = '".@$HTTP_POST_VARS['AML_showinfo']."', 
	       	 	                                                                            link_show_comments   = '".@$HTTP_POST_VARS['AML_showcomments']."',
	       	 	                                                                            link_show_options    = '".@$HTTP_POST_VARS['AML_showoptions']."',
	       	 	                                                                            link_show_frame      = '".@$HTTP_POST_VARS['AML_showframe']."',
	       	                                                                                    link_show_disclaimer = '".@$HTTP_POST_VARS['AML_showdisclaimer']."',	           	                                                                            
	           	                                                                            link_lastchange      = '".$_AMLconfig['date_countflag']."' WHERE link_id = '".$HTTP_POST_VARS['AML_linkid']."'", $_AMLconfig['sql_connect']);
	           	// --> BEGIN include userfields -----------------------------------------------------------------------------------
			$AML_oldentry['link_id'] = $HTTP_POST_VARS['AML_linkid'];
			if(!$_AMLinclude['res_userfields'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/userfields_update.inc.php"))
			{	
				die("can not load object<i>user form fields</i> so I will die now!");
			}
			// <-- END include userfields -------------------------------------------------------------------------------------
	        }
	        // --> BEGIN mail action --------------------------------------------------------------------------------------------------
		if(isset($HTTP_POST_VARS['cfg_mail_entry_accepted_user'])  && $HTTP_POST_VARS['cfg_mail_entry_accepted_user']  == '1') { $_AMLusrcfg['cfg_mail_entry_accepted_user']  = '1';  } else { $_AMLusrcfg['cfg_mail_entry_accepted_user']  = '0'; }
		if(isset($HTTP_POST_VARS['cfg_mail_entry_accepted_admin']) && $HTTP_POST_VARS['cfg_mail_entry_accepted_admin'] == '1') { $_AMLusrcfg['cfg_mail_entry_accepted_admin'] = '1';  } else { $_AMLusrcfg['cfg_mail_entry_accepted_admin'] = '0'; }
		$_AMLmailaction = "entry_accepted";
		if(!$_AMLinclude['res_mail'] = include("".$_AMLconfig['cfg_serverpath'].""."./include/mail.inc.php"))
		{	
			die("can not load <i>mail.inc.php</i> so I will die now!");
		}
		// <-- END mail action ----------------------------------------------------------------------------------------------------
		
		if(isset($HTTP_POST_VARS['resetbroken']) && $HTTP_POST_VARS['resetbroken'] == '1')
	        {
	        	$AML_reset_broken = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_broken         = '0',
	        	                                                                           link_lastcode       = '200',
	        	                                                                           link_inactivereason = '' WHERE link_id = '".$HTTP_POST_VARS['AML_linkid']."'", $_AMLconfig['sql_connect']);
		}
			
		$AML_delete_notes = AMS_sql_query("DELETE FROM ".$_AMLconfig['tbl_notes']." WHERE notes_validateid = '".$HTTP_POST_VARS['AML_validateid']."'", $_AMLconfig['sql_connect']);
		
		$AML_info_info         = ""._admin_info_addlink_linkadded_."";
		$AML_info_description  = ""._admin_info_addlink_linkaddeddesc_."";
		$AML_link_managed = 1;
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}	
	}
	// END activate entry ---------------------------------------------------------------------------------------------------------------	

	if(isset($HTTP_POST_VARS['AML_validateaction']) && $HTTP_POST_VARS['AML_validateaction'] == 'editonly' && !isset($AML_errcode))
	{
		if(!empty($HTTP_POST_VARS['AML_origid']))
		{
			$AML_delete_old    = AMS_sql_query("DELETE FROM ".$_AMLconfig['tbl_links']." WHERE link_id = '".$HTTP_POST_VARS['AML_origid']."'", $_AMLconfig['sql_connect']);
			$AML_update_entry  = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_active          = '1',
			                                                                            link_inactivereason  = '',
			                                                                            link_protocol        = '".@$HTTP_POST_VARS['AML_obj_protocol']."',
	        		                                                                    link_url             = '".@$HTTP_POST_VARS['AML_url']."',	
	        		                                                                    link_permission      = '".@$HTTP_POST_VARS['AML_obj_permission']."',
	        		                                                                    link_categorie       = '".@$HTTP_POST_VARS['AML_obj_categorie']."',
	        		                                                                    link_language        = '".@$HTTP_POST_VARS['AML_obj_language']."',
	        		                                                                    link_topic           = '".@$HTTP_POST_VARS['AML_topic']."',
	        		                                                                    link_description     = '".@$HTTP_POST_VARS['AML_description']."',
	        		                                                                    link_description2    = '".@$HTTP_POST_VARS['AML_description2']."',
	        		                                                                    link_banner          = '".@$HTTP_POST_VARS['AML_banner']."',
	        		                                                                    link_banner_type     = '".@$HTTP_POST_VARS['AML_obj_banner']."',
	        		                                                                    link_isdownload      = '".@$HTTP_POST_VARS['AML_linkisdownload']."',
	        		                                                                    link_size            = '".@$HTTP_POST_VARS['AML_size']."',
	        		                                                                    link_version         = '".@$HTTP_POST_VARS['AML_version']."',
	        		                                                                    link_author          = '".@$HTTP_POST_VARS['AML_author']."',
	        		                                                                    link_platform        = '".@$HTTP_POST_VARS['AML_platform']."',
	        		                                                                    link_price           = '".@$HTTP_POST_VARS['AML_price']."',
	        		                                                                    link_username        = '".@$HTTP_POST_VARS['AML_username']."',
	        		                                                                    link_useremail       = '".@$HTTP_POST_VARS['AML_email']."',
	        		                                                                    link_template1       = '".@$HTTP_POST_VARS['AML_link_edit_template1']."',
	        		                                                                    link_template2       = '".@$HTTP_POST_VARS['AML_link_edit_template2']."',
	        		                                                                    link_show_url        = '".@$HTTP_POST_VARS['AML_showurl']."',
        	                                                                                    link_show_hits       = '".@$HTTP_POST_VARS['AML_showhits']."', 
	        	                                                                            link_show_broken     = '".@$HTTP_POST_VARS['AML_showbroken']."',
	        	                                                                            link_show_vote       = '".@$HTTP_POST_VARS['AML_showvote']."',
	        	                                                                            link_show_info       = '".@$HTTP_POST_VARS['AML_showinfo']."', 
	       	 	                                                                            link_show_comments   = '".@$HTTP_POST_VARS['AML_showcomments']."',
	       	 	                                                                            link_show_options    = '".@$HTTP_POST_VARS['AML_showoptions']."',
	       	 	                                                                            link_show_frame      = '".@$HTTP_POST_VARS['AML_showframe']."',
	       	                                                                                    link_show_disclaimer = '".@$HTTP_POST_VARS['AML_showdisclaimer']."',	
	           	                                                                            link_lastchange    = '".$_AMLconfig['date_countflag']."' WHERE link_id = '".$HTTP_POST_VARS['AML_linkid']."'", $_AMLconfig['sql_connect']);
	           	// --> BEGIN include userfields -----------------------------------------------------------------------------------
			$AML_oldentry['link_id'] = $HTTP_POST_VARS['AML_origid'];
			if(!$_AMLinclude['res_userfields'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/userfields_update.inc.php"))
			{	
				die("can not load object<i>user form fields</i> so I will die now!");
			}
			if(!$_AMLinclude['res_userfields'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/userfields_updateid.inc.php"))
			{	
				die("can not load object<i>user form fields</i> so I will die now!");
			}
			// <-- END include userfields -------------------------------------------------------------------------------------
	           	
	           	// WHY? $AML_update_entry  = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_id  = '".$HTTP_POST_VARS['AML_origid']."', link_origid = ''", $_AMLconfig['sql_connect']);
	        }
	        else
	        {
	     		$AML_update_entry  = AMS_sql_query("UPDATE ".$_AMLconfig['tbl_links']." SET link_protocol        = '".@$HTTP_POST_VARS['AML_obj_protocol']."',
	        	                                                                            link_url             = '".@$HTTP_POST_VARS['AML_url']."',
	        	                                                                            link_permission      = '".@$HTTP_POST_VARS['AML_obj_permission']."',
	        	                                                                            link_categorie       = '".@$HTTP_POST_VARS['AML_obj_categorie']."',
	        	                                                                            link_language        = '".@$HTTP_POST_VARS['AML_obj_language']."',
	        	                                                                            link_topic           = '".@$HTTP_POST_VARS['AML_topic']."',
	        	                                                                            link_description     = '".@$HTTP_POST_VARS['AML_description']."',
	        	                                                                            link_description2    = '".@$HTTP_POST_VARS['AML_description2']."',
	        	                                                                            link_banner          = '".@$HTTP_POST_VARS['AML_banner']."',
	        	                                                                            link_banner_type     = '".@$HTTP_POST_VARS['AML_obj_banner']."',
	        	                                                                            link_isdownload      = '".@$HTTP_POST_VARS['AML_linkisdownload']."',
	        	                                                                            link_size            = '".@$HTTP_POST_VARS['AML_size']."',
	        	                                                                            link_version         = '".@$HTTP_POST_VARS['AML_version']."',
	        	                                                                            link_author          = '".@$HTTP_POST_VARS['AML_author']."',
	        	                                                                            link_platform        = '".@$HTTP_POST_VARS['AML_platform']."',
	        	                                                                            link_price           = '".@$HTTP_POST_VARS['AML_price']."',
	        	                                                                            link_username        = '".@$HTTP_POST_VARS['AML_username']."',
	        	                                                                            link_useremail       = '".@$HTTP_POST_VARS['AML_email']."',
	        	                                                                            link_template1       = '".@$HTTP_POST_VARS['AML_link_edit_template1']."',
	        	                                                                            link_template2       = '".@$HTTP_POST_VARS['AML_link_edit_template2']."',
        	                                                                                    link_show_url        = '".@$HTTP_POST_VARS['AML_showurl']."',
        	                                                                                    link_show_hits       = '".@$HTTP_POST_VARS['AML_showhits']."', 
	                                                                                            link_show_broken     = '".@$HTTP_POST_VARS['AML_showbroken']."',
	                                                                                            link_show_vote       = '".@$HTTP_POST_VARS['AML_showvote']."',
	                                                                                            link_show_info       = '".@$HTTP_POST_VARS['AML_showinfo']."', 
	       	                                                                                    link_show_comments   = '".@$HTTP_POST_VARS['AML_showcomments']."',
	       	                                                                                    link_show_options    = '".@$HTTP_POST_VARS['AML_showoptions']."',
	       	                                                                                    link_show_frame      = '".@$HTTP_POST_VARS['AML_showframe']."',
	       	                                                                                    link_show_disclaimer = '".@$HTTP_POST_VARS['AML_showdisclaimer']."',	           	                                                                            
	                                                                                            link_lastchange      = '".$_AMLconfig['date_countflag']."' WHERE link_id = '".$HTTP_POST_VARS['AML_linkid']."'", $_AMLconfig['sql_connect']);
	           	// --> BEGIN include userfields -----------------------------------------------------------------------------------
			$AML_oldentry['link_id'] = $HTTP_POST_VARS['AML_linkid'];
			if(!$_AMLinclude['res_userfields'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/userfields_update.inc.php"))
			{	
				die("can not load object<i>user form fields</i> so I will die now!");
			}
			// <-- END include userfields -------------------------------------------------------------------------------------
		}
        	// --> BEGIN mail action --------------------------------------------------------------------------------------------------
		if(isset($HTTP_POST_VARS['cfg_mail_entry_accepted_user'])  && $HTTP_POST_VARS['cfg_mail_entry_accepted_user']  == '1') { $_AMLusrcfg['cfg_mail_entry_accepted_user']  = '1';  } else { $_AMLusrcfg['cfg_mail_entry_accepted_user']  = '0'; }
		if(isset($HTTP_POST_VARS['cfg_mail_entry_accepted_admin']) && $HTTP_POST_VARS['cfg_mail_entry_accepted_admin'] == '1') { $_AMLusrcfg['cfg_mail_entry_accepted_admin'] = '1';  } else { $_AMLusrcfg['cfg_mail_entry_accepted_admin'] = '0'; }
		$_AMLmailaction = "entry_accepted";
		if(!$_AMLinclude['res_mail'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/mail.inc.php"))
		{	
			die("can not load <i>mail.inc.php</i> so I will die now!");
		}
		// <-- END mail action ----------------------------------------------------------------------------------------------------

		$AML_info_info         = ""._admin_info_validate_entry_updated_."";
		$AML_info_description  = ""._admin_info_validate_entry_updateddesc_."";
		$AML_link_managed = 1;
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
		$AML_delete_notes = AMS_sql_query("DELETE FROM ".$_AMLconfig['tbl_notes']." WHERE notes_validateid = '".$HTTP_POST_VARS['AML_validateid']."'", $_AMLconfig['sql_connect']);
	}	
}
// END validating link --------------------------------------------------------------------------------------------------------------------


// BEGIN building form if POST or GET linkid exists ---------------------------------------------------------------------------------------
if((isset($HTTP_POST_VARS['AML_linkid']) || isset($HTTP_GET_VARS['AML_linkid'])) && !isset($AML_link_managed))
{
	if(!empty($HTTP_POST_VARS['AML_linkid']))    { $AML_linkid = $HTTP_POST_VARS['AML_linkid']; }
	elseif(!empty($HTTP_GET_VARS['AML_linkid'])) { $AML_linkid = $HTTP_GET_VARS['AML_linkid'];  }
	else
	{
		$AML_error_error        = ""._admin_error_unknowndata_."";
		$AML_error_description  = ""._admin_error_unknowndatadesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}		
	}
	
	if(isset($AML_linkid) && !empty($AML_linkid))
	{	
		if($AML_link_validate_array = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_links']." WHERE link_id = '$AML_linkid'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']))
		{
			
			if(!isset($HTTP_POST_VARS['AML_validateupdate_sent']))
			{
				$AML_protocol     = $AML_link_validate_array['link_protocol'];
				$AML_active       = $AML_link_validate_array['link_active'];
				$AML_url          = $AML_link_validate_array['link_url'];
				$AML_categorie    = $AML_link_validate_array['link_categorie'];
				$AML_language     = $AML_link_validate_array['link_language'];
				$AML_topic        = $AML_link_validate_array['link_topic'];
				$AML_description  = $AML_link_validate_array['link_description'];
				$AML_description2 = $AML_link_validate_array['link_description2'];
				$AML_banner       = $AML_link_validate_array['link_banner'];
				$AML_banner_type  = $AML_link_validate_array['link_banner_type'];
				$AML_download     = $AML_link_validate_array['link_isdownload'];
				$AML_platform     = $AML_link_validate_array['link_platform'];
				$AML_size         = $AML_link_validate_array['link_size'];
				$AML_version      = $AML_link_validate_array['link_version'];
				$AML_author       = $AML_link_validate_array['link_author'];
				$AML_price        = $AML_link_validate_array['link_price'];
				$AML_username     = $AML_link_validate_array['link_username'];
				$AML_email        = $AML_link_validate_array['link_useremail'];
				$AML_linkid       = $AML_link_validate_array['link_id'];
				$AML_validateid   = $AML_link_validate_array['link_validateid'];
				$AML_validatecode = $AML_link_validate_array['link_usercode'];
				$AML_update       = $AML_link_validate_array['link_update'];
				$AML_origid       = $AML_link_validate_array['link_origid'];

			        if($AML_update == "0") $AML_update = "";
			        if($AML_origid == "0") $AML_origid = "";
			               							
			        if($AML_download == '1')
        			{
        				$AML_admin_validate_entry_isdownload1V = 'checked';
        				$AML_admin_validate_entry_isdownload2V = '';
        			}
        			else
        			{
        	 			$AML_admin_validate_entry_isdownload1V = '';
        				$AML_admin_validate_entry_isdownload2V = 'checked';       	
        			}
        			if($AML_active == 1)
				{
					$AML_admin_validate_entry_active1V = 'checked disabled';
        				$AML_admin_validate_entry_active2V = 'disabled';
        			}
        			else
        			{
					$AML_admin_validate_entry_active1V = 'disabled';
        				$AML_admin_validate_entry_active2V = 'checked disabled';
        			}
        			
        			$HTTP_POST_VARS['AML_obj_categorie'] = $AML_categorie;
        			$HTTP_POST_VARS['AML_obj_language'] = $AML_language;
        			
        			if($AML_active == '1')
        			{
        				$AML_validateaction_activate_status   ='disabled';
        				$AML_validateaction_deactivate_status ='';
        				$AML_validateaction_delete_status     ='';
        			}
        			else
        			{
        				$AML_validateaction_activate_status   ='';
        				$AML_validateaction_deactivate_status ='disabled';
        				$AML_validateaction_delete_status     ='';
        			}
        			if($AML_link_validate_array['link_inactivereason'] != 'new' || $AML_link_validate_array['link_inactivereason'] != 'update')
        			{
        				$AML_validateaction_deny_status       ='disabled';
        			}
        			else
        			{
        				$AML_validateaction_deny_status   ='';
        			}
			}
			
			// BEGIN include obj-----------------------------------------------------------------------------------------------

			// including protocol object
			if(!$_AMLinclude['obj_protocol'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/protocol/protocolpulldown.obj.php"))
			{	
				die("can not load object<i>protocol form field</i> so I will die now!");
			}
			// including permission object
			if(!$_AMLinclude['obj_protocol'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/permission/permissionpulldown.obj.php"))
			{	
				die("can not load object<i>protocol form field</i> so I will die now!");
			}
			// including categorie object
			$AML_catpulldown_formname  = "AML_obj_categorie";
			$AML_catpulldown['0']      = "0";
			$AML_catpulldown['1']      = "0";
			$AML_catpulldown['2']      = "0";
			if(!$_AMLinclude['obj_categorie'] = include("".$_AMLconfig['cfg_serverpath']."/objects/categories/catpulldown-form.obj.php"))
			{	
				die("can not load object<i>catpulldown form field</i> so I will die now!");
			}
			// including language object
			if(!$_AMLinclude['obj_protocol'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/language/langpulldown.obj.php"))
			{	
				die("can not load object<i>protocol form field</i> so I will die now!");
			}
			// END include obj-------------------------------------------------------------------------------------------------
			
			// --> BEGIN banner select ----------------------------------------------------------------------------------------
			$HTTP_POST_VARS['AML_obj_banner'] = $AML_banner_type;
			if(!$_AMLinclude['obj_banner'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/banner/bannerselect.obj.php"))
			{	
				die("can not load object<i>banner field</i> so I will die now!");
			}		
			// <-- END banner select ------------------------------------------------------------------------------------------
				
			
			// --> BEGIN creating options bar ---------------------------------------------------------------------------------
			if($AML_link_validate_array['link_show_url']        == 0){ $AML_showurl_checked         = '';  } else { $AML_showurl_checked        = 'checked'; }
			if($AML_link_validate_array['link_show_hits']       == 0){ $AML_showhits_checked        = '';  } else { $AML_showhits_checked       = 'checked'; }
			if($AML_link_validate_array['link_show_broken']     == 0){ $AML_showbroken_checked      = '';  } else { $AML_showbroken_checked     = 'checked'; }
			if($AML_link_validate_array['link_show_vote']       == 0){ $AML_showvote_checked        = '';  } else { $AML_showvote_checked       = 'checked'; }
			if($AML_link_validate_array['link_show_comments']   == 0){ $AML_showcomments_checked    = '';  } else { $AML_showcomments_checked   = 'checked'; }
			if($AML_link_validate_array['link_show_info']       == 0){ $AML_showinfo_checked        = '';  } else { $AML_showinfo_checked       = 'checked'; }
			if($AML_link_validate_array['link_show_options']    == 0){ $AML_showoptions_checked     = '';  } else { $AML_showoptions_checked    = 'checked'; }
			if($AML_link_validate_array['link_show_frame']      == 0){ $AML_showframe_checked       = '';  } else { $AML_showframe_checked      = 'checked'; }
			if($AML_link_validate_array['link_show_disclaimer'] == 0){ $AML_showdisclaimer_checked  = '';  } else { $AML_showdisclaimer_checked = 'checked'; }
			
			// <-- END creating options bar -----------------------------------------------------------------------------------
	
			// --> BEGIN template 1 -------------------------------------------------------------------------------------------
			$AML_chdir = chdir("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/dynamic/linkcontainer/"); 
			if($AML_chdir)
			{
				$AML_templatepulldown1  = "\r\r\t\t<select name=\"AML_link_edit_template1\" class=\"AMTselectfield\">\n";
				$AML_opendir=opendir('.');
				while (false !== ($AML_templates = readdir ($AML_opendir))) 
				{
			
					if ($AML_templates != "." && $AML_templates != ".." && !ereg("linkinfocontainer_",  $AML_templates) && !ereg("_private",  $AML_templates) && !ereg("_vit_cnf",  $AML_templates) && !ereg("_vti_log",  $AML_templates) && !ereg("_vti_pvt",  $AML_templates) && !ereg("_vit_script",  $AML_templates) && !ereg("_vti_txt",  $AML_templates) && !ereg(".htaccess",  $AML_templates) && !ereg(".htpasswd",  $AML_templates))
					{ 
			       			$AML_templatepulldown1 .= "<option value=\"$AML_templates\"";
			      			if($AML_templates == @$AML_link_validate_array['link_template1'])
			       			{
			       				$AML_templatepulldown1 .= " selected ";
			       			}
			      			$AML_templatepulldown1 .= ">$AML_templates</option>"; 
			        	}
				}
				closedir($AML_opendir);
				@$AML_chdir = chdir("".$_AMLconfig['cfg_serverpath']."/admin/");
				$AML_templatepulldown1 .= "\r\r\t\t</select>";
			}
			// <-- END template 1 ---------------------------------------------------------------------------------------------


			// --> BEGIN template 2 -------------------------------------------------------------------------------------------
			$AML_chdir = chdir("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/dynamic/linkcontainer/"); 
			if($AML_chdir)
			{
				$AML_templatepulldown2  = "\r\r\t\t<select name=\"AML_link_edit_template2\" class=\"AMTselectfield\">\n";
				$AML_opendir=opendir('.');
				while (false !== ($AML_templates = readdir ($AML_opendir))) 
				{
		
					if (ereg("linkinfocontainer_",  $AML_templates))
					{ 
			       			$AML_templatepulldown2 .= "<option value=\"$AML_templates\"";
			       			if($AML_templates == @$AML_link_validate_array['link_template2'])
			       			{
			       				$AML_templatepulldown2 .= " selected ";
			       			}
			       			$AML_templatepulldown2 .= ">$AML_templates</option>"; 
			       		}
				}
				closedir($AML_opendir);
				@$AML_chdir = chdir("".$_AMLconfig['cfg_serverpath']."/admin/");
				$AML_templatepulldown2 .= "\r\r\t\t</select>";
			}
			// <-- END template 2 ---------------------------------------------------------------------------------------------

	
			// --> BEGIN getting mail settings --------------------------------------------------------------------------------
			if($_AMLusrcfg['cfg_mail_entry_accepted_user']     == '1') { $AML_admin_validate_entry_activate_userchecked    = 'checked'; } else { $AML_admin_validate_entry_activate_userchecked    = ''; }
			if($_AMLusrcfg['cfg_mail_entry_accepted_admin']    == '1') { $AML_admin_validate_entry_activate_adminchecked   = 'checked'; } else { $AML_admin_validate_entry_activate_adminchecked   = ''; }
			if($_AMLusrcfg['cfg_mail_entry_deactivated_user']  == '1') { $AML_admin_validate_entry_deactivate_userchecked  = 'checked'; } else { $AML_admin_validate_entry_deactivate_userchecked  = ''; }
			if($_AMLusrcfg['cfg_mail_entry_deactivated_admin'] == '1') { $AML_admin_validate_entry_deactivate_adminchecked = 'checked'; } else { $AML_admin_validate_entry_deactivate_adminchecked = ''; }
			if($_AMLusrcfg['cfg_mail_entry_deleted_user']      == '1') { $AML_admin_validate_entry_delete_userchecked      = 'checked'; } else { $AML_admin_validate_entry_delete_userchecked      = ''; }
			if($_AMLusrcfg['cfg_mail_entry_deleted_admin']     == '1') { $AML_admin_validate_entry_delete_adminchecked     = 'checked'; } else { $AML_admin_validate_entry_delete_adminchecked     = ''; }
			if($_AMLusrcfg['cfg_mail_entry_denied_user']       == '1') { $AML_admin_validate_entry_deny_userchecked        = 'checked'; } else { $AML_admin_validate_entry_deny_userchecked        = ''; }
			if($_AMLusrcfg['cfg_mail_entry_denied_admin']      == '1') { $AML_admin_validate_entry_deny_adminchecked       = 'checked'; } else { $AML_admin_validate_entry_deny_adminchecked       = ''; }
			// <-- END getting mail settings ----------------------------------------------------------------------------------
			
			// --> BEGIN include userfields ---------------------------------------------------------------------------
			$AML_field_valueid = $AML_linkid;
			if(!$_AMLinclude['res_userfields'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/userfields.inc.php"))
			{	
				die("can not load object<i>user form fields</i> so I will die now!");
			}
			// <-- END include userfields -----------------------------------------------------------------------------
							
			$AML_link_validate_entry_get = //require_once("".$_AMLconfig['cfg_serverpath'].""."/include/template.inc.php");
			$AML_link_validate_entry_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath'].""."/template/".$_AMLusrcfg['globalcfg_template']."/admin/admin_link_validate_entry.tpl.html", __FILE__, __LINE__);

	
				// --> BEGIN templating globals ---------------------------------------------------------------------------
				$AML_link_validate_entry_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
				// <-- END templating globals -----------------------------------------------------------------------------

				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_headline',                ""._admin_validate_entry_headline_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_id',                      ""._admin_validate_entry_id_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_validateid',              ""._admin_validate_entry_validateid_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_validatecode',            ""._admin_validate_entry_validatecode_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_entryisupdate',           ""._admin_validate_entry_entryisupdate_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_protocol',                ""._admin_validate_entry_protocol_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_url',                     ""._admin_validate_entry_url_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_active',                  ""._admin_validate_entry_active_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_permission',              ""._admin_validate_entry_permission_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_categorie',               ""._admin_validate_entry_categorie_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_language',                ""._admin_validate_entry_language_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_name',                    ""._admin_validate_entry_name_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_description',             ""._admin_validate_entry_description_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_description2',            ""._admin_validate_entry_description2_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_description2desc',        ""._admin_validate_entry_description2desc_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_banner',                  ""._admin_validate_entry_banner_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_isdownload',              ""._admin_validate_entry_isdownload_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_size',                    ""._admin_validate_entry_size_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_version',                 ""._admin_validate_entry_version_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_author',                  ""._admin_validate_entry_author_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_platform',                ""._admin_validate_entry_platform_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_pricing',                 ""._admin_validate_entry_pricing_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_user',                    ""._admin_validate_entry_user_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_email',                   ""._admin_validate_entry_email_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_notvisible',              ""._admin_validate_entry_notvisible_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_yes',                     ""._admin_global_yes_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_no',                      ""._admin_global_no_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_template1',               ""._admin_validate_entry_template1_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_template2',               ""._admin_validate_entry_template2_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_resetbroken',             ""._admin_validate_entry_resetbroken_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_options',                 ""._admin_validate_entry_options_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_showhits',                ""._admin_validate_entry_showhits_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_showurl',                 ""._admin_validate_entry_showurl_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_showbroken',              ""._admin_validate_entry_showbroken_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_showvote',                ""._admin_validate_entry_showvote_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_showcomments',            ""._admin_validate_entry_showcomments_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_showinfo',                ""._admin_validate_entry_showinfo_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_showoptions',             ""._admin_validate_entry_showoptions_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_showframe',               ""._admin_linkadd_showframe_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_showdisclaimer',          ""._admin_linkadd_showdisclaimer_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_activate',                ""._admin_validate_entry_activate_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_deactivate',              ""._admin_validate_entry_deactivate_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_delete',                  ""._admin_validate_entry_delete_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_infotouser',              ""._admin_validate_entry_infotouser_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_infotoadmin',             ""._admin_validate_entry_infotoadmin_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_noaction',                ""._admin_validate_entry_noaction_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_deny',                    ""._admin_validate_entry_deny_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_onlynew',                       ""._admin_validate_onlynew_."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_protocolV',               "".$_AML_obj_protocolpulldown."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_permissionfield',         "".$_AML_obj_permissionpulldown."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_categoriefield',          "".$_AML_obj_catpulldown."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_languagefield',           "".$_AML_obj_langpulldown."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_idV',                     "".$AML_linkid."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_validateidV',             "".$AML_validateid."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_validatecodeV',           "".$AML_validatecode."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_origidV',                 "".$AML_origid."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_urlV',                    "".$AML_url."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_nameV',                   "".$AML_topic."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_descriptionV',            "".$AML_description."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_description2V',           "".$AML_description2."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_bannerV',                 "".$AML_banner."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_sizeV',                   "".$AML_size."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_versionV',                "".$AML_version."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_authorV',                 "".$AML_author."");	
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_platformV',               "".$AML_platform."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_priceV',                  "".$AML_price."");	
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_usernameV',               "".$AML_username."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_emailV',                  "".$AML_email."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_active1V',                "".$AML_admin_validate_entry_active1V."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_active2V',                "".$AML_admin_validate_entry_active2V."");  
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_isdownload1V',            "".$AML_admin_validate_entry_isdownload1V."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_isdownload2V',            "".$AML_admin_validate_entry_isdownload2V."");  
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_validateaction_activate_status',               "".$AML_validateaction_activate_status.""); 
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_validateaction_deactivate_status',             "".$AML_validateaction_deactivate_status."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_validateaction_delete_status',                 "".$AML_validateaction_delete_status."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_validateaction_deny_status',                   "".$AML_validateaction_deny_status."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_template1V',              "".$AML_templatepulldown1."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_template2V',              "".$AML_templatepulldown2.""); 
				$AML_link_validate_entry_tpl -> AMT_assign('AML_showurl_checked',                              "".$AML_showurl_checked."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_showhits_checked',                             "".$AML_showhits_checked."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_showbroken_checked',                           "".$AML_showbroken_checked."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_showvote_checked',                             "".$AML_showvote_checked."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_showcomments_checked',                         "".$AML_showcomments_checked."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_showinfo_checked',                             "".$AML_showinfo_checked."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_showoptions_checked',                          "".$AML_showoptions_checked."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_showframe_checked',                            "".$AML_showinfo_checked."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_showdisclaimer_checked',                       "".$AML_showoptions_checked."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_activate_userchecked',    "".$AML_admin_validate_entry_activate_userchecked."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_activate_adminchecked',   "".$AML_admin_validate_entry_activate_adminchecked.""); 
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_deactivate_userchecked',  "".$AML_admin_validate_entry_deactivate_userchecked."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_deactivate_adminchecked', "".$AML_admin_validate_entry_deactivate_adminchecked."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_delete_userchecked',      "".$AML_admin_validate_entry_delete_userchecked."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_delete_adminchecked',     "".$AML_admin_validate_entry_delete_adminchecked."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_deny_userchecked',        "".$AML_admin_validate_entry_deny_userchecked."");
        			$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_deny_adminchecked',       "".$AML_admin_validate_entry_deny_adminchecked."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_FILE_userfields',                              "".$AML_fieldcontainerhtml."");
				$AML_link_validate_entry_tpl -> AMT_assign('AML_admin_validate_entry_bannertype',              "".$_AML_obj_banner."");
				
				$AML_link_validate_entry_tpl -> AMT_tpl_print();
		}
		else
		{
			$AML_warning_info         = ""._admin_warning_linkdoesnotexists_."";
			$AML_warning_description  = ""._admin_warning_linkdoesnotexistsdesc_."";
			if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/warning.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}
			$AML_update = AMS_sql_query("DELETE FROM ".$_AMLconfig['tbl_notes']." WHERE notes_url LIKE '%".$AML_linkid."'", $_AMLconfig['sql_connect']); 		
		}	
	}
}
// <--  END building form if POST or GET linkid exists ------------------------------------------------------------------------------------
?>