<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./include/function.inc.php                           */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 20, 2004                                         */
/*                                                                      */
/************************************************************************/


// --> BEGIN FILE ACCESS SECURITY ----------------------------------------
if (eregi("function.inc.php",$HTTP_SERVER_VARS['PHP_SELF'])) 
{
    die("YOU CAN NOT ACCESS THIS FILE DIRECTLY!");
}
// <-- END FILE ACCESS SECURITY ------------------------------------------


if(!function_exists('AML_getcatname'))
{
	function AML_getcatname($AML_catid)
	{
		global $_AMLconfig;
		
		$AML_return = AMS_sql_fetch_array(AMS_sql_query("SELECT categorie_viewitas AS catname FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_id ='".$AML_catid."'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']); 
		return $AML_return['catname'];
	}
}

if(!function_exists('AML_buildnetinfo'))
{
	function AML_buildnetinfo()
	{
		global $_AMLconfig;
		
		$return  = "\nREMOTE_ADDR: ".$_AMLconfig['env_REMOTE_ADDR']."\n";
		$return .= "USER_AGENT : ".$_AMLconfig['env_HTTP_USER_AGENT']."\n";
		$return .= "REMOT_HOST : ".$_AMLconfig['env_HTTP_REMOTE_HOST']."\n";
		$return .= "REQUEST_URI: ".$_AMLconfig['env_REQUEST_URI']."\n";
		
		return $return;	
	}
}

if(!function_exists('AML_badwordfilter'))
{
	function AML_badwordfilter()
	{
	}
}

if(!function_exists('AML_add_cmtsmilies'))
{
	function AML_add_cmtsmilies()
	{
	}
}
//+--------------------------------------------------------------------------------------+
//| function : AML_count_links	                                                 	 |
//+--  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --+
//|                                                                                      |
//| use it to create the "including (xy) links information and for statistics	         |
//| $id = print all links for $id. scan recursive for all layer				 |
//| all = return all links (Note! inactive cats/links too, use only for admin interface) |
//| allactive = all as active marked links						 |
//| 											 |
//+--  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --+
//| (c) 2003, voice of web. Used for AllMyLinks version 0.4.0 or higher			 |
//+--------------------------------------------------------------------------------------+


if(!function_exists('AML_count_links'))
{
	function AML_count_links($AML_categorie, $AML_linkscount, $AML_where) 
	{
		global $AML_linksvalue, $_AMLconfig;
	
		if(!ereg ("all", $AML_categorie))
		{
			if(!empty($AML_where))
			{
				$AML_where = "AND $AML_where";
			}
			else
			{
				$AML_where = "";
			}
			$AML_links = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) as total FROM ".$_AMLconfig['tbl_links']." WHERE link_categorie = '$AML_categorie' AND link_active='1' $AML_where", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
			$AML_linksvalue = $AML_linkscount + $AML_links['total'];
			$AML_getsubcats = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_topcat = '$AML_categorie' AND categorie_active = '1'", $_AMLconfig['sql_connect']);
			while($AML_subcatlinks = AMS_sql_fetch_array($AML_getsubcats, $_AMLconfig['sql_connect'])) 
			{
				$AML_getsubsubcats = AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_topcat = '$AML_subcatlinks[categorie_id]' AND categorie_active = '1'", $_AMLconfig['sql_connect']);
				$AML_subsubcats    = AMS_sql_fetch_array($AML_getsubsubcats, $_AMLconfig['sql_connect']);
				if (isset($AML_subsubcats['total']) && !empty($AML_subsubcats['total'])) 
				{
					
					$AML_totallinks = $AML_linksvalue;                                                        
					AML_count_links($AML_subcatlinks['categorie_id'], $AML_linksvalue, $AML_where); 			
				}
				else
				{
					$AML_links2 = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_links']." WHERE link_categorie = '$AML_subcatlinks[categorie_id]' AND link_active='1'  AND link_active = '1'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
					$AML_linksvalue = $AML_linksvalue + $AML_links2['total'];	
				}
		
			}
		}
		elseif(ereg ("all", $AML_categorie))
		{
			if($AML_categorie == "all")
			{
				$AML_links = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) as total FROM ".$_AMLconfig['tbl_links']."  $AML_where", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
				$AML_linksvalue = $AML_links['total'];
			}
			
			if($AML_categorie == "allactive")
			{
				if(!empty($AML_where))
				{
					$AML_where = "AND $AML_where";
				}
				$AML_links = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) as total FROM ".$_AMLconfig['tbl_links']." WHERE link_active = '1'  $AML_where", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
				$AML_linksvalue = $AML_links['total'];
			}
		}
		else
		{
			$AML_linksvalue = "Error in function AML_links_count()";
		}
					
		return($AML_linksvalue); 
		unset($AML_linksvalue);
	}
}


//+--------------------------------------------------------------------------------------+
//| function : AML_count_categories 	                                                 |
//+--  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --+
//|                                                                                      |
//| use it to create the value for existing categories. used everywhere, it can be:      |
//| $id = print all sub categories for $id. returns only active categories		 |
//| all = return all categories (Note! inactive cats too, use only for admin interface)  |
//| allactive = all as active marked categories						 |
//| 											 |
//+--  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --+
//| (c) 2002, voice of web. Used for AllMyLinks version 0.4.0 or higher			 |
//+--------------------------------------------------------------------------------------+

if(!function_exists('AML_count_categories'))
{
	function AML_count_categories($AML_categorie, $AML_catcount, $AML_where) 
	{
		global $AML_returncats, $_AMLconfig;
		
		if(!ereg ("all", $AML_categorie))
		{
			if(!empty($AML_where))
			{
				$AML_where = "AND $AML_where";
			}
			else
			{
				$AML_where = "";
			}
			$AML_cats = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_topcat = '$AML_categorie'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
			$AML_returncats = $AML_catcount + $AML_cats['total'];
			
			$AML_subcats = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_topcat = '$AML_categorie'", $_AMLconfig['sql_connect']);
			while($AML_subsubcats = AMS_sql_fetch_array($AML_subcats , $_AMLconfig['sql_connect']))
			{
				$AML_exists = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_topcat = '$AML_subsubcats[categorie_id]'", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
				if(isset($AML_exists['total']) && !empty($AML_exists['total']))
				{
					AML_count_categories($AML_subsubcats['categorie_id'], $AML_returncats, $AML_where);
				}
			}
		}
		elseif($AML_categorie == "all")
		{
			if(!empty($AML_where))
			{
				$AML_where = "WHERE $AML_where";
			}
			$AML_cats = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_categories']." $AML_where", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']); 
			$AML_returncats = $AML_cats['total'];
		}
		elseif($AML_categorie == "allactive")
		{
			if(!empty($AML_where))
			{
				$AML_where = "AND $AML_where";
			}
			$AML_cats = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_active = '1' $AML_where", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']); 
			$AML_returncats = $AML_cats['total'];
		}
		else
		{
			$AML_returncats = "Error running AML_count_hits(), using integer, or string \"all\" & \"allactive\"";
		}
		if(empty($AML_returncats)) $AML_returncats = "0";
		return($AML_returncats);
	}
}	
//+--------------------------------------------------------------------------------------+
//| function : AML_count_hits 	                                                 	 |
//+--  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --+
//|                                                                                      |
//| use it to create the hits for an existing categorie. used everywhere, it can be:     |
//| $id = print all sub categories for $id. returns only active categories		 |
//| all = return all categories (Note! inactive link hits too, use only for admin )      |
//| allactive = all as active marked link hits						 |
//| 											 |
//+--  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --  --+
//| (c) 2002, voice of web. Used for AllMyLinks version 0.4.0 or higher			 |
//+--------------------------------------------------------------------------------------+

if(!function_exists('AML_count_hits'))
{
	function AML_count_hits($AML_categorie, $AML_hitscount, $AML_where) 
	{
		global $AML_returnhits, $_AMLconfig;
		
		if(!ereg ("all", $AML_categorie))
		{
			if(!empty($AML_where))
			{
				$AML_where = "AND $AML_where";
			}
			$AML_hits = AMS_sql_fetch_array(AMS_sql_query("SELECT SUM(link_hits) AS total FROM ".$_AMLconfig['tbl_links']." WHERE link_categorie = '$AML_categorie' AND link_active='1' $AML_where", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
			$AML_returnhits = $AML_hitscount + $AML_hits['total'];
			
			$AML_getsubcats = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_topcat = '$AML_categorie' AND categorie_active = '1'", $_AMLconfig['sql_connect']);
			while($AML_subcathits = AMS_sql_fetch_array($AML_getsubcats, $_AMLconfig['sql_connect'])) 
			{
				$AML_getsubsubcats = AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_topcat = '$AML_subcathits[categorie_id]' AND categorie_active = '1'", $_AMLconfig['sql_connect']);
				$AML_subsubcats    = AMS_sql_fetch_array($AML_getsubsubcats, $_AMLconfig['sql_connect']);
				if (isset($AML_subsubcats['total']) && !empty($AML_subsubcats['total'])) 
				{                                                    
					AML_count_hits($AML_subcathits['categorie_id'], $AML_returnhits, $AML_where); 			
				}
				else
				{
					$AML_hits2 = AMS_sql_fetch_array(AMS_sql_query("SELECT SUM(link_hits) AS total FROM ".$_AMLconfig['tbl_links']." WHERE link_categorie = '$AML_subcathits[categorie_id]' AND link_active = '1' $AML_where", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
					$AML_returnhits = $AML_returnhits + $AML_hits2['total'];	
				}
			}
		}
		elseif($AML_categorie == "all")
		{
			if(!empty($AML_where))
			{
				$AML_where = "WHERE $AML_where";
			}
			$AML_gethits    = AMS_sql_fetch_array(AMS_sql_query("SELECT SUM(link_hits) AS total FROM ".$_AMLconfig['tbl_links']." $AML_where", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
			$AML_returnhits = $AML_gethits['total'];
		}
		elseif($AML_categorie == "allactive")
		{
			if(!empty($AML_where))
			{	
				$AML_where = "AND $AML_where";
			}
			$AML_gethits    = AMS_sql_fetch_array(AMS_sql_query("SELECT SUM(link_hits) AS total FROM ".$_AMLconfig['tbl_links']." WHERE link_active = '1' $AML_where", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
			$AML_returnhits = $AML_gethits['total'];
		}
		else
		{
			$AML_returnhits = "Error running AML_count_hits(), using integer, or string \"all\" & \"allactive\"";
		}
		
		if(empty($AML_returnhits)) $AML_returnhits = "0";
		return($AML_returnhits);
		unset($AML_retunhits);
	}
}

if(!function_exists('phpLinkCheck'))
{
	function phpLinkCheck($url, $r = FALSE) 
	{ 
	  /*  Purpose: Check HTTP Links 
	   *  Usage:   $var = phpLinkCheck(absoluteURI) 
	   *           $var["Status-Code"] will return the HTTP status code 
	   *           (e.g. 200 or 404). In case of a 3xx code (redirection) 
	   *           $var["Location-Status-Code"] will contain the status 
	   *           code of the new loaction. 
	   *           See print_r($var) for the complete result 
	   * 
	   *  Author:  Johannes Froemter <j-f@gmx.net> 
	   *  Date:    2001-04-14 
	   *  Version: 0.1 (currently requires PHP4) 
	   */ 
	
	  $url = trim($url); 
	  if (!preg_match("=://=", $url)) $url = "http://$url"; 
	  $url = parse_url($url); 
	  if (strtolower($url["scheme"]) != "http") return FALSE; 
	
	  if (!isset($url["port"])) $url["port"] = 80; 
	  if (!isset($url["path"])) $url["path"] = "/"; 
	
	  $fp = @fsockopen($url["host"], $url["port"], &$errno, &$errstr, 30); 
	
	  if (!$fp) return FALSE; 
	  else 
	  { 
	    $head = ""; 
	    $httpRequest = "HEAD ". $url["path"] ." HTTP/1.1\r\n" 
	                  ."Host: ". $url["host"] ."\r\n" 
	                  ."Connection: close\r\n\r\n"; 
	    fputs($fp, $httpRequest); 
	    while(!feof($fp)) $head .= fgets($fp, 1024); 
	    fclose($fp); 
	
	    @preg_match("=^(HTTP/\d+\.\d+) (\d{3}) ([^\r\n]*)=", $head, $matches); 
	    $http["Status-Line"]   = @$matches[0]; 
	    $http["HTTP-Version"]  = @$matches[1]; 
	    $http["Status-Code"]   = @$matches[2]; 
	    $http["Reason-Phrase"] = @$matches[3]; 
	
	    if ($r) return $http["Status-Code"]; 
	
	    $rclass = array("Informational", "Success", 
	                    "Redirection", "Client Error", 
	                    "Server Error"); 
	    $http["Response-Class"] = @$rclass[$http["Status-Code"][0] - 1]; 
	
	    preg_match_all("=^(.+): ([^\r\n]*)=m", $head, $matches, PREG_SET_ORDER); 
	    foreach($matches as $line) $http[$line[1]] = $line[2]; 
	
	    if ($http["Status-Code"][0] == 3) 
	      $http["Location-Status-Code"] = phpLinkCheck($http["Location"], TRUE); 
	
	    return $http; 
	  } 
	}
}


if(!function_exists('AMP_my_handler'))
{
	function AMP_my_handler($sql_insert)
	{
		global $crlf;
		echo "$sql_insert;$crlf";
	}
}


if(!function_exists('AMP_get_tabledefinition'))
{
	function AMP_get_tabledefinition($db, $table, $crlf)
	{
		$schema_create  = "";
		$schema_create .= "DROP TABLE IF EXISTS $table;$crlf";
		$schema_create .= "CREATE TABLE $table ($crlf";
		$result = mysql_db_query($db, "SHOW FIELDS FROM $table") or mysql_die();
		while($row = mysql_fetch_array($result))
		{
			$schema_create .= "   $row[Field] $row[Type]";
			if(isset($row["Default"]) && (!empty($row["Default"]) || $row["Default"] == "0"))
			$schema_create .= " DEFAULT '$row[Default]'";
			if($row["Null"] != "YES")
			$schema_create .= " NOT NULL";
			if($row["Extra"] != "")
			$schema_create .= " $row[Extra]";
			$schema_create .= ",$crlf";
		}
		$schema_create = ereg_replace(",".$crlf."$", "", $schema_create);
		$result = mysql_db_query($db, "SHOW KEYS FROM $table") or mysql_die();
	
		while($row = mysql_fetch_array($result))
		{
			$kname=$row['Key_name'];
			if(($kname != "PRIMARY") && ($row['Non_unique'] == 0)) $kname="UNIQUE|$kname";
			if(!isset($index[$kname])) $index[$kname] = array();
			$index[$kname][] = $row['Column_name'];
		}
	
		while(list($x, $columns) = @each($index))
		{
			$schema_create .= ",$crlf";
			if($x == "PRIMARY")
			{
				$schema_create .= "   PRIMARY KEY (" . implode($columns, ", ") . ")";
			}
			elseif(substr($x,0,6) == "UNIQUE")
			{
				$schema_create .= "   UNIQUE ".substr($x,7)." (" . implode($columns, ", ") . ")";
			}
			else
			{
				$schema_create .= "   KEY $x (" . implode($columns, ", ") . ")";
			}
		}
		
		$schema_create .= "$crlf)";
		$schema_create .= "COMMENT = 'AllMyPHP,  2003 voice of web (http://www.voice-of-web.de)'";
		return (stripslashes($schema_create));
	}
}

if(!function_exists('AMP_get_tablecontent'))
{
	function AMP_get_tablecontent($db, $table, $handler)
	{
		$result = mysql_db_query($db, "SELECT * FROM $table") or mysql_die();
		$i = 0;
		while($row = mysql_fetch_row($result))
		{
			$table_list = "(";
				for($j=0; $j<mysql_num_fields($result);$j++)
				{
					$table_list .= mysql_field_name($result,$j).", ";
				}	
				$table_list = substr($table_list,0,-2);
			$table_list .= ")";
			
			if(isset($GLOBALS["showcolumns"]))
			{
				$schema_insert = "INSERT INTO $table $table_list VALUES (";
			}
			else
			{
				$schema_insert = "INSERT INTO $table VALUES (";
			}
			
			for($j=0; $j<mysql_num_fields($result);$j++)
			{
				if(!isset($row[$j]))
				{
					$schema_insert .= " NULL,";
				}
				elseif($row[$j] != "")
				{
					$schema_insert .= " '".addslashes($row[$j])."',";
				}
				else
				{
					$schema_insert .= " '',";
				}
			}
		
			$schema_insert = ereg_replace(",$", "", $schema_insert);
			$schema_insert .= ")";
			AMP_my_handler(trim($schema_insert));
			$i++;
		}
	return (true);
	}
}

if(!function_exists('AMP_get_entryschema'))
{
	function AMP_get_entryschema($db, $table,$entry, $handler)
	{
		$result = mysql_db_query($db, "SELECT * FROM ".$table." WHERE link_id = $entry") or mysql_die();
		$i = 0;
		while($row = mysql_fetch_row($result))
		{
			$table_list = "(";
				for($j=0; $j<mysql_num_fields($result);$j++)
				{
					$table_list .= mysql_field_name($result,$j).", ";
				}	
				$table_list = substr($table_list,0,-2);
			$table_list .= ")";
			
			if(isset($GLOBALS["showcolumns"]))
			{
				$schema_insert = "INSERT INTO $table $table_list VALUES (";
			}
			else
			{
				$schema_insert = "INSERT INTO $table VALUES (";
			}
			
			for($j=0; $j<mysql_num_fields($result);$j++)
			{
				if(!isset($row[$j]))
				{
					$schema_insert .= " NULL,";
				}
				elseif($row[$j] != "")
				{
					$schema_insert .= " '".addslashes($row[$j])."',";
				}
				else
				{
					$schema_insert .= " '',";
				}
			}
		
			$schema_insert = ereg_replace(",$", "", $schema_insert);
			$schema_insert .= ")";
			AMP_my_handler(trim($schema_insert));
			$i++;
		}
	return ($schema_insert);
	}
}
?>