<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./include/meta.inc.php                               */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 20, 2004                                         */
/*                                                                      */
/************************************************************************/


// --> BEGIN FILE ACCESS SECURITY ----------------------------------------
if (eregi("meta.inc.php",$HTTP_SERVER_VARS['PHP_SELF'])) 
{
    die("YOU CAN NOT ACCESS THIS FILE DIRECTLY!");
}
// <-- END FILE ACCESS SECURITY ------------------------------------------


// get meta config
settype($AML_header_title,'string');
$AML_headerconfig_get = AMS_sql_query("SELECT * FROM ".$_AMLconfig[tbl_header]."", $_AMLconfig['sql_connect']);
$AML_headerconfig     = AMS_sql_fetch_array($AML_headerconfig_get, $_AMLconfig['sql_connect']);

if($AML_headerconfig['header_active'] == '1')
{
	if($AML_headerconfig['header_print_doctype'] == '1')
	{
		$AML_header_meta .= "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n\n";
	}

		$AML_header_meta .= "<html xmlns=\"http://www.w3.org/1999/xhtml\">\n\n";
		$AML_header_meta .= "<head>\n\n";
		$AML_header_meta .= "\t<title>".$_AMLusrcfg['globalcfg_site_name']."</title>\n\n";

	if($AML_headerconfig['header_print_charset'] == '1')
	{
		$AML_header_meta .= "\t<meta http-equiv=\"CONTENT-TYPE\" \t content=\"$AML_headerconfig[header_charset]\">\n";
	}
	
	if($AML_headerconfig['header_print_styletype'] == '1')
	{
		$AML_header_meta .= "\t<meta http-equiv=\"CONTENT-STYLE-TYPE\" \t content=\"$AML_headerconfig[header_styletype]\">\n";
	}
	
	if($AML_headerconfig['header_print_scripttype'] == '1')
	{
		$AML_header_meta .= "\t<meta http-equiv=\"CONTENT-SCRIPT-TYPE\" \t content=\"$AML_headerconfig[header_scripttype]\">\n";
	}

	if($AML_headerconfig['header_print_imagetoolbar'] == '1')
	{
		$AML_header_meta .= "\t<meta http-equiv=\"IMAGETOOLBAR\" \t content=\"$AML_headerconfig[header_imagetoolbar]\">\n";
	}
	
	if($AML_headerconfig['header_print_pragma'] == '1')
	{
		$AML_header_meta .= "\t<meta http-equiv=\"pragma\" \t\t content=\"$AML_headerconfig[header_pragma]\">\n";
	}	

	if($AML_headerconfig['header_print_description'] == '1')
	{
		$AML_header_meta .= "\t<meta name=\"DESCRIPTION\" \t\t content=\"$AML_headerconfig[header_description]\">\n";
	}

	if($AML_headerconfig['header_print_keywords'] == '1')
	{
		$AML_header_meta .= "\t<meta name=\"KEYWORDS\" \t\t\t content=\"$AML_headerconfig[header_keywords]\">\n";
	}
	
	if($AML_headerconfig['header_print_classification'] == '1')
	{
		$AML_header_meta .= "\t<meta name=\"CLASSIFICATION\" \t\t content=\"$AML_headerconfig[header_classification]\">\n";
	}
	
	if($AML_headerconfig['header_print_language'] == '1')
	{
		$AML_header_meta .= "\t<meta name=\"LANGUAGE\" \t\t\t content=\"$AML_headerconfig[header_language]\">\n";
	}

	if($AML_headerconfig['header_print_robots'] == '1')
	{
		$AML_header_meta .= "\t<meta name=\"ROBOTS\" \t\t\t content=\"$AML_headerconfig[header_robots]\">\n";
	}
	
	if($AML_headerconfig['header_print_author'] == '1')
	{
		$AML_header_meta .= "\t<meta name=\"AUTHOR\" \t\t\t content=\"$AML_headerconfig[header_author]\">\n";
	}

	if($AML_headerconfig['header_print_publisher'] == '1')
	{
		$AML_header_meta .= "\t<meta name=\"PUBLISHER\" \t\t\t content=\"$AML_headerconfig[header_publisher]\">\n";
	}

	if($AML_headerconfig['header_print_replyto'] == '1')
	{
		$AML_header_meta .= "\t<meta name=\"REPLY-TO\" \t\t\t content=\"$AML_headerconfig[header_replyto]\">\n";
	}

	if($AML_headerconfig['header_print_copyright'] == '1')
	{
		$AML_header_meta .= "\t<meta name=\"COPYRIGHT\" \t\t\t content=\"$AML_headerconfig[header_copyright]\">\n";
	}
	
		// bad idea if you try to remove or edit the next line
		$AML_header_meta .= "\t<meta name=\"GENERATOR\" \t\t\t content=\"".$_AMLconfig['cfg_scriptname']." ".$_AMLconfig['cfg_scriptversion']." (".$_AMLconfig['cfg_scriptprefix'].")\">\n";

	if($AML_headerconfig['header_print_pagetopic'] == '1')
	{
		$AML_header_meta .= "\t<meta name=\"PAGE-TOPIC\" \t\t content=\"$AML_headerconfig[header_pagetopic]\">\n";
	}

	if($AML_headerconfig['header_print_pagetype'] == '1')
	{
		$AML_header_meta .= "\t<meta name=\"PAGE-TYPE\" \t\t\t content=\"$AML_headerconfig[header_pagetype]\">\n";
	}	
	
	if($AML_headerconfig['header_print_revisitafter'] == '1')
	{
		$AML_header_meta .= "\t<meta name=\"REVISIT-AFTER\" \t\t content=\"$AML_headerconfig[header_revisitrafter]\">\n\n";
	}
	
		$AML_header_meta .= "</head>";
}
?>