<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./include/template.inc.php                           */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 20, 2004                                         */
/*                                                                      */
/************************************************************************/


// --> BEGIN FILE ACCESS SECURITY ----------------------------------------
if (eregi("template.inc.php",$HTTP_SERVER_VARS['PHP_SELF'])) 
{
    die("YOU CAN NOT ACCESS THIS FILE DIRECTLY!");
}
// <-- END FILE ACCESS SECURITY ------------------------------------------

if(!class_exists('AMT_Template'))
{
	class AMT_Template
	{
		// --> BEGIN CREATING VARS ------------------------------------------------------------------------------------------------
		var $AMT_error = "";    
		var $AMT_tags = array();    
		var $AMT_template_file = "";
		// <-- END CREATING VARS --------------------------------------------------------------------------------------------------



		function AMT_template($AMT_template_file, $AMT_class_callfile, $AMT_class_callline)
		{
			if(!file_exists($AMT_template_file))
			{
				die("<b>AMT Template class panic:</b> The template file <font color=\"red\">$AMT_template_file</font> does not exist (call in <b>$AMT_class_callfile</b> on line <b>$AMT_class_callline</b>)");
			}
			$this -> AMT_template_file = $AMT_template_file;
		}

		// --> BEGIN ENCODE TEXT --------------------------------------------------------------------------------------------------
		function AMT_encode($AMT_content)
		{
    			$AMT_return = "";
			$AMT_length=strlen($AMT_content);
			for($AMT_x=0;$AMT_x<$AMT_length;$AMT_x++)
			{
				$AMT_ord=ord($AMT_content[$AMT_x]);
				$AMT_return .= "&#".$AMTord.";";
			}
			return $AMT_return;
		}
		// <-- END ENCODE TEXT ----------------------------------------------------------------------------------------------------
		
		
		// --> BEGIN TEMPLATE TAGASS ----------------------------------------------------------------------------------------------
		function AMT_assign($AMT_tag, $AMT_value)
		{
			if(empty($AMT_tag))
			{
				$this->AMT_error = "Tag name is empty";
				//return(false);
			}
			$this -> tags["$AMT_tag"] = $AMT_value;
			return(true);
		}
		// <-- END TEMPLATE TAGASS ------------------------------------------------------------------------------------------------
		
	
		// --> BEGIN TEMPLATE ASSIGN ----------------------------------------------------------------------------------------------
		function AMT_tplass($AMT_tag, $AMT_file)
		{	
	
			global $_AMTconfig, $AMT_value;
	
			include($AMT_file);   
			$this -> tags["$AMT_tag"] = $AMT_value;
			return(true);
		}
		// <-- END TEMPLATE ASSIGN ------------------------------------------------------------------------------------------------
		

		// --> BEGIN TEMPLATE PARSE -----------------------------------------------------------------------------------------------
		function AMT_tpl_parse()
		{
			$AMT_contents = @implode("", (@file($this->AMT_template_file)));
			while(list($AMT_key, $AMT_value) = each($this->tags))
			{
				$AMT_tag = '{'.$AMT_key.'}';
				if(!strstr($AMT_contents, $AMT_tag))
				{
				$this->AMT_error = "Tag ".$AMT_tag." not found in template ".$this->AMT_template_file.".";
				//return(false);
				}    
				$AMT_contents = str_replace($AMT_tag, $AMT_value, $AMT_contents);
			}    
			return($AMT_contents);    
		}
		// <-- END TEMPLATE PARSE -------------------------------------------------------------------------------------------------
		
		
		// --> BEGIN TEMPLATE VAR -------------------------------------------------------------------------------------------------
		function AMT_tpl_var()
		{
			$AMT_return = $this->AMT_tpl_parse();
			if($AMT_return == false)
			{
				//return(false);
			}   
			return($AMT_return);
		}
		// <-- END TEMPLATE PRINT -------------------------------------------------------------------------------------------------
		
		
		// --> BEGIN TEMPLATE PRINT -----------------------------------------------------------------------------------------------
		function AMT_tpl_print()
		{
			$AMT_return = $this->AMT_tpl_parse();
			if($AMT_return == false)
			{
				//return(false);
			} 
			print($AMT_return);       
			return(true);
		}
		// <-- END TEMPLATE PRINT -------------------------------------------------------------------------------------------------
	}
}
?>