<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./objects/categories/catpulldown-form.obj.php        */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : May 21, 2004                                         */
/*                                                                      */
/************************************************************************/


// --> BEGIN FILE ACCESS SECURITY ----------------------------------------
if (eregi("catpulldown-form.obj.php",$HTTP_SERVER_VARS['PHP_SELF'])) 
{
    die("YOU CAN NOT ACCESS THIS FILE DIRECTLY!");
}
// <-- END FILE ACCESS SECURITY ------------------------------------------


/*
	optional settings:
	
	$AML_catpulldown['0']         = 0 : includes not active cats (all cats)
	                                1 : only active cats

	$AML_catpulldown['1']         = 0 : includes not listed cats (all cats)
	                                1 : only listed cats                                

	$AML_catpulldown['2']         = 0 : categorie list for reading
	                                1 : categorie list for writing 
	                                	                                	                                	                                                                                
	$AML_catpulldown_jump         = isset() : create a select jump menu
	
	$AML_catpulldown_title        = isset(): display value as default on top
	
*/


// --> BEGIN build selected ---------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS["".@$AML_catpulldown_formname.""]))
{
	$AML_sentcategorievalue = $HTTP_POST_VARS["".@$AML_catpulldown_formname.""];
}
elseif(isset($HTTP_GET_VARS["".@$AML_catpulldown_formname.""]))
{
	$AML_sentcategorievalue = $HTTP_GET_VARS["".@$AML_catpulldown_formname.""];
}
else
{
	$AML_sentcategorievalue = "";
}
// <-- END build selected -----------------------------------------------------------------------------------------------------------------


// --> BEGIN build where query ------------------------------------------------------------------------------------------------------------
if(!isset($AML_catpulldown_where))
{
	if(isset($AML_catpulldown['0'])) 
	{
		if($AML_catpulldown['0'] == '0') { $AML_activequery = "";}
		if($AML_catpulldown['0'] == '1') { $AML_activequery = " categorie_active = '1' ";}
		if(!empty($AML_activequery))       $AML_activequery = "AND ".$AML_activequery." ";
		
	} else {
		$AML_activequery = "AND categorie_active = '1' ";
	}
	
	if(isset($AML_catpulldown['1'])) 
	{
		if($AML_catpulldown['1'] == '0') { $AML_listedquery   = "";}
		if($AML_catpulldown['1'] == '1') { $AML_listedquery = " categorie_list = '1' ";}
		if(!empty($AML_listedquery))       $AML_listedquery = "AND ".$AML_listedquery." ";
	} else {
		$AML_listedquery = "AND categorie_list = '1' ";
	}
	
	if($_AMLusrcfg['globalcfg_stattype'] == '0')
	{
		$AML_catpulldown_wheredefinition = $AML_activequery.$AML_listedquery;
	}
	else
	{
		$AML_catpulldown_wheredefinition = $AML_activequery.$AML_listedquery;
		if(!empty($AML_catpulldown_wheredefinition))
		{
			$AML_catpulldown_wheredefinition = "WHERE 1 ".$AML_catpulldown_wheredefinition;
		}
	}		
}
// <-- END build where query --------------------------------------------------------------------------------------------------------------


// --> BEGIN permission query -------------------------------------------------------------------------------------------------------------
if(isset($AML_catpulldown['2']) && $AML_catpulldown['2'] == '0') $AML_quickwhere = "categorie_permission_r";
if(isset($AML_catpulldown['2']) && $AML_catpulldown['2'] == '1') $AML_quickwhere = "categorie_permission_w";
if(isset($AML_quickwhere))
{
	
	if(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']) &&
	   !AMP_usercheck_validuser($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
	{
		$AML_permissiondefinition = " $AML_quickwhere = '0' ";
	}elseif(!AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']) &&
	        AMP_usercheck_validuser($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
	{
		$AML_permissiondefinition = " $AML_quickwhere <= '1' ";
	}elseif(AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
	{
		$AML_permissiondefinition = "";
	}else{
		$AML_permissiondefinition = " $AML_quickwhere = '0' ";
	}
}
if(!empty($AML_permissiondefinition))
{
	$AML_catpulldown_wheredefinition = $AML_catpulldown_wheredefinition."AND ".$AML_permissiondefinition;
}
// <-- END permission query ---------------------------------------------------------------------------------------------------------------


// --> BEGIN rewrite if admin -------------------------------------------------------------------------------------------------------------
if(AMP_usercheck_admin($_AMLconfig['cookie_name'], $_AMLconfig['tbl_user'], $_AMLconfig['sql_connect']))
{
	$AML_catpulldown_wheredefinition = "";
}
// <-- END rewrite if admin ---------------------------------------------------------------------------------------------------------------


// --> BEGIN open categorie select --------------------------------------------------------------------------------------------------------
if(isset($AML_catpulldown_jump))
{
	$_AML_obj_catpulldown  = "<table cellspacing=\"0\" cellpadding=\"0\">\t<tr>\n\t\t<form name=\"".@$AML_catpulldown_formname."\" method=\"POST\" action=\"".$AML_catpulldown_jump."\">";
	$_AML_obj_catpulldown .= "<td><script language=\"JavaScript\">function load2(form) {var url = form.".@$AML_catpulldown_formname.".options[form.".@$AML_catpulldown_formname.".selectedIndex].value;if (url != '') location.href = '".$AML_catpulldown_jump."'+url+'';return false;}</script>\n";
	$_AML_obj_catpulldown .= "<select name=\"".@$AML_catpulldown_formname."\" onChange=\"load2(this.form)\" class=\"AMTselectfield\">\n";
}
else
{
	$_AML_obj_catpulldown = "<select name=\"".@$AML_catpulldown_formname."\" onChange=\"window.focus()\" class=\"AMTselectfield\">\n";
}
// <-- END open categorie select ----------------------------------------------------------------------------------------------------------


// --> BEGIN create menu on the fly -------------------------------------------------------------------------------------------------------
if($_AMLusrcfg['globalcfg_stattype'] == '0')
{
	if(!function_exists('AML_make_catpulldown'))
	{
		function AML_make_catpulldown($AML_categorie, $AML_cats,$x) 
		{
			global $AML_sentcategorievalue, $AML_returncats, $_AMLconfig, $AML_catpulldown_wheredefinition, $AML_catpulldown;
			
			$i=1;
			$space ="";
			//if($x == 2) $AML_returncats ="";
			for(;;)
			{
				$space = $space."&nbsp;&nbsp;";
				if($x == $i) break;
				$i++;
			}
			settype($AML_returncats,'string');
			$AML_subcats_get = AMS_sql_query("SELECT categorie_id,categorie_viewitas,categorie_name  FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_topcat = '".$AML_categorie."' ".$AML_catpulldown_wheredefinition." ORDER BY categorie_name", $_AMLconfig['sql_connect']);	
			while($AML_subcats = AMS_sql_fetch_array($AML_subcats_get, $_AMLconfig['sql_connect']))
			{

				$AML_returncats = $AML_returncats."<option";
				if($AML_sentcategorievalue == $AML_subcats['categorie_id']) $AML_returncats.=" selected";
				$AML_returncats.= " value=\"".$AML_subcats['categorie_id']."\">".$space."&raquo; ".$AML_subcats['categorie_name']."<br>";
				$AML_exists = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) AS total FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_topcat = '".$AML_subcats['categorie_id']."' ".$AML_catpulldown_wheredefinition." ORDER BY categorie_name", $_AMLconfig['sql_connect']), $_AMLconfig['sql_connect']);
				if(isset($AML_exists['total']) && !empty($AML_exists['total']))
				{
					$x = $x+1;
					AML_make_catpulldown($AML_subcats['categorie_id'], $AML_returncats,$x);
				}
			}
			return($AML_returncats); 
			unset($AML_returncats);
		}
	}
	$_AML_obj_catpulldown .= "<option value=\"\" selected></option>\n";
	$getcats = AMS_sql_query("SELECT categorie_id,categorie_viewitas,categorie_name FROM ".$_AMLconfig['tbl_categories']." WHERE categorie_topcat='' ".$AML_catpulldown_wheredefinition." order by categorie_name", $_AMLconfig['sql_connect']);
	while($AML_categories = AMS_sql_fetch_array($getcats, $_AMLconfig['sql_connect']))	
	{
		unset($AML_returncats);

		$_AML_obj_catpulldown .= "<option value=\"".$AML_categories['categorie_id']."\"";
		if($AML_sentcategorievalue == $AML_categories['categorie_id']) $_AML_obj_catpulldown .=" selected "; 
		$_AML_obj_catpulldown .= ">&raquo; ".$AML_categories['categorie_name']."";
		$_AML_obj_catpulldown .= AML_make_catpulldown($AML_categories['categorie_id'], '', '1');
	}
}
// <-- END create menu on the fly ---------------------------------------------------------------------------------------------------------


else


// --> BEGIN normal menu ------------------------------------------------------------------------------------------------------------------
{
	$_AML_obj_catpulldown .= "<option value=\"\" selected></option>\n";
	$getcats = AMS_sql_query("SELECT categorie_id,categorie_viewitas,categorie_name FROM ".$_AMLconfig['tbl_categories']." ".$AML_catpulldown_wheredefinition." order by categorie_viewitas ASC", $_AMLconfig['sql_connect']);
	while($AML_categories = AMS_sql_fetch_array($getcats, $_AMLconfig['sql_connect']))
	{
		$_AML_obj_catpulldown .= "<option value=\"".$AML_categories['categorie_id']."\"";
		if($AML_sentcategorievalue == $AML_categories['categorie_id']) $_AML_obj_catpulldown .=" selected "; 
		$_AML_obj_catpulldown .= ">".$AML_categories['categorie_viewitas']."";			
		//$_AML_obj_catpulldown .= "</option>";
	}	
}
// <-- END normal menu --------------------------------------------------------------------------------------------------------------------



// --> BEGIN close menu -------------------------------------------------------------------------------------------------------------------
$_AML_obj_catpulldown .= "</select>";
	
if(isset($AML_catpulldown_jump))
{
	$_AML_obj_catpulldown .= "</td></tr></form></table>";
}
// <-- END close menu ---------------------------------------------------------------------------------------------------------------------

?>