<?PHP
/************************************************************************/
/* AllMyLinks: Professional Link/Download Database                      */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./search.php                                         */
/* version       : 0.5.0                                                */
/* project       : AllMyLinks                                           */
/* last modified : Feb 20, 2004                                         */
/*                                                                      */
/************************************************************************/


// --> BEGIN FILE ACCESS SECURITY ----------------------------------------
if (eregi("search.php",$HTTP_SERVER_VARS['PHP_SELF'])) 
{
    include("./include/config.inc.php");
    include("./include/code_header.inc.php");
    header("Location: ".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=search");
    die();
}
// <-- END FILE ACCESS SECURITY ------------------------------------------


// --> BEGIN parsing site -----------------------------------------------------------------------------------------------------------------
if($_AMLusrcfg['cfg_sitestatus_search'] == '1')
{
	
	// --> BEGIN form sent ------------------------------------------------------------------------------------------------------------
	if(isset($HTTP_POST_VARS['AML_search_value']) && !empty($HTTP_POST_VARS['AML_search_value'])) $AML_search_value = $HTTP_POST_VARS['AML_search_value'];
	if(isset($HTTP_GET_VARS['AML_search_value'])  && !empty($HTTP_GET_VARS['AML_search_value']))  $AML_search_value = $HTTP_GET_VARS['AML_search_value'];



	// --> BEGIN define vars ------------------------------------------------------------------------------------------
	if(isset($HTTP_POST_VARS['AML_search_orderby']) && !empty($HTTP_POST_VARS['AML_search_orderby'])) $AML_search_orderby = $HTTP_POST_VARS['AML_search_orderby'];
	if(isset($HTTP_GET_VARS['AML_search_orderby'])  && !empty($HTTP_GET_VARS['AML_search_orderby']))  $AML_search_orderby = $HTTP_GET_VARS['AML_search_orderby'];
	if(isset($HTTP_POST_VARS['AML_search_sorto'])   && !empty($HTTP_POST_VARS['AML_search_sorto']))   $AML_search_sorto   = $HTTP_POST_VARS['AML_search_sorto'];
	if(isset($HTTP_GET_VARS['AML_search_sorto'])    && !empty($HTTP_GET_VARS['AML_search_sorto']))    $AML_search_sorto   = $HTTP_GET_VARS['AML_search_sorto'];
	if(isset($HTTP_POST_VARS['AML_search_cato'])    && !empty($HTTP_POST_VARS['AML_search_cato']))    $AML_search_cato    = $HTTP_POST_VARS['AML_search_cato'];
	if(isset($HTTP_GET_VARS['AML_search_cato'])     && !empty($HTTP_GET_VARS['AML_search_cato']))     $AML_search_cato    = $HTTP_GET_VARS['AML_search_cato'];
	if(isset($HTTP_POST_VARS['AML_search_howto'])   && !empty($HTTP_POST_VARS['AML_search_howto']))   $AML_search_howto   = $HTTP_POST_VARS['AML_search_howto'];
	if(isset($HTTP_GET_VARS['AML_search_howto'])    && !empty($HTTP_GET_VARS['AML_search_howto']))    $AML_search_howto   = $HTTP_GET_VARS['AML_search_howto'];
	if(isset($HTTP_POST_VARS['AML_obj_language'])   && !empty($HTTP_POST_VARS['AML_obj_language']))   $AML_obj_language   = $HTTP_POST_VARS['AML_obj_language'];
	if(isset($HTTP_GET_VARS['AML_obj_language'])    && !empty($HTTP_GET_VARS['AML_obj_language']))    $AML_obj_language   = $HTTP_GET_VARS['AML_obj_language'];
	if(isset($HTTP_POST_VARS['AML_obj_categorie'])  && !empty($HTTP_POST_VARS['AML_obj_categorie']))  $AML_obj_categorie  = $HTTP_POST_VARS['AML_obj_categorie'];
	if(isset($HTTP_GET_VARS['AML_obj_categorie'])   && !empty($HTTP_GET_VARS['AML_obj_categorie']))   $AML_obj_categorie  = $HTTP_GET_VARS['AML_obj_categorie'];
	// <-- END define vars --------------------------------------------------------------------------------------------


	// --> BEGIN cleaning string of forbidden words -----------------------------------------------------------------------------------
	if((isset($AML_search_howto) && $AML_search_howto == 'one') || (isset($AML_search_howto) && $AML_search_howto == 'all'))
	{
		$AML_search_forbidden = explode("\n", $_AMLusrcfg['cfg_search_forbiddenwords']);
		$AML_x = count($AML_search_forbidden);
		for($i=0;$i<$AML_x;$i++)
		{
			$AML_search_thisforbidden = trim($AML_search_forbidden[$i]);
			if(stristr($AML_search_value," ".$AML_search_thisforbidden." "))
			{	
				// debug
				//echo $AML_search_value."<br>";	
				$AML_search_value = str_replace(" ".$AML_search_thisforbidden." ", "", $AML_search_value);
				
			}
		}
	}
	// debug
	//echo "searchvalue: \"".@$AML_search_value."\"";
	// <-- END cleaning string of forbidden words -------------------------------------------------------------------------------------

	$AML_searchvaluetest = chop(@$AML_search_value);
	if(isset($AML_searchvaluetest) && !empty($AML_searchvaluetest))
	{
		
		
		// --> BEGIN generating search results ------------------------------------------------------------------------------------
		if(strlen($AML_search_value) >= $_AMLusrcfg['cfg_search_stringmin']-2 && !isset($HTTP_GET_VARS['AML_nosearch']))
		{
			settype($AML_sqlquery,'string');
			
			// --> BEGIN remove some chars ------------------------------------------------------------------------------------
			$AML_search_value = addslashes($AML_search_value);
			$AML_search_value = str_replace(",", "",$AML_search_value);
			$AML_search_value = str_replace(";", "",$AML_search_value);
			$AML_search_value = str_replace("+", "",$AML_search_value);
			$AML_search_value = str_replace("-", "",$AML_search_value);
			$AML_search_value = str_replace("%", "",$AML_search_value);
			$AML_search_value = trim($AML_search_value);
			// <-- END remove some chars --------------------------------------------------------------------------------------
			
			
			// --> BEGIN search in defined cat --------------------------------------------------------------------------------
			if(isset($HTTP_POST_VARS['AML_obj_categorie']) && !empty($HTTP_POST_VARS['AML_obj_categorie']))
			{
				if($AML_search_cato == '0')
				{
					$AML_querycat = "link_categorie = '".$HTTP_POST_VARS['AML_obj_categorie']."'";
				}
				if($AML_search_cato == '1')
				{
					$AML_querycat = "link_categorie != '".$HTTP_POST_VARS['AML_obj_categorie']."'";
				}				
			}
			if(isset($HTTP_GET_VARS['AML_obj_categorie']) && !empty($HTTP_GET_VARS['AML_obj_categorie']))
			{
				if($HTTP_GET_VARS['AML_search_cato'] == '0')
				{
					$AML_querycat = "link_categorie = '".$HTTP_GET_VARS['AML_obj_categorie']."'";
				}
				if($HTTP_GET_VARS['AML_search_cato'] == '1')
				{
					$AML_querycat = "link_categorie != '".$HTTP_GET_VARS['AML_obj_categorie']."'";
				}				
			}
			// <-- END search in defined cat ----------------------------------------------------------------------------------
			
			
			// --> BEGIN searach only lang ------------------------------------------------------------------------------------
			if(isset($HTTP_POST_VARS['AML_obj_language']) && !empty($HTTP_POST_VARS['AML_obj_language']))
			{
				$AML_querylang = "link_language = '".$HTTP_POST_VARS['AML_obj_language']."'";
			}
			if(isset($HTTP_GET_VARS['AML_obj_language']) && !empty($HTTP_GET_VARS['AML_obj_language']))
			{
				$AML_querylang = "link_language = '".$HTTP_GET_VARS['AML_obj_language']."'";
			}
			// <-- BEGIN searach only lang ------------------------------------------------------------------------------------
				
						
			// --> BEGIN time benchmark begin ---------------------------------------------------------------------------------
			$AML_search_mtime = microtime();
			$AML_search_mtime = explode(" ",$AML_search_mtime);
			$AML_search_mtime = $AML_search_mtime['1'] + $AML_search_mtime['0'];
			$AML_search_starttime = $AML_search_mtime;
			// <-- END time benchmark begin -----------------------------------------------------------------------------------

			
			// --> BEGIN limit definition -------------------------------------------------------------------------------------
			if(isset($HTTP_POST_VARS['AML_entry']) || !empty($HTTP_POST_VARS['AML_entry'])) $AML_entry = $HTTP_POST_VARS['AML_entry'];
			if(isset($HTTP_GET_VARS['AML_entry'])  || !empty($HTTP_GET_VARS['AML_entry']))  $AML_entry = $HTTP_GET_VARS['AML_entry'];
			if(!isset($AML_entry)) $AML_entry = "0";
			$AML_linkcquer_limitdef = "LIMIT ".$AML_entry.", ".$_AMLusrcfg['cfg_search_listlimit']."";
			// <-- END limit definition ---------------------------------------------------------------------------------------
			
			
			// --> BEGIN generating WHERE definition --------------------------------------------------------------------------
			if(isset($AML_querycat) && !empty($AML_querycat))
			{
				$AML_wheredefinition = " AND ".$AML_querycat."";
			}
			if(isset($AML_wheredefinition) && isset($AML_querylang))
			{
				$AML_wheredefinition = "".$AML_wheredefinition." AND ".$AML_querylang."";
			}
			if(isset($AML_querylang) && !isset($AML_wheredefinition))
			{
				$AML_wheredefinition = "AND ".$AML_querylang."";
			}
			if(!isset($AML_wheredefinition)) $AML_wheredefinition = "";
			// <-- END generating WHERE definition ----------------------------------------------------------------------------
			
			
			// --> BEGIN search for exact string ------------------------------------------------------------------------------
			if(isset($AML_search_howto) && $AML_search_howto == 'exact')
			{
				$AML_linkcontainerquery = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_links']." WHERE link_active = '1' ".$AML_wheredefinition." AND link_description LIKE '%".$AML_search_value."%' or link_topic LIKE '%".$AML_search_value."%' or link_url LIKE '%".$AML_search_value."%' order by ".$AML_search_orderby." ".$AML_search_sorto." ".$AML_linkcquer_limitdef."", $_AMLconfig['sql_connect']);
				$AML_statquery = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_links']." WHERE link_active = '1' ".$AML_wheredefinition." AND link_description LIKE '%".$AML_search_value."%' or link_topic LIKE '%".$AML_search_value."%' or link_url LIKE '%".$AML_search_value."%' order by ".$AML_search_orderby." ".$AML_search_sorto."", $_AMLconfig['sql_connect']);

			}
			// <-- END search for exact string --------------------------------------------------------------------------------
			
			
			// --> BEGIN search for all strings -------------------------------------------------------------------------------
			if(isset($AML_search_howto) && $AML_search_howto == 'all')
			{
				$AML_array = explode (" ", $AML_search_value);
				$AML_total = count($AML_array);
				$AML_i = 0;
				while($AML_i < $AML_total)
				{
					$AML_sqlquery .= "(link_description LIKE '%".$AML_array["$AML_i"]."%' OR link_topic LIKE '%".$AML_array[$AML_i]."%' OR link_url LIKE '%".$AML_array[$AML_i]."%')";
					$AML_i++;
					if(!empty($AML_array[$AML_i])) 
					{
						$AML_sqlquery .= " AND ";
					}	
				}
				$AML_linkcontainerquery = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_links']." WHERE link_active = '1' ".$AML_wheredefinition." AND ".$AML_sqlquery." order by ".$AML_search_orderby." ".$AML_search_sorto." ".$AML_linkcquer_limitdef."", $_AMLconfig['sql_connect']);
				$AML_statquery = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_links']." WHERE link_active = '1' ".$AML_wheredefinition." AND ".$AML_sqlquery." order by ".$AML_search_orderby." ".$AML_search_sorto."", $_AMLconfig['sql_connect']);

			}
			// <-- END search for all strings ---------------------------------------------------------------------------------
			
			
			// --> BEGIN search for anything ----------------------------------------------------------------------------------
			if(isset($AML_search_howto) && $AML_search_howto == 'one')
			{
				$AML_array = explode (" ", $AML_search_value);
				$AML_total = count($AML_array);
				$AML_i = 0;
				while($AML_i < $AML_total){
					$AML_sqlquery .= "(link_description LIKE '%$AML_array[$AML_i]%' OR link_topic LIKE '%$AML_array[$AML_i]%' OR link_url LIKE '%$AML_array[$AML_i]%')";
					$AML_i++;
					if(!empty($AML_array[$AML_i])) {
						$AML_sqlquery .= " OR ";
					}
				}
				$AML_linkcontainerquery = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_links']." WHERE link_active = '1' ".$AML_wheredefinition." AND ".$AML_sqlquery." order by ".$AML_search_orderby." ".$AML_search_sorto." ".$AML_linkcquer_limitdef."", $_AMLconfig['sql_connect']);
				$AML_statquery = AMS_sql_query("SELECT * FROM ".$_AMLconfig['tbl_links']." WHERE link_active = '1' ".$AML_wheredefinition." AND ".$AML_sqlquery." order by ".$AML_search_orderby." ".$AML_search_sorto."", $_AMLconfig['sql_connect']);

			}
			// <-- END search for anything ------------------------------------------------------------------------------------
			
			
			// --> BEGIN glanceline function ----------------------------------------------------------------------------------
			
			$AML_entrys = AMS_sql_num_rows($AML_statquery, $_AMLconfig['sql_connect']);		
			if($AML_entrys > $_AMLusrcfg['cfg_search_listlimit'])
			{
				if(isset($HTTP_POST_VARS['AML_entry']) || !empty($HTTP_POST_VARS['AML_entry'])) $AML_entry = $HTTP_POST_VARS['AML_entry'];
				if(isset($HTTP_GET_VARS['AML_entry'])  || !empty($HTTP_GET_VARS['AML_entry']))  $AML_entry = $HTTP_GET_VARS['AML_entry'];
				if(!isset($AML_entry)) $AML_entry = "0";
				$AML_countdummy = '0';
				$AML_int        = '0';
				$AML_eentry     = '0';
				settype($AML_jumpentryline,'string');
				while ($AML_countdummy < $AML_entrys)
				{
					$AML_int = $AML_int+1;
					if($AML_eentry == $AML_entry)
					{
						$AML_jumpentryline .= " ".$AML_int." ";
					}
					else
					{
						$AML_jumpentryline .= " <a href=\"".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=search&AML_entry=".$AML_eentry."&AML_search_howto=".$AML_search_howto."&AML_search_sorto=".$AML_search_sorto."&AML_search_cato=".$AML_search_cato."&AML_search_orderby=".$AML_search_orderby."&AML_search_value=".$AML_search_value."&AML_obj_language=".$AML_obj_language."&AML_obj_categorie=".$AML_obj_categorie."\" style=\"color:#000000\">".$AML_int."</a> ";
					}
					if($AML_countdummy == $AML_int) $AML_jumpentryline .="]";
					$AML_eentry = $AML_eentry+$_AMLusrcfg['cfg_catview_listlimit'];
					$AML_countdummy = $AML_countdummy + $_AMLusrcfg['cfg_search_listlimit'];
					
				}
				if(empty($AML_jumpentryline))
				{
					$AML_jumpentryline = "1";
				}
			}
			else
			{
				if(isset($HTTP_POST_VARS['AML_entry']) || !empty($HTTP_POST_VARS['AML_entry'])) $AML_entry = $HTTP_POST_VARS['AML_entry'];
				if(isset($HTTP_GET_VARS['AML_entry'])  || !empty($HTTP_GET_VARS['AML_entry']))  $AML_entry = $HTTP_GET_VARS['AML_entry'];
				if(!isset($AML_entry)) $AML_entry = "0";
				$AML_jumpentryline = "1";
				$AML_linkcquer_limitdef = "";	
			}
			// <-- END glanceline function ------------------------------------------------------------------------------------
			
			
			// --> BEGIN including linkcontainer ------------------------------------------------------------------------------
			$AML_search_query = 1;
			if(!$_AMLinclude['res_linkcontainer'] = include("".$_AMLconfig['cfg_serverpath'].""."/include/linkcontainer.inc.php"))
			{	
				die("can not load <i>toplink.inc.php</i> so I will die now!");
			}
			// <-- END including linkcontainer --------------------------------------------------------------------------------


			// --> BEGIN time benchmark end -----------------------------------------------------------------------------------
			$AML_search_mtime = microtime();
			$AML_search_mtime = explode(" ",$AML_search_mtime);
			$AML_search_mtime = $AML_search_mtime['1'] + $AML_search_mtime['0'];
			$AML_search_endtime = $AML_search_mtime;
			$AML_search_totaltime = $AML_search_endtime - $AML_search_starttime;
			$AML_search_totaltime = substr($AML_search_totaltime, 0, 4);
			// <-- END time benchmark end -------------------------------------------------------------------------------------
			
		
		}
		// <-- END generating search results --------------------------------------------------------------------------------------
		
		
		else
		
		
		// --> BEGIN search error! ------------------------------------------------------------------------------------------------
		{
			$AML_searchvalue_error = 1;
		}
		// <-- END search error! --------------------------------------------------------------------------------------------------
		
		
	}
	// <-- END form sent --------------------------------------------------------------------------------------------------------------
	
	
	// --> BEGIN creating some vars ---------------------------------------------------------------------------------------------------
	if(isset($AML_search_sorto) && $AML_search_sorto == "DESC")
	{
		settype($AML_search_sorto, 'array');
		$AML_search_sorto['1'] = "checked";
		$AML_search_sorto['2'] = "";
	}
	elseif(isset($AML_search_sorto) && $AML_search_sorto == "ASC")
	{
		settype($AML_search_sorto, 'array');
		$AML_search_sorto['1'] = "";
		$AML_search_sorto['2'] = "checked";	
	}
	else // default
	{
		settype($AML_search_sorto, 'array');
		$AML_search_sorto['1'] = "checked";
		$AML_search_sorto['2'] = "";	
	}
	
	if(isset($AML_search_cato) && $AML_search_cato == "1")
	{
		settype($AML_search_cato, 'array');
		$AML_search_cato['1'] = "checked";
		$AML_search_cato['2'] = "";
	}
	elseif(isset($AML_search_cato) && $AML_search_cato == "0")
	{
		settype($AML_search_cato, 'array');
		$AML_search_cato['1'] = "";
		$AML_search_cato['2'] = "checked";	
	}
	else // default
	{
		settype($AML_search_cato, 'array');
		$AML_search_cato['1'] = "checked";
		$AML_search_cato['2'] = "";	
	}
	// <-- END creating some vars -----------------------------------------------------------------------------------------------------
	
	
	// --> BEGIN including objects ----------------------------------------------------------------------------------------------------
	if(!$_AMLinclude['obj_orderbypulldown'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/search/orderbypulldown.obj.php"))
	{	
		die("can not load object <i>orderbypulldown</i> so I will die now!");
	}
	
	if(!$_AMLinclude['obj_howtofield'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/search/howtopulldown.obj.php"))
	{	
			die("can not load object <i>howtofield</i> so I will die now!");
	}
	// including categorie object
	$AML_catpulldown_formname  = "AML_obj_categorie";
	$AML_catpulldown['0']      = "1";
	$AML_catpulldown['1']      = "1";
	$AML_catpulldown['2']      = "0";
	if(!$_AMLinclude['obj_categorie'] = include("".$_AMLconfig['cfg_serverpath']."/objects/categories/catpulldown-form.obj.php"))
	{	
		die("can not load object<i>protocol form field</i> so I will die now!");
	}
	
	if(!$_AMLinclude['obj_langchangepulldown'] = include("".$_AMLconfig['cfg_serverpath'].""."/objects/language/langpulldown.obj.php"))
	{	
		die("can not load object<i>catchangepulldown</i> so I will die now!");
	}
	// <-- END including objects ------------------------------------------------------------------------------------------------------


	// --> BEGIN templating search form -----------------------------------------------------------------------------------------------
	if($_AMLusrcfg['cfg_search_formbysubmit'] == '1' || !isset($AML_search_matched))
	{
		if(isset($HTTP_POST_VARS['AML_search_value'])) $AML_search_value = $HTTP_POST_VARS['AML_search_value'];	
		if(isset($HTTP_GET_VARS['AML_search_value']))  $AML_search_value = $HTTP_GET_VARS['AML_search_value'];
		if(!isset($AML_search_value)) $AML_search_value = "";
		$AML_searchform_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
		$AML_searchform_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/static/search_form.tpl.html", __FILE__, __LINE__);

			// --> BEGIN templating globals -----------------------------------------------------------------------------------
			$AML_searchform_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_searchform_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
			$AML_searchform_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_searchform_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
			$AML_searchform_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
			$AML_searchform_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
			$AML_searchform_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
			// <-- END templating globals -------------------------------------------------------------------------------------

			$AML_searchform_tpl -> AMT_assign('AML_obj_orderbypulldown',    "".$_AML_obj_orderbypulldown."");
			$AML_searchform_tpl -> AMT_assign('AML_obj_catpulldown',        "".$_AML_obj_catpulldown."");
			$AML_searchform_tpl -> AMT_assign('AML_obj_langpulldown',       "".$_AML_obj_langpulldown."");
			$AML_searchform_tpl -> AMT_assign('AML_search_howtofield',      "".$_AML_objsearch_howtofield."");
	
			$AML_searchform_tpl -> AMT_assign('AML_search_cato_checked1',   "".$AML_search_cato['1']."");
			$AML_searchform_tpl -> AMT_assign('AML_search_cato_checked2',   "".$AML_search_cato['2']."");
			$AML_searchform_tpl -> AMT_assign('AML_search_sorto_checked1',  "".$AML_search_sorto['1']."");
			$AML_searchform_tpl -> AMT_assign('AML_search_sorto_checked2',  "".$AML_search_sorto['2']."");
			$AML_searchform_tpl -> AMT_assign('AML_search_valueV',          "".$AML_search_value."");			
			$AML_searchform_tpl -> AMT_assign('AML_search_onlylanguage',    ""._search_onlylanguage_."");
			$AML_searchform_tpl -> AMT_assign('AML_search_up',              ""._search_up_."");
			$AML_searchform_tpl -> AMT_assign('AML_search_down',            ""._search_down_."");
			$AML_searchform_tpl -> AMT_assign('AML_search_searchlinks',     ""._search_searchlinks_."");
			$AML_searchform_tpl -> AMT_assign('AML_search_searchoptions',   ""._search_searchoptions_."");
			$AML_searchform_tpl -> AMT_assign('AML_search_search', 	        ""._search_search_."");
			$AML_searchform_tpl -> AMT_assign('AML_search_value', 	        ""._search_value_."");
			$AML_searchform_tpl -> AMT_assign('AML_search_onlycat', 	""._search_catselect_."");
			$AML_searchform_tpl -> AMT_assign('AML_search_blockcat', 	""._search_blockcat_."");
			$AML_searchform_tpl -> AMT_assign('AML_search_thiscat',         ""._search_searchit_."");
			$AML_searchform_tpl -> AMT_assign('AML_search_notthiscat',      ""._search_searchitnot_."");	
			$AML_searchform_tpl -> AMT_assign('AML_search_howto', 	        ""._search_howto_."");
			$AML_searchform_tpl -> AMT_assign('AML_search_sort', 	        ""._search_sort_."");
			$AML_searchform_tpl -> AMT_assign('AML_search_one', 	        ""._search_one_."");
			$AML_searchform_tpl -> AMT_assign('AML_search_all', 	        ""._search_all_."");
			$AML_searchform_tpl -> AMT_assign('AML_search_exact', 	        ""._search_exact_."");
			$AML_searchform_tpl -> AMT_assign('AML_search_lastfirst', 	""._search_lastfirst_."");
		$AML_file_searchform = $AML_searchform_tpl -> AMT_tpl_var();
	}
	else
	{
		$AML_file_searchform = "";
	}
	// <-- END search form ------------------------------------------------------------------------------------------------------------

			
	// --> BEGIN search resultstat ----------------------------------------------------------------------------------------------------
	if(isset($AML_search_matched))
	{
		$AML_search_viewend = $AML_entry+$_AMLusrcfg['cfg_search_listlimit'];
		if($AML_search_viewend > $AML_entrys) $AML_search_viewend = $AML_entrys;
		$AML_entry = $AML_entry+1;
		$AML_searchresultstat_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
		$AML_searchresultstat_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/static/search_resultstat.tpl.html", __FILE__, __LINE__);
			
			// --> BEGIN templating globals -----------------------------------------------------------------------------------
			$AML_searchresultstat_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_searchresultstat_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
			$AML_searchresultstat_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_searchresultstat_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
			$AML_searchresultstat_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
			$AML_searchresultstat_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
			$AML_searchresultstat_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
			// <-- END templating globals -------------------------------------------------------------------------------------
			
			$AML_searchresultstat_tpl -> AMT_assign('AML_search_shortinfo_headline',  ""._search_shortinfo_headline_."");
			$AML_searchresultstat_tpl -> AMT_assign('AML_search_entries',             ""._search_entries_."");
			$AML_searchresultstat_tpl -> AMT_assign('AML_search_categories',          ""._search_categories_."");
			$AML_searchresultstat_tpl -> AMT_assign('AML_search_total',               ""._search_total_."");
			$AML_searchresultstat_tpl -> AMT_assign('AML_search_searchtime',          ""._search_searchtime_."");
			$AML_searchresultstat_tpl -> AMT_assign('AML_search_viewnow',             ""._search_viewnow_."");
			$AML_searchresultstat_tpl -> AMT_assign('AML_search_searchdate',          ""._search_searchdate_."");
			$AML_searchresultstat_tpl -> AMT_assign('AML_search_optsearch',           ""._search_optsearch_."");
			$AML_searchresultstat_tpl -> AMT_assign('AML_search_newsearch',           ""._search_newsearch_."");
			$AML_searchresultstat_tpl -> AMT_assign('AML_jump_desc',                  ""._jump_desc_."");
			
			$AML_searchresultstat_tpl -> AMT_assign('AML_jumpentryline',              "".$AML_jumpentryline."");
			$AML_searchresultstat_tpl -> AMT_assign('AML_search_newsearchV',          "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=search");
			$AML_searchresultstat_tpl -> AMT_assign('AML_search_optsearchV',          "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=search&AML_search_howto=".$AML_search_howto."&AML_search_sorto=".$AML_search_sorto."&AML_search_cato=".$AML_search_cato."&AML_search_orderby=".$AML_search_orderby."&AML_search_value=".$AML_search_value."&AML_nosearch=1&AML_obj_language=".$AML_obj_language."&AML_obj_categorie=".$AML_obj_categorie."");
			$AML_searchresultstat_tpl -> AMT_assign('AML_search_searchtimeV',         "".$AML_search_totaltime."");
			$AML_searchresultstat_tpl -> AMT_assign('AML_search_searchdateV',         AMP_setdate($_AMLusrcfg['cfg_date_datetimeformat'],time(),$_AMLusrcfg['cfg_date_timezone']));
			$AML_searchresultstat_tpl -> AMT_assign('AML_search_viewnowV',            "".$AML_entry." - ".$AML_search_viewend."");
			$AML_searchresultstat_tpl -> AMT_assign('AML_search_entriesV',            "".$AML_entrys."");
		$AML_FILE_shortresultinfo = $AML_searchresultstat_tpl -> AMT_tpl_var();	
	}
	// <-- END search resultstat ------------------------------------------------------------------------------------------------------


		if(!isset($AML_linkcontainerhtml)) { $AML_linkcontainerhtml = ""; }
		$AML_search_get = //require_once("".$_AMLconfig['cfg_serverpath']."/include/template.inc.php");
		$AML_search_tpl = new AMT_Template("".$_AMLconfig['cfg_serverpath']."/template/".$_AMLusrcfg['globalcfg_template']."/static/search.tpl.html", __FILE__, __LINE__);
			
			
			// --> BEGIN templating globals -----------------------------------------------------------------------------------
			$AML_search_tpl -> AMT_assign('AML_global_linkopen',           "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_search_tpl -> AMT_assign('AML_global_linktotemplate',     "".$_AMLconfig['cfg_scripturl']."/".$_AMLconfig['cfg_scriptpath']."/template/".$_AMLusrcfg['globalcfg_template']."");
			$AML_search_tpl -> AMT_assign('AML_global_urlopen',            "".$_AMLusrcfg['globalcfg_mainfile']."".$_AMLusrcfg['globalcfg_openvar']."AML_open=");
			$AML_search_tpl -> AMT_assign('AML_global_sitename',           "".$_AMLusrcfg['globalcfg_site_name']."");
			$AML_search_tpl -> AMT_assign('AML_global_siteurl',            "".$_AMLusrcfg['globalcfg_site_url']."");
			$AML_search_tpl -> AMT_assign('AML_global_sitedescription',    "".$_AMLusrcfg['globalcfg_site_description']."");
			$AML_search_tpl -> AMT_assign('AML_global_now',                date("$_AMLusrcfg[cfg_date_datetimeformat]", time()));
			// <-- END templating globals -------------------------------------------------------------------------------------
			
						
			if(isset($AML_search_matched))
			{ 
				$AML_search_tpl -> AMT_assign('AML_search_results',         ""._search_results_."");
				$AML_search_tpl -> AMT_assign('AML_FILE_shortresultinfo',   "".$AML_FILE_shortresultinfo."");

			}
			else
			{
				$AML_search_tpl -> AMT_assign('AML_search_results',         "");
				$AML_search_tpl -> AMT_assign('AML_FILE_shortresultinfo',   "");
			}
			$AML_search_tpl -> AMT_assign('AML_FILE_searchform',        "".$AML_file_searchform."");
			$AML_search_tpl -> AMT_assign('AML_FILE_searchresults',     "".$AML_linkcontainerhtml."");
		$AML_search_tpl -> AMT_tpl_print();

		
	// incorrect search length value
	if(isset($AML_searchvalue_error) && !isset($HTTP_GET_VARS['AML_nosearch']))
	{
		$AML_error_error        = ""._error_search_value_."";
		$AML_error_description  = ""._error_search_valuedesc_."";
		if(!$_AMLinclude['res_error'] = include("".$_AMLconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}		
	}
	
	//nothing matched with search query
	if(isset($HTTP_POST_VARS['AML_search_formsent']) && !isset($AML_search_matched) && !isset($AML_searchvalue_error) && !isset($HTTP_GET_VARS['AML_nosearch']))
	{
		$AML_warning_info         = ""._warning_search_notfound_."";
		$AML_warning_description  = ""._warning_search_notfounddesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/warning.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}	
	}
	
	// info to start search
	if(!isset($HTTP_POST_VARS['AML_search_formsent']) && !isset($HTTP_GET_VARS['AML_nosearch']))
	{
		$AML_info_info         = ""._info_search_entervalue_."";
		$AML_info_description  = ""._info_search_entervaluedesc_."";
		if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}	
	}
}
// <-- END parsing site -------------------------------------------------------------------------------------------------------------------


else


// --> BEGIN site inactive ----------------------------------------------------------------------------------------------------------------
{
	$AML_info_info         = ""._global_notactive_."";
	$AML_info_description  = ""._global_notactivedesc_."";
	if(!$_AMLinclude['res_info'] = include("".$_AMLconfig['cfg_serverpath']."/include/info.inc.php"))
	{	
		die("can not load <i>info.inc.php</i> so I will die now!");
	}	
}
// <-- END site inactive ------------------------------------------------------------------------------------------------------------------
?>
