# AllMyLinks MySQL-Dump
# version 0.5.0
# http://www.php-resource.net
#
# Erstellungszeit: 25. Mai 2004 um 16:00
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `allmyphp_user`
#

CREATE TABLE allmyphp_user (
  user_id int(10) NOT NULL auto_increment,
  user_active tinyint(1) NOT NULL default '0',
  user_status tinyint(1) NOT NULL default '0',
  user_name varchar(32) NOT NULL default '',
  user_realname varchar(50) NOT NULL default '',
  user_address text NOT NULL,
  user_zipcode varchar(20) NOT NULL default '',
  user_country varchar(50) NOT NULL default '',
  user_email varchar(50) NOT NULL default '',
  user_password varchar(32) NOT NULL default '',
  user_session varchar(32) NOT NULL default '',
  user_lang varchar(50) NOT NULL default '',
  user_style varchar(50) NOT NULL default '',
  user_date varchar(30) NOT NULL default '',
  user_home text NOT NULL,
  user_website text NOT NULL,
  user_icq varchar(20) NOT NULL default '',
  user_aim varchar(50) NOT NULL default '',
  user_yim varchar(50) NOT NULL default '',
  user_msn varchar(50) NOT NULL default '',
  user_sig varchar(255) NOT NULL default '',
  user_view_email tinyint(1) NOT NULL default '0',
  user_view_website tinyint(1) NOT NULL default '0',
  user_view_realname tinyint(1) NOT NULL default '0',
  user_view_zipcode tinyint(1) NOT NULL default '0',
  user_view_country tinyint(1) NOT NULL default '0',
  user_view_home tinyint(1) NOT NULL default '0',
  user_newpwd varchar(32) NOT NULL default '',
  user_actkey varchar(32) NOT NULL default '',
  PRIMARY KEY  (user_id)
) TYPE=MyISAM COMMENT='(c) 2001 - 2004 voice of web';

#
# Daten fr Tabelle `allmyphp_user`
#

INSERT INTO allmyphp_user VALUES (1, 1, 1, 'Administrator', 'Administrator', '', '', '', '', '7a3c8025cc851c7cea8849e94b1720a8', '', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, 0, 0, 0, '', '');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aml5_banner`
#

CREATE TABLE aml5_banner (
  banner_id int(2) NOT NULL auto_increment,
  banner_width int(3) NOT NULL default '0',
  banner_height int(3) NOT NULL default '0',
  banner_align varchar(20) NOT NULL default '',
  banner_active tinyint(1) NOT NULL default '1',
  banner_default tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (banner_id)
) TYPE=MyISAM COMMENT='AllMyLinks,  2004 voice of web, http://www.php-resource.net';

#
# Daten fr Tabelle `aml5_banner`
#

INSERT INTO aml5_banner VALUES (1, 468, 60, 'left', 1, 1);
INSERT INTO aml5_banner VALUES (2, 88, 33, 'left', 1, 0);
INSERT INTO aml5_banner VALUES (3, 120, 120, 'left', 1, 0);
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aml5_blockeduser`
#

CREATE TABLE aml5_blockeduser (
  blocked_id int(10) NOT NULL auto_increment,
  blocked_type text NOT NULL,
  blocked_ipadr text NOT NULL,
  blocked_entryid text NOT NULL,
  blocked_del text NOT NULL,
  PRIMARY KEY  (blocked_id)
) TYPE=MyISAM COMMENT='AllMyLinks,  2004 voice of web, http://www.php-resource.net';

#
# Daten fr Tabelle `aml5_blockeduser`
#

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aml5_brokenvalues`
#

CREATE TABLE aml5_brokenvalues (
  brokenvalue_id int(2) NOT NULL auto_increment,
  brokenvalue_code char(3) NOT NULL default '',
  brokenvalue_string text NOT NULL,
  brokenvalue_badlycount char(2) NOT NULL default '',
  PRIMARY KEY  (brokenvalue_id)
) TYPE=MyISAM COMMENT='AllMyLinks,  2004 voice of web, http://www.php-resource.net';

#
# Daten fr Tabelle `aml5_brokenvalues`
#

INSERT INTO aml5_brokenvalues VALUES (1, '300', 'Multiple Choises', '10');
INSERT INTO aml5_brokenvalues VALUES (2, '301', 'Moved Permanently', '10');
INSERT INTO aml5_brokenvalues VALUES (3, '302', 'Moved Temporarialy', '5');
INSERT INTO aml5_brokenvalues VALUES (4, '303', 'See Other', '10');
INSERT INTO aml5_brokenvalues VALUES (5, '401', 'Unauthorized', '15');
INSERT INTO aml5_brokenvalues VALUES (6, '402', 'Payment Required', '5');
INSERT INTO aml5_brokenvalues VALUES (7, '403', 'forbidden', '20');
INSERT INTO aml5_brokenvalues VALUES (8, '404', 'Not Found', '30');
INSERT INTO aml5_brokenvalues VALUES (9, '405', 'Method not allowed', '10');
INSERT INTO aml5_brokenvalues VALUES (10, '406', 'Not Aceptable', '10');
INSERT INTO aml5_brokenvalues VALUES (11, '500', 'Internal Server Error', '20');
INSERT INTO aml5_brokenvalues VALUES (12, '501', 'Not Implemented', '10');
INSERT INTO aml5_brokenvalues VALUES (13, '502', 'Bad Gateway', '10');
INSERT INTO aml5_brokenvalues VALUES (14, '503', 'Service Unavailable', '10');
INSERT INTO aml5_brokenvalues VALUES (15, '504', 'Gateway Timeout', '10');
INSERT INTO aml5_brokenvalues VALUES (16, '505', 'HTTP Version Not Supported', '20');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aml5_categories`
#

CREATE TABLE aml5_categories (
  categorie_id int(14) NOT NULL auto_increment,
  categorie_type tinyint(1) NOT NULL default '0',
  categorie_owner varchar(10) NOT NULL default '',
  categorie_topcat varchar(5) NOT NULL default '',
  categorie_name varchar(50) NOT NULL default '',
  categorie_headlinetext longtext NOT NULL,
  categorie_description text NOT NULL,
  categorie_viewitas text NOT NULL,
  categorie_viewed int(32) NOT NULL default '0',
  categorie_hits int(32) NOT NULL default '1',
  categorie_links int(32) NOT NULL default '1',
  categorie_subcats int(32) NOT NULL default '1',
  categorie_subcats_show int(2) NOT NULL default '0',
  categorie_active tinyint(1) NOT NULL default '0',
  categorie_list tinyint(1) NOT NULL default '1',
  categorie_order varchar(20) NOT NULL default 'link_lastchange',
  categorie_order_type varchar(4) NOT NULL default 'DESC',
  categorie_template1 varchar(32) NOT NULL default 'Default',
  categorie_template2 varchar(32) NOT NULL default 'catview_Default',
  categorie_permission_r tinyint(1) NOT NULL default '0',
  categorie_permission_w tinyint(1) NOT NULL default '0',
  categorie_lastchange varchar(20) NOT NULL default '',
  categorie_created varchar(20) default NULL,
  PRIMARY KEY  (categorie_id),
  KEY id (categorie_id)
) TYPE=MyISAM COMMENT='AllMyLinks,  2004 voice of web, http://www.php-resource.net';

#
# Daten fr Tabelle `aml5_categories`
#

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aml5_comments`
#

CREATE TABLE aml5_comments (
  comment_id int(14) NOT NULL auto_increment,
  comment_linkid int(20) NOT NULL default '0',
  comment_name text NOT NULL,
  comment_email text NOT NULL,
  comment_message text NOT NULL,
  comment_date varchar(10) NOT NULL default '',
  comment_countflag int(14) NOT NULL default '0',
  comment_ipadr varchar(15) NOT NULL default '0',
  comment_netinfo text NOT NULL,
  PRIMARY KEY  (comment_id,comment_id)
) TYPE=MyISAM COMMENT='AllMyLinks,  2004 voice of web, http://www.php-resource.net';

#
# Daten fr Tabelle `aml5_comments`
#

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aml5_config`
#

CREATE TABLE aml5_config (
  config_id tinyint(1) NOT NULL auto_increment,
  globalcfg_site_name varchar(255) NOT NULL default 'AllMyLinks',
  globalcfg_site_description text NOT NULL,
  globalcfg_site_url varchar(255) NOT NULL default '',
  globalcfg_installdate int(10) NOT NULL default '0',
  globalcfg_template varchar(255) NOT NULL default 'AllMyPHP',
  globalcfg_language varchar(255) NOT NULL default 'german-impersonally',
  globalcfg_mainfile varchar(255) NOT NULL default 'index.php',
  globalcfg_openvar varchar(255) NOT NULL default '?',
  globalcfg_includeheader text NOT NULL,
  globalcfg_includefooter text NOT NULL,
  globalcfg_outgoingframe tinyint(1) NOT NULL default '1',
  globalcfg_disclaimer_head text NOT NULL,
  globalcfg_disclaimer_body text NOT NULL,
  globalcfg_defaultindex varchar(255) NOT NULL default 'catdescriptions.php',
  globalcfg_defaultindex_type char(1) NOT NULL default '1',
  globalcfg_enablejs tinyint(1) NOT NULL default '1',
  globalcfg_dbtype tinyint(1) NOT NULL default '0',
  globalcfg_stattype tinyint(1) NOT NULL default '0',
  cfg_admin_menutype tinyint(1) NOT NULL default '1',
  cfg_admin_catbrowselimit int(3) NOT NULL default '30',
  cfg_admin_linkbrowselimit int(3) NOT NULL default '50',
  cfg_broken_active tinyint(1) NOT NULL default '1',
  cfg_broken_deactivate tinyint(1) NOT NULL default '0',
  cfg_broken_deactivate_value int(3) NOT NULL default '100',
  cfg_broken_deactivate_notifyuser tinyint(1) NOT NULL default '1',
  cfg_broken_deactivate_notifyadmin tinyint(1) NOT NULL default '1',
  cfg_broken_deactivate_notifylog tinyint(1) NOT NULL default '1',
  cfg_broken_delete tinyint(1) NOT NULL default '1',
  cfg_broken_delete_value int(6) NOT NULL default '-1',
  cfg_broken_delete_notifyuser tinyint(1) NOT NULL default '1',
  cfg_broken_delete_notifyadmin tinyint(1) NOT NULL default '1',
  cfg_catview_listlimit int(2) NOT NULL default '10',
  cfg_catview_tlinkslimit int(2) NOT NULL default '5',
  cfg_catview_orderby varchar(32) NOT NULL default 'link_topic',
  cfg_catview_orderbyhow varchar(32) NOT NULL default 'DESC',
  cfg_comments_namerequired tinyint(1) NOT NULL default '1',
  cfg_comments_emailrequired tinyint(1) NOT NULL default '1',
  cfg_comments_messagerequired tinyint(1) NOT NULL default '1',
  cfg_comments_namebadword tinyint(1) NOT NULL default '1',
  cfg_comments_emailbadword tinyint(1) NOT NULL default '0',
  cfg_comments_messagebadword tinyint(1) NOT NULL default '1',
  cfg_comments_showsmilies tinyint(1) NOT NULL default '1',
  cfg_copyright_script varchar(20) NOT NULL default 'AllMyLinks',
  cfg_copyright_show tinyint(1) NOT NULL default '0',
  cfg_copyright_value blob NOT NULL,
  cfg_copyright_value_mail blob NOT NULL,
  cfg_copyright_regdomain blob NOT NULL,
  cfg_copyright_regkey blob NOT NULL,
  cfg_date_dateformat varchar(255) NOT NULL default 'D, den d.m.Y',
  cfg_date_timeformat varchar(255) NOT NULL default 'H:i:s Uhr',
  cfg_date_datetimeformat varchar(255) NOT NULL default 'D, d.m.Y um H:i:s Uhr',
  cfg_date_timezone int(5) NOT NULL default '1',
  cfg_entry_comments tinyint(1) NOT NULL default '1',
  cfg_entry_info tinyint(1) NOT NULL default '1',
  cfg_entry_vote tinyint(1) NOT NULL default '1',
  cfg_entry_votesystem tinyint(1) NOT NULL default '2',
  cfg_entry_broken tinyint(1) NOT NULL default '1',
  cfg_entry_options tinyint(1) NOT NULL default '1',
  cfg_entry_url tinyint(1) NOT NULL default '1',
  cfg_entry_hits tinyint(1) NOT NULL default '1',
  cfg_entry_frame tinyint(1) NOT NULL default '1',
  cfg_entry_disclaimer tinyint(1) NOT NULL default '1',
  cfg_entry_desc1html tinyint(1) NOT NULL default '1',
  cfg_entry_desc2html tinyint(1) NOT NULL default '1',
  cfg_flood_cmttime int(10) NOT NULL default '300',
  cfg_flood_entry tinyint(1) NOT NULL default '0',
  cfg_flood_url tinyint(1) NOT NULL default '0',
  cfg_flood_vote int(10) NOT NULL default '86400',
  cfg_flood_votelimit int(3) NOT NULL default '3',
  cfg_flood_votelimit_time int(10) NOT NULL default '86400',
  cfg_flood_referer tinyint(1) NOT NULL default '0',
  cfg_flood_referer_redirect tinyint(1) NOT NULL default '2',
  cfg_mail_contenttype varchar(32) NOT NULL default 'text/plain',
  cfg_mail_defaultaddress text NOT NULL,
  cfg_mail_footer text NOT NULL,
  cfg_mail_username varchar(255) NOT NULL default 'AllMyLinks',
  cfg_mail_comment_user tinyint(1) NOT NULL default '1',
  cfg_mail_comment_admin tinyint(1) NOT NULL default '1',
  cfg_mail_entry_received_user tinyint(1) NOT NULL default '1',
  cfg_mail_entry_received_admin tinyint(1) NOT NULL default '1',
  cfg_mail_entry_accepted_user tinyint(1) NOT NULL default '1',
  cfg_mail_entry_accepted_admin tinyint(1) NOT NULL default '0',
  cfg_mail_entry_deactivated_user tinyint(1) NOT NULL default '1',
  cfg_mail_entry_deactivated_admin tinyint(1) NOT NULL default '0',
  cfg_mail_entry_denied_user tinyint(1) NOT NULL default '1',
  cfg_mail_entry_denied_admin tinyint(1) NOT NULL default '0',
  cfg_mail_entry_deleted_user tinyint(1) NOT NULL default '1',
  cfg_mail_entry_deleted_admin tinyint(1) NOT NULL default '1',
  cfg_mail_entry_broken_user tinyint(1) NOT NULL default '1',
  cfg_mail_entry_broken_admin tinyint(1) NOT NULL default '1',
  cfg_newlink_limit int(2) NOT NULL default '10',
  cfg_newlink_time1 varchar(6) NOT NULL default '86400',
  cfg_newlink_time2 varchar(6) NOT NULL default '259200',
  cfg_newlink_time3 varchar(6) NOT NULL default '604800',
  cfg_notes_active tinyint(1) NOT NULL default '1',
  cfg_notes_links char(1) NOT NULL default '1',
  cfg_search_listlimit int(2) NOT NULL default '10',
  cfg_search_stringmin int(2) NOT NULL default '3',
  cfg_search_stringmax int(3) NOT NULL default '255',
  cfg_search_forbiddenwords text NOT NULL,
  cfg_search_formbysubmit tinyint(1) NOT NULL default '0',
  cfg_search_highlightresult tinyint(1) NOT NULL default '1',
  cfg_search_highlightresult_color varchar(7) NOT NULL default '#FFCC00',
  cfg_sitestatus_addlink tinyint(1) NOT NULL default '1',
  cfg_sitestatus_allinone tinyint(1) NOT NULL default '0',
  cfg_sitestatus_catdescriptions tinyint(1) NOT NULL default '1',
  cfg_sitestatus_catview tinyint(1) NOT NULL default '1',
  cfg_sitestatus_help tinyint(1) NOT NULL default '1',
  cfg_sitestatus_lastlinks tinyint(1) NOT NULL default '1',
  cfg_sitestatus_modifylink tinyint(1) NOT NULL default '1',
  cfg_sitestatus_overview tinyint(1) NOT NULL default '1',
  cfg_sitestatus_preferences tinyint(1) NOT NULL default '1',
  cfg_sitestatus_recommend tinyint(1) NOT NULL default '1',
  cfg_sitestatus_search tinyint(1) NOT NULL default '1',
  cfg_topentry_votelimit int(2) NOT NULL default '5',
  cfg_topentry_vresultlimit int(2) NOT NULL default '5',
  cfg_topentry_hitslimit int(2) NOT NULL default '5',
  cfg_topsite_minvalue int(2) NOT NULL default '3',
  cfg_topsite_showvalue int(2) NOT NULL default '25',
  cfg_topsite_lastreset int(2) NOT NULL default '0',
  PRIMARY KEY  (config_id)
) TYPE=MyISAM COMMENT='AllMyLinks,  2004 voice of web, http://www.php-resource.net';

#
# Daten fr Tabelle `aml5_config`
#

INSERT INTO aml5_config VALUES (1, 'AllMyLinks', '', 'http://www.php-resource.net/', 1070451040, 'AllMyPHP', 'german-impersonally', 'index.php', '?', '', '', 1, 'Wichtiger rechtlicher Hinweis!', '<span class="AMTnormaltext"><br>Hiermit wird nun <b>{AML_sitename}</b> verlassen und in wenigen Sekunden zu "<i>{AML_entry_name}</i>" weitergeleitet. Fr die dort angebotenen Produkte und Dienstleistungen knnen wir keine Haftung bernehmen.<br><br></span><center>\r\n<a href="{AML_url}" class="AMTsmallesttext">Falls keine Weiterleitung erfolgt, bitte hier klicken!</a></center><br>', 'catdescriptions.php', '1', 1, 0, 0, 1, 10, 30, 1, 1, 1, 1, 1, 1, 0, -1, 1, 1, 10, 5, 'link_topic', 'DESC', 1, 0, 1, 1, 0, 1, 1, 'AllMyLinks', 1, '', '', '', '', 'D, \\d\\e\\n d.m.Y', 'H:i:s \\U\\h\\r', 'D, d.m.Y \\u\\m H:i:s \\U\\h\\r', 1, 1, 1, 1, 2, 1, 1, 1, 1, 0, 1, 0, 1, 300, 1, 1, 86400, 3, 86400, 0, 1, 'text/plain', 'armin@armin-gerhardts.de', '', 'AllMyLinks', 1, 1, 1, 1, 1, 1, 1, 0, 1, 0, 1, 1, 1, 0, 10, '86400', '259200', '604800', 1, '1', 10, 3, 255, 'auch\r\nals\r\nund\r\nich\r\ndu\r\ner\r\nsie\r\nes\r\nwir\r\nihr\r\nsie\r\nmein', 0, 1, '#FFCC00', 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 5, 5, 5, 3, 25, 0);
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aml5_fields`
#

CREATE TABLE aml5_fields (
  field_id int(2) NOT NULL auto_increment,
  field_ordernr int(2) NOT NULL default '0',
  field_active tinyint(1) NOT NULL default '1',
  field_name varchar(255) NOT NULL default '',
  field_name_display varchar(255) NOT NULL default '',
  field_required tinyint(1) NOT NULL default '1',
  field_proof text NOT NULL,
  field_type varchar(255) NOT NULL default 'text',
  field_attributes varchar(255) NOT NULL default '',
  field_value text NOT NULL,
  field_template varchar(255) NOT NULL default '',
  PRIMARY KEY  (field_id)
) TYPE=MyISAM COMMENT='AllMyLinks,  2004 voice of web, http://www.php-resource.net';

#
# Daten fr Tabelle `aml5_fields`
#

INSERT INTO aml5_fields VALUES (3, 1, 0, 'sample_text', 'Demo Textfeld', 1, 'url', 'text', 'size="45"', '', 'input_text.tpl.html');
INSERT INTO aml5_fields VALUES (4, 2, 0, 'sample_textarea', 'Demo Textarea', 1, 'alphanumeric', 'textarea', '', '', 'input_textarea.tpl.html');
INSERT INTO aml5_fields VALUES (5, 3, 0, 'sample_checkbox', 'Demo Checkbox', 0, '', 'checkbox', '', '1=eins', 'input_checkbox.tpl.html');
INSERT INTO aml5_fields VALUES (6, 4, 0, 'sample_select', 'Demo Selectfeld', 0, '', 'select', '', 'Wert1=Beschreibung1;\r\nWert2=Beschreibung2;\r\nWert3=Beschreibung3', 'input_select.tpl.html');
INSERT INTO aml5_fields VALUES (7, 6, 0, 'sample_radio', 'Demo Radiofeld', 0, '', 'radio', '', 'value1=Disp1;\r\nvalue2=Disp2;\r\nvalue3=Disp3', 'input_radio.tpl.html');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aml5_fields_values`
#

CREATE TABLE aml5_fields_values (
  fieldvalue_id bigint(20) NOT NULL auto_increment,
  fieldvalue_fieldid int(20) NOT NULL default '0',
  fieldvalue_linkid bigint(20) NOT NULL default '0',
  fieldvalue_value text NOT NULL,
  PRIMARY KEY  (fieldvalue_id)
) TYPE=MyISAM COMMENT='AllMyLinks,  2004 voice of web, http://www.php-resource.net';

#
# Daten fr Tabelle `aml5_fields_values`
#

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aml5_header`
#

CREATE TABLE aml5_header (
  header_id tinyint(4) NOT NULL auto_increment,
  header_active tinyint(1) NOT NULL default '0',
  header_print_doctype tinyint(1) NOT NULL default '0',
  header_print_contentlanguage tinyint(1) NOT NULL default '0',
  header_print_charset tinyint(1) NOT NULL default '0',
  header_print_styletype tinyint(1) NOT NULL default '0',
  header_print_scripttype tinyint(1) NOT NULL default '0',
  header_print_imagetoolbar tinyint(1) NOT NULL default '0',
  header_print_pragma tinyint(1) NOT NULL default '0',
  header_print_description tinyint(1) NOT NULL default '0',
  header_print_keywords tinyint(1) NOT NULL default '0',
  header_print_classification tinyint(1) NOT NULL default '0',
  header_print_language tinyint(1) NOT NULL default '0',
  header_print_robots tinyint(1) NOT NULL default '0',
  header_print_author tinyint(1) NOT NULL default '0',
  header_print_publisher tinyint(1) NOT NULL default '0',
  header_print_replyto tinyint(1) NOT NULL default '0',
  header_print_copyright tinyint(1) NOT NULL default '0',
  header_print_pagetopic tinyint(1) NOT NULL default '0',
  header_print_pagetype tinyint(1) NOT NULL default '0',
  header_print_revisitafter tinyint(1) NOT NULL default '0',
  header_charset text NOT NULL,
  header_styletype text NOT NULL,
  header_scripttype text NOT NULL,
  header_imagetoolbar text NOT NULL,
  header_pragma text NOT NULL,
  header_description text NOT NULL,
  header_keywords text NOT NULL,
  header_classification text NOT NULL,
  header_language text NOT NULL,
  header_robots text NOT NULL,
  header_author text NOT NULL,
  header_publisher text NOT NULL,
  header_replyto text NOT NULL,
  header_copyright text NOT NULL,
  header_pagetopic text NOT NULL,
  header_pagetype text NOT NULL,
  header_revisitrafter text NOT NULL,
  PRIMARY KEY  (header_id)
) TYPE=MyISAM COMMENT='AllMyLinks,  2004 voice of web, http://www.php-resource.net';

#
# Daten fr Tabelle `aml5_header`
#

INSERT INTO aml5_header VALUES (1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 'text/html; CHARSET=iso-8859-1', 'text/css', 'text/javascript', 'no', 'no-cache', '', '', '', '', 'ALL', '', '', '', '', '', '', '7 days');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aml5_language`
#

CREATE TABLE aml5_language (
  language_id int(14) NOT NULL auto_increment,
  language_active tinyint(1) NOT NULL default '1',
  language_image text NOT NULL,
  language_name text NOT NULL,
  language_shortname text NOT NULL,
  PRIMARY KEY  (language_id)
) TYPE=MyISAM COMMENT='AllMyLinks,  2004 voice of web, http://www.php-resource.net';

#
# Daten fr Tabelle `aml5_language`
#

INSERT INTO aml5_language VALUES (1, 1, 'german.gif', 'german', 'de_de');
INSERT INTO aml5_language VALUES (2, 1, 'english.gif', 'english', 'en_gb');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aml5_links`
#

CREATE TABLE aml5_links (
  link_id int(14) NOT NULL auto_increment,
  link_owner varchar(10) NOT NULL default '',
  link_active tinyint(1) NOT NULL default '0',
  link_inactivereason text NOT NULL,
  link_permission tinyint(1) NOT NULL default '0',
  link_template1 varchar(32) NOT NULL default 'default',
  link_template2 varchar(32) NOT NULL default 'linkinfocontainer_Default',
  link_comments int(4) NOT NULL default '0',
  link_protocol text NOT NULL,
  link_url text NOT NULL,
  link_categorie varchar(30) NOT NULL default '',
  link_language text NOT NULL,
  link_topic varchar(50) NOT NULL default '0',
  link_description text NOT NULL,
  link_description2 longtext NOT NULL,
  link_banner text NOT NULL,
  link_banner_type int(2) NOT NULL default '0',
  link_hitsin int(20) default '0',
  link_hits int(20) default '0',
  link_votes int(20) default NULL,
  link_votenumber int(20) NOT NULL default '0',
  link_voteresult float NOT NULL default '0',
  link_userid tinyint(14) NOT NULL default '0',
  link_username text NOT NULL,
  link_useremail text NOT NULL,
  link_usercode int(6) NOT NULL default '0',
  link_show_url tinyint(1) NOT NULL default '1',
  link_show_hits tinyint(1) NOT NULL default '0',
  link_show_broken tinyint(1) NOT NULL default '1',
  link_show_vote tinyint(1) NOT NULL default '1',
  link_show_info tinyint(1) NOT NULL default '1',
  link_show_comments tinyint(1) NOT NULL default '1',
  link_show_options tinyint(1) NOT NULL default '0',
  link_show_frame tinyint(1) NOT NULL default '1',
  link_show_disclaimer tinyint(1) NOT NULL default '1',
  link_broken tinyint(3) NOT NULL default '0',
  link_update tinyint(1) NOT NULL default '0',
  link_origid int(14) NOT NULL default '0',
  link_isdownload tinyint(1) NOT NULL default '0',
  link_size text NOT NULL,
  link_version text NOT NULL,
  link_author text NOT NULL,
  link_platform text NOT NULL,
  link_price text NOT NULL,
  link_added varchar(20) NOT NULL default '',
  link_lastchange varchar(20) NOT NULL default '',
  link_lastcode text NOT NULL,
  link_lastcheck varchar(20) NOT NULL default '',
  link_validateid varchar(32) NOT NULL default '',
  link_ipadr varchar(15) NOT NULL default '',
  PRIMARY KEY  (link_id)
) TYPE=MyISAM COMMENT='AllMyLinks,  2004 voice of web, http://www.php-resource.net';

#
# Daten fr Tabelle `aml5_links`
#

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aml5_modules`
#

CREATE TABLE aml5_modules (
  module_id int(2) NOT NULL auto_increment,
  module_name text NOT NULL,
  module_file text NOT NULL,
  module_permission int(1) NOT NULL default '0',
  module_active int(1) NOT NULL default '1',
  module_default int(1) NOT NULL default '0',
  PRIMARY KEY  (module_id)
) TYPE=MyISAM COMMENT='AllMyLinks,  2004 voice of web, http://www.php-resource.net';

#
# Daten fr Tabelle `aml5_modules`
#

INSERT INTO aml5_modules VALUES (1, 'links', 'catview.php', 0, 1, 0);
INSERT INTO aml5_modules VALUES (2, 'overview', 'overview.php', 0, 0, 0);
INSERT INTO aml5_modules VALUES (3, 'lastlinks', 'lastlinks.php', 1, 0, 1);
INSERT INTO aml5_modules VALUES (4, 'categories', 'catdescriptions.php', 0, 1, 0);
INSERT INTO aml5_modules VALUES (6, 'addlink', 'newlink.php', 0, 1, 0);
INSERT INTO aml5_modules VALUES (7, 'modifylink', 'modifylink.php', 0, 1, 0);
INSERT INTO aml5_modules VALUES (9, 'linkinfo', 'linkinfo.php', 0, 1, 0);
INSERT INTO aml5_modules VALUES (10, 'search', 'search.php', 0, 1, 0);
INSERT INTO aml5_modules VALUES (11, 'recommend', 'recommend.php', 0, 1, 0);
INSERT INTO aml5_modules VALUES (12, 'linkin', 'linkin.php', '0', '1', '0');
INSERT INTO aml5_modules VALUES (13, 'preferences', 'preferences.php', '0', '1', '0'
);



# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aml5_notes`
#

CREATE TABLE aml5_notes (
  notes_id int(4) NOT NULL auto_increment,
  notes_title text NOT NULL,
  notes_url text NOT NULL,
  notes_order int(3) NOT NULL default '0',
  notes_validateid varchar(32) NOT NULL default '',
  notes_date int(20) NOT NULL default '0',
  PRIMARY KEY  (notes_id)
) TYPE=MyISAM COMMENT='AllMyLinks,  2004 voice of web, http://www.php-resource.net';

#
# Daten fr Tabelle `aml5_notes`
#

INSERT INTO aml5_notes VALUES (31, 'Eintrag defekt', './link_validate.php?AML_linkid=1', 3, '787991333', 1085493363);
INSERT INTO aml5_notes VALUES (32, 'Eintrag defekt', './link_validate.php?AML_linkid=1', 4, '787991333', 1085493409);
INSERT INTO aml5_notes VALUES (29, 'Eintrag defekt', './link_validate.php?AML_linkid=1', 1, '745529174', 1085493104);
INSERT INTO aml5_notes VALUES (30, 'Eintrag defekt', './link_validate.php?AML_linkid=1', 2, '787991333', 1085493275);
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aml5_preferences`
#

CREATE TABLE aml5_preferences (
  preferences_id int(32) NOT NULL auto_increment,
  preferences_userid int(8) NOT NULL default '0',
  preferences_entryspersite int(2) NOT NULL default '30',
  preferences_entryssort varchar(32) NOT NULL default 'link_topic',
  preferences_entryssortorder varchar(4) NOT NULL default 'ASC',
  preferences_searchresultpersite int(2) NOT NULL default '30',
  preferences_searchresultform tinyint(1) NOT NULL default '1',
  preferences_searchhighlightresult tinyint(1) NOT NULL default '1',
  preferences_searchhighlightresult_color varchar(7) NOT NULL default '#FFFF00',
  PRIMARY KEY  (preferences_id)
) TYPE=MyISAM COMMENT='AllMyLinks,  2004 voice of web, http://www.php-resource.net';

#
# Daten fr Tabelle `aml5_preferences`
#

INSERT INTO aml5_preferences VALUES (1, 0, 30, 'link_topic', 'ASC', 30, 1, 1, '#FFFF00');
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aml5_protocols`
#

CREATE TABLE aml5_protocols (
  protocol_id tinyint(2) NOT NULL auto_increment,
  protocol_string text NOT NULL,
  protocol_active tinyint(1) NOT NULL default '1',
  protocol_default tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (protocol_id)
) TYPE=MyISAM COMMENT='AllMyLinks,  2004 voice of web, http://www.php-resource.net';

#
# Daten fr Tabelle `aml5_protocols`
#

INSERT INTO aml5_protocols VALUES (1, 'http://', 1, 1);
INSERT INTO aml5_protocols VALUES (2, 'https://', 1, 0);
INSERT INTO aml5_protocols VALUES (3, 'ftp://', 1, 0);
INSERT INTO aml5_protocols VALUES (4, 'ed2k://', 1, 0);
INSERT INTO aml5_protocols VALUES (5, 'file://', 0, 0);
INSERT INTO aml5_protocols VALUES (6, 'gopher://', 0, 0);
INSERT INTO aml5_protocols VALUES (7, 'mailto:', 1, 0);
INSERT INTO aml5_protocols VALUES (8, 'news:', 1, 0);
INSERT INTO aml5_protocols VALUES (9, 'telnet:', 0, 0);
INSERT INTO aml5_protocols VALUES (10, 'wais:', 0, 0);
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `aml5_wrdfil`
#

CREATE TABLE aml5_wrdfil (
  wrdfil_id int(30) NOT NULL auto_increment,
  wrdfil_badword text NOT NULL,
  wrdfil_replacement text NOT NULL,
  PRIMARY KEY  (wrdfil_id)
) TYPE=MyISAM COMMENT='AllMyLinks,  2004 voice of web, http://www.php-resource.net';

#
# Daten fr Tabelle `aml5_wrdfil`
#


    